"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActivityAchievementsTableModule = void 0;
const common_1 = require("@nestjs/common");
const activity_achievements_table_service_1 = require("./activity-achievements-table.service");
const activity_achievements_table_resolver_1 = require("./activity-achievements-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const activity_achievements_table_entity_1 = require("./entities/activity-achievements-table.entity");
const theme_table_module_1 = require("../theme-table/theme-table.module");
const activity_table_module_1 = require("../activity-table/activity-table.module");
const sessionmaster_table_module_1 = require("../sessionmaster-table/sessionmaster-table.module");
const user_collection_module_1 = require("../user-collection/user-collection.module");
let ActivityAchievementsTableModule = exports.ActivityAchievementsTableModule = class ActivityAchievementsTableModule {
};
exports.ActivityAchievementsTableModule = ActivityAchievementsTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([activity_achievements_table_entity_1.ActivityAchievementsTable]), (0, common_1.forwardRef)(() => theme_table_module_1.ThemeTableModule), (0, common_1.forwardRef)(() => activity_table_module_1.ActivityTableModule), (0, common_1.forwardRef)(() => sessionmaster_table_module_1.SessionmasterTableModule), (0, common_1.forwardRef)(() => user_collection_module_1.UserCollectionModule)],
        providers: [activity_achievements_table_resolver_1.ActivityAchievementsTableResolver, activity_achievements_table_service_1.ActivityAchievementsTableService],
        exports: [activity_achievements_table_service_1.ActivityAchievementsTableService]
    })
], ActivityAchievementsTableModule);
