"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActivityTableModule = void 0;
const common_1 = require("@nestjs/common");
const activity_table_service_1 = require("./activity-table.service");
const activity_table_resolver_1 = require("./activity-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const activity_table_entity_1 = require("./entities/activity-table.entity");
const theme_table_module_1 = require("../theme-table/theme-table.module");
let ActivityTableModule = exports.ActivityTableModule = class ActivityTableModule {
};
exports.ActivityTableModule = ActivityTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([activity_table_entity_1.ActivityTable]), theme_table_module_1.ThemeTableModule],
        providers: [activity_table_resolver_1.ActivityTableResolver, activity_table_service_1.ActivityTableService],
        exports: [activity_table_service_1.ActivityTableService]
    })
], ActivityTableModule);
