"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdvertisementTypeTableModule = void 0;
const common_1 = require("@nestjs/common");
const advertisement_type_table_service_1 = require("./advertisement-type-table.service");
const advertisement_type_table_resolver_1 = require("./advertisement-type-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const advertisement_type_table_entity_1 = require("./entities/advertisement-type-table.entity");
let AdvertisementTypeTableModule = class AdvertisementTypeTableModule {
};
AdvertisementTypeTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([advertisement_type_table_entity_1.AdvertisementTypeTable])],
        providers: [advertisement_type_table_resolver_1.AdvertisementTypeTableResolver, advertisement_type_table_service_1.AdvertisementTypeTableService],
        exports: [advertisement_type_table_service_1.AdvertisementTypeTableService]
    })
], AdvertisementTypeTableModule);
exports.AdvertisementTypeTableModule = AdvertisementTypeTableModule;
