"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AnimalDiseaseSubTableModule = void 0;
const common_1 = require("@nestjs/common");
const typeorm_1 = require("@nestjs/typeorm");
const animal_disease_table_module_1 = require("../animal-disease/animal-disease-table.module");
const animal_entry_table_module_1 = require("../animal-table/animal-entry-table.module");
const disease_observation_table_module_1 = require("../disease-observation-table/disease-observation-table.module");
const disease_table_module_1 = require("../disease-table/disease-table.module");
const district_table_module_1 = require("../district-table/district-table.module");
const stock_entry_table_module_1 = require("../stock-entry/stock-entry-table.module");
const animal_disease_sub_table_resolver_1 = require("./animal-disease-sub-table.resolver");
const animal_disease_sub_table_service_1 = require("./animal-disease-sub-table.service");
const animal_disease_sub_table_entity_1 = require("./entities/animal-disease-sub-table.entity");
const data_entry_table_module_1 = require("../data-entry-table/data-entry-table.module");
let AnimalDiseaseSubTableModule = class AnimalDiseaseSubTableModule {
};
AnimalDiseaseSubTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([animal_disease_sub_table_entity_1.AnimalDiseaseSubTable]), (0, common_1.forwardRef)(() => animal_entry_table_module_1.AnimalEntryTableModule), (0, common_1.forwardRef)(() => disease_table_module_1.DiseaseTableModule), (0, common_1.forwardRef)(() => stock_entry_table_module_1.StockEntryTableModule), (0, common_1.forwardRef)(() => animal_disease_table_module_1.AnimalDiseaseTableModule), district_table_module_1.DistrictTableModule, (0, common_1.forwardRef)(() => disease_observation_table_module_1.DiseaseObservationTableModule), data_entry_table_module_1.DataEntryTableModule],
        providers: [animal_disease_sub_table_resolver_1.AnimalDiseaseSubTableResolver, animal_disease_sub_table_service_1.AnimalDiseaseSubTableService],
        exports: [animal_disease_sub_table_service_1.AnimalDiseaseSubTableService]
    })
], AnimalDiseaseSubTableModule);
exports.AnimalDiseaseSubTableModule = AnimalDiseaseSubTableModule;
