"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AnimalDiseaseSubTable = void 0;
const animal_disease_table_entity_1 = require("../../animal-disease/entities/animal-disease-table.entity");
const animal_entry_table_entity_1 = require("../../animal-table/entities/animal-entry-table.entity");
const disease_observation_table_entity_1 = require("../../disease-observation-table/entities/disease-observation-table.entity");
const disease_table_entity_1 = require("../../disease-table/entities/disease-table.entity");
const typeorm_1 = require("typeorm");
let AnimalDiseaseSubTable = class AnimalDiseaseSubTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], AnimalDiseaseSubTable.prototype, "animalDiseaseSubId", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50 }),
    __metadata("design:type", String)
], AnimalDiseaseSubTable.prototype, "dateOfOccurence", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'text' }),
    __metadata("design:type", String)
], AnimalDiseaseSubTable.prototype, "details", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 100, nullable: true, default: 'ACTIVE' }),
    __metadata("design:type", String)
], AnimalDiseaseSubTable.prototype, "status", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => animal_disease_table_entity_1.AnimalDiseaseTable, dt => dt.AnimalDiseaseSubTable),
    (0, typeorm_1.JoinColumn)({ name: "animalDiseaseId" }),
    __metadata("design:type", animal_disease_table_entity_1.AnimalDiseaseTable)
], AnimalDiseaseSubTable.prototype, "AnimalDiseaseTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => animal_entry_table_entity_1.AnimalEntryTable, dt => dt.AnimalDiseaseSubTable),
    (0, typeorm_1.JoinColumn)({ name: "animalId" }),
    __metadata("design:type", animal_entry_table_entity_1.AnimalEntryTable)
], AnimalDiseaseSubTable.prototype, "AnimalTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => disease_table_entity_1.DiseaseTable, dt => dt.AnimalDiseaseSubTable, { nullable: true }),
    (0, typeorm_1.JoinColumn)({ name: "diseaseId" }),
    __metadata("design:type", disease_table_entity_1.DiseaseTable)
], AnimalDiseaseSubTable.prototype, "DiseaseTable", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50, nullable: true }),
    __metadata("design:type", String)
], AnimalDiseaseSubTable.prototype, "deceaseDate", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => disease_observation_table_entity_1.DiseaseObservationTable, dt => dt.AnimalDiseaseSubTable),
    __metadata("design:type", Array)
], AnimalDiseaseSubTable.prototype, "DiseaseObservationTable", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "text", nullable: true }),
    __metadata("design:type", String)
], AnimalDiseaseSubTable.prototype, "remarks", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], AnimalDiseaseSubTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], AnimalDiseaseSubTable.prototype, "updatedAt", void 0);
AnimalDiseaseSubTable = __decorate([
    (0, typeorm_1.Entity)()
], AnimalDiseaseSubTable);
exports.AnimalDiseaseSubTable = AnimalDiseaseSubTable;
