"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AnimalDiseaseTableModule = void 0;
const common_1 = require("@nestjs/common");
const typeorm_1 = require("@nestjs/typeorm");
const animal_disease_sub_table_module_1 = require("../animal-disease-sub-table/animal-disease-sub-table.module");
const animal_entry_table_module_1 = require("../animal-table/animal-entry-table.module");
const disease_table_module_1 = require("../disease-table/disease-table.module");
const stock_entry_table_module_1 = require("../stock-entry/stock-entry-table.module");
const animal_disease_table_resolver_1 = require("./animal-disease-table.resolver");
const animal_disease_table_service_1 = require("./animal-disease-table.service");
const animal_disease_table_entity_1 = require("./entities/animal-disease-table.entity");
let AnimalDiseaseTableModule = class AnimalDiseaseTableModule {
};
AnimalDiseaseTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([animal_disease_table_entity_1.AnimalDiseaseTable]), (0, common_1.forwardRef)(() => animal_entry_table_module_1.AnimalEntryTableModule), (0, common_1.forwardRef)(() => disease_table_module_1.DiseaseTableModule), (0, common_1.forwardRef)(() => stock_entry_table_module_1.StockEntryTableModule), (0, common_1.forwardRef)(() => animal_disease_sub_table_module_1.AnimalDiseaseSubTableModule)],
        providers: [animal_disease_table_resolver_1.AnimalDiseaseTableResolver, animal_disease_table_service_1.AnimalDiseaseTableService],
        exports: [animal_disease_table_service_1.AnimalDiseaseTableService]
    })
], AnimalDiseaseTableModule);
exports.AnimalDiseaseTableModule = AnimalDiseaseTableModule;
