"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AnimalDiseaseTableType = void 0;
const graphql_1 = require("@nestjs/graphql");
const animal_disease_sub_table_type_1 = require("../../animal-disease-sub-table/types/animal-disease-sub-table.type");
const animal_entry_table_type_1 = require("../../animal-table/types/animal-entry-table.type");
const disease_table_type_1 = require("../../disease-table/types/disease-table.type");
let AnimalDiseaseTableType = class AnimalDiseaseTableType {
};
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], AnimalDiseaseTableType.prototype, "animalDiseaseId", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], AnimalDiseaseTableType.prototype, "dateOfOccurence", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], AnimalDiseaseTableType.prototype, "details", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], AnimalDiseaseTableType.prototype, "status", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], AnimalDiseaseTableType.prototype, "measure", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], AnimalDiseaseTableType.prototype, "symptoms", void 0);
__decorate([
    (0, graphql_1.Field)(() => disease_table_type_1.DiseaseTableType),
    __metadata("design:type", disease_table_type_1.DiseaseTableType)
], AnimalDiseaseTableType.prototype, "DiseaseTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => animal_entry_table_type_1.AnimalEntryTableType, { nullable: true }),
    __metadata("design:type", animal_entry_table_type_1.AnimalEntryTableType)
], AnimalDiseaseTableType.prototype, "AnimalTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => [animal_disease_sub_table_type_1.AnimalDiseaseSubTableType]),
    __metadata("design:type", Array)
], AnimalDiseaseTableType.prototype, "AnimalDiseaseSubTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => Date, { nullable: true }),
    __metadata("design:type", Date)
], AnimalDiseaseTableType.prototype, "createdAt", void 0);
AnimalDiseaseTableType = __decorate([
    (0, graphql_1.ObjectType)("AnimalDiseaseTableType")
], AnimalDiseaseTableType);
exports.AnimalDiseaseTableType = AnimalDiseaseTableType;
