"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AnimalEntryTableModule = void 0;
const common_1 = require("@nestjs/common");
const typeorm_1 = require("@nestjs/typeorm");
const user_collection_module_1 = require("../user-collection/user-collection.module");
const farmers_table_module_1 = require("../farmers-table/farmers-table.module");
const housing_table_module_1 = require("../housing-table/housing-table.module");
const breed_table_module_1 = require("../breed-table/breed-table.module");
const current_stock_table_module_1 = require("../current-stock/current-stock-table.module");
const animal_entry_table_entity_1 = require("./entities/animal-entry-table.entity");
const animal_entry_table_resolver_1 = require("./animal-entry-table.resolver");
const animal_entry_table_service_1 = require("./animal-entry-table.service");
const stock_balance_table_module_1 = require("../stock-balance/stock-balance-table-module");
const ledger_entry_table_module_1 = require("../ledger-table/ledger-entry-table.module");
const consumption_sub_table_module_1 = require("../consumption-sub-table/consumption-sub-table.module");
const animal_vaccination_table_module_1 = require("../animal-vaccination/animal-vaccination-table.module");
const breeding_single_table_module_1 = require("../breeding-single-table/breeding-single-table.module");
const parent_table_module_1 = require("../parent-table/parent-table.module");
const district_table_module_1 = require("../district-table/district-table.module");
const sub_division_table_module_1 = require("../sub-division-table/sub-division-table.module");
let AnimalEntryTableModule = class AnimalEntryTableModule {
};
AnimalEntryTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([animal_entry_table_entity_1.AnimalEntryTable]), (0, common_1.forwardRef)(() => user_collection_module_1.UserCollectionModule), (0, common_1.forwardRef)(() => farmers_table_module_1.FarmersTableModule), (0, common_1.forwardRef)(() => housing_table_module_1.HousingTableModule), (0, common_1.forwardRef)(() => breed_table_module_1.BreedTableModule), (0, common_1.forwardRef)(() => current_stock_table_module_1.CurrentStockTableModule), (0, common_1.forwardRef)(() => stock_balance_table_module_1.StockBalanceTableModule), (0, common_1.forwardRef)(() => ledger_entry_table_module_1.LedgerEntryTableModule), (0, common_1.forwardRef)(() => consumption_sub_table_module_1.ConsumptionSubTableModule), (0, common_1.forwardRef)(() => animal_vaccination_table_module_1.AnimalVaccinationTableModule), (0, common_1.forwardRef)(() => breeding_single_table_module_1.BreedingSingleTableModule), (0, common_1.forwardRef)(() => parent_table_module_1.ParentTableModule), (0, common_1.forwardRef)(() => current_stock_table_module_1.CurrentStockTableModule), district_table_module_1.DistrictTableModule, sub_division_table_module_1.SubDivisionTableModule],
        providers: [animal_entry_table_resolver_1.AnimalEntryTableResolver, animal_entry_table_service_1.AnimalEntryTableService],
        exports: [animal_entry_table_service_1.AnimalEntryTableService]
    })
], AnimalEntryTableModule);
exports.AnimalEntryTableModule = AnimalEntryTableModule;
