"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SummaryTypeTable = exports.IndividualFarmerTableType = void 0;
const graphql_1 = require("@nestjs/graphql");
const animal_entry_table_type_1 = require("./animal-entry-table.type");
let IndividualFarmerTableType = class IndividualFarmerTableType {
};
__decorate([
    (0, graphql_1.Field)(() => [SummaryTypeTable]),
    __metadata("design:type", Array)
], IndividualFarmerTableType.prototype, "summary", void 0);
__decorate([
    (0, graphql_1.Field)(() => [animal_entry_table_type_1.AnimalEntryTableType]),
    __metadata("design:type", Array)
], IndividualFarmerTableType.prototype, "data", void 0);
IndividualFarmerTableType = __decorate([
    (0, graphql_1.ObjectType)("IndividualFarmerTableType")
], IndividualFarmerTableType);
exports.IndividualFarmerTableType = IndividualFarmerTableType;
let SummaryTypeTable = class SummaryTypeTable {
};
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], SummaryTypeTable.prototype, "farmerName", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], SummaryTypeTable.prototype, "maleCount", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], SummaryTypeTable.prototype, "femaleCount", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], SummaryTypeTable.prototype, "totalCount", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], SummaryTypeTable.prototype, "organized", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], SummaryTypeTable.prototype, "backyard", void 0);
SummaryTypeTable = __decorate([
    (0, graphql_1.ObjectType)("SummaryTypeTable")
], SummaryTypeTable);
exports.SummaryTypeTable = SummaryTypeTable;
