import { BreedTableType } from 'src/breed-table/types/breed-table.type';
import { HousingTableType } from 'src/housing-table/types/housing-table.type';
import { UserCollectionType } from 'src/user-collection/type/user-collection.type';
export declare class AnimalEntryTableType {
    animalId: number;
    HousingTable: HousingTableType;
    dateOfEntry: string;
    parent?: AnimalEntryTableType;
    BoarTable?: AnimalEntryTableType;
    BreedTable: BreedTableType;
    age: string;
    gender: string;
    isActive: number;
    dateOfAgeUpdate?: string;
    earTag: string;
    weight: number;
    isBoar: number;
    isSow: number;
    isCastrated: number;
    UserTable: UserCollectionType;
    createdAt?: Date;
}
