"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AnimalVaccinationTableType = void 0;
const graphql_1 = require("@nestjs/graphql");
const animal_entry_table_type_1 = require("../../animal-table/types/animal-entry-table.type");
const disease_control_table_type_1 = require("../../disease-control/types/disease-control-table.type");
const vaccine_table_type_1 = require("../../vaccine-table/type/vaccine-table.type");
let AnimalVaccinationTableType = class AnimalVaccinationTableType {
};
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], AnimalVaccinationTableType.prototype, "vaccinationId", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], AnimalVaccinationTableType.prototype, "dateOfVaccination", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], AnimalVaccinationTableType.prototype, "details", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], AnimalVaccinationTableType.prototype, "nextDateOfVaccination", void 0);
__decorate([
    (0, graphql_1.Field)(() => animal_entry_table_type_1.AnimalEntryTableType),
    __metadata("design:type", animal_entry_table_type_1.AnimalEntryTableType)
], AnimalVaccinationTableType.prototype, "AnimalTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => disease_control_table_type_1.DiseaseControlTableType, { nullable: true }),
    __metadata("design:type", disease_control_table_type_1.DiseaseControlTableType)
], AnimalVaccinationTableType.prototype, "DiseaseControlTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => vaccine_table_type_1.VaccineTableType),
    __metadata("design:type", vaccine_table_type_1.VaccineTableType)
], AnimalVaccinationTableType.prototype, "VaccineTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => Date, { nullable: true }),
    __metadata("design:type", Date)
], AnimalVaccinationTableType.prototype, "createdAt", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], AnimalVaccinationTableType.prototype, "isNextDoseGiven", void 0);
AnimalVaccinationTableType = __decorate([
    (0, graphql_1.ObjectType)("AnimalVaccinationTableType")
], AnimalVaccinationTableType);
exports.AnimalVaccinationTableType = AnimalVaccinationTableType;
