"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssessmentAnswerTable = void 0;
const assessment_master_table_entity_1 = require("../../assessment-master-table/entities/assessment-master-table.entity");
const user_collection_entity_1 = require("../../user-collection/entities/user-collection.entity");
const typeorm_1 = require("typeorm");
let AssessmentAnswerTable = exports.AssessmentAnswerTable = class AssessmentAnswerTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], AssessmentAnswerTable.prototype, "answerId", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, length: 50 }),
    __metadata("design:type", String)
], AssessmentAnswerTable.prototype, "assessmentDate", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], AssessmentAnswerTable.prototype, "score", void 0);
__decorate([
    (0, typeorm_1.Column)({ default: 1 }),
    __metadata("design:type", Number)
], AssessmentAnswerTable.prototype, "attempt", void 0);
__decorate([
    (0, typeorm_1.Column)("simple-json", { nullable: true }),
    __metadata("design:type", Array)
], AssessmentAnswerTable.prototype, "answers", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => assessment_master_table_entity_1.AssessmentMasterTable, dt => dt.AssessmentAnswerTable),
    (0, typeorm_1.JoinColumn)({ name: "assessmentId" }),
    __metadata("design:type", assessment_master_table_entity_1.AssessmentMasterTable)
], AssessmentAnswerTable.prototype, "AssessmentMasterTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => user_collection_entity_1.UserTable, dt => dt.AssessmentAnswerTable),
    (0, typeorm_1.JoinColumn)({ name: "userId" }),
    __metadata("design:type", user_collection_entity_1.UserTable)
], AssessmentAnswerTable.prototype, "UserTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], AssessmentAnswerTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], AssessmentAnswerTable.prototype, "updatedAt", void 0);
exports.AssessmentAnswerTable = AssessmentAnswerTable = __decorate([
    (0, typeorm_1.Entity)()
], AssessmentAnswerTable);
