"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssessmentAnswersTableType = exports.AssessmentAnswersDto = void 0;
const graphql_1 = require("@nestjs/graphql");
const assessment_master_table_type_1 = require("../../assessment-master-table/types/assessment-master-table.type");
const user_collection_type_1 = require("../../user-collection/type/user-collection.type");
let AssessmentAnswersDto = exports.AssessmentAnswersDto = class AssessmentAnswersDto {
};
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], AssessmentAnswersDto.prototype, "assessmentQuestionId", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], AssessmentAnswersDto.prototype, "value", void 0);
exports.AssessmentAnswersDto = AssessmentAnswersDto = __decorate([
    (0, graphql_1.ObjectType)("AssessmentAnswersDto")
], AssessmentAnswersDto);
let AssessmentAnswersTableType = exports.AssessmentAnswersTableType = class AssessmentAnswersTableType {
};
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], AssessmentAnswersTableType.prototype, "answerId", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], AssessmentAnswersTableType.prototype, "assessmentDate", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], AssessmentAnswersTableType.prototype, "score", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], AssessmentAnswersTableType.prototype, "attempt", void 0);
__decorate([
    (0, graphql_1.Field)(() => [AssessmentAnswersDto]),
    __metadata("design:type", Array)
], AssessmentAnswersTableType.prototype, "answers", void 0);
__decorate([
    (0, graphql_1.Field)(() => assessment_master_table_type_1.AssessmentMasterTableType, { nullable: true }),
    __metadata("design:type", assessment_master_table_type_1.AssessmentMasterTableType)
], AssessmentAnswersTableType.prototype, "AssessmentMasterTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => user_collection_type_1.UserCollectionType, { nullable: true }),
    __metadata("design:type", user_collection_type_1.UserCollectionType)
], AssessmentAnswersTableType.prototype, "UserTable", void 0);
exports.AssessmentAnswersTableType = AssessmentAnswersTableType = __decorate([
    (0, graphql_1.ObjectType)("AssessmentAnswersTableType")
], AssessmentAnswersTableType);
