"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssessmentInterpretationTable = void 0;
const assessment_answer_table_entity_1 = require("../../assessment-answer-table/entities/assessment-answer-table.entity");
const assessment_master_table_entity_1 = require("../../assessment-master-table/entities/assessment-master-table.entity");
const typeorm_1 = require("typeorm");
let AssessmentInterpretationTable = exports.AssessmentInterpretationTable = class AssessmentInterpretationTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], AssessmentInterpretationTable.prototype, "interpretationId", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50 }),
    __metadata("design:type", String)
], AssessmentInterpretationTable.prototype, "type", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => assessment_master_table_entity_1.AssessmentMasterTable, dt => dt.AssessmentInterpretationTable),
    (0, typeorm_1.JoinColumn)({ name: "assessmentId" }),
    __metadata("design:type", assessment_master_table_entity_1.AssessmentMasterTable)
], AssessmentInterpretationTable.prototype, "AssessmentMasterTable", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 100 }),
    __metadata("design:type", String)
], AssessmentInterpretationTable.prototype, "minScore", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 100 }),
    __metadata("design:type", String)
], AssessmentInterpretationTable.prototype, "maxScore", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], AssessmentInterpretationTable.prototype, "classification", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], AssessmentInterpretationTable.prototype, "interpretation", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => assessment_answer_table_entity_1.AssessmentAnswerTable, et => et.AssessmentInterpretationTable),
    __metadata("design:type", Array)
], AssessmentInterpretationTable.prototype, "AssessmentAnswerTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], AssessmentInterpretationTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], AssessmentInterpretationTable.prototype, "updatedAt", void 0);
exports.AssessmentInterpretationTable = AssessmentInterpretationTable = __decorate([
    (0, typeorm_1.Entity)()
], AssessmentInterpretationTable);
