"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssessmentMasterTableType = void 0;
const graphql_1 = require("@nestjs/graphql");
const assessment_questions_table_type_1 = require("../../assessment-questions-table/types/assessment-questions-table.type");
const course_table_type_1 = require("../../course-table/types/course-table.type");
let AssessmentMasterTableType = exports.AssessmentMasterTableType = class AssessmentMasterTableType {
};
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], AssessmentMasterTableType.prototype, "assessmentId", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], AssessmentMasterTableType.prototype, "assessmentName", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], AssessmentMasterTableType.prototype, "type", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], AssessmentMasterTableType.prototype, "duration", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], AssessmentMasterTableType.prototype, "totalScore", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], AssessmentMasterTableType.prototype, "passingScore", void 0);
__decorate([
    (0, graphql_1.Field)(() => Boolean, { nullable: true }),
    __metadata("design:type", Boolean)
], AssessmentMasterTableType.prototype, "isActive", void 0);
__decorate([
    (0, graphql_1.Field)(() => Boolean, { nullable: true }),
    __metadata("design:type", Boolean)
], AssessmentMasterTableType.prototype, "isAllowed", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], AssessmentMasterTableType.prototype, "score", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], AssessmentMasterTableType.prototype, "week", void 0);
__decorate([
    (0, graphql_1.Field)(() => course_table_type_1.CourseTableType, { nullable: true }),
    __metadata("design:type", course_table_type_1.CourseTableType)
], AssessmentMasterTableType.prototype, "CourseTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => [assessment_questions_table_type_1.AssessmentQuestionsTableType], { nullable: true }),
    __metadata("design:type", Array)
], AssessmentMasterTableType.prototype, "AssessmentQuestionsTable", void 0);
exports.AssessmentMasterTableType = AssessmentMasterTableType = __decorate([
    (0, graphql_1.ObjectType)("AssessmentMasterTableType")
], AssessmentMasterTableType);
