"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssessmentQuestionsTableModule = void 0;
const common_1 = require("@nestjs/common");
const assessment_questions_table_service_1 = require("./assessment-questions-table.service");
const assessment_questions_table_resolver_1 = require("./assessment-questions-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const assessment_questions_table_entity_1 = require("./entities/assessment-questions-table.entity");
const assessment_master_table_module_1 = require("../assessment-master-table/assessment-master-table.module");
let AssessmentQuestionsTableModule = exports.AssessmentQuestionsTableModule = class AssessmentQuestionsTableModule {
};
exports.AssessmentQuestionsTableModule = AssessmentQuestionsTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([assessment_questions_table_entity_1.AssessmentQuestionsTable]), assessment_master_table_module_1.AssessmentMasterTableModule],
        providers: [assessment_questions_table_resolver_1.AssessmentQuestionsTableResolver, assessment_questions_table_service_1.AssessmentQuestionsTableService],
        exports: [assessment_questions_table_service_1.AssessmentQuestionsTableService]
    })
], AssessmentQuestionsTableModule);
