"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssessmentQuestionsTable = void 0;
const assessment_master_table_entity_1 = require("../../assessment-master-table/entities/assessment-master-table.entity");
const typeorm_1 = require("typeorm");
let AssessmentQuestionsTable = exports.AssessmentQuestionsTable = class AssessmentQuestionsTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], AssessmentQuestionsTable.prototype, "assessmentQuestionId", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", Number)
], AssessmentQuestionsTable.prototype, "assessmentQuestionLabel", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, type: "text" }),
    __metadata("design:type", String)
], AssessmentQuestionsTable.prototype, "assessmentQuestionEn", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, type: "text" }),
    __metadata("design:type", String)
], AssessmentQuestionsTable.prototype, "assessmentQuestionAs", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, length: 50 }),
    __metadata("design:type", String)
], AssessmentQuestionsTable.prototype, "correctAnswer", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", Number)
], AssessmentQuestionsTable.prototype, "marks", void 0);
__decorate([
    (0, typeorm_1.Column)("simple-json", { nullable: true }),
    __metadata("design:type", Array)
], AssessmentQuestionsTable.prototype, "options", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => assessment_master_table_entity_1.AssessmentMasterTable, dt => dt.AssessmentQuestionsTable),
    (0, typeorm_1.JoinColumn)({ name: "assessmentId" }),
    __metadata("design:type", assessment_master_table_entity_1.AssessmentMasterTable)
], AssessmentQuestionsTable.prototype, "AssessmentMasterTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], AssessmentQuestionsTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], AssessmentQuestionsTable.prototype, "updatedAt", void 0);
exports.AssessmentQuestionsTable = AssessmentQuestionsTable = __decorate([
    (0, typeorm_1.Entity)()
], AssessmentQuestionsTable);
