"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BankLoanTableModule = void 0;
const common_1 = require("@nestjs/common");
const bank_loan_table_service_1 = require("./bank-loan-table.service");
const bank_loan_table_resolver_1 = require("./bank-loan-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const bank_loan_table_entity_1 = require("./entities/bank-loan-table.entity");
const user_collection_module_1 = require("../user-collection/user-collection.module");
const farmers_table_module_1 = require("../farmers-table/farmers-table.module");
const sub_division_table_module_1 = require("../sub-division-table/sub-division-table.module");
const data_entry_table_module_1 = require("../data-entry-table/data-entry-table.module");
let BankLoanTableModule = class BankLoanTableModule {
};
BankLoanTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([bank_loan_table_entity_1.BankLoanTable]), user_collection_module_1.UserCollectionModule, farmers_table_module_1.FarmersTableModule, sub_division_table_module_1.SubDivisionTableModule, data_entry_table_module_1.DataEntryTableModule],
        providers: [bank_loan_table_resolver_1.BankLoanTableResolver, bank_loan_table_service_1.BankLoanTableService],
        exports: [bank_loan_table_service_1.BankLoanTableService]
    })
], BankLoanTableModule);
exports.BankLoanTableModule = BankLoanTableModule;
