import { FarmersTable } from 'src/farmers-table/entities/farmers-table.entity';
import { UserTable } from 'src/user-collection/entities/user-collection.entity';
export declare enum YesNo {
    YES = "YES",
    NO = "NO"
}
export declare class BankLoanTable {
    FarmersTable: FarmersTable;
    UserTable: UserTable;
    bankLoanId: number;
    hasLoan: YesNo;
    nameOfBank: string;
    loanAmount: string;
    repaymentAmount: string;
    furtherRequirement: YesNo;
    requirementAmount: string;
    difficultyToAccess: YesNo;
    difficulty: string;
    createdAt: Date;
    updatedAt: Date;
}
