import { ObjectID } from 'typeorm';
import { Document } from 'mongoose';
export declare type BrandCollectionDocument = BrandCollection & Document;
export declare class BrandPhoto {
    fileName: string;
    fileType: string;
    url: string;
}
export declare class BrandCollection {
    _id: ObjectID;
    brandName: string;
    brandCode: string;
    brandLogo: BrandPhoto;
}
export declare const BrandCollectionSchema: import("mongoose").Schema<Document<BrandCollection, any, any>, import("mongoose").Model<Document<BrandCollection, any, any>, any, any, any>, any, any>;
