"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BreedingSingleTable = void 0;
const animal_entry_table_entity_1 = require("../../animal-table/entities/animal-entry-table.entity");
const housing_table_entity_1 = require("../../housing-table/entities/housing-table.entity");
const user_collection_entity_1 = require("../../user-collection/entities/user-collection.entity");
const typeorm_1 = require("typeorm");
let BreedingSingleTable = class BreedingSingleTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], BreedingSingleTable.prototype, "breedingSingleId", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: String }),
    __metadata("design:type", String)
], BreedingSingleTable.prototype, "dateOfInsemination", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "text", nullable: true }),
    __metadata("design:type", String)
], BreedingSingleTable.prototype, "typeOfInsemination", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "text", nullable: true }),
    __metadata("design:type", String)
], BreedingSingleTable.prototype, "sourceOfSemen", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: String, nullable: true }),
    __metadata("design:type", String)
], BreedingSingleTable.prototype, "ageOfBoarAtBegining", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: String, nullable: true }),
    __metadata("design:type", String)
], BreedingSingleTable.prototype, "ageOfSowAtBegining", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "decimal", precision: 10, scale: 3, default: 0.000, nullable: true }),
    __metadata("design:type", Number)
], BreedingSingleTable.prototype, "weightOfBoarAtBegining", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "decimal", precision: 10, scale: 3, default: 0.000, nullable: true }),
    __metadata("design:type", Number)
], BreedingSingleTable.prototype, "weightOfSowAtBegining", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: String, nullable: true }),
    __metadata("design:type", String)
], BreedingSingleTable.prototype, "ageOfSowAtFarrowing", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: String, nullable: true }),
    __metadata("design:type", String)
], BreedingSingleTable.prototype, "dateOfFarrowing", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: String, nullable: true }),
    __metadata("design:type", String)
], BreedingSingleTable.prototype, "totalNoOfPiglets", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: String, nullable: true }),
    __metadata("design:type", String)
], BreedingSingleTable.prototype, "totalMale", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "decimal", precision: 10, scale: 3, default: 0.000, nullable: true }),
    __metadata("design:type", Number)
], BreedingSingleTable.prototype, "weightOfEach", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: String, nullable: true }),
    __metadata("design:type", String)
], BreedingSingleTable.prototype, "litterSize", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: String, nullable: true }),
    __metadata("design:type", String)
], BreedingSingleTable.prototype, "totalFemale", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'integer', default: 0 }),
    __metadata("design:type", Number)
], BreedingSingleTable.prototype, "status", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "text", nullable: true }),
    __metadata("design:type", String)
], BreedingSingleTable.prototype, "remarks", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => housing_table_entity_1.HousingTable, et => et.BreedingSingleTable, { nullable: true }),
    (0, typeorm_1.JoinColumn)({ name: "housingId" }),
    __metadata("design:type", housing_table_entity_1.HousingTable)
], BreedingSingleTable.prototype, "HousingTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => user_collection_entity_1.UserTable, et => et.BreedingSingleTable, { nullable: true }),
    (0, typeorm_1.JoinColumn)({ name: "userId" }),
    __metadata("design:type", user_collection_entity_1.UserTable)
], BreedingSingleTable.prototype, "UserTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => animal_entry_table_entity_1.AnimalEntryTable, et => et.BreedingSowTable, { nullable: true }),
    (0, typeorm_1.JoinColumn)({ name: "sowId" }),
    __metadata("design:type", animal_entry_table_entity_1.AnimalEntryTable)
], BreedingSingleTable.prototype, "SowTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => animal_entry_table_entity_1.AnimalEntryTable, et => et.BreedingBoarTable, { nullable: true }),
    (0, typeorm_1.JoinColumn)({ name: "boarId" }),
    __metadata("design:type", animal_entry_table_entity_1.AnimalEntryTable)
], BreedingSingleTable.prototype, "BoarTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], BreedingSingleTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], BreedingSingleTable.prototype, "updatedAt", void 0);
BreedingSingleTable = __decorate([
    (0, typeorm_1.Entity)()
], BreedingSingleTable);
exports.BreedingSingleTable = BreedingSingleTable;
