import { AnimalEntryTableType } from 'src/animal-table/types/animal-entry-table.type';
import { HousingTableType } from 'src/housing-table/types/housing-table.type';
import { UserCollectionType } from 'src/user-collection/type/user-collection.type';
export declare class BreedingSingleTableType {
    breedingSingleId: number;
    dateOfInsemination: string;
    typeOfInsemination: string;
    sourceOfSemen: string;
    ageOfBoarAtBegining: string;
    ageOfSowAtBegining: string;
    weightOfBoarAtBegining: string;
    weightOfSowAtBegining: string;
    ageOfSowAtFarrowing: string;
    dateOfFarrowing: string;
    litterSize: string;
    totalNoOfPiglets: string;
    totalMale: string;
    weightOfEach: string;
    totalFemale: string;
    status: number;
    remarks: string;
    HousingTable: HousingTableType;
    BoarTable?: AnimalEntryTableType;
    SowTable: AnimalEntryTableType;
    UserTable: UserCollectionType;
    createdAt?: Date;
}
