"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CartCollectionModule = void 0;
const common_1 = require("@nestjs/common");
const cart_collection_service_1 = require("./cart-collection.service");
const cart_collection_resolver_1 = require("./cart-collection.resolver");
const mongoose_1 = require("@nestjs/mongoose");
const cart_collection_entity_1 = require("./entities/cart-collection.entity");
const product_collection_module_1 = require("../product-collection/product-collection.module");
let CartCollectionModule = class CartCollectionModule {
};
CartCollectionModule = __decorate([
    (0, common_1.Module)({
        imports: [mongoose_1.MongooseModule.forFeature([{ name: cart_collection_entity_1.CartCollection.name, schema: cart_collection_entity_1.CartCollectionSchema }]), product_collection_module_1.ProductCollectionModule],
        providers: [cart_collection_resolver_1.CartCollectionResolver, cart_collection_service_1.CartCollectionService],
        exports: [cart_collection_service_1.CartCollectionService]
    })
], CartCollectionModule);
exports.CartCollectionModule = CartCollectionModule;
