import { ObjectID } from 'typeorm';
import * as mongoose from 'mongoose';
import { Document } from 'mongoose';
import { ProductCollection } from 'src/product-collection/entities/product-collection.entity';
export declare type CartCollectionDocument = CartCollection & Document;
export declare class CartCollection {
    _id: ObjectID;
    Product: ProductCollection;
    size: string;
    qty: number;
    price: string;
    amount: string;
    isAssociatedWithPack: boolean;
    createdBy: string;
}
export declare const CartCollectionSchema: mongoose.Schema<mongoose.Document<CartCollection, any, any>, mongoose.Model<mongoose.Document<CartCollection, any, any>, any, any, any>, any, any>;
