"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClientCollectionModule = void 0;
const common_1 = require("@nestjs/common");
const mongoose_1 = require("@nestjs/mongoose");
const client_collection_entity_1 = require("./entities/client-collection.entity");
const client_collection_resolver_1 = require("./client-collection.resolver");
const client_collection_service_1 = require("./client-collection.service");
const client_category_collection_module_1 = require("../client-category-collection/client-category-collection.module");
const GlobalConstants_1 = require("../helper/GlobalConstants");
const queryString = __importStar(require("query-string"));
const mail_module_1 = require("../mail/mail.module");
const user_collection_module_1 = require("../user-collection/user-collection.module");
const authentication_collection_module_1 = require("../authentication-collection/authentication-collection.module");
let ClientCollectionModule = class ClientCollectionModule {
};
ClientCollectionModule = __decorate([
    (0, common_1.Module)({
        imports: [mongoose_1.MongooseModule.forFeature([{ name: client_collection_entity_1.ClientCollection.name, schema: client_collection_entity_1.ClientCollectionSchema }]), (0, common_1.forwardRef)(() => client_category_collection_module_1.ClientCategoryCollectionModule), common_1.HttpModule, (0, common_1.forwardRef)(() => mail_module_1.MailModule), (0, common_1.forwardRef)(() => user_collection_module_1.UserCollectionModule), (0, common_1.forwardRef)(() => authentication_collection_module_1.AuthenticationCollectionModule)],
        providers: [client_collection_resolver_1.ClientCollectionResolver, client_collection_service_1.ClientCollectionService, {
                provide: GlobalConstants_1.QUERY_STRING,
                useValue: queryString
            }],
        exports: [client_collection_service_1.ClientCollectionService]
    })
], ClientCollectionModule);
exports.ClientCollectionModule = ClientCollectionModule;
