"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateClientCollectionInput = exports.BillingAddressInput = void 0;
const graphql_1 = require("@nestjs/graphql");
let BillingAddressInput = class BillingAddressInput {
};
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], BillingAddressInput.prototype, "contactPerson", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], BillingAddressInput.prototype, "addressLine1", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], BillingAddressInput.prototype, "addressLine2", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], BillingAddressInput.prototype, "city", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], BillingAddressInput.prototype, "district", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], BillingAddressInput.prototype, "postOffice", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], BillingAddressInput.prototype, "pin", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], BillingAddressInput.prototype, "state", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], BillingAddressInput.prototype, "gstin", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], BillingAddressInput.prototype, "email", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], BillingAddressInput.prototype, "phone", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], BillingAddressInput.prototype, "dlNumber", void 0);
BillingAddressInput = __decorate([
    (0, graphql_1.InputType)()
], BillingAddressInput);
exports.BillingAddressInput = BillingAddressInput;
let CreateClientCollectionInput = class CreateClientCollectionInput {
};
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], CreateClientCollectionInput.prototype, "organizationName", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], CreateClientCollectionInput.prototype, "contactPerson", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CreateClientCollectionInput.prototype, "email", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CreateClientCollectionInput.prototype, "discountPercentage", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CreateClientCollectionInput.prototype, "markupPercentage", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CreateClientCollectionInput.prototype, "phone", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CreateClientCollectionInput.prototype, "dlNumber", void 0);
__decorate([
    (0, graphql_1.Field)(() => [BillingAddressInput]),
    __metadata("design:type", Array)
], CreateClientCollectionInput.prototype, "BillingAddress", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], CreateClientCollectionInput.prototype, "clientCategoryId", void 0);
CreateClientCollectionInput = __decorate([
    (0, graphql_1.InputType)()
], CreateClientCollectionInput);
exports.CreateClientCollectionInput = CreateClientCollectionInput;
