"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CollectionTableModule = void 0;
const common_1 = require("@nestjs/common");
const collection_table_service_1 = require("./collection-table.service");
const collection_table_resolver_1 = require("./collection-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const collection_table_entity_1 = require("./entities/collection-table.entity");
const user_collection_module_1 = require("../user-collection/user-collection.module");
let CollectionTableModule = class CollectionTableModule {
};
CollectionTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([collection_table_entity_1.CollectionTable]), (0, common_1.forwardRef)(() => user_collection_module_1.UserCollectionModule)],
        providers: [collection_table_resolver_1.CollectionTableResolver, collection_table_service_1.CollectionTableService],
        exports: [collection_table_service_1.CollectionTableService]
    })
], CollectionTableModule);
exports.CollectionTableModule = CollectionTableModule;
