"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserCollectionType = void 0;
const graphql_1 = require("@nestjs/graphql");
let UserCollectionType = class UserCollectionType {
};
__decorate([
    (0, graphql_1.Field)(() => String, { description: 'Id' }),
    __metadata("design:type", String)
], UserCollectionType.prototype, "id", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { description: 'Name of the User' }),
    __metadata("design:type", String)
], UserCollectionType.prototype, "name", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { description: 'Email of the user' }),
    __metadata("design:type", String)
], UserCollectionType.prototype, "email", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { description: 'Phone No' }),
    __metadata("design:type", String)
], UserCollectionType.prototype, "phone", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { description: 'Type of the user (ADMIN, CLIENT, USER etc)' }),
    __metadata("design:type", String)
], UserCollectionType.prototype, "superType", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { description: 'Username to login' }),
    __metadata("design:type", String)
], UserCollectionType.prototype, "username", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { description: 'Password for login' }),
    __metadata("design:type", String)
], UserCollectionType.prototype, "password", void 0);
__decorate([
    (0, graphql_1.Field)(() => Boolean, { description: 'Status of the User', defaultValue: true }),
    __metadata("design:type", Boolean)
], UserCollectionType.prototype, "isActive", void 0);
UserCollectionType = __decorate([
    (0, graphql_1.ObjectType)("UserCollectionType")
], UserCollectionType);
exports.UserCollectionType = UserCollectionType;
