"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommunityCadreTableModule = void 0;
const common_1 = require("@nestjs/common");
const community_cadre_table_service_1 = require("./community-cadre-table.service");
const community_cadre_table_resolver_1 = require("./community-cadre-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const community_cadre_table_entity_1 = require("./entities/community-cadre-table.entity");
const user_collection_module_1 = require("../user-collection/user-collection.module");
let CommunityCadreTableModule = exports.CommunityCadreTableModule = class CommunityCadreTableModule {
};
exports.CommunityCadreTableModule = CommunityCadreTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([community_cadre_table_entity_1.CommunityCadreTable]), user_collection_module_1.UserCollectionModule],
        providers: [community_cadre_table_resolver_1.CommunityCadreTableResolver, community_cadre_table_service_1.CommunityCadreTableService],
        exports: [community_cadre_table_service_1.CommunityCadreTableService]
    })
], CommunityCadreTableModule);
