"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConsumptionSubTableModule = void 0;
const common_1 = require("@nestjs/common");
const typeorm_1 = require("@nestjs/typeorm");
const consumption_sub_table_resolver_1 = require("./consumption-sub-table.resolver");
const consumption_sub_table_entity_1 = require("./entities/consumption-sub-table.entity");
const consumption_sub_table_service_1 = require("./consumption-sub-table.service");
const ration_table_module_1 = require("../ration-table/ration-table.module");
const animal_entry_table_module_1 = require("../animal-table/animal-entry-table.module");
const consumption_table_module_1 = require("../consumption-table/consumption-table.module");
const sub_division_table_module_1 = require("../sub-division-table/sub-division-table.module");
const district_table_module_1 = require("../district-table/district-table.module");
let ConsumptionSubTableModule = class ConsumptionSubTableModule {
};
ConsumptionSubTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([consumption_sub_table_entity_1.ConsumptionSubTable]), (0, common_1.forwardRef)(() => consumption_table_module_1.ConsumptionTableModule), (0, common_1.forwardRef)(() => animal_entry_table_module_1.AnimalEntryTableModule), (0, common_1.forwardRef)(() => ration_table_module_1.RationTableModule), sub_division_table_module_1.SubDivisionTableModule, district_table_module_1.DistrictTableModule],
        providers: [consumption_sub_table_resolver_1.ConsumptionSubTableResolver, consumption_sub_table_service_1.ConsumptionSubTableService],
        exports: [consumption_sub_table_service_1.ConsumptionSubTableService]
    })
], ConsumptionSubTableModule);
exports.ConsumptionSubTableModule = ConsumptionSubTableModule;
