"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConsumptionSubTable = void 0;
const animal_entry_table_entity_1 = require("../../animal-table/entities/animal-entry-table.entity");
const consumption_table_entity_1 = require("../../consumption-table/entities/consumption-table.entity");
const ration_table_entity_1 = require("../../ration-table/entities/ration-table.entity");
const typeorm_1 = require("typeorm");
let ConsumptionSubTable = class ConsumptionSubTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], ConsumptionSubTable.prototype, "consumptionSubId", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => consumption_table_entity_1.ConsumptionTable, dt => dt.ConsumptionSubTable, { nullable: true, onDelete: "CASCADE" }),
    (0, typeorm_1.JoinColumn)({ name: "consumptionId" }),
    __metadata("design:type", consumption_table_entity_1.ConsumptionTable)
], ConsumptionSubTable.prototype, "ConsumptionTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => animal_entry_table_entity_1.AnimalEntryTable, dt => dt.ConsumptionSubTable, { nullable: true }),
    (0, typeorm_1.JoinColumn)({ name: "animalId" }),
    __metadata("design:type", animal_entry_table_entity_1.AnimalEntryTable)
], ConsumptionSubTable.prototype, "AnimalTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => ration_table_entity_1.RationTable, dt => dt.ConsumptionSubTable, { nullable: true }),
    (0, typeorm_1.JoinColumn)({ name: "rationId" }),
    __metadata("design:type", ration_table_entity_1.RationTable)
], ConsumptionSubTable.prototype, "RationTable", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "decimal", precision: 10, scale: 3, default: 0.000 }),
    __metadata("design:type", Number)
], ConsumptionSubTable.prototype, "rationPerHead", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], ConsumptionSubTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], ConsumptionSubTable.prototype, "updatedAt", void 0);
ConsumptionSubTable = __decorate([
    (0, typeorm_1.Entity)()
], ConsumptionSubTable);
exports.ConsumptionSubTable = ConsumptionSubTable;
