import { RationSubData } from 'src/consumption-sub-table/dto/create-consumption-sub-table.input';
import { ConsumptionTableService } from 'src/consumption-table/consumption-table.service';
import { RationTableService } from 'src/ration-table/ration-table.service';
import { Repository } from 'typeorm';
import { ConsumptionSubTotalTable } from './entities/consumption-sub-total-table.entity';
export declare class ConsumptionSubTotalTableService {
    private readonly consumptionSubTotalTableRepository;
    private readonly consumptionTableService;
    private readonly rationTableService;
    constructor(consumptionSubTotalTableRepository: Repository<ConsumptionSubTotalTable>, consumptionTableService: ConsumptionTableService, rationTableService: RationTableService);
    create(consumptionId: number, rationSubData: RationSubData[]): Promise<{
        status: boolean;
        status_text: string;
        data: any;
    }>;
}
