"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConsumptionTableModule = void 0;
const common_1 = require("@nestjs/common");
const typeorm_1 = require("@nestjs/typeorm");
const consumption_table_resolver_1 = require("./consumption-table.resolver");
const consumption_table_service_1 = require("./consumption-table.service");
const consumption_table_entity_1 = require("./entities/consumption-table.entity");
const housing_table_module_1 = require("../housing-table/housing-table.module");
const consumption_sub_table_module_1 = require("../consumption-sub-table/consumption-sub-table.module");
const sub_division_table_module_1 = require("../sub-division-table/sub-division-table.module");
const consumption_sub_total_table_module_1 = require("../consumption-sub-total-table/consumption-sub-total-table.module");
const data_entry_table_module_1 = require("../data-entry-table/data-entry-table.module");
const user_collection_module_1 = require("../user-collection/user-collection.module");
let ConsumptionTableModule = class ConsumptionTableModule {
};
ConsumptionTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([consumption_table_entity_1.ConsumptionTable]), (0, common_1.forwardRef)(() => housing_table_module_1.HousingTableModule), (0, common_1.forwardRef)(() => consumption_sub_table_module_1.ConsumptionSubTableModule), (0, common_1.forwardRef)(() => consumption_sub_total_table_module_1.ConsumptionSubTotalTableModule), sub_division_table_module_1.SubDivisionTableModule, data_entry_table_module_1.DataEntryTableModule, user_collection_module_1.UserCollectionModule],
        providers: [consumption_table_resolver_1.ConsumptionTableResolver, consumption_table_service_1.ConsumptionTableService],
        exports: [consumption_table_service_1.ConsumptionTableService]
    })
], ConsumptionTableModule);
exports.ConsumptionTableModule = ConsumptionTableModule;
