"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateConsumptionTableInput = void 0;
const graphql_1 = require("@nestjs/graphql");
let RationData = class RationData {
};
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], RationData.prototype, "rationId", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: false, defaultValue: 0.000 }),
    __metadata("design:type", Number)
], RationData.prototype, "rationPerHead", void 0);
RationData = __decorate([
    (0, graphql_1.InputType)()
], RationData);
let AnimalData = class AnimalData {
};
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], AnimalData.prototype, "animalId", void 0);
AnimalData = __decorate([
    (0, graphql_1.InputType)()
], AnimalData);
let CreateConsumptionTableInput = class CreateConsumptionTableInput {
};
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], CreateConsumptionTableInput.prototype, "dateOfEntry", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: false }),
    __metadata("design:type", Number)
], CreateConsumptionTableInput.prototype, "currentStockId", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], CreateConsumptionTableInput.prototype, "housingId", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], CreateConsumptionTableInput.prototype, "qty", void 0);
__decorate([
    (0, graphql_1.Field)(() => [AnimalData], { nullable: false }),
    __metadata("design:type", Array)
], CreateConsumptionTableInput.prototype, "animalData", void 0);
__decorate([
    (0, graphql_1.Field)(() => [RationData], { nullable: false }),
    __metadata("design:type", Array)
], CreateConsumptionTableInput.prototype, "rationData", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], CreateConsumptionTableInput.prototype, "remarks", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], CreateConsumptionTableInput.prototype, "frequency", void 0);
CreateConsumptionTableInput = __decorate([
    (0, graphql_1.InputType)()
], CreateConsumptionTableInput);
exports.CreateConsumptionTableInput = CreateConsumptionTableInput;
