"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CourseProgressionTableModule = void 0;
const common_1 = require("@nestjs/common");
const course_progression_table_service_1 = require("./course-progression-table.service");
const course_progression_table_resolver_1 = require("./course-progression-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const course_progression_table_entity_1 = require("./entities/course-progression-table.entity");
const course_unit_table_module_1 = require("../course-unit-table/course-unit-table.module");
const user_collection_module_1 = require("../user-collection/user-collection.module");
const assessment_answer_table_module_1 = require("../assessment-answer-table/assessment-answer-table.module");
let CourseProgressionTableModule = exports.CourseProgressionTableModule = class CourseProgressionTableModule {
};
exports.CourseProgressionTableModule = CourseProgressionTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([course_progression_table_entity_1.CourseProgressionTable]), (0, common_1.forwardRef)(() => course_unit_table_module_1.CourseUnitTableModule), (0, common_1.forwardRef)(() => user_collection_module_1.UserCollectionModule), (0, common_1.forwardRef)(() => assessment_answer_table_module_1.AssessmentAnswerTableModule)],
        providers: [course_progression_table_resolver_1.CourseProgressionTableResolver, course_progression_table_service_1.CourseProgressionTableService],
        exports: [course_progression_table_service_1.CourseProgressionTableService]
    })
], CourseProgressionTableModule);
