"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CourseProgressionTable = void 0;
const course_unit_table_entity_1 = require("../../course-unit-table/entities/course-unit-table.entity");
const user_collection_entity_1 = require("../../user-collection/entities/user-collection.entity");
const typeorm_1 = require("typeorm");
let CourseProgressionTable = exports.CourseProgressionTable = class CourseProgressionTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], CourseProgressionTable.prototype, "courseProgressionId", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => course_unit_table_entity_1.CourseUnitTable, dt => dt.CourseProgressionTable),
    (0, typeorm_1.JoinColumn)({ name: "courseUnitId" }),
    __metadata("design:type", course_unit_table_entity_1.CourseUnitTable)
], CourseProgressionTable.prototype, "CourseUnitTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => user_collection_entity_1.UserTable, dt => dt.CourseProgressionTable),
    (0, typeorm_1.JoinColumn)({ name: "userId" }),
    __metadata("design:type", user_collection_entity_1.UserTable)
], CourseProgressionTable.prototype, "UserTable", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, default: 0 }),
    __metadata("design:type", Number)
], CourseProgressionTable.prototype, "isComplete", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, default: 0 }),
    __metadata("design:type", Number)
], CourseProgressionTable.prototype, "week", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, default: 0 }),
    __metadata("design:type", Number)
], CourseProgressionTable.prototype, "canTakeAssesment", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, default: 0 }),
    __metadata("design:type", Number)
], CourseProgressionTable.prototype, "assesmentTaken", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, length: 100 }),
    __metadata("design:type", String)
], CourseProgressionTable.prototype, "assesmentTakenOn", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, length: 100, default: "COURSE" }),
    __metadata("design:type", String)
], CourseProgressionTable.prototype, "type", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, default: 0 }),
    __metadata("design:type", Number)
], CourseProgressionTable.prototype, "assesmentScore", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, default: 0 }),
    __metadata("design:type", Number)
], CourseProgressionTable.prototype, "assesmentStatus", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], CourseProgressionTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], CourseProgressionTable.prototype, "updatedAt", void 0);
exports.CourseProgressionTable = CourseProgressionTable = __decorate([
    (0, typeorm_1.Entity)()
], CourseProgressionTable);
