"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CourseProgressionTableType = void 0;
const graphql_1 = require("@nestjs/graphql");
const assessment_answer_table_type_1 = require("../../assessment-answer-table/types/assessment-answer-table.type");
const course_unit_table_type_1 = require("../../course-unit-table/types/course-unit-table.type");
const user_collection_type_1 = require("../../user-collection/type/user-collection.type");
let CourseProgressionTableType = exports.CourseProgressionTableType = class CourseProgressionTableType {
};
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], CourseProgressionTableType.prototype, "courseProgressionId", void 0);
__decorate([
    (0, graphql_1.Field)(() => course_unit_table_type_1.CourseUnitTableType, { nullable: true }),
    __metadata("design:type", course_unit_table_type_1.CourseUnitTableType)
], CourseProgressionTableType.prototype, "CourseUnitTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => user_collection_type_1.UserCollectionType, { nullable: true }),
    __metadata("design:type", user_collection_type_1.UserCollectionType)
], CourseProgressionTableType.prototype, "UserTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], CourseProgressionTableType.prototype, "isComplete", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], CourseProgressionTableType.prototype, "canTakeAssesment", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], CourseProgressionTableType.prototype, "assesmentTaken", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CourseProgressionTableType.prototype, "assesmentTakenOn", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], CourseProgressionTableType.prototype, "assesmentScore", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], CourseProgressionTableType.prototype, "assesmentStatus", void 0);
__decorate([
    (0, graphql_1.Field)(() => [assessment_answer_table_type_1.AssessmentAnswersTableType], { nullable: true }),
    __metadata("design:type", Array)
], CourseProgressionTableType.prototype, "AssessmentAnswersTable", void 0);
exports.CourseProgressionTableType = CourseProgressionTableType = __decorate([
    (0, graphql_1.ObjectType)("CourseProgressionTableType")
], CourseProgressionTableType);
