"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CourseSessionTableModule = void 0;
const common_1 = require("@nestjs/common");
const course_session_table_service_1 = require("./course-session-table.service");
const course_session_table_resolver_1 = require("./course-session-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const course_session_table_entity_1 = require("./entities/course-session-table.entity");
const course_table_module_1 = require("../course-table/course-table.module");
let CourseSessionTableModule = exports.CourseSessionTableModule = class CourseSessionTableModule {
};
exports.CourseSessionTableModule = CourseSessionTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([course_session_table_entity_1.CourseSessionTable]), (0, common_1.forwardRef)(() => course_table_module_1.CourseTableModule)],
        providers: [course_session_table_resolver_1.CourseSessionTableResolver, course_session_table_service_1.CourseSessionTableService],
        exports: [course_session_table_service_1.CourseSessionTableService]
    })
], CourseSessionTableModule);
