"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CourseSessionTable = void 0;
const course_table_entity_1 = require("../../course-table/entities/course-table.entity");
const subscription_table_entity_1 = require("../../subscription-table/entities/subscription-table.entity");
const typeorm_1 = require("typeorm");
let CourseSessionTable = exports.CourseSessionTable = class CourseSessionTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], CourseSessionTable.prototype, "courseSessionId", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => course_table_entity_1.CourseTable, pt => pt.CourseSessionTable),
    (0, typeorm_1.JoinColumn)({ name: 'courseId' }),
    __metadata("design:type", course_table_entity_1.CourseTable)
], CourseSessionTable.prototype, "CourseTable", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], CourseSessionTable.prototype, "sessionName", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], CourseSessionTable.prototype, "sessionStartingDate", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], CourseSessionTable.prototype, "sessionEndingDate", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", Number)
], CourseSessionTable.prototype, "capacity", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, default: 0 }),
    __metadata("design:type", Number)
], CourseSessionTable.prototype, "isEnrollmentOpen", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => subscription_table_entity_1.SubscriptionTable, pt => pt.CourseSessionTable),
    __metadata("design:type", Array)
], CourseSessionTable.prototype, "SubscriptionTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], CourseSessionTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], CourseSessionTable.prototype, "updatedAt", void 0);
exports.CourseSessionTable = CourseSessionTable = __decorate([
    (0, typeorm_1.Entity)()
], CourseSessionTable);
