"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CourseTableModule = void 0;
const common_1 = require("@nestjs/common");
const course_table_service_1 = require("./course-table.service");
const course_table_resolver_1 = require("./course-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const course_table_entity_1 = require("./entities/course-table.entity");
const file_table_module_1 = require("../file-table/file-table.module");
const subscription_table_module_1 = require("../subscription-table/subscription-table.module");
const course_unit_table_module_1 = require("../course-unit-table/course-unit-table.module");
const course_progression_table_module_1 = require("../course-progression-table/course-progression-table.module");
const user_collection_module_1 = require("../user-collection/user-collection.module");
const course_session_table_module_1 = require("../course-session-table/course-session-table.module");
let CourseTableModule = exports.CourseTableModule = class CourseTableModule {
};
exports.CourseTableModule = CourseTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([course_table_entity_1.CourseTable]), (0, common_1.forwardRef)(() => file_table_module_1.FileTableModule), (0, common_1.forwardRef)(() => subscription_table_module_1.SubscriptionTableModule), (0, common_1.forwardRef)(() => course_unit_table_module_1.CourseUnitTableModule), (0, common_1.forwardRef)(() => course_progression_table_module_1.CourseProgressionTableModule), (0, common_1.forwardRef)(() => user_collection_module_1.UserCollectionModule), (0, common_1.forwardRef)(() => course_session_table_module_1.CourseSessionTableModule)],
        providers: [course_table_resolver_1.CourseTableResolver, course_table_service_1.CourseTableService],
        exports: [course_table_service_1.CourseTableService]
    })
], CourseTableModule);
