import { AssessmentMasterTable } from 'src/assessment-master-table/entities/assessment-master-table.entity';
import { CourseSessionTable } from 'src/course-session-table/entities/course-session-table.entity';
import { CourseUnitTable } from 'src/course-unit-table/entities/course-unit-table.entity';
import { DiscussionTable } from 'src/discussion-table/entities/discussion-table.entity';
import { SubscriptionTable } from 'src/subscription-table/entities/subscription-table.entity';
import { UserTable } from 'src/user-collection/entities/user-collection.entity';
export declare class CourseTable {
    courseId: number;
    courseName: string;
    courseCode: string;
    courseDescription: string;
    courseDuration: number;
    courseType: string;
    hasAssesment: string;
    isActive: string;
    courseBanner: string;
    CourseUnitTable: CourseUnitTable[];
    DiscussionTable: DiscussionTable[];
    SubscriptionTable: SubscriptionTable[];
    AssessmentMasterTable: AssessmentMasterTable[];
    CourseSessionTable: CourseSessionTable[];
    UserTable: UserTable;
    createdAt: Date;
    updatedAt: Date;
}
