"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CourseTable = void 0;
const assessment_master_table_entity_1 = require("../../assessment-master-table/entities/assessment-master-table.entity");
const course_session_table_entity_1 = require("../../course-session-table/entities/course-session-table.entity");
const course_unit_table_entity_1 = require("../../course-unit-table/entities/course-unit-table.entity");
const discussion_table_entity_1 = require("../../discussion-table/entities/discussion-table.entity");
const subscription_table_entity_1 = require("../../subscription-table/entities/subscription-table.entity");
const user_collection_entity_1 = require("../../user-collection/entities/user-collection.entity");
const typeorm_1 = require("typeorm");
let CourseTable = exports.CourseTable = class CourseTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], CourseTable.prototype, "courseId", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], CourseTable.prototype, "courseName", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], CourseTable.prototype, "courseCode", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 1200, nullable: true }),
    __metadata("design:type", String)
], CourseTable.prototype, "courseDescription", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", Number)
], CourseTable.prototype, "courseDuration", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50, default: "FREE" }),
    __metadata("design:type", String)
], CourseTable.prototype, "courseType", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50, default: "NO" }),
    __metadata("design:type", String)
], CourseTable.prototype, "hasAssesment", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50, default: "NO" }),
    __metadata("design:type", String)
], CourseTable.prototype, "isActive", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "text", nullable: true }),
    __metadata("design:type", String)
], CourseTable.prototype, "courseBanner", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => course_unit_table_entity_1.CourseUnitTable, pt => pt.CourseTable),
    __metadata("design:type", Array)
], CourseTable.prototype, "CourseUnitTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => discussion_table_entity_1.DiscussionTable, pt => pt.CourseTable),
    __metadata("design:type", Array)
], CourseTable.prototype, "DiscussionTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => subscription_table_entity_1.SubscriptionTable, pt => pt.CourseTable),
    __metadata("design:type", Array)
], CourseTable.prototype, "SubscriptionTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => assessment_master_table_entity_1.AssessmentMasterTable, et => et.CourseTable),
    __metadata("design:type", Array)
], CourseTable.prototype, "AssessmentMasterTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => course_session_table_entity_1.CourseSessionTable, pt => pt.CourseTable),
    __metadata("design:type", Array)
], CourseTable.prototype, "CourseSessionTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => user_collection_entity_1.UserTable, dt => dt.CourseTable, { nullable: true }),
    (0, typeorm_1.JoinColumn)({ name: "userId" }),
    __metadata("design:type", user_collection_entity_1.UserTable)
], CourseTable.prototype, "UserTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], CourseTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], CourseTable.prototype, "updatedAt", void 0);
exports.CourseTable = CourseTable = __decorate([
    (0, typeorm_1.Entity)()
], CourseTable);
