"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CourseTableWeekType = exports.CourseTableType = void 0;
const graphql_1 = require("@nestjs/graphql");
const course_session_table_type_1 = require("../../course-session-table/types/course-session-table.type");
const course_unit_table_type_1 = require("../../course-unit-table/types/course-unit-table.type");
const user_collection_type_1 = require("../../user-collection/type/user-collection.type");
let CourseTableType = exports.CourseTableType = class CourseTableType {
};
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], CourseTableType.prototype, "courseId", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], CourseTableType.prototype, "courseName", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CourseTableType.prototype, "courseCode", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CourseTableType.prototype, "courseDescription", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CourseTableType.prototype, "courseDuration", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CourseTableType.prototype, "courseType", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CourseTableType.prototype, "hasAssesment", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CourseTableType.prototype, "isActive", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CourseTableType.prototype, "courseBanner", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CourseTableType.prototype, "courseBannerUrl", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], CourseTableType.prototype, "courseUnitCount", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], CourseTableType.prototype, "courseUnitPages", void 0);
__decorate([
    (0, graphql_1.Field)(() => Boolean, { nullable: true }),
    __metadata("design:type", Boolean)
], CourseTableType.prototype, "isAllowed", void 0);
__decorate([
    (0, graphql_1.Field)(() => user_collection_type_1.UserCollectionType, { nullable: true }),
    __metadata("design:type", user_collection_type_1.UserCollectionType)
], CourseTableType.prototype, "UserTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => [course_unit_table_type_1.CourseUnitTableType], { nullable: true }),
    __metadata("design:type", Array)
], CourseTableType.prototype, "CourseUnitTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => [course_session_table_type_1.CourseSessionTableType], { nullable: true }),
    __metadata("design:type", Array)
], CourseTableType.prototype, "CourseSessionTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => [CourseTableWeekType], { nullable: true }),
    __metadata("design:type", Array)
], CourseTableType.prototype, "CourseTableWeek", void 0);
exports.CourseTableType = CourseTableType = __decorate([
    (0, graphql_1.ObjectType)("CourseTableNewType")
], CourseTableType);
let CourseTableWeekType = exports.CourseTableWeekType = class CourseTableWeekType {
};
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], CourseTableWeekType.prototype, "week", void 0);
__decorate([
    (0, graphql_1.Field)(() => [course_unit_table_type_1.CourseUnitTableType], { nullable: true }),
    __metadata("design:type", Array)
], CourseTableWeekType.prototype, "CourseUnitTable", void 0);
exports.CourseTableWeekType = CourseTableWeekType = __decorate([
    (0, graphql_1.ObjectType)("CourseTableWeekType")
], CourseTableWeekType);
