"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CourseUnitTable = void 0;
const course_progression_table_entity_1 = require("../../course-progression-table/entities/course-progression-table.entity");
const course_table_entity_1 = require("../../course-table/entities/course-table.entity");
const typeorm_1 = require("typeorm");
let CourseUnitTable = exports.CourseUnitTable = class CourseUnitTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], CourseUnitTable.prototype, "courseUnitId", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => course_table_entity_1.CourseTable, pt => pt.CourseUnitTable),
    (0, typeorm_1.JoinColumn)({ name: 'courseId' }),
    __metadata("design:type", course_table_entity_1.CourseTable)
], CourseUnitTable.prototype, "CourseTable", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, default: 1 }),
    __metadata("design:type", Number)
], CourseUnitTable.prototype, "week", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], CourseUnitTable.prototype, "courseUnitName", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 1200, nullable: true }),
    __metadata("design:type", String)
], CourseUnitTable.prototype, "courseUnitDescription", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", Number)
], CourseUnitTable.prototype, "courseUnitDuration", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], CourseUnitTable.prototype, "courseUnitBanner", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], CourseUnitTable.prototype, "courseFile", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50, default: "FREE" }),
    __metadata("design:type", String)
], CourseUnitTable.prototype, "courseUnitType", void 0);
__decorate([
    (0, typeorm_1.Column)({ default: 1, nullable: true }),
    __metadata("design:type", Number)
], CourseUnitTable.prototype, "numberOfPages", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50, default: "NO" }),
    __metadata("design:type", String)
], CourseUnitTable.prototype, "isLink", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "text", nullable: true }),
    __metadata("design:type", String)
], CourseUnitTable.prototype, "link", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50, default: "NO" }),
    __metadata("design:type", String)
], CourseUnitTable.prototype, "hasAssesment", void 0);
__decorate([
    (0, typeorm_1.Column)({ default: 0, nullable: true }),
    __metadata("design:type", Number)
], CourseUnitTable.prototype, "totalScore", void 0);
__decorate([
    (0, typeorm_1.Column)({ default: 0, nullable: true }),
    __metadata("design:type", Number)
], CourseUnitTable.prototype, "passingScore", void 0);
__decorate([
    (0, typeorm_1.Column)({ default: 0, nullable: true }),
    __metadata("design:type", Number)
], CourseUnitTable.prototype, "weightOfPercentage", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => course_progression_table_entity_1.CourseProgressionTable, et => et.CourseUnitTable),
    __metadata("design:type", Array)
], CourseUnitTable.prototype, "CourseProgressionTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], CourseUnitTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], CourseUnitTable.prototype, "updatedAt", void 0);
exports.CourseUnitTable = CourseUnitTable = __decorate([
    (0, typeorm_1.Entity)()
], CourseUnitTable);
