"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CourseUnitTableType = void 0;
const graphql_1 = require("@nestjs/graphql");
const course_progression_table_type_1 = require("../../course-progression-table/types/course-progression-table.type");
const course_table_type_1 = require("../../course-table/types/course-table.type");
let CourseUnitTableType = exports.CourseUnitTableType = class CourseUnitTableType {
};
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], CourseUnitTableType.prototype, "courseUnitId", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], CourseUnitTableType.prototype, "week", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], CourseUnitTableType.prototype, "courseUnitName", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CourseUnitTableType.prototype, "courseFile", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CourseUnitTableType.prototype, "courseFileUrl", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CourseUnitTableType.prototype, "courseUnitBanner", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CourseUnitTableType.prototype, "courseUnitBannerUrl", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CourseUnitTableType.prototype, "courseUnitDescription", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CourseUnitTableType.prototype, "courseUnitDuration", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CourseUnitTableType.prototype, "courseUnitType", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], CourseUnitTableType.prototype, "weightOfPercentage", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], CourseUnitTableType.prototype, "numberOfPages", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], CourseUnitTableType.prototype, "totalScore", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], CourseUnitTableType.prototype, "passingScore", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CourseUnitTableType.prototype, "hasAssesment", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CourseUnitTableType.prototype, "link", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CourseUnitTableType.prototype, "isLink", void 0);
__decorate([
    (0, graphql_1.Field)(() => Boolean, { nullable: true }),
    __metadata("design:type", Boolean)
], CourseUnitTableType.prototype, "isAllowedUnit", void 0);
__decorate([
    (0, graphql_1.Field)(() => course_table_type_1.CourseTableType, { nullable: true }),
    __metadata("design:type", course_table_type_1.CourseTableType)
], CourseUnitTableType.prototype, "CourseTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => course_progression_table_type_1.CourseProgressionTableType, { nullable: true }),
    __metadata("design:type", course_progression_table_type_1.CourseProgressionTableType)
], CourseUnitTableType.prototype, "CourseProgressionTable", void 0);
exports.CourseUnitTableType = CourseUnitTableType = __decorate([
    (0, graphql_1.ObjectType)("CourseUnitTableType")
], CourseUnitTableType);
