/// <reference types="mongoose" />
import { CurrentStockCollectionService } from './current-stock-collection.service';
import { CurrentStockCollection } from './entities/current-stock-collection.entity';
import { RedisPubSub } from 'graphql-redis-subscriptions';
export declare const NEW_CURRENT_STOCK_ADD = "NEW_CURRENT_STOCK_ADD";
export declare class CurrentStockCollectionResolver {
    private readonly currentStockCollectionService;
    private pubSub;
    constructor(currentStockCollectionService: CurrentStockCollectionService, pubSub: RedisPubSub);
    findAllCurrentStock(): Promise<(import("mongoose").Document<unknown, any, CurrentStockCollection> & CurrentStockCollection & {
        _id: import("typeorm").ObjectID;
    })[]>;
    getProductWithBarcodeForSale(barcode: string, clientId: string): Promise<any>;
    currentStockSubscription(): AsyncIterator<unknown, any, undefined>;
}
