"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CurrentStockCollectionType = void 0;
const graphql_1 = require("@nestjs/graphql");
const product_collection_type_1 = require("../../product-collection/types/product-collection.type");
let CurrentStockCollectionType = class CurrentStockCollectionType {
};
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], CurrentStockCollectionType.prototype, "id", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], CurrentStockCollectionType.prototype, "productId", void 0);
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], CurrentStockCollectionType.prototype, "qty", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], CurrentStockCollectionType.prototype, "basePrice", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CurrentStockCollectionType.prototype, "price", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], CurrentStockCollectionType.prototype, "barcode", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], CurrentStockCollectionType.prototype, "itemCode", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], CurrentStockCollectionType.prototype, "size", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], CurrentStockCollectionType.prototype, "batchNo", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CurrentStockCollectionType.prototype, "expiryDate", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CurrentStockCollectionType.prototype, "mfgDate", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], CurrentStockCollectionType.prototype, "mrp", void 0);
__decorate([
    (0, graphql_1.Field)(() => product_collection_type_1.ProductCollectionType),
    __metadata("design:type", product_collection_type_1.ProductCollectionType)
], CurrentStockCollectionType.prototype, "Product", void 0);
CurrentStockCollectionType = __decorate([
    (0, graphql_1.ObjectType)("CurrentStockCollectionType")
], CurrentStockCollectionType);
exports.CurrentStockCollectionType = CurrentStockCollectionType;
