import { CurrentStockTableService } from './current-stock-table.service';
import { CurrentStockTable } from './entities/current-stock-table.entity';
import { CreateCurrentStockTableInput } from './dto/create-current-stock-table.input';
export declare class CurrentStockTableResolver {
    private readonly currentStockTableService;
    constructor(currentStockTableService: CurrentStockTableService);
    createCurrentStockTable(createCurrentStockTableInput: CreateCurrentStockTableInput, user: any): Promise<{
        status: boolean;
        status_text: string;
        data: CurrentStockTable;
    }>;
    findAllCurrentStock(): Promise<CurrentStockTable[]>;
    getForDiseaseAndSale(housingId: number): Promise<CurrentStockTable[]>;
    findCurrentStockByHousingId(housingId: number): Promise<CurrentStockTable[]>;
    countAllStockDistrictWise(): Promise<any>;
    countAllStockAgeWise(): Promise<any>;
    countAllStockClusterWise(user: any): Promise<any>;
    countAllStockBreedWise(): Promise<any>;
}
