"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataEntryTableController = void 0;
const common_1 = require("@nestjs/common");
const jwt_auth_guard_1 = require("../auth/guards/jwt-auth.guard");
const data_entry_table_service_1 = require("./data-entry-table.service");
let DataEntryTableController = exports.DataEntryTableController = class DataEntryTableController {
    constructor(dataEntryTableService) {
        this.dataEntryTableService = dataEntryTableService;
    }
    async getdataentrytable(req) {
        return await this.dataEntryTableService.findAll();
    }
    async countAllUsersDataEntry(req) {
        return this.dataEntryTableService.countAllUsersDataEntry();
    }
};
__decorate([
    (0, common_1.Get)("get-dataentry-table"),
    (0, common_1.UseGuards)(jwt_auth_guard_1.JwtAuthGuard),
    __param(0, (0, common_1.Req)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", Promise)
], DataEntryTableController.prototype, "getdataentrytable", null);
__decorate([
    (0, common_1.Get)('count-all-users-data-entry'),
    (0, common_1.UseGuards)(jwt_auth_guard_1.JwtAuthGuard),
    __param(0, (0, common_1.Req)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", Promise)
], DataEntryTableController.prototype, "countAllUsersDataEntry", null);
exports.DataEntryTableController = DataEntryTableController = __decorate([
    (0, common_1.Controller)('data-entry-table'),
    __metadata("design:paramtypes", [data_entry_table_service_1.DataEntryTableService])
], DataEntryTableController);
