"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DepartmentsTable = void 0;
const user_collection_entity_1 = require("../../user-collection/entities/user-collection.entity");
const typeorm_1 = require("typeorm");
let DepartmentsTable = exports.DepartmentsTable = class DepartmentsTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], DepartmentsTable.prototype, "departmentId", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], DepartmentsTable.prototype, "departmentName", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => user_collection_entity_1.UserTable, pt => pt.DepartmentsTable),
    __metadata("design:type", Array)
], DepartmentsTable.prototype, "UserTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], DepartmentsTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], DepartmentsTable.prototype, "updatedAt", void 0);
exports.DepartmentsTable = DepartmentsTable = __decorate([
    (0, typeorm_1.Entity)()
], DepartmentsTable);
