"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DiseaseControlTable = void 0;
const animal_vaccination_table_entity_1 = require("../../animal-vaccination/entities/animal-vaccination-table.entity");
const typeorm_1 = require("typeorm");
let DiseaseControlTable = class DiseaseControlTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], DiseaseControlTable.prototype, "diseaseControlId", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], DiseaseControlTable.prototype, "controlType", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => animal_vaccination_table_entity_1.AnimalVaccinationTable, et => et.DiseaseControlTable),
    __metadata("design:type", Array)
], DiseaseControlTable.prototype, "AnimalVaccinationTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], DiseaseControlTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], DiseaseControlTable.prototype, "updatedAt", void 0);
DiseaseControlTable = __decorate([
    (0, typeorm_1.Entity)()
], DiseaseControlTable);
exports.DiseaseControlTable = DiseaseControlTable;
