"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DiseaseObservationTable = void 0;
const animal_disease_sub_table_entity_1 = require("../../animal-disease-sub-table/entities/animal-disease-sub-table.entity");
const user_collection_entity_1 = require("../../user-collection/entities/user-collection.entity");
const typeorm_1 = require("typeorm");
let DiseaseObservationTable = class DiseaseObservationTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], DiseaseObservationTable.prototype, "diseaseObservationId", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'text' }),
    __metadata("design:type", String)
], DiseaseObservationTable.prototype, "observation", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => animal_disease_sub_table_entity_1.AnimalDiseaseSubTable, dt => dt.DiseaseObservationTable),
    (0, typeorm_1.JoinColumn)({ name: "animalDiseaseSubId" }),
    __metadata("design:type", animal_disease_sub_table_entity_1.AnimalDiseaseSubTable)
], DiseaseObservationTable.prototype, "AnimalDiseaseSubTable", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50, nullable: true }),
    __metadata("design:type", String)
], DiseaseObservationTable.prototype, "date", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => user_collection_entity_1.UserTable, et => et.DiseaseObservationTable, { nullable: true }),
    (0, typeorm_1.JoinColumn)({ name: "userId" }),
    __metadata("design:type", user_collection_entity_1.UserTable)
], DiseaseObservationTable.prototype, "UserTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], DiseaseObservationTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], DiseaseObservationTable.prototype, "updatedAt", void 0);
DiseaseObservationTable = __decorate([
    (0, typeorm_1.Entity)()
], DiseaseObservationTable);
exports.DiseaseObservationTable = DiseaseObservationTable;
