"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DiseaseTableModule = void 0;
const common_1 = require("@nestjs/common");
const disease_table_service_1 = require("./disease-table.service");
const disease_table_resolver_1 = require("./disease-table.resolver");
const disease_table_entity_1 = require("./entities/disease-table.entity");
const typeorm_1 = require("@nestjs/typeorm");
const stock_entry_table_module_1 = require("../stock-entry/stock-entry-table.module");
let DiseaseTableModule = class DiseaseTableModule {
};
DiseaseTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([disease_table_entity_1.DiseaseTable]), (0, common_1.forwardRef)(() => stock_entry_table_module_1.StockEntryTableModule)],
        providers: [disease_table_resolver_1.DiseaseTableResolver, disease_table_service_1.DiseaseTableService],
        exports: [disease_table_resolver_1.DiseaseTableResolver, disease_table_service_1.DiseaseTableService]
    })
], DiseaseTableModule);
exports.DiseaseTableModule = DiseaseTableModule;
