"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DistrictTableModule = void 0;
const common_1 = require("@nestjs/common");
const district_table_service_1 = require("./district-table.service");
const district_table_resolver_1 = require("./district-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const district_table_entity_1 = require("./entities/district-table.entity");
const state_table_module_1 = require("../state-table/state-table.module");
let DistrictTableModule = exports.DistrictTableModule = class DistrictTableModule {
};
exports.DistrictTableModule = DistrictTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([district_table_entity_1.DistrictTable]), state_table_module_1.StateTableModule],
        providers: [district_table_resolver_1.DistrictTableResolver, district_table_service_1.DistrictTableService],
        exports: [district_table_service_1.DistrictTableService]
    })
], DistrictTableModule);
