import { AdvertisementTable } from 'src/advertisement-table/entities/advertisement-table.entity';
import { BankLoanTable } from 'src/bank-loan-table/entities/bank-loan-table.entity';
import { DistrictTable } from 'src/district-table/entities/district-table.entity';
import { HousingTable } from 'src/housing-table/entities/housing-table.entity';
import { RationTable } from 'src/ration-table/entities/ration-table.entity';
import { SubDivisionTable } from 'src/sub-division-table/entities/sub-division-table.entity';
import { TrainingTable } from 'src/training-table/entities/training-table.entity';
import { UserTable } from 'src/user-collection/entities/user-collection.entity';
export declare class FarmersTable {
    farmerId: number;
    farmerCode: string;
    DistrictTable: DistrictTable;
    SubDivisionTable: SubDivisionTable;
    farmerVillage: string;
    farmerPostOffice: string;
    farmerState: string;
    farmerAadhar: string;
    farmerPin: string;
    farmerName: string;
    gender: string;
    caste: string;
    gramPanchayat: string;
    circleOffice: string;
    wardNo: string;
    villageDispensary: string;
    farmerFatherName: string;
    farmerPhone: string;
    farmerCodeIndex: number;
    UserTable: UserTable;
    HousingTable: HousingTable[];
    TrainingTable: TrainingTable[];
    BankLoanTable: BankLoanTable[];
    RationTable: RationTable[];
    AdvertisementTable: AdvertisementTable[];
    createdAt: Date;
    updatedAt: Date;
}
