"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FarmersTableType = void 0;
const graphql_1 = require("@nestjs/graphql");
const district_table_type_1 = require("../../district-table/types/district-table.type");
const sub_division_table_type_1 = require("../../sub-division-table/types/sub-division-table.type");
const user_collection_type_1 = require("../../user-collection/type/user-collection.type");
const farmers_table_data_man_type_1 = require("./farmers-table-data-man.type");
let FarmersTableType = class FarmersTableType {
};
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], FarmersTableType.prototype, "farmerId", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], FarmersTableType.prototype, "farmerCode", void 0);
__decorate([
    (0, graphql_1.Field)(() => district_table_type_1.DistrictTableType, { nullable: true }),
    __metadata("design:type", district_table_type_1.DistrictTableType)
], FarmersTableType.prototype, "DistrictTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => sub_division_table_type_1.SubDivisionTableType, { nullable: true }),
    __metadata("design:type", sub_division_table_type_1.SubDivisionTableType)
], FarmersTableType.prototype, "SubDivisionTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], FarmersTableType.prototype, "farmerVillage", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], FarmersTableType.prototype, "farmerPostOffice", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], FarmersTableType.prototype, "farmerState", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], FarmersTableType.prototype, "farmerPin", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], FarmersTableType.prototype, "farmerName", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], FarmersTableType.prototype, "gender", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], FarmersTableType.prototype, "caste", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], FarmersTableType.prototype, "gramPanchayat", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], FarmersTableType.prototype, "circleOffice", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], FarmersTableType.prototype, "wardNo", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], FarmersTableType.prototype, "name", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], FarmersTableType.prototype, "villageDispensary", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], FarmersTableType.prototype, "farmerFatherName", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], FarmersTableType.prototype, "farmerPhone", void 0);
__decorate([
    (0, graphql_1.Field)(() => user_collection_type_1.UserCollectionType, { nullable: true }),
    __metadata("design:type", user_collection_type_1.UserCollectionType)
], FarmersTableType.prototype, "UserTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => farmers_table_data_man_type_1.FarmersTableDataManType, { nullable: true }),
    __metadata("design:type", farmers_table_data_man_type_1.FarmersTableDataManType)
], FarmersTableType.prototype, "OtherData", void 0);
__decorate([
    (0, graphql_1.Field)(() => Date, { nullable: true }),
    __metadata("design:type", Date)
], FarmersTableType.prototype, "createdAt", void 0);
FarmersTableType = __decorate([
    (0, graphql_1.ObjectType)("FarmersTableType")
], FarmersTableType);
exports.FarmersTableType = FarmersTableType;
