import { FblpTable } from 'src/fblp-table/entities/fblp-table.entity';
import { IncomeSourceTable } from 'src/income-source-table/entities/income-source-table.entity';
import { LivelihoodSourceTable } from 'src/livelihood-source-table/entities/livelihood-source-table.entity';
export declare class FblpSubTable {
    fblpSubId: number;
    FblpTable: FblpTable;
    description: string;
    estimatedExpenditure: string;
    ownInvestment: string;
    projectContribution: string;
    loanRequired: string;
    farmEquipmentAvailable: string;
    insuranceSupportNeeded: string;
    shedSupportNeeded: string;
    pondConstructionNeeded: string;
    pondRenevationNeeded: string;
    breedingUnitNeeded: string;
    areaOfLand: string;
    areaOfLandUnit: string;
    conversionToBigha: string;
    IncomeSourceTable: IncomeSourceTable;
    LivelihoodSourceTable: LivelihoodSourceTable;
    createdAt: Date;
    updatedAt: Date;
}
