import { FblpTableType } from 'src/fblp-table/types/fblp-table.type';
import { IncomeSourceTableType } from 'src/income-source-table/types/income-source-table.type';
import { LivelihoodSourceTableType } from 'src/livelihood-source-table/types/livelihood-source-table.type';
export declare class FblpSubTableType {
    fblpSubId: number;
    FblpTable: FblpTableType;
    description: string;
    estimatedExpenditure: string;
    ownInvestment: string;
    projectContribution: string;
    loanRequired: string;
    farmEquipmentAvailable: string;
    insuranceSupportNeeded: string;
    shedSupportNeeded: string;
    pondConstructionNeeded: string;
    breedingUnitNeeded: string;
    pondRenevationNeeded: string;
    areaOfLand: string;
    areaOfLandUnit: string;
    conversionToBigha: string;
    IncomeSourceTable: IncomeSourceTableType;
    LivelihoodSourceTable: LivelihoodSourceTableType;
}
