"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FblpTableType = void 0;
const graphql_1 = require("@nestjs/graphql");
const fblp_sub_table_type_1 = require("../../fblp-sub-table/types/fblp-sub-table.type");
const mk_table_type_1 = require("../../mk-table/types/mk-table.type");
const user_collection_type_1 = require("../../user-collection/type/user-collection.type");
let FblpTableType = exports.FblpTableType = class FblpTableType {
};
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], FblpTableType.prototype, "fblpId", void 0);
__decorate([
    (0, graphql_1.Field)(() => mk_table_type_1.MkTableType),
    __metadata("design:type", mk_table_type_1.MkTableType)
], FblpTableType.prototype, "MkTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], FblpTableType.prototype, "year", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], FblpTableType.prototype, "editableTill", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], FblpTableType.prototype, "performAfter", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], FblpTableType.prototype, "entryDate", void 0);
__decorate([
    (0, graphql_1.Field)(() => user_collection_type_1.UserCollectionType, { nullable: true }),
    __metadata("design:type", user_collection_type_1.UserCollectionType)
], FblpTableType.prototype, "UserTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => [fblp_sub_table_type_1.FblpSubTableType], { nullable: true }),
    __metadata("design:type", Array)
], FblpTableType.prototype, "FblpSubTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => Date, { nullable: true }),
    __metadata("design:type", Date)
], FblpTableType.prototype, "createdAt", void 0);
exports.FblpTableType = FblpTableType = __decorate([
    (0, graphql_1.ObjectType)("FblpTableType")
], FblpTableType);
