"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShgTableType = void 0;
const graphql_1 = require("@nestjs/graphql");
const village_table_type_1 = require("../../village-table/types/village-table.type");
const vo_table_type_1 = require("../../vo-table/types/vo-table.type");
let ShgTableType = exports.ShgTableType = class ShgTableType {
};
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], ShgTableType.prototype, "shgId", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], ShgTableType.prototype, "shgName", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], ShgTableType.prototype, "noOfMembers", void 0);
__decorate([
    (0, graphql_1.Field)(() => village_table_type_1.VillageTableType),
    __metadata("design:type", village_table_type_1.VillageTableType)
], ShgTableType.prototype, "VillageTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => vo_table_type_1.VoTableType, { nullable: true }),
    __metadata("design:type", vo_table_type_1.VoTableType)
], ShgTableType.prototype, "VoTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], ShgTableType.prototype, "dateOfFormation", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], ShgTableType.prototype, "nrlmRegistration", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], ShgTableType.prototype, "bankAccountNo", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], ShgTableType.prototype, "bankName", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], ShgTableType.prototype, "bankBranch", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], ShgTableType.prototype, "bankIfsc", void 0);
exports.ShgTableType = ShgTableType = __decorate([
    (0, graphql_1.ObjectType)("ShgTableType")
], ShgTableType);
