"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GrampanchayatTableModule = void 0;
const common_1 = require("@nestjs/common");
const grampanchayat_table_service_1 = require("./grampanchayat-table.service");
const grampanchayat_table_resolver_1 = require("./grampanchayat-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const grampanchayat_table_entity_1 = require("./entities/grampanchayat-table.entity");
const block_table_module_1 = require("../block-table/block-table.module");
let GrampanchayatTableModule = exports.GrampanchayatTableModule = class GrampanchayatTableModule {
};
exports.GrampanchayatTableModule = GrampanchayatTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([grampanchayat_table_entity_1.GrampanchayatTable]), block_table_module_1.BlockTableModule],
        providers: [grampanchayat_table_resolver_1.GrampanchayatTableResolver, grampanchayat_table_service_1.GrampanchayatTableService],
        exports: [grampanchayat_table_service_1.GrampanchayatTableService]
    })
], GrampanchayatTableModule);
