"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HousingTableModule = void 0;
const common_1 = require("@nestjs/common");
const housing_table_service_1 = require("./housing-table.service");
const housing_table_resolver_1 = require("./housing-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const housing_table_entity_1 = require("./entities/housing-table.entity");
const user_collection_module_1 = require("../user-collection/user-collection.module");
const farmers_table_module_1 = require("../farmers-table/farmers-table.module");
const data_entry_table_module_1 = require("../data-entry-table/data-entry-table.module");
let HousingTableModule = class HousingTableModule {
};
HousingTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([housing_table_entity_1.HousingTable]), (0, common_1.forwardRef)(() => user_collection_module_1.UserCollectionModule), (0, common_1.forwardRef)(() => farmers_table_module_1.FarmersTableModule), data_entry_table_module_1.DataEntryTableModule],
        providers: [housing_table_resolver_1.HousingTableResolver, housing_table_service_1.HousingTableService],
        exports: [housing_table_service_1.HousingTableService]
    })
], HousingTableModule);
exports.HousingTableModule = HousingTableModule;
