"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IngredientTable = void 0;
const ration_sub_table_entity_1 = require("../../ration-sub-table/entity/ration-sub-table.entity");
const typeorm_1 = require("typeorm");
let IngredientTable = class IngredientTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], IngredientTable.prototype, "ingredientId", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], IngredientTable.prototype, "ingredientName", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], IngredientTable.prototype, "ingredientUnit", void 0);
__decorate([
    (0, typeorm_1.OneToOne)(type => ration_sub_table_entity_1.RationSubTable, et => et.IngredientTable, { nullable: true }),
    __metadata("design:type", Array)
], IngredientTable.prototype, "RationSubTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], IngredientTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], IngredientTable.prototype, "updatedAt", void 0);
IngredientTable = __decorate([
    (0, typeorm_1.Entity)()
], IngredientTable);
exports.IngredientTable = IngredientTable;
