import { InterventionAdoptionIpdmTable } from './entities/intervention-adoption-ipdm-table.entity';
import { Repository } from 'typeorm';
import { LsIpdmMasterTableService } from 'src/ls-ipdm-master-table/ls-ipdm-master-table.service';
import { InterventionAdoptionTable } from 'src/intervention-adoption-table/entities/intervention-adoption-table.entity';
export declare class InterventionAdoptionIpdmTableService {
    private readonly interventionAdoptionIpdmTableRepository;
    private readonly lsIpdmMasterTableService;
    constructor(interventionAdoptionIpdmTableRepository: Repository<InterventionAdoptionIpdmTable>, lsIpdmMasterTableService: LsIpdmMasterTableService);
    createBulk(ids: number[], InterventionAdoptionTable: InterventionAdoptionTable): Promise<any>;
    create(id: number, InterventionAdoptionTable: InterventionAdoptionTable): Promise<{
        status: boolean;
        status_text: string;
        data: InterventionAdoptionIpdmTable;
    }>;
    checkIfExists(id: number, interventionAdoptionId: number): Promise<boolean>;
    getBySurveyId(interventionAdoptionId: number): Promise<InterventionAdoptionIpdmTable[]>;
    removeById(interventionAdoptionId: number): Promise<{
        status: boolean;
        status_text: string;
        data: any;
    }>;
}
