import { InterventionAdoptionOrganicTable } from './entities/intervention-adoption-organic-table.entity';
import { Repository } from 'typeorm';
import { OrganicMethodMasterService } from 'src/organic-method-master/organic-method-master.service';
import { InterventionAdoptionTable } from 'src/intervention-adoption-table/entities/intervention-adoption-table.entity';
export declare class InterventionAdoptionOrganicTableService {
    private readonly interventionAdoptionOrganicTableRepository;
    private readonly organicMethodMasterService;
    constructor(interventionAdoptionOrganicTableRepository: Repository<InterventionAdoptionOrganicTable>, organicMethodMasterService: OrganicMethodMasterService);
    createBulk(ids: number[], InterventionAdoptionTable: InterventionAdoptionTable): Promise<any>;
    create(id: number, InterventionAdoptionTable: InterventionAdoptionTable): Promise<{
        status: boolean;
        status_text: string;
        data: InterventionAdoptionOrganicTable;
    }>;
    checkIfExists(id: number, interventionAdoptionId: number): Promise<boolean>;
    getBySurveyId(interventionAdoptionId: number): Promise<InterventionAdoptionOrganicTable[]>;
    removeById(interventionAdoptionId: number): Promise<{
        status: boolean;
        status_text: string;
        data: any;
    }>;
}
