import { InterventionAdoptionSubTypeTable } from './entities/intervention-adoption-sub-type-table.entity';
import { Repository } from 'typeorm';
import { LsTypeTableService } from 'src/ls-type-table/ls-type-table.service';
import { InterventionAdoptionTable } from 'src/intervention-adoption-table/entities/intervention-adoption-table.entity';
export declare class InterventionAdoptionSubTypeTableService {
    private readonly interventionAdoptionSubTypeTableRepository;
    private readonly lsTypeTableService;
    constructor(interventionAdoptionSubTypeTableRepository: Repository<InterventionAdoptionSubTypeTable>, lsTypeTableService: LsTypeTableService);
    createBulk(ids: number[], InterventionAdoptionTable: InterventionAdoptionTable): Promise<any>;
    create(id: number, InterventionAdoptionTable: InterventionAdoptionTable): Promise<{
        status: boolean;
        status_text: string;
        data: InterventionAdoptionSubTypeTable;
    }>;
    checkIfExists(id: number, interventionAdoptionId: number): Promise<boolean>;
    getBySurveyId(interventionAdoptionId: number): Promise<InterventionAdoptionSubTypeTable[]>;
    removeById(interventionAdoptionId: number): Promise<{
        status: boolean;
        status_text: string;
        data: any;
    }>;
}
