export declare class CreateSourceOfLeverageData {
    schemeType: string;
    amountLeveraged: string;
}
export declare class CreateInterventionAdoptionTableInputMain {
    interventionId: number;
    mkId: number;
    lsId: number;
    data: CreateInterventionAdoptionTableInput[];
}
export declare class CreateInterventionAdoptionTableInput {
    season: string;
    incomeSourceId: number;
    lsId: number;
    areaOfLand: string;
    lsType: number[];
    lsTypeSecondary: number[];
    lsPop: number[];
    lsIpdm: number[];
    lsOrganicMethod: number[];
    irrigationAdopted: number[];
    lsFeed: number[];
    vaccinationType: number[];
    areaOfLandUnit: string;
    herdSize: string;
    irrigationReceived: string;
    flockSize: string;
    shedConstructed: string;
    sourceOfLeverage: string;
    sourceOfLeverages: string[];
    sourceOfLeverageData: CreateSourceOfLeverageData[];
    schemeAvailed: string;
    amountLeveraged: string;
    vaccinationDone: string;
    pondSize: string;
    fingerlings: string;
    newPondConstructed: string;
    breedingUnitConstructed: string;
    noOfVerminBed: string;
}
