"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InterventionAdoptionTableModule = void 0;
const common_1 = require("@nestjs/common");
const intervention_adoption_table_service_1 = require("./intervention-adoption-table.service");
const intervention_adoption_table_resolver_1 = require("./intervention-adoption-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const intervention_adoption_table_entity_1 = require("./entities/intervention-adoption-table.entity");
const user_collection_module_1 = require("../user-collection/user-collection.module");
const intervention_table_module_1 = require("../intervention-table/intervention-table.module");
const intervention_adoption_type_table_module_1 = require("../intervention-adoption-type-table/intervention-adoption-type-table.module");
const intervention_adoption_sub_type_table_module_1 = require("../intervention-adoption-sub-type-table/intervention-adoption-sub-type-table.module");
const intervention_adoption_pop_table_module_1 = require("../intervention-adoption-pop-table/intervention-adoption-pop-table.module");
const intervention_adoption_ipdm_table_module_1 = require("../intervention-adoption-ipdm-table/intervention-adoption-ipdm-table.module");
const intervention_adoption_organic_table_module_1 = require("../intervention-adoption-organic-table/intervention-adoption-organic-table.module");
const intervention_adoption_irrigation_table_module_1 = require("../intervention-adoption-irrigation-table/intervention-adoption-irrigation-table.module");
const intervention_adoption_feed_table_module_1 = require("../intervention-adoption-feed-table/intervention-adoption-feed-table.module");
const intervention_adoption_vaccination_table_module_1 = require("../intervention-adoption-vaccination-table/intervention-adoption-vaccination-table.module");
const livelihood_source_table_module_1 = require("../livelihood-source-table/livelihood-source-table.module");
const income_source_table_module_1 = require("../income-source-table/income-source-table.module");
const vaccination_master_table_module_1 = require("../vaccination-master-table/vaccination-master-table.module");
const ls_ipdm_master_table_module_1 = require("../ls-ipdm-master-table/ls-ipdm-master-table.module");
const organic_method_master_module_1 = require("../organic-method-master/organic-method-master.module");
let InterventionAdoptionTableModule = exports.InterventionAdoptionTableModule = class InterventionAdoptionTableModule {
};
exports.InterventionAdoptionTableModule = InterventionAdoptionTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([intervention_adoption_table_entity_1.InterventionAdoptionTable]), user_collection_module_1.UserCollectionModule, (0, common_1.forwardRef)(() => intervention_table_module_1.InterventionTableModule), (0, common_1.forwardRef)(() => intervention_adoption_type_table_module_1.InterventionAdoptionTypeTableModule), (0, common_1.forwardRef)(() => intervention_adoption_sub_type_table_module_1.InterventionAdoptionSubTypeTableModule), (0, common_1.forwardRef)(() => intervention_adoption_pop_table_module_1.InterventionAdoptionPopTableModule), (0, common_1.forwardRef)(() => intervention_adoption_ipdm_table_module_1.InterventionAdoptionIpdmTableModule), (0, common_1.forwardRef)(() => intervention_adoption_organic_table_module_1.InterventionAdoptionOrganicTableModule), (0, common_1.forwardRef)(() => intervention_adoption_irrigation_table_module_1.InterventionAdoptionIrrigationTableModule), (0, common_1.forwardRef)(() => intervention_adoption_feed_table_module_1.InterventionAdoptionFeedTableModule), (0, common_1.forwardRef)(() => intervention_adoption_vaccination_table_module_1.InterventionAdoptionVaccinationTableModule), (0, common_1.forwardRef)(() => livelihood_source_table_module_1.LivelihoodSourceTableModule), (0, common_1.forwardRef)(() => income_source_table_module_1.IncomeSourceTableModule), (0, common_1.forwardRef)(() => vaccination_master_table_module_1.VaccinationMasterTableModule), (0, common_1.forwardRef)(() => ls_ipdm_master_table_module_1.LsIpdmMasterTableModule), (0, common_1.forwardRef)(() => organic_method_master_module_1.OrganicMethodMasterModule)],
        providers: [intervention_adoption_table_resolver_1.InterventionAdoptionTableResolver, intervention_adoption_table_service_1.InterventionAdoptionTableService],
        exports: [intervention_adoption_table_service_1.InterventionAdoptionTableService]
    })
], InterventionAdoptionTableModule);
