import { IncomeSourceTableType } from 'src/income-source-table/types/income-source-table.type';
import { InterventionAdoptionFeedTableType } from 'src/intervention-adoption-feed-table/types/intervention-adoption-feed-table.type';
import { InterventionAdoptionIpdmTableType } from 'src/intervention-adoption-ipdm-table/types/intervention-adoption-ipdm-table.type';
import { InterventionAdoptionIrrigationTableType } from 'src/intervention-adoption-irrigation-table/types/intervention-adoption-irrigation-table.type';
import { InterventionAdoptionOrganicTableType } from 'src/intervention-adoption-organic-table/types/intervention-adoption-organic-table.type';
import { InterventionAdoptionPopTableType } from 'src/intervention-adoption-pop-table/types/intervention-adoption-pop-table.type';
import { InterventionAdoptionSubTypeTableType } from 'src/intervention-adoption-sub-type-table/types/intervention-adoption-sub-table.type';
import { InterventionAdoptionTypeTableType } from 'src/intervention-adoption-type-table/types/intervention-adoption-type-table.type';
import { InterventionAdoptionVaccinationTableType } from 'src/intervention-adoption-vaccination-table/types/intervention-adoption-vaccination-table.type';
import { LivelihoodSourceTableType } from 'src/livelihood-source-table/types/livelihood-source-table.type';
import { UserCollectionType } from 'src/user-collection/type/user-collection.type';
export declare class SourceOfLeverageDataType {
    schemeType: string;
    amountLeveraged: string;
}
export declare class InterventionAdoptionTableType {
    season: string;
    IncomeSourceTable: IncomeSourceTableType;
    LivelihoodSourceTable: LivelihoodSourceTableType;
    UserCollection: UserCollectionType;
    areaOfLand: string;
    areaOfLandUnit: string;
    herdSize: string;
    irrigationReceived: string;
    flockSize: string;
    shedConstructed: string;
    amountLeveraged: string;
    vaccinationDone: string;
    pondSize: string;
    newPondConstructed: string;
    breedingUnitConstructed: string;
    sourceOfLeverage: string;
    sourceOfLeverages: string[];
    sourceOfLeverageData: SourceOfLeverageDataType[];
    schemeAvailed: string;
    noOfVerminBed: string;
    fingerlings: string;
    InterventionAdoptionTypeTable: InterventionAdoptionTypeTableType[];
    InterventionAdoptionSubTypeTable: InterventionAdoptionSubTypeTableType[];
    InterventionAdoptionIpdmTable: InterventionAdoptionIpdmTableType[];
    InterventionAdoptionOrganicTable: InterventionAdoptionOrganicTableType[];
    InterventionAdoptionPopTable: InterventionAdoptionPopTableType[];
    InterventionAdoptionIrrigationTable: InterventionAdoptionIrrigationTableType[];
    InterventionAdoptionFeedTable: InterventionAdoptionFeedTableType[];
    InterventionAdoptionVaccinationTable: InterventionAdoptionVaccinationTableType[];
    updatedAt: Date;
}
