"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InterventionAdoptionTypeTable = void 0;
const intervention_adoption_table_entity_1 = require("../../intervention-adoption-table/entities/intervention-adoption-table.entity");
const ls_type_table_entity_1 = require("../../ls-type-table/entities/ls-type-table.entity");
const typeorm_1 = require("typeorm");
let InterventionAdoptionTypeTable = exports.InterventionAdoptionTypeTable = class InterventionAdoptionTypeTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], InterventionAdoptionTypeTable.prototype, "interventionAdoptionTypeId", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => intervention_adoption_table_entity_1.InterventionAdoptionTable, dt => dt.InterventionAdoptionTypeTable, { onDelete: "CASCADE" }),
    (0, typeorm_1.JoinColumn)({ name: "interventionAdoptionId" }),
    __metadata("design:type", intervention_adoption_table_entity_1.InterventionAdoptionTable)
], InterventionAdoptionTypeTable.prototype, "InterventionAdoptionTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => ls_type_table_entity_1.LsTypeTable, dt => dt.InterventionAdoptionTypeTable),
    (0, typeorm_1.JoinColumn)({ name: "lsTypeId" }),
    __metadata("design:type", ls_type_table_entity_1.LsTypeTable)
], InterventionAdoptionTypeTable.prototype, "LsTypeTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], InterventionAdoptionTypeTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], InterventionAdoptionTypeTable.prototype, "updatedAt", void 0);
exports.InterventionAdoptionTypeTable = InterventionAdoptionTypeTable = __decorate([
    (0, typeorm_1.Entity)()
], InterventionAdoptionTypeTable);
