"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InterventionProductionTable = void 0;
const intervention_production_sub_table_entity_1 = require("../../intervention-production-sub-table/entities/intervention-production-sub-table.entity");
const intervention_table_entity_1 = require("../../intervention-table/entities/intervention-table.entity");
const user_collection_entity_1 = require("../../user-collection/entities/user-collection.entity");
const typeorm_1 = require("typeorm");
let InterventionProductionTable = exports.InterventionProductionTable = class InterventionProductionTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], InterventionProductionTable.prototype, "interventionProductionId", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => intervention_table_entity_1.InterventionTable, dt => dt.InterventionProductionTable),
    (0, typeorm_1.JoinColumn)({ name: "interventionId" }),
    __metadata("design:type", intervention_table_entity_1.InterventionTable)
], InterventionProductionTable.prototype, "InterventionTable", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50, nullable: true }),
    __metadata("design:type", String)
], InterventionProductionTable.prototype, "entryDate", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => intervention_production_sub_table_entity_1.InterventionProductionSubTable, et => et.InterventionProductionTable),
    __metadata("design:type", Array)
], InterventionProductionTable.prototype, "InterventionProductionSubTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => user_collection_entity_1.UserTable, dt => dt.InterventionProductionTable),
    (0, typeorm_1.JoinColumn)({ name: "userId" }),
    __metadata("design:type", user_collection_entity_1.UserTable)
], InterventionProductionTable.prototype, "UserTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], InterventionProductionTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], InterventionProductionTable.prototype, "updatedAt", void 0);
exports.InterventionProductionTable = InterventionProductionTable = __decorate([
    (0, typeorm_1.Entity)()
], InterventionProductionTable);
