"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InterventionProductionTableModule = void 0;
const common_1 = require("@nestjs/common");
const intervention_production_table_service_1 = require("./intervention-production-table.service");
const intervention_production_table_resolver_1 = require("./intervention-production-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const intervention_production_table_entity_1 = require("./entities/intervention-production-table.entity");
const user_collection_module_1 = require("../user-collection/user-collection.module");
const intervention_table_module_1 = require("../intervention-table/intervention-table.module");
const intervention_production_sub_table_module_1 = require("../intervention-production-sub-table/intervention-production-sub-table.module");
let InterventionProductionTableModule = exports.InterventionProductionTableModule = class InterventionProductionTableModule {
};
exports.InterventionProductionTableModule = InterventionProductionTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([intervention_production_table_entity_1.InterventionProductionTable]), (0, common_1.forwardRef)(() => user_collection_module_1.UserCollectionModule), (0, common_1.forwardRef)(() => intervention_table_module_1.InterventionTableModule), (0, common_1.forwardRef)(() => intervention_production_sub_table_module_1.InterventionProductionSubTableModule)],
        providers: [intervention_production_table_resolver_1.InterventionProductionTableResolver, intervention_production_table_service_1.InterventionProductionTableService],
        exports: [intervention_production_table_service_1.InterventionProductionTableService]
    })
], InterventionProductionTableModule);
