import { InterventionProductionTableService } from './intervention-production-table.service';
import { InterventionProductionTable } from './entities/intervention-production-table.entity';
import { CreateInterventionProductionTableInput } from './dto/create-intervention-production-table.input';
import { UpdateInterventionProductionTableInput } from './dto/update-intervention-production-table.input';
export declare class InterventionProductionTableResolver {
    private readonly interventionProductionTableService;
    constructor(interventionProductionTableService: InterventionProductionTableService);
    createInterventionProductionTable(createInterventionProductionTableInput: CreateInterventionProductionTableInput, user: any): Promise<{
        status: boolean;
        status_text: string;
    }>;
    findAllInterventionProduction(): string;
    findOneInterventionProductionByInterventionId(interventionId: number): Promise<InterventionProductionTable[]>;
    updateInterventionProductionTable(updateInterventionProductionTableInput: UpdateInterventionProductionTableInput, user: any): Promise<{
        status: boolean;
        status_text: string;
    }>;
    removeInterventionProductionTable(interventionProductionId: number): string;
}
