import { InterventionAdoptionTable } from 'src/intervention-adoption-table/entities/intervention-adoption-table.entity';
import { InterventionProductionTable } from 'src/intervention-production-table/entities/intervention-production-table.entity';
import { InterventionTrainingTable } from 'src/intervention-training-table/entities/intervention-training-table.entity';
import { MkTable } from 'src/mk-table/entities/mk-table.entity';
import { SessionmasterTable } from 'src/sessionmaster-table/entities/sessionmaster-table.entity';
import { UserTable } from 'src/user-collection/entities/user-collection.entity';
export declare class InterventionTable {
    interventionId: number;
    MkTable: MkTable;
    year: number;
    entryDate: string;
    trainingSubmitted: string;
    trainingSubmittedTime: string;
    adoptionSubmitted: string;
    adoptionSubmittedTime: string;
    productionSubmitted: string;
    productionSubmittedTime: string;
    SessionmasterTable: SessionmasterTable;
    InterventionTrainingTable: InterventionTrainingTable[];
    InterventionProductionTable: InterventionProductionTable[];
    InterventionAdoptionTable: InterventionAdoptionTable[];
    UserTable: UserTable;
    createdAt: Date;
    updatedAt: Date;
}
