"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InterventionTableModule = void 0;
const common_1 = require("@nestjs/common");
const intervention_table_service_1 = require("./intervention-table.service");
const intervention_table_resolver_1 = require("./intervention-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const intervention_table_entity_1 = require("./entities/intervention-table.entity");
const user_collection_module_1 = require("../user-collection/user-collection.module");
const mk_table_module_1 = require("../mk-table/mk-table.module");
const intervention_training_table_module_1 = require("../intervention-training-table/intervention-training-table.module");
const sessionmaster_table_module_1 = require("../sessionmaster-table/sessionmaster-table.module");
const pop_table_module_1 = require("../pop-table/pop-table.module");
let InterventionTableModule = exports.InterventionTableModule = class InterventionTableModule {
};
exports.InterventionTableModule = InterventionTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([intervention_table_entity_1.InterventionTable]), user_collection_module_1.UserCollectionModule, (0, common_1.forwardRef)(() => mk_table_module_1.MkTableModule), (0, common_1.forwardRef)(() => intervention_training_table_module_1.InterventionTrainingTableModule), (0, common_1.forwardRef)(() => sessionmaster_table_module_1.SessionmasterTableModule), (0, common_1.forwardRef)(() => pop_table_module_1.PopTableModule)],
        providers: [intervention_table_resolver_1.InterventionTableResolver, intervention_table_service_1.InterventionTableService],
        exports: [intervention_table_service_1.InterventionTableService]
    })
], InterventionTableModule);
