"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InterventionTableType = void 0;
const graphql_1 = require("@nestjs/graphql");
const intervention_adoption_table_type_1 = require("../../intervention-adoption-table/types/intervention-adoption-table.type");
const intervention_training_table_type_1 = require("../../intervention-training-table/types/intervention-training-table.type");
const mk_table_type_1 = require("../../mk-table/types/mk-table.type");
const user_collection_type_1 = require("../../user-collection/type/user-collection.type");
let InterventionTableType = exports.InterventionTableType = class InterventionTableType {
};
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], InterventionTableType.prototype, "interventionId", void 0);
__decorate([
    (0, graphql_1.Field)(() => mk_table_type_1.MkTableType),
    __metadata("design:type", mk_table_type_1.MkTableType)
], InterventionTableType.prototype, "MkTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], InterventionTableType.prototype, "year", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], InterventionTableType.prototype, "trainingSubmitted", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], InterventionTableType.prototype, "trainingSubmittedTime", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], InterventionTableType.prototype, "adoptionSubmitted", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], InterventionTableType.prototype, "adoptionSubmittedTime", void 0);
__decorate([
    (0, graphql_1.Field)(() => user_collection_type_1.UserCollectionType, { nullable: true }),
    __metadata("design:type", user_collection_type_1.UserCollectionType)
], InterventionTableType.prototype, "UserTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => [intervention_training_table_type_1.InterventionTrainingTableType], { nullable: true }),
    __metadata("design:type", Array)
], InterventionTableType.prototype, "InterventionTrainingTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => [intervention_adoption_table_type_1.InterventionAdoptionTableType], { nullable: true }),
    __metadata("design:type", Array)
], InterventionTableType.prototype, "InterventionAdoptionTable", void 0);
exports.InterventionTableType = InterventionTableType = __decorate([
    (0, graphql_1.ObjectType)("InterventionTableType")
], InterventionTableType);
