import { ClientCollectionType } from 'src/client-collection/types/client-collection.type';
import { CurrentStockCollectionType } from 'src/current-stock-collection/types/current-stock-collection.type';
export declare class InvoiceData {
    CurrentStockData?: CurrentStockCollectionType;
    barcode: string;
    productName: string;
    size: string;
    currentStock: number;
    rate: number;
    qty: number;
    subTotal: number;
    taxRate: number;
    taxAmount: number;
    total: number;
}
export declare class InvoiceCollectionType {
    id?: string;
    clientId?: string;
    invoiceNo: string;
    entryDate: string;
    grandTotal: number;
    billTotal: number;
    grandTax: number;
    amountPaid: number;
    paymentMode: string;
    chequeNo: string;
    paymentTerms?: string;
    deliveryDate: string;
    createdBy: string;
    createdAt?: Date;
    invoiceData?: InvoiceData[];
    Client: ClientCollectionType;
}
