"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LedgerEntryTableType = void 0;
const graphql_1 = require("@nestjs/graphql");
const breed_table_type_1 = require("../../breed-table/types/breed-table.type");
const housing_table_type_1 = require("../../housing-table/types/housing-table.type");
const user_collection_type_1 = require("../../user-collection/type/user-collection.type");
let LedgerEntryTableType = class LedgerEntryTableType {
};
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], LedgerEntryTableType.prototype, "ledgerId", void 0);
__decorate([
    (0, graphql_1.Field)(() => housing_table_type_1.HousingTableType),
    __metadata("design:type", housing_table_type_1.HousingTableType)
], LedgerEntryTableType.prototype, "HousingTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], LedgerEntryTableType.prototype, "dateOfEntry", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], LedgerEntryTableType.prototype, "entryType", void 0);
__decorate([
    (0, graphql_1.Field)(() => breed_table_type_1.BreedTableType),
    __metadata("design:type", breed_table_type_1.BreedTableType)
], LedgerEntryTableType.prototype, "BreedTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], LedgerEntryTableType.prototype, "ageGroup", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], LedgerEntryTableType.prototype, "qtyMale", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], LedgerEntryTableType.prototype, "qtyFemale", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], LedgerEntryTableType.prototype, "qtyTotal", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], LedgerEntryTableType.prototype, "avgWeight", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], LedgerEntryTableType.prototype, "referenceId", void 0);
__decorate([
    (0, graphql_1.Field)(() => user_collection_type_1.UserCollectionType),
    __metadata("design:type", user_collection_type_1.UserCollectionType)
], LedgerEntryTableType.prototype, "UserTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => Date, { nullable: true }),
    __metadata("design:type", Date)
], LedgerEntryTableType.prototype, "createdAt", void 0);
LedgerEntryTableType = __decorate([
    (0, graphql_1.ObjectType)("LedgerEntryTableType")
], LedgerEntryTableType);
exports.LedgerEntryTableType = LedgerEntryTableType;
