"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LivelihoodSourceTable = void 0;
const fblp_sub_table_entity_1 = require("../../fblp-sub-table/entities/fblp-sub-table.entity");
const intervention_adoption_table_entity_1 = require("../../intervention-adoption-table/entities/intervention-adoption-table.entity");
const intervention_production_sub_table_entity_1 = require("../../intervention-production-sub-table/entities/intervention-production-sub-table.entity");
const ls_feed_master_table_entity_1 = require("../../ls-feed-master-table/entities/ls-feed-master-table.entity");
const ls_type_table_entity_1 = require("../../ls-type-table/entities/ls-type-table.entity");
const typeorm_1 = require("typeorm");
let LivelihoodSourceTable = exports.LivelihoodSourceTable = class LivelihoodSourceTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], LivelihoodSourceTable.prototype, "lsId", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], LivelihoodSourceTable.prototype, "lsName", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], LivelihoodSourceTable.prototype, "lsCode", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], LivelihoodSourceTable.prototype, "incomeActivityCode", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], LivelihoodSourceTable.prototype, "requiredDetails", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50, default: "NO" }),
    __metadata("design:type", String)
], LivelihoodSourceTable.prototype, "hasType", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50, default: "NO" }),
    __metadata("design:type", String)
], LivelihoodSourceTable.prototype, "hasIpdm", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50, default: "NO" }),
    __metadata("design:type", String)
], LivelihoodSourceTable.prototype, "needFeed", void 0);
__decorate([
    (0, typeorm_1.Column)({ default: null, nullable: true, type: "text" }),
    __metadata("design:type", String)
], LivelihoodSourceTable.prototype, "season", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50, default: "NO" }),
    __metadata("design:type", String)
], LivelihoodSourceTable.prototype, "needInIntervention", void 0);
__decorate([
    (0, typeorm_1.Column)({ default: 0 }),
    __metadata("design:type", Number)
], LivelihoodSourceTable.prototype, "group", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => ls_type_table_entity_1.LsTypeTable, et => et.LivelihoodSourceTable),
    __metadata("design:type", Array)
], LivelihoodSourceTable.prototype, "LsTypeTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => ls_feed_master_table_entity_1.LsFeedMasterTable, et => et.LivelihoodSourceTable),
    __metadata("design:type", Array)
], LivelihoodSourceTable.prototype, "LsFeedMasterTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => fblp_sub_table_entity_1.FblpSubTable, et => et.LivelihoodSourceTable),
    __metadata("design:type", Array)
], LivelihoodSourceTable.prototype, "FblpSubTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => intervention_adoption_table_entity_1.InterventionAdoptionTable, et => et.LivelihoodSourceTable),
    __metadata("design:type", Array)
], LivelihoodSourceTable.prototype, "InterventionAdoptionTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => intervention_production_sub_table_entity_1.InterventionProductionSubTable, et => et.LivelihoodSourceTable),
    __metadata("design:type", Array)
], LivelihoodSourceTable.prototype, "InterventionProductionSubTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], LivelihoodSourceTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], LivelihoodSourceTable.prototype, "updatedAt", void 0);
exports.LivelihoodSourceTable = LivelihoodSourceTable = __decorate([
    (0, typeorm_1.Entity)()
], LivelihoodSourceTable);
