"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LsIpdmMasterTableModule = void 0;
const common_1 = require("@nestjs/common");
const ls_ipdm_master_table_service_1 = require("./ls-ipdm-master-table.service");
const ls_ipdm_master_table_resolver_1 = require("./ls-ipdm-master-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const ls_ipdm_master_table_entity_1 = require("./entities/ls-ipdm-master-table.entity");
const livelihood_source_table_module_1 = require("../livelihood-source-table/livelihood-source-table.module");
let LsIpdmMasterTableModule = exports.LsIpdmMasterTableModule = class LsIpdmMasterTableModule {
};
exports.LsIpdmMasterTableModule = LsIpdmMasterTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([ls_ipdm_master_table_entity_1.LsIpdmMasterTable]), livelihood_source_table_module_1.LivelihoodSourceTableModule],
        providers: [ls_ipdm_master_table_resolver_1.LsIpdmMasterTableResolver, ls_ipdm_master_table_service_1.LsIpdmMasterTableService],
        exports: [ls_ipdm_master_table_service_1.LsIpdmMasterTableService]
    })
], LsIpdmMasterTableModule);
