"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LsTypeTable = void 0;
const intervention_adoption_sub_type_table_entity_1 = require("../../intervention-adoption-sub-type-table/entities/intervention-adoption-sub-type-table.entity");
const intervention_adoption_type_table_entity_1 = require("../../intervention-adoption-type-table/entities/intervention-adoption-type-table.entity");
const livelihood_source_table_entity_1 = require("../../livelihood-source-table/entities/livelihood-source-table.entity");
const typeorm_1 = require("typeorm");
let LsTypeTable = exports.LsTypeTable = class LsTypeTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], LsTypeTable.prototype, "lsTypeId", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], LsTypeTable.prototype, "typeName", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50, default: "YES" }),
    __metadata("design:type", String)
], LsTypeTable.prototype, "isPrimary", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => livelihood_source_table_entity_1.LivelihoodSourceTable, dt => dt.LsTypeTable),
    (0, typeorm_1.JoinColumn)({ name: "lsId" }),
    __metadata("design:type", livelihood_source_table_entity_1.LivelihoodSourceTable)
], LsTypeTable.prototype, "LivelihoodSourceTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => intervention_adoption_type_table_entity_1.InterventionAdoptionTypeTable, et => et.LsTypeTable),
    __metadata("design:type", Array)
], LsTypeTable.prototype, "InterventionAdoptionTypeTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => intervention_adoption_sub_type_table_entity_1.InterventionAdoptionSubTypeTable, et => et.LsTypeTable),
    __metadata("design:type", Array)
], LsTypeTable.prototype, "InterventionAdoptionSubTypeTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], LsTypeTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], LsTypeTable.prototype, "updatedAt", void 0);
exports.LsTypeTable = LsTypeTable = __decorate([
    (0, typeorm_1.Entity)()
], LsTypeTable);
