"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.down = exports.up = void 0;
const db_1 = require("../migrations-utils/db");
const up = async () => {
    const db = await (0, db_1.getDb)();
    const User = db.collection('usercollections');
    User
        .find({ designation: { $exists: false } })
        .forEach(result => {
        if (result.name) {
            result.designation = "";
        }
        return User.save(result);
    });
};
exports.up = up;
const down = async () => {
    const db = await (0, db_1.getDb)();
};
exports.down = down;
