"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.down = exports.up = void 0;
const db_1 = require("../migrations-utils/db");
const up = async () => {
    const db = await (0, db_1.getDb)();
    return db.collection('usercollections').updateMany({}, { $set: { isOwner: false } }, false, true);
};
exports.up = up;
const down = async () => {
    const db = await (0, db_1.getDb)();
    return db.collection('usercollections').updateMany({}, { $unset: { isOwner: false } }, false, true);
};
exports.down = down;
