"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.down = exports.up = void 0;
const db_1 = require("../migrations-utils/db");
const up = async () => {
    const db = await (0, db_1.getDb)();
    return db.collection('clientcollections').updateMany({ discountPercentage: { $exists: false } }, { $set: { discountPercentage: "" } }, false, true);
};
exports.up = up;
const down = async () => {
    const db = await (0, db_1.getDb)();
    return db.collection('clientcollections').updateMany({ discountPercentage: { $exists: true } }, { $unset: { discountPercentage: "" } }, false, true);
};
exports.down = down;
