import { MkAssesmentTableService } from './mk-assesment-table.service';
import { MkAssesmentTable } from './entities/mk-assesment-table.entity';
import { CreateMkAssesmentTableInput } from './dto/create-mk-assesment-table.input';
import { UpdateMkAssesmentTableInput } from './dto/update-mk-assesment-table.input';
export declare class MkAssesmentTableResolver {
    private readonly mkAssesmentTableService;
    constructor(mkAssesmentTableService: MkAssesmentTableService);
    createMkAssesmentTable(createMkAssesmentTableInput: CreateMkAssesmentTableInput, user: any): Promise<{
        status: boolean;
        status_text: string;
        data: MkAssesmentTable;
    } | {
        status: boolean;
        status_text: string;
        data?: undefined;
    }>;
    findAllMkAssesment(): Promise<MkAssesmentTable[]>;
    findOneMkAssesment(mkAssesmentId: number): Promise<MkAssesmentTable>;
    findOneMkAssesmentByMkId(mkId: number): Promise<MkAssesmentTable>;
    getMkAssesmentByUser(limit: number, page: number, search: string, user: any): Promise<{
        data: any;
        total: any;
    }>;
    updateMkAssesmentTable(updateMkAssesmentTableInput: UpdateMkAssesmentTableInput, user: any): Promise<{
        status: boolean;
        status_text: string;
    }>;
    removeMkAssesmentTable(mkAssesmentId: number): Promise<{
        status: boolean;
        status_text: string;
    }>;
}
