"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MkEntitlementsTable = void 0;
const mk_table_entity_1 = require("../../mk-table/entities/mk-table.entity");
const scheme_master_sub_table_entity_1 = require("../../scheme-master-sub-table/entities/scheme-master-sub-table.entity");
const user_collection_entity_1 = require("../../user-collection/entities/user-collection.entity");
const typeorm_1 = require("typeorm");
let MkEntitlementsTable = exports.MkEntitlementsTable = class MkEntitlementsTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], MkEntitlementsTable.prototype, "mkEntitlementId", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => mk_table_entity_1.MkTable, dt => dt.MkEntitlementsTable),
    (0, typeorm_1.JoinColumn)({ name: "mkId" }),
    __metadata("design:type", mk_table_entity_1.MkTable)
], MkEntitlementsTable.prototype, "MkTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => scheme_master_sub_table_entity_1.SchemeMasterSubTable, dt => dt.MkEntitlementsTable),
    (0, typeorm_1.JoinColumn)({ name: "schemeMasterSubId" }),
    __metadata("design:type", scheme_master_sub_table_entity_1.SchemeMasterSubTable)
], MkEntitlementsTable.prototype, "SchemeMasterSubTable", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 100, nullable: true }),
    __metadata("design:type", String)
], MkEntitlementsTable.prototype, "entryDate", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50, nullable: true }),
    __metadata("design:type", String)
], MkEntitlementsTable.prototype, "applied", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50, nullable: true }),
    __metadata("design:type", String)
], MkEntitlementsTable.prototype, "availed", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50, nullable: true }),
    __metadata("design:type", String)
], MkEntitlementsTable.prototype, "appliedDate", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50, nullable: true }),
    __metadata("design:type", String)
], MkEntitlementsTable.prototype, "availedDate", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 100, nullable: true }),
    __metadata("design:type", String)
], MkEntitlementsTable.prototype, "amountLeveraged", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "text", nullable: true }),
    __metadata("design:type", String)
], MkEntitlementsTable.prototype, "sanctionCopyFile", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => user_collection_entity_1.UserTable, dt => dt.InterventionTable),
    (0, typeorm_1.JoinColumn)({ name: "userId" }),
    __metadata("design:type", user_collection_entity_1.UserTable)
], MkEntitlementsTable.prototype, "UserTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], MkEntitlementsTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], MkEntitlementsTable.prototype, "updatedAt", void 0);
exports.MkEntitlementsTable = MkEntitlementsTable = __decorate([
    (0, typeorm_1.Entity)()
], MkEntitlementsTable);
