import { MkEntitlementsTableService } from './mk-entitlements-table.service';
import { MkEntitlementsTable } from './entities/mk-entitlements-table.entity';
import { UpdateMkEntitlementsTableInput } from './dto/update-mk-entitlements-table.input';
import { CreateMkEntitlementsTableDataInput } from './dto/create-mk-entitlements-table-data.input';
export declare class MkEntitlementsTableResolver {
    private readonly mkEntitlementsTableService;
    constructor(mkEntitlementsTableService: MkEntitlementsTableService);
    createMkEntitlementsTable(createMkEntitlementsTableDataInput: CreateMkEntitlementsTableDataInput, user: any): Promise<{
        status: boolean;
        status_text: string;
    }>;
    findAllEntitlementsByMkId(mkId: number): Promise<MkEntitlementsTable[]>;
    findAllEntitlementsByMkIdNew(mkId: number, type: string): Promise<MkEntitlementsTable[]>;
    findOne(mkEntitlementId: number): string;
    updateMkEntitlementsTable(updateMkEntitlementsTableInput: UpdateMkEntitlementsTableInput): string;
    removeMkEntitlementsTable(mkEntitlementId: number): Promise<{
        status: boolean;
        status_text: string;
    }>;
}
