"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MkIncomeActivityTable = void 0;
const mk_table_entity_1 = require("../../mk-table/entities/mk-table.entity");
const sessionmaster_table_entity_1 = require("../../sessionmaster-table/entities/sessionmaster-table.entity");
const typeorm_1 = require("typeorm");
let MkIncomeActivityTable = exports.MkIncomeActivityTable = class MkIncomeActivityTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], MkIncomeActivityTable.prototype, "mkIncomeActivityId", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => mk_table_entity_1.MkTable, dt => dt.MkIncomeActivityTable, { onDelete: "CASCADE" }),
    (0, typeorm_1.JoinColumn)({ name: "mkId" }),
    __metadata("design:type", mk_table_entity_1.MkTable)
], MkIncomeActivityTable.prototype, "MkTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => sessionmaster_table_entity_1.SessionmasterTable, dt => dt.MkIncomeActivityTable, { nullable: true }),
    (0, typeorm_1.JoinColumn)({ name: "sessionId" }),
    __metadata("design:type", sessionmaster_table_entity_1.SessionmasterTable)
], MkIncomeActivityTable.prototype, "SessionmasterTable", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", String)
], MkIncomeActivityTable.prototype, "livelihoodActivityIncomeCode", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", String)
], MkIncomeActivityTable.prototype, "livelihoodActivityIncomeSub", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], MkIncomeActivityTable.prototype, "income", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", String)
], MkIncomeActivityTable.prototype, "herdSize", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", String)
], MkIncomeActivityTable.prototype, "flockSize", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", String)
], MkIncomeActivityTable.prototype, "landSize", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", String)
], MkIncomeActivityTable.prototype, "landUnit", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", String)
], MkIncomeActivityTable.prototype, "pondSize", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", String)
], MkIncomeActivityTable.prototype, "productionInKg", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", String)
], MkIncomeActivityTable.prototype, "conversionToBigha", void 0);
exports.MkIncomeActivityTable = MkIncomeActivityTable = __decorate([
    (0, typeorm_1.Entity)()
], MkIncomeActivityTable);
