"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateMkTableInput = void 0;
const graphql_1 = require("@nestjs/graphql");
const create_mk_irrigation_table_input_1 = require("../../mk-irrigation-table/dto/create-mk-irrigation-table.input");
const create_mk_type_of_tools_table_input_1 = require("../../mk-type-of-tools-table/dto/create-mk-type-of-tools-table.input");
const create_mk_type_of_land_table_input_1 = require("../../mk-type-of-land-table/dto/create-mk-type-of-land-table.input");
const create_mk_income_activity_table_input_1 = require("../../mk-income-activity-table/dto/create-mk-income-activity-table.input");
let CreateMkTableInput = exports.CreateMkTableInput = class CreateMkTableInput {
};
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int, { nullable: true }),
    __metadata("design:type", Number)
], CreateMkTableInput.prototype, "shgId", void 0);
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int, { nullable: true }),
    __metadata("design:type", Number)
], CreateMkTableInput.prototype, "voId", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], CreateMkTableInput.prototype, "mkName", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CreateMkTableInput.prototype, "mkAge", void 0);
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int, { nullable: true }),
    __metadata("design:type", Number)
], CreateMkTableInput.prototype, "vulnerabilityCategoryId", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CreateMkTableInput.prototype, "guardianType", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CreateMkTableInput.prototype, "fatherName", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CreateMkTableInput.prototype, "husbandName", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CreateMkTableInput.prototype, "contactNumber", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CreateMkTableInput.prototype, "socialCategory", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CreateMkTableInput.prototype, "religion", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CreateMkTableInput.prototype, "education", void 0);
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int, { nullable: true }),
    __metadata("design:type", Number)
], CreateMkTableInput.prototype, "familyMemberMale", void 0);
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int, { nullable: true }),
    __metadata("design:type", Number)
], CreateMkTableInput.prototype, "familyMemberFemale", void 0);
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int, { nullable: true }),
    __metadata("design:type", Number)
], CreateMkTableInput.prototype, "familyMemberChildren", void 0);
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int, { nullable: true }),
    __metadata("design:type", Number)
], CreateMkTableInput.prototype, "totalFamilyMember", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CreateMkTableInput.prototype, "isMemberOfPg", void 0);
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int, { nullable: true }),
    __metadata("design:type", Number)
], CreateMkTableInput.prototype, "producerGroupId", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CreateMkTableInput.prototype, "identityCardType", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CreateMkTableInput.prototype, "identityCardId", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CreateMkTableInput.prototype, "hasJobCard", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CreateMkTableInput.prototype, "jobCardId", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CreateMkTableInput.prototype, "isBpl", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CreateMkTableInput.prototype, "hasHealthInsurance", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CreateMkTableInput.prototype, "primarySourceOfIncome", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CreateMkTableInput.prototype, "secondarySourceOfIncome", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CreateMkTableInput.prototype, "wealthRanking", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CreateMkTableInput.prototype, "typeOfIntervention", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CreateMkTableInput.prototype, "otherIncomeSourceName", void 0);
__decorate([
    (0, graphql_1.Field)(() => [Number], { nullable: true }),
    __metadata("design:type", Array)
], CreateMkTableInput.prototype, "entitlements", void 0);
__decorate([
    (0, graphql_1.Field)(() => [create_mk_irrigation_table_input_1.CreateMkIrrigationTableInput], { nullable: true }),
    __metadata("design:type", Array)
], CreateMkTableInput.prototype, "MkIrrigationTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => [create_mk_type_of_tools_table_input_1.CreateMkTypeOfToolsTableInput], { nullable: true }),
    __metadata("design:type", Array)
], CreateMkTableInput.prototype, "MkTypeOfToolsTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => [create_mk_type_of_land_table_input_1.CreateMkTypeOfLandTableInput], { nullable: true }),
    __metadata("design:type", Array)
], CreateMkTableInput.prototype, "MkTypeOfLandTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => [create_mk_income_activity_table_input_1.CreateMkIncomeActivityTableInput], { nullable: true }),
    __metadata("design:type", Array)
], CreateMkTableInput.prototype, "MkIncomeActivityTable", void 0);
exports.CreateMkTableInput = CreateMkTableInput = __decorate([
    (0, graphql_1.InputType)()
], CreateMkTableInput);
