import { FblpTable } from 'src/fblp-table/entities/fblp-table.entity';
import { InterventionTable } from 'src/intervention-table/entities/intervention-table.entity';
import { MkAssesmentTable } from 'src/mk-assesment-table/entities/mk-assesment-table.entity';
import { MkEntitlementsTable } from 'src/mk-entitlements-table/entities/mk-entitlements-table.entity';
import { MkIncomeActivityTable } from 'src/mk-income-activity-table/entities/mk-income-activity-table.entity';
import { MkIrrigationTable } from 'src/mk-irrigation-table/entities/mk-irrigation-table.entity';
import { MkTypeOfLandTable } from 'src/mk-type-of-land-table/entities/mk-type-of-land-table.entity';
import { MkTypeOfToolsTable } from 'src/mk-type-of-tools-table/entities/mk-type-of-tools-table.entity';
import { ProducerGroupsTable } from 'src/producer-groups-table/entities/producer-groups-table.entity';
import { ShgTable } from 'src/shg-table/entities/shg-table.entity';
import { UserTable } from 'src/user-collection/entities/user-collection.entity';
import { VillageTable } from 'src/village-table/entities/village-table.entity';
import { VoTable } from 'src/vo-table/entities/vo-table.entity';
import { VulnerabilityCategoryTable } from 'src/vulnerability-category-table/entities/vulnerability-category-table.entity';
export declare enum YESorNO {
    YES = "YES",
    NO = "NO"
}
export declare class MkTable {
    mkId: number;
    ShgTable: ShgTable;
    VillageTable: VillageTable;
    VoTable: VoTable;
    VulnerabilityCategoryTable: VulnerabilityCategoryTable;
    MkIrrigationTable: MkIrrigationTable[];
    MkTypeOfToolsTable: MkTypeOfToolsTable[];
    MkTypeOfLandTable: MkTypeOfLandTable[];
    MkIncomeActivityTable: MkIncomeActivityTable[];
    FblpTable: FblpTable[];
    InterventionTable: InterventionTable[];
    mkName: string;
    mkAge: string;
    vulnerabilityCategory: string;
    guardianType: string;
    fatherName: string;
    husbandName: string;
    contactNumber: string;
    socialCategory: string;
    religion: string;
    education: string;
    familyMemberMale: number;
    familyMemberFemale: number;
    familyMemberChildren: number;
    totalFamilyMember: number;
    isMemberOfPg: string;
    ProducerGroupTable: ProducerGroupsTable;
    identityCardType: string;
    identityCardId: string;
    hasJobCard: string;
    jobCardId: string;
    isBpl: string;
    hasHealthInsurance: string;
    primarySourceOfIncome: string;
    secondarySourceOfIncome: string;
    totalLandSize: number;
    hasOtherIncome: string;
    otherIncomeSourceName: string;
    totalIncome: string;
    entryDate: string;
    entryTime: string;
    editableTill: string;
    wealthRanking: string;
    typeOfIntervention: string;
    farmerBand: number;
    MkEntitlementsTable: MkEntitlementsTable[];
    MkAssesmentTable: MkAssesmentTable[];
    UserTable: UserTable;
    createdAt: Date;
    updatedAt: Date;
}
