"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MkTable = exports.YESorNO = void 0;
const fblp_table_entity_1 = require("../../fblp-table/entities/fblp-table.entity");
const intervention_table_entity_1 = require("../../intervention-table/entities/intervention-table.entity");
const mk_assesment_table_entity_1 = require("../../mk-assesment-table/entities/mk-assesment-table.entity");
const mk_entitlements_table_entity_1 = require("../../mk-entitlements-table/entities/mk-entitlements-table.entity");
const mk_income_activity_table_entity_1 = require("../../mk-income-activity-table/entities/mk-income-activity-table.entity");
const mk_irrigation_table_entity_1 = require("../../mk-irrigation-table/entities/mk-irrigation-table.entity");
const mk_type_of_land_table_entity_1 = require("../../mk-type-of-land-table/entities/mk-type-of-land-table.entity");
const mk_type_of_tools_table_entity_1 = require("../../mk-type-of-tools-table/entities/mk-type-of-tools-table.entity");
const producer_groups_table_entity_1 = require("../../producer-groups-table/entities/producer-groups-table.entity");
const shg_table_entity_1 = require("../../shg-table/entities/shg-table.entity");
const user_collection_entity_1 = require("../../user-collection/entities/user-collection.entity");
const village_table_entity_1 = require("../../village-table/entities/village-table.entity");
const vo_table_entity_1 = require("../../vo-table/entities/vo-table.entity");
const vulnerability_category_table_entity_1 = require("../../vulnerability-category-table/entities/vulnerability-category-table.entity");
const typeorm_1 = require("typeorm");
var YESorNO;
(function (YESorNO) {
    YESorNO["YES"] = "YES";
    YESorNO["NO"] = "NO";
})(YESorNO || (exports.YESorNO = YESorNO = {}));
let MkTable = exports.MkTable = class MkTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], MkTable.prototype, "mkId", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => shg_table_entity_1.ShgTable, dt => dt.MkTable, { nullable: true }),
    (0, typeorm_1.JoinColumn)({ name: "shgId" }),
    __metadata("design:type", shg_table_entity_1.ShgTable)
], MkTable.prototype, "ShgTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => village_table_entity_1.VillageTable, dt => dt.MkTable),
    (0, typeorm_1.JoinColumn)({ name: "villageId" }),
    __metadata("design:type", village_table_entity_1.VillageTable)
], MkTable.prototype, "VillageTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => vo_table_entity_1.VoTable, dt => dt.MkTable, { nullable: true }),
    (0, typeorm_1.JoinColumn)({ name: "voId" }),
    __metadata("design:type", vo_table_entity_1.VoTable)
], MkTable.prototype, "VoTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => vulnerability_category_table_entity_1.VulnerabilityCategoryTable, dt => dt.MkTable),
    (0, typeorm_1.JoinColumn)({ name: "vulnerabilityCategoryId" }),
    __metadata("design:type", vulnerability_category_table_entity_1.VulnerabilityCategoryTable)
], MkTable.prototype, "VulnerabilityCategoryTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => mk_irrigation_table_entity_1.MkIrrigationTable, et => et.MkTable),
    __metadata("design:type", Array)
], MkTable.prototype, "MkIrrigationTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => mk_type_of_tools_table_entity_1.MkTypeOfToolsTable, et => et.MkTable),
    __metadata("design:type", Array)
], MkTable.prototype, "MkTypeOfToolsTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => mk_type_of_land_table_entity_1.MkTypeOfLandTable, et => et.MkTable),
    __metadata("design:type", Array)
], MkTable.prototype, "MkTypeOfLandTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => mk_income_activity_table_entity_1.MkIncomeActivityTable, et => et.MkTable),
    __metadata("design:type", Array)
], MkTable.prototype, "MkIncomeActivityTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => fblp_table_entity_1.FblpTable, et => et.MkTable),
    __metadata("design:type", Array)
], MkTable.prototype, "FblpTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => intervention_table_entity_1.InterventionTable, et => et.MkTable),
    __metadata("design:type", Array)
], MkTable.prototype, "InterventionTable", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], MkTable.prototype, "mkName", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50, nullable: true }),
    __metadata("design:type", String)
], MkTable.prototype, "mkAge", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], MkTable.prototype, "vulnerabilityCategory", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 100, nullable: true }),
    __metadata("design:type", String)
], MkTable.prototype, "guardianType", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], MkTable.prototype, "fatherName", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], MkTable.prototype, "husbandName", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50, nullable: true }),
    __metadata("design:type", String)
], MkTable.prototype, "contactNumber", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50, nullable: true }),
    __metadata("design:type", String)
], MkTable.prototype, "socialCategory", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50, nullable: true }),
    __metadata("design:type", String)
], MkTable.prototype, "religion", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], MkTable.prototype, "education", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, default: 0 }),
    __metadata("design:type", Number)
], MkTable.prototype, "familyMemberMale", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, default: 0 }),
    __metadata("design:type", Number)
], MkTable.prototype, "familyMemberFemale", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, default: 0 }),
    __metadata("design:type", Number)
], MkTable.prototype, "familyMemberChildren", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, default: 0 }),
    __metadata("design:type", Number)
], MkTable.prototype, "totalFamilyMember", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 20, nullable: true }),
    __metadata("design:type", String)
], MkTable.prototype, "isMemberOfPg", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => producer_groups_table_entity_1.ProducerGroupsTable, dt => dt.MkTable),
    (0, typeorm_1.JoinColumn)({ name: "producerGroupId" }),
    __metadata("design:type", producer_groups_table_entity_1.ProducerGroupsTable)
], MkTable.prototype, "ProducerGroupTable", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 100, nullable: true }),
    __metadata("design:type", String)
], MkTable.prototype, "identityCardType", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], MkTable.prototype, "identityCardId", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 20, nullable: true }),
    __metadata("design:type", String)
], MkTable.prototype, "hasJobCard", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 100, nullable: true }),
    __metadata("design:type", String)
], MkTable.prototype, "jobCardId", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 20, nullable: true }),
    __metadata("design:type", String)
], MkTable.prototype, "isBpl", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 20, nullable: true }),
    __metadata("design:type", String)
], MkTable.prototype, "hasHealthInsurance", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "text", nullable: true }),
    __metadata("design:type", String)
], MkTable.prototype, "primarySourceOfIncome", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "text", nullable: true }),
    __metadata("design:type", String)
], MkTable.prototype, "secondarySourceOfIncome", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, default: 0 }),
    __metadata("design:type", Number)
], MkTable.prototype, "totalLandSize", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 20, nullable: true }),
    __metadata("design:type", String)
], MkTable.prototype, "hasOtherIncome", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "text", nullable: true }),
    __metadata("design:type", String)
], MkTable.prototype, "otherIncomeSourceName", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], MkTable.prototype, "totalIncome", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 100, nullable: true }),
    __metadata("design:type", String)
], MkTable.prototype, "entryDate", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 100, nullable: true }),
    __metadata("design:type", String)
], MkTable.prototype, "entryTime", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 100, nullable: true }),
    __metadata("design:type", String)
], MkTable.prototype, "editableTill", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 100, nullable: true }),
    __metadata("design:type", String)
], MkTable.prototype, "wealthRanking", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 100, nullable: true }),
    __metadata("design:type", String)
], MkTable.prototype, "typeOfIntervention", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", Number)
], MkTable.prototype, "farmerBand", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => mk_entitlements_table_entity_1.MkEntitlementsTable, et => et.MkTable),
    __metadata("design:type", Array)
], MkTable.prototype, "MkEntitlementsTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => mk_assesment_table_entity_1.MkAssesmentTable, et => et.MkTable),
    __metadata("design:type", Array)
], MkTable.prototype, "MkAssesmentTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => user_collection_entity_1.UserTable, dt => dt.MkTable),
    (0, typeorm_1.JoinColumn)({ name: "userId" }),
    __metadata("design:type", user_collection_entity_1.UserTable)
], MkTable.prototype, "UserTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], MkTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], MkTable.prototype, "updatedAt", void 0);
exports.MkTable = MkTable = __decorate([
    (0, typeorm_1.Entity)()
], MkTable);
