"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MkTableModule = void 0;
const common_1 = require("@nestjs/common");
const mk_table_service_1 = require("./mk-table.service");
const mk_table_resolver_1 = require("./mk-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const mk_table_entity_1 = require("./entities/mk-table.entity");
const shg_table_module_1 = require("../shg-table/shg-table.module");
const village_table_module_1 = require("../village-table/village-table.module");
const user_collection_module_1 = require("../user-collection/user-collection.module");
const mk_irrigation_table_module_1 = require("../mk-irrigation-table/mk-irrigation-table.module");
const mk_income_activity_table_module_1 = require("../mk-income-activity-table/mk-income-activity-table.module");
const mk_type_of_tools_table_module_1 = require("../mk-type-of-tools-table/mk-type-of-tools-table.module");
const mk_type_of_land_table_module_1 = require("../mk-type-of-land-table/mk-type-of-land-table.module");
const vulnerability_category_table_module_1 = require("../vulnerability-category-table/vulnerability-category-table.module");
const producer_groups_table_module_1 = require("../producer-groups-table/producer-groups-table.module");
const intervention_table_module_1 = require("../intervention-table/intervention-table.module");
const fblp_table_module_1 = require("../fblp-table/fblp-table.module");
const mk_table_controller_1 = require("./mk-table.controller");
const mk_entitlements_table_module_1 = require("../mk-entitlements-table/mk-entitlements-table.module");
const livelihood_source_table_module_1 = require("../livelihood-source-table/livelihood-source-table.module");
const income_source_table_module_1 = require("../income-source-table/income-source-table.module");
const scheme_master_sub_table_module_1 = require("../scheme-master-sub-table/scheme-master-sub-table.module");
const vo_table_module_1 = require("../vo-table/vo-table.module");
let MkTableModule = exports.MkTableModule = class MkTableModule {
};
exports.MkTableModule = MkTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([mk_table_entity_1.MkTable]), shg_table_module_1.ShgTableModule, village_table_module_1.VillageTableModule, user_collection_module_1.UserCollectionModule, (0, common_1.forwardRef)(() => mk_irrigation_table_module_1.MkIrrigationTableModule), (0, common_1.forwardRef)(() => mk_income_activity_table_module_1.MkIncomeActivityTableModule), (0, common_1.forwardRef)(() => mk_type_of_tools_table_module_1.MkTypeOfToolsTableModule), (0, common_1.forwardRef)(() => mk_type_of_land_table_module_1.MkTypeOfLandTableModule), vulnerability_category_table_module_1.VulnerabilityCategoryTableModule, (0, common_1.forwardRef)(() => producer_groups_table_module_1.ProducerGroupsTableModule), (0, common_1.forwardRef)(() => intervention_table_module_1.InterventionTableModule), (0, common_1.forwardRef)(() => fblp_table_module_1.FblpTableModule), (0, common_1.forwardRef)(() => income_source_table_module_1.IncomeSourceTableModule), (0, common_1.forwardRef)(() => livelihood_source_table_module_1.LivelihoodSourceTableModule), (0, common_1.forwardRef)(() => mk_entitlements_table_module_1.MkEntitlementsTableModule), (0, common_1.forwardRef)(() => scheme_master_sub_table_module_1.SchemeMasterSubTableModule), (0, common_1.forwardRef)(() => vo_table_module_1.VoTableModule)],
        providers: [mk_table_resolver_1.MkTableResolver, mk_table_service_1.MkTableService],
        controllers: [mk_table_controller_1.MkTableController],
        exports: [mk_table_service_1.MkTableService]
    })
], MkTableModule);
