import { ShgTableType } from 'src/shg-table/types/shg-table.type';
import { VillageTableType } from 'src/village-table/types/village-table.type';
import { VulnerabilityCategoryTableType } from 'src/vulnerability-category-table/types/vulnerability-category-table.type';
import { UserCollectionType } from 'src/user-collection/type/user-collection.type';
import { ProducerGroupsTableType } from 'src/producer-groups-table/types/producer-groups-table.type';
import { MkTypeOfToolsTableType } from 'src/mk-type-of-tools-table/types/mktypeoftools-table.type';
import { MkIrrigationTableType } from 'src/mk-irrigation-table/types/mkirrigation-table.type';
import { MkTypeOfLandTableType } from 'src/mk-type-of-land-table/types/mktypeofland-table.type';
import { MkIncomeActivityTableType } from 'src/mk-income-activity-table/types/mkIncomeActivity-table.type';
import { InterventionTableType } from 'src/intervention-table/types/intervention-table-type';
export declare class MkTableType {
    mkId: number;
    VillageTable: VillageTableType;
    mkName: string;
    mkAge: string;
    VulnerabilityCategoryTable: VulnerabilityCategoryTableType;
    guardianType: string;
    fatherName: string;
    husbandName: string;
    contactNumber: string;
    socialCategory: string;
    religion: string;
    education: string;
    familyMemberMale: number;
    familyMemberFemale: number;
    familyMemberChildren: number;
    totalFamilyMember: number;
    isMemberOfPg: string;
    ProducerGroupTable: ProducerGroupsTableType;
    farmerBand: number;
    identityCardType: string;
    identityCardId: string;
    hasJobCard: string;
    jobCardId: string;
    isBpl: string;
    hasHealthInsurance: string;
    primarySourceOfIncome: string;
    secondarySourceOfIncome: string;
    totalLandSize: number;
    hasOtherIncome: string;
    otherIncomeSourceName: string;
    totalIncome: string;
    entryDate: string;
    entryTime: string;
    editableTill: string;
    wealthRanking: string;
    typeOfIntervention: string;
    ShgTable: ShgTableType;
    UserTable: UserCollectionType;
    MkTypeOfToolsTable: MkTypeOfToolsTableType[];
    MkIrrigationTable: MkIrrigationTableType[];
    MkTypeOfLandTable: MkTypeOfLandTableType[];
    MkIncomeActivityTable: MkIncomeActivityTableType[];
    InterventionTable: InterventionTableType[];
}
