"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MkTypeOfLandTable = void 0;
const land_type_table_entity_1 = require("../../land-type-table/entities/land-type-table.entity");
const mk_table_entity_1 = require("../../mk-table/entities/mk-table.entity");
const typeorm_1 = require("typeorm");
let MkTypeOfLandTable = exports.MkTypeOfLandTable = class MkTypeOfLandTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], MkTypeOfLandTable.prototype, "mkTypeOfLandId", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => mk_table_entity_1.MkTable, dt => dt.MkTypeOfLandTable, { onDelete: "CASCADE" }),
    (0, typeorm_1.JoinColumn)({ name: "mkId" }),
    __metadata("design:type", mk_table_entity_1.MkTable)
], MkTypeOfLandTable.prototype, "MkTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => land_type_table_entity_1.LandTypeTable, dt => dt.MkTypeOfLandTable),
    (0, typeorm_1.JoinColumn)({ name: "landTypeId" }),
    __metadata("design:type", land_type_table_entity_1.LandTypeTable)
], MkTypeOfLandTable.prototype, "LandTypeTable", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", Number)
], MkTypeOfLandTable.prototype, "landSize", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], MkTypeOfLandTable.prototype, "landUnit", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", Number)
], MkTypeOfLandTable.prototype, "conversionToBigha", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], MkTypeOfLandTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], MkTypeOfLandTable.prototype, "updatedAt", void 0);
exports.MkTypeOfLandTable = MkTypeOfLandTable = __decorate([
    (0, typeorm_1.Entity)()
], MkTypeOfLandTable);
