"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MkTypeOfLandTableModule = void 0;
const common_1 = require("@nestjs/common");
const mk_type_of_land_table_service_1 = require("./mk-type-of-land-table.service");
const mk_type_of_land_table_resolver_1 = require("./mk-type-of-land-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const mk_table_module_1 = require("../mk-table/mk-table.module");
const mk_type_of_land_table_entity_1 = require("./entities/mk-type-of-land-table.entity");
const land_type_table_module_1 = require("../land-type-table/land-type-table.module");
let MkTypeOfLandTableModule = exports.MkTypeOfLandTableModule = class MkTypeOfLandTableModule {
};
exports.MkTypeOfLandTableModule = MkTypeOfLandTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([mk_type_of_land_table_entity_1.MkTypeOfLandTable]), (0, common_1.forwardRef)(() => mk_table_module_1.MkTableModule), land_type_table_module_1.LandTypeTableModule],
        providers: [mk_type_of_land_table_resolver_1.MkTypeOfLandTableResolver, mk_type_of_land_table_service_1.MkTypeOfLandTableService],
        exports: [mk_type_of_land_table_service_1.MkTypeOfLandTableService]
    })
], MkTypeOfLandTableModule);
