import { MkTypeOfLandTableService } from './mk-type-of-land-table.service';
import { MkTypeOfLandTable } from './entities/mk-type-of-land-table.entity';
import { RedisPubSub } from 'graphql-redis-subscriptions';
export declare const NEW_TYPEOFLAND_ADD = "NEW_TYPEOFLAND_ADD";
export declare class MkTypeOfLandTableResolver {
    private readonly mkTypeOfLandTableService;
    private pubSub;
    constructor(mkTypeOfLandTableService: MkTypeOfLandTableService, pubSub: RedisPubSub);
    findAllMkTypeOfLand(user: any): Promise<MkTypeOfLandTable[]>;
    findOneMkTypeOfLand(mkTypeOfLandId: number): Promise<MkTypeOfLandTable>;
    getAllMkTypeOfLand(user: any, mkId: number): Promise<MkTypeOfLandTable[]>;
    removeMkTypeOfLandTable(mkTypeOfLandId: number): Promise<{
        status: boolean;
        status_text: string;
        data: any;
    }>;
    mkTypeOfLandSubscription(): AsyncIterator<unknown, any, undefined>;
}
