"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OtpTableModule = void 0;
const common_1 = require("@nestjs/common");
const otp_table_service_1 = require("./otp-table.service");
const typeorm_1 = require("@nestjs/typeorm");
const otp_table_entity_1 = require("./otp-table.entity");
const otpGenerator = __importStar(require("otp-generator"));
const GlobalConstants_1 = require("../helper/GlobalConstants");
const third_party_call_module_1 = require("../third-party-call/third-party-call.module");
const mail_module_1 = require("../mail/mail.module");
let OtpTableModule = exports.OtpTableModule = class OtpTableModule {
};
exports.OtpTableModule = OtpTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([otp_table_entity_1.OtpTable]), third_party_call_module_1.ThirdPartyCallModule, mail_module_1.MailModule],
        providers: [otp_table_service_1.OtpTableService, {
                provide: GlobalConstants_1.OTP_GENERATOR,
                useValue: otpGenerator
            }],
        exports: [otp_table_service_1.OtpTableService]
    })
], OtpTableModule);
