import { ObjectID } from 'typeorm';
import * as mongoose from 'mongoose';
import { Document } from 'mongoose';
import { ProductCollection } from 'src/product-collection/entities/product-collection.entity';
export declare type PackCollectionDocument = PackCollection & Document;
export declare class PackData {
    Product: ProductCollection;
    size: string;
    qty: number;
}
export declare class PackCollection {
    _id: ObjectID;
    packName: string;
    isDefault: boolean;
    maxLimit: number;
    createdBy: string;
    packData: PackData[];
}
export declare const PackCollectionSchema: mongoose.Schema<mongoose.Document<PackCollection, any, any>, mongoose.Model<mongoose.Document<PackCollection, any, any>, any, any, any>, any, any>;
