import { BrandCollectionType } from 'src/brand-collection/types/brand-collection.type';
import { ProductCategoryCollectionType } from 'src/product-category-collection/types/product-category-collection.type';
import { ProductSubCategoryCollectionType } from 'src/product-sub-category-collection/types/product-sub-category-collection.type';
import { UnitCollectionType } from 'src/unit-collection/types/unit-collection.type';
export declare class ProductLogo {
    fileName: string;
    fileType: string;
    url: string;
}
export declare class ProductCollectionType {
    id: string;
    productName: string;
    productCode: string;
    productCategoryId: string;
    productSubCategoryId: string;
    brandId: string;
    taxRate: String;
    pricingMethod: String;
    unitId: string;
    hsn: String;
    countryOfOrigin: String;
    isFeatured?: boolean;
    productLogo: ProductLogo;
    ProductCategory: ProductCategoryCollectionType;
    ProductSubCategory: ProductSubCategoryCollectionType;
    Brand: BrandCollectionType;
    Unit: UnitCollectionType;
}
