"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ParentTable = void 0;
const animal_entry_table_entity_1 = require("../../animal-table/entities/animal-entry-table.entity");
const typeorm_1 = require("typeorm");
let ParentTable = class ParentTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], ParentTable.prototype, "linkId", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => animal_entry_table_entity_1.AnimalEntryTable, dt => dt.AnimalTable, { nullable: true }),
    (0, typeorm_1.JoinColumn)({ name: "animalId" }),
    __metadata("design:type", animal_entry_table_entity_1.AnimalEntryTable)
], ParentTable.prototype, "AnimalTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => animal_entry_table_entity_1.AnimalEntryTable, dt => dt.BoarTable, { nullable: true }),
    (0, typeorm_1.JoinColumn)({ name: "boarId" }),
    __metadata("design:type", animal_entry_table_entity_1.AnimalEntryTable)
], ParentTable.prototype, "BoarTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => animal_entry_table_entity_1.AnimalEntryTable, dt => dt.SowTable, { nullable: true }),
    (0, typeorm_1.JoinColumn)({ name: "sowId" }),
    __metadata("design:type", animal_entry_table_entity_1.AnimalEntryTable)
], ParentTable.prototype, "SowTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], ParentTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], ParentTable.prototype, "updatedAt", void 0);
ParentTable = __decorate([
    (0, typeorm_1.Entity)()
], ParentTable);
exports.ParentTable = ParentTable;
