"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ParentTableModule = void 0;
const common_1 = require("@nestjs/common");
const typeorm_1 = require("@nestjs/typeorm");
const animal_entry_table_module_1 = require("../animal-table/animal-entry-table.module");
const user_collection_module_1 = require("../user-collection/user-collection.module");
const parent_table_entity_1 = require("./entities/parent-table.entity");
const parent_table_resolver_1 = require("./parent-table.resolver");
const parent_table_service_1 = require("./parent-table.service");
let ParentTableModule = class ParentTableModule {
};
ParentTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([parent_table_entity_1.ParentTable]), (0, common_1.forwardRef)(() => user_collection_module_1.UserCollectionModule), (0, common_1.forwardRef)(() => animal_entry_table_module_1.AnimalEntryTableModule)],
        providers: [parent_table_resolver_1.ParentTableResolver, parent_table_service_1.ParentTableService],
        exports: [parent_table_service_1.ParentTableService]
    })
], ParentTableModule);
exports.ParentTableModule = ParentTableModule;
