import { RedisPubSub } from 'graphql-redis-subscriptions';
import { ParentTable } from './entities/parent-table.entity';
import { ParentTableService } from './parent-table.service';
import { CreateParentTableInput } from './dto/create-parent-table.input';
export declare class ParentTableResolver {
    private readonly parentTableService;
    private pubSub;
    constructor(parentTableService: ParentTableService, pubSub: RedisPubSub);
    createParentTable(createParentTableInput: CreateParentTableInput, user: any): Promise<{
        status: boolean;
        status_text: string;
        data: ParentTable;
    }>;
    findAllParent(): Promise<ParentTable[]>;
    findOneParent(animalId: number): Promise<ParentTable>;
}
