"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PigInsuranceTable = void 0;
const animal_entry_table_entity_1 = require("../../animal-table/entities/animal-entry-table.entity");
const housing_table_entity_1 = require("../../housing-table/entities/housing-table.entity");
const user_collection_entity_1 = require("../../user-collection/entities/user-collection.entity");
const typeorm_1 = require("typeorm");
let PigInsuranceTable = class PigInsuranceTable {
};
__decorate([
    (0, typeorm_1.ManyToOne)(type => animal_entry_table_entity_1.AnimalEntryTable, et => et.PigInsuranceTable),
    (0, typeorm_1.JoinColumn)({ name: "animalId" }),
    __metadata("design:type", animal_entry_table_entity_1.AnimalEntryTable)
], PigInsuranceTable.prototype, "AnimalTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => user_collection_entity_1.UserTable, et => et.PigInsuranceTable, { nullable: true }),
    (0, typeorm_1.JoinColumn)({ name: "userId" }),
    __metadata("design:type", user_collection_entity_1.UserTable)
], PigInsuranceTable.prototype, "UserTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => housing_table_entity_1.HousingTable, dt => dt.PigInsuranceTable, { nullable: true }),
    (0, typeorm_1.JoinColumn)({ name: "housingId" }),
    __metadata("design:type", housing_table_entity_1.HousingTable)
], PigInsuranceTable.prototype, "HousingTable", void 0);
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], PigInsuranceTable.prototype, "pigInsuranceId", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], PigInsuranceTable.prototype, "pigInsuredDate", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: String, nullable: true }),
    __metadata("design:type", String)
], PigInsuranceTable.prototype, "insuranceCompany", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], PigInsuranceTable.prototype, "premiumAmount", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: String, nullable: true }),
    __metadata("design:type", String)
], PigInsuranceTable.prototype, "renewalDate", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: String, nullable: true }),
    __metadata("design:type", String)
], PigInsuranceTable.prototype, "settlementClaim", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], PigInsuranceTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], PigInsuranceTable.prototype, "updatedAt", void 0);
PigInsuranceTable = __decorate([
    (0, typeorm_1.Entity)()
], PigInsuranceTable);
exports.PigInsuranceTable = PigInsuranceTable;
