"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PopTable = void 0;
const intervention_adoption_pop_table_entity_1 = require("../../intervention-adoption-pop-table/entities/intervention-adoption-pop-table.entity");
const intervention_training_table_entity_1 = require("../../intervention-training-table/entities/intervention-training-table.entity");
const typeorm_1 = require("typeorm");
let PopTable = exports.PopTable = class PopTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], PopTable.prototype, "popId", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], PopTable.prototype, "popName", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], PopTable.prototype, "incomeActivityCode", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50, default: "NO" }),
    __metadata("design:type", String)
], PopTable.prototype, "requiredInHorticulture", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => intervention_adoption_pop_table_entity_1.InterventionAdoptionPopTable, et => et.PopTable),
    __metadata("design:type", Array)
], PopTable.prototype, "InterventionAdoptionPopTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => intervention_training_table_entity_1.InterventionTrainingTable, et => et.PopTable),
    __metadata("design:type", Array)
], PopTable.prototype, "InterventionTrainingTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], PopTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], PopTable.prototype, "updatedAt", void 0);
exports.PopTable = PopTable = __decorate([
    (0, typeorm_1.Entity)()
], PopTable);
