"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProducerGroupsTableModule = void 0;
const common_1 = require("@nestjs/common");
const producer_groups_table_service_1 = require("./producer-groups-table.service");
const producer_groups_table_resolver_1 = require("./producer-groups-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const producer_groups_table_entity_1 = require("./entities/producer-groups-table.entity");
const state_table_module_1 = require("../state-table/state-table.module");
const district_table_module_1 = require("../district-table/district-table.module");
const block_table_module_1 = require("../block-table/block-table.module");
const shg_table_module_1 = require("../shg-table/shg-table.module");
let ProducerGroupsTableModule = exports.ProducerGroupsTableModule = class ProducerGroupsTableModule {
};
exports.ProducerGroupsTableModule = ProducerGroupsTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([producer_groups_table_entity_1.ProducerGroupsTable]), state_table_module_1.StateTableModule, district_table_module_1.DistrictTableModule, block_table_module_1.BlockTableModule, (0, common_1.forwardRef)(() => shg_table_module_1.ShgTableModule)],
        providers: [producer_groups_table_resolver_1.ProducerGroupsTableResolver, producer_groups_table_service_1.ProducerGroupsTableService],
        exports: [producer_groups_table_service_1.ProducerGroupsTableService]
    })
], ProducerGroupsTableModule);
