"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProductCategoryCollectionModule = void 0;
const common_1 = require("@nestjs/common");
const product_category_collection_service_1 = require("./product-category-collection.service");
const product_category_collection_resolver_1 = require("./product-category-collection.resolver");
const product_category_collection_entity_1 = require("./entities/product-category-collection.entity");
const mongoose_1 = require("@nestjs/mongoose");
const product_collection_module_1 = require("../product-collection/product-collection.module");
let ProductCategoryCollectionModule = class ProductCategoryCollectionModule {
};
ProductCategoryCollectionModule = __decorate([
    (0, common_1.Module)({
        imports: [mongoose_1.MongooseModule.forFeature([{ name: product_category_collection_entity_1.ProductCategoryCollection.name, schema: product_category_collection_entity_1.ProductCategorySchema }]), (0, common_1.forwardRef)(() => product_collection_module_1.ProductCollectionModule)],
        providers: [product_category_collection_resolver_1.ProductCategoryCollectionResolver, product_category_collection_service_1.ProductCategoryCollectionService],
        exports: [product_category_collection_service_1.ProductCategoryCollectionService]
    })
], ProductCategoryCollectionModule);
exports.ProductCategoryCollectionModule = ProductCategoryCollectionModule;
