/// <reference types="mongoose" />
import { ProductSizeCollectionService } from './product-size-collection.service';
import { ProductSizeCollection } from './entities/product-size-collection.entity';
import { CreateProductSizeCollectionInput } from './input/create-product-size-collection.input';
import { UpdateProductSizeCollectionInput } from './input/update-product-size-collection.input';
export declare class ProductSizeCollectionResolver {
    private readonly productSizeCollectionService;
    constructor(productSizeCollectionService: ProductSizeCollectionService);
    createProductSizeCollection(user: any, createProductSizeCollectionInput: CreateProductSizeCollectionInput): Promise<{
        status: boolean;
        status_text: string;
        data: ProductSizeCollection & import("mongoose").Document<any, any, any> & {
            _id: any;
        };
    }>;
    findAllProductSize(): Promise<(ProductSizeCollection & import("mongoose").Document<any, any, any> & {
        _id: any;
    })[]>;
    updateProductSizeCollection(updateProductSizeCollectionInput: UpdateProductSizeCollectionInput): Promise<any>;
    removeProductSizeCollection(id: string): Promise<{
        status: boolean;
        status_text: string;
        data: any[];
    }>;
}
