"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProductSubCategoryCollectionModule = void 0;
const common_1 = require("@nestjs/common");
const product_sub_category_collection_service_1 = require("./product-sub-category-collection.service");
const product_sub_category_collection_resolver_1 = require("./product-sub-category-collection.resolver");
const product_sub_category_collection_entity_1 = require("./entities/product-sub-category-collection.entity");
const product_category_collection_module_1 = require("../product-category-collection/product-category-collection.module");
const mongoose_1 = require("@nestjs/mongoose");
let ProductSubCategoryCollectionModule = class ProductSubCategoryCollectionModule {
};
ProductSubCategoryCollectionModule = __decorate([
    (0, common_1.Module)({
        imports: [mongoose_1.MongooseModule.forFeature([{ name: product_sub_category_collection_entity_1.ProductSubCategoryCollection.name, schema: product_sub_category_collection_entity_1.ProductSubCategorySchema }]), (0, common_1.forwardRef)(() => product_category_collection_module_1.ProductCategoryCollectionModule)],
        providers: [product_sub_category_collection_resolver_1.ProductSubCategoryCollectionResolver, product_sub_category_collection_service_1.ProductSubCategoryCollectionService],
        exports: [product_sub_category_collection_service_1.ProductSubCategoryCollectionService]
    })
], ProductSubCategoryCollectionModule);
exports.ProductSubCategoryCollectionModule = ProductSubCategoryCollectionModule;
