"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RationSubTableModule = void 0;
const common_1 = require("@nestjs/common");
const ration_sub_table_service_1 = require("./ration-sub-table.service");
const ration_sub_table_resolver_1 = require("./ration-sub-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const ration_sub_table_entity_1 = require("./entity/ration-sub-table.entity");
const ingredient_table_module_1 = require("../ingredient-table/ingredient-table.module");
let RationSubTableModule = class RationSubTableModule {
};
RationSubTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([ration_sub_table_entity_1.RationSubTable]), (0, common_1.forwardRef)(() => ingredient_table_module_1.IngredientTableModule)],
        providers: [ration_sub_table_resolver_1.RationSubTableResolver, ration_sub_table_service_1.RationSubTableService],
        exports: [ration_sub_table_service_1.RationSubTableService]
    })
], RationSubTableModule);
exports.RationSubTableModule = RationSubTableModule;
