import { IngredientTableService } from 'src/ingredient-table/ingredient-table.service';
import { RationTable } from 'src/ration-table/entities/ration-table.entity';
import { Repository } from 'typeorm';
import { CreateRationSubTableInput } from './dto/create-ration-sub-table-input.dto';
import { RationSubTable } from './entity/ration-sub-table.entity';
export declare class RationSubTableService {
    private readonly rationSubTableRepository;
    private readonly ingredientTableService;
    constructor(rationSubTableRepository: Repository<RationSubTable>, ingredientTableService: IngredientTableService);
    create(createRationSubTableInput: CreateRationSubTableInput[], rationTable: RationTable): Promise<boolean>;
    fetchSubTable(rationTable: RationTable): Promise<RationSubTable[]>;
    deleteSpecific(rationTable: RationTable): Promise<boolean>;
}
