import { BrandTable } from "src/brand-table/entities/brand-table.entity";
import { ConsumptionSubTable } from "src/consumption-sub-table/entities/consumption-sub-table.entity";
import { ConsumptionSubTotalTable } from "src/consumption-sub-total-table/entities/consumption-sub-total-table.entity";
import { FarmersTable } from "src/farmers-table/entities/farmers-table.entity";
import { RationSubTable } from "src/ration-sub-table/entity/ration-sub-table.entity";
export declare class RationTable {
    rationId: number;
    rationName: string;
    commonName: string;
    BrandTable: BrandTable;
    FarmersTable: FarmersTable[];
    ConsumptionSubTable: ConsumptionSubTable[];
    ConsumptionSubTotalTable: ConsumptionSubTotalTable[];
    RationSubTable: RationSubTable[];
    createdAt: Date;
    updatedAt: Date;
}
