"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Relay = __importStar(require("graphql-relay"));
const graphql_1 = require("@nestjs/graphql");
const page_data_1 = __importDefault(require("./page-data"));
const typeMap = {};
function relayTypes(type) {
    const { name } = type;
    if (typeMap[`${name}`])
        return typeMap[`${name}`];
    let Edge = class Edge {
        constructor() {
            this.name = `${name}Edge`;
        }
    };
    __decorate([
        (0, graphql_1.Field)({ nullable: true }),
        __metadata("design:type", String)
    ], Edge.prototype, "cursor", void 0);
    __decorate([
        (0, graphql_1.Field)(() => type, { nullable: true }),
        __metadata("design:type", Object)
    ], Edge.prototype, "node", void 0);
    Edge = __decorate([
        (0, graphql_1.ObjectType)(`${name}Edge`, { isAbstract: true })
    ], Edge);
    let PageInfo = class PageInfo {
    };
    __decorate([
        (0, graphql_1.Field)({ nullable: true }),
        __metadata("design:type", String)
    ], PageInfo.prototype, "startCursor", void 0);
    __decorate([
        (0, graphql_1.Field)({ nullable: true }),
        __metadata("design:type", String)
    ], PageInfo.prototype, "endCursor", void 0);
    __decorate([
        (0, graphql_1.Field)(() => Boolean),
        __metadata("design:type", Boolean)
    ], PageInfo.prototype, "hasPreviousPage", void 0);
    __decorate([
        (0, graphql_1.Field)(() => Boolean),
        __metadata("design:type", Boolean)
    ], PageInfo.prototype, "hasNextPage", void 0);
    PageInfo = __decorate([
        (0, graphql_1.ObjectType)(`${name}PageInfo`, { isAbstract: true })
    ], PageInfo);
    let Connection = class Connection {
        constructor() {
            this.name = `${name}Connection`;
        }
    };
    __decorate([
        (0, graphql_1.Field)(() => [Edge], { nullable: true }),
        __metadata("design:type", Array)
    ], Connection.prototype, "edges", void 0);
    __decorate([
        (0, graphql_1.Field)(() => PageInfo, { nullable: true }),
        __metadata("design:type", Object)
    ], Connection.prototype, "pageInfo", void 0);
    Connection = __decorate([
        (0, graphql_1.ObjectType)(`${name}Connection`, { isAbstract: true })
    ], Connection);
    let Page = class Page {
        constructor() {
            this.name = `${name}Page`;
        }
    };
    __decorate([
        (0, graphql_1.Field)(() => Connection),
        __metadata("design:type", Connection)
    ], Page.prototype, "page", void 0);
    __decorate([
        (0, graphql_1.Field)(() => page_data_1.default, { nullable: true }),
        __metadata("design:type", page_data_1.default)
    ], Page.prototype, "pageData", void 0);
    Page = __decorate([
        (0, graphql_1.ObjectType)(`${name}Page`, { isAbstract: true })
    ], Page);
    typeMap[`${name}`] = Page;
    return typeMap[`${name}`];
}
exports.default = relayTypes;
