"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SaleEntrySubTable = void 0;
const animal_entry_table_entity_1 = require("../../animal-table/entities/animal-entry-table.entity");
const sale_entry_table_entity_1 = require("../../sale-entry/entities/sale-entry-table.entity");
const typeorm_1 = require("typeorm");
let SaleEntrySubTable = class SaleEntrySubTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], SaleEntrySubTable.prototype, "saleEntrySubId", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => sale_entry_table_entity_1.SaleEntryTable, et => et.SaleEntrySubTable),
    (0, typeorm_1.JoinColumn)({ name: "saleEntryId" }),
    __metadata("design:type", sale_entry_table_entity_1.SaleEntryTable)
], SaleEntrySubTable.prototype, "SaleEntryTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => animal_entry_table_entity_1.AnimalEntryTable, et => et.SaleEntrySubTable),
    (0, typeorm_1.JoinColumn)({ name: "animalId" }),
    __metadata("design:type", animal_entry_table_entity_1.AnimalEntryTable)
], SaleEntrySubTable.prototype, "AnimalTable", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "decimal", precision: 10, scale: 3, default: 0.000 }),
    __metadata("design:type", Number)
], SaleEntrySubTable.prototype, "weight", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "decimal", precision: 10, scale: 3, default: 0.000 }),
    __metadata("design:type", Number)
], SaleEntrySubTable.prototype, "ratePerKg", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "decimal", precision: 10, scale: 3, default: 0.000 }),
    __metadata("design:type", Number)
], SaleEntrySubTable.prototype, "amount", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: String }),
    __metadata("design:type", String)
], SaleEntrySubTable.prototype, "dateOfEntry", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], SaleEntrySubTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], SaleEntrySubTable.prototype, "updatedAt", void 0);
SaleEntrySubTable = __decorate([
    (0, typeorm_1.Entity)()
], SaleEntrySubTable);
exports.SaleEntrySubTable = SaleEntrySubTable;
