"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SaleEntryTable = void 0;
const sale_entry_sub_table_entity_1 = require("../../sale-entry-sub-table/entities/sale-entry-sub-table.entity");
const user_collection_entity_1 = require("../../user-collection/entities/user-collection.entity");
const typeorm_1 = require("typeorm");
class CreateSale {
}
__decorate([
    (0, typeorm_1.Column)({ type: Number, nullable: false }),
    __metadata("design:type", Number)
], CreateSale.prototype, "animalId", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: Number, nullable: false }),
    __metadata("design:type", Number)
], CreateSale.prototype, "ratePerKg", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: Number, nullable: false }),
    __metadata("design:type", Number)
], CreateSale.prototype, "weight", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: Number, nullable: false }),
    __metadata("design:type", Number)
], CreateSale.prototype, "amount", void 0);
let SaleEntryTable = class SaleEntryTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], SaleEntryTable.prototype, "saleEntryId", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => sale_entry_sub_table_entity_1.SaleEntrySubTable, et => et.SaleEntryTable),
    __metadata("design:type", Array)
], SaleEntryTable.prototype, "SaleEntrySubTable", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'simple-json', nullable: false }),
    __metadata("design:type", CreateSale)
], SaleEntryTable.prototype, "animalData", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: String, nullable: false }),
    __metadata("design:type", String)
], SaleEntryTable.prototype, "dateOfEntry", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: String, nullable: true }),
    __metadata("design:type", String)
], SaleEntryTable.prototype, "remarks", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => user_collection_entity_1.UserTable, et => et.SaleEntryTable, { nullable: true }),
    (0, typeorm_1.JoinColumn)({ name: "userId" }),
    __metadata("design:type", user_collection_entity_1.UserTable)
], SaleEntryTable.prototype, "UserTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], SaleEntryTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], SaleEntryTable.prototype, "updatedAt", void 0);
SaleEntryTable = __decorate([
    (0, typeorm_1.Entity)()
], SaleEntryTable);
exports.SaleEntryTable = SaleEntryTable;
