"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SaleReadyTableType = void 0;
const graphql_1 = require("@nestjs/graphql");
const animal_entry_table_type_1 = require("../../animal-table/types/animal-entry-table.type");
const farmers_table_type_1 = require("../../farmers-table/types/farmers-table.type");
const user_collection_type_1 = require("../../user-collection/type/user-collection.type");
let SaleReadyTableType = class SaleReadyTableType {
};
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], SaleReadyTableType.prototype, "saleReadyId", void 0);
__decorate([
    (0, graphql_1.Field)(() => animal_entry_table_type_1.AnimalEntryTableType, { nullable: true }),
    __metadata("design:type", animal_entry_table_type_1.AnimalEntryTableType)
], SaleReadyTableType.prototype, "AnimalTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => farmers_table_type_1.FarmersTableType, { nullable: true }),
    __metadata("design:type", farmers_table_type_1.FarmersTableType)
], SaleReadyTableType.prototype, "FarmersTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], SaleReadyTableType.prototype, "dateOfEntry", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], SaleReadyTableType.prototype, "weight", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], SaleReadyTableType.prototype, "expectedPrice", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], SaleReadyTableType.prototype, "purpose", void 0);
__decorate([
    (0, graphql_1.Field)(() => user_collection_type_1.UserCollectionType),
    __metadata("design:type", user_collection_type_1.UserCollectionType)
], SaleReadyTableType.prototype, "UserTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => Date, { nullable: true }),
    __metadata("design:type", Date)
], SaleReadyTableType.prototype, "createdAt", void 0);
SaleReadyTableType = __decorate([
    (0, graphql_1.ObjectType)("SaleReadyTableType")
], SaleReadyTableType);
exports.SaleReadyTableType = SaleReadyTableType;
