"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SchemeMasterSubTable = void 0;
const mk_entitlements_table_entity_1 = require("../../mk-entitlements-table/entities/mk-entitlements-table.entity");
const scheme_master_table_entity_1 = require("../../scheme-master-table/entities/scheme-master-table.entity");
const typeorm_1 = require("typeorm");
let SchemeMasterSubTable = exports.SchemeMasterSubTable = class SchemeMasterSubTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], SchemeMasterSubTable.prototype, "schemeMasterSubId", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "text", nullable: true }),
    __metadata("design:type", String)
], SchemeMasterSubTable.prototype, "schemeMasterSubName", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", Number)
], SchemeMasterSubTable.prototype, "minimumAge", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", Number)
], SchemeMasterSubTable.prototype, "maximumAge", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, length: 50 }),
    __metadata("design:type", String)
], SchemeMasterSubTable.prototype, "assamState", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, length: 50 }),
    __metadata("design:type", String)
], SchemeMasterSubTable.prototype, "disability", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, length: 50 }),
    __metadata("design:type", String)
], SchemeMasterSubTable.prototype, "isBpl", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", Number)
], SchemeMasterSubTable.prototype, "minimumIncome", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", Number)
], SchemeMasterSubTable.prototype, "maximumIncome", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => scheme_master_table_entity_1.SchemeMasterTable, dt => dt.SchemeMasterSubTable),
    (0, typeorm_1.JoinColumn)({ name: "schemeMasterId" }),
    __metadata("design:type", scheme_master_table_entity_1.SchemeMasterTable)
], SchemeMasterSubTable.prototype, "SchemeMasterTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => mk_entitlements_table_entity_1.MkEntitlementsTable, et => et.SchemeMasterSubTable),
    __metadata("design:type", Array)
], SchemeMasterSubTable.prototype, "MkEntitlementsTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], SchemeMasterSubTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], SchemeMasterSubTable.prototype, "updatedAt", void 0);
exports.SchemeMasterSubTable = SchemeMasterSubTable = __decorate([
    (0, typeorm_1.Entity)()
], SchemeMasterSubTable);
