"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SchemeMasterTableModule = void 0;
const common_1 = require("@nestjs/common");
const scheme_master_table_service_1 = require("./scheme-master-table.service");
const scheme_master_table_resolver_1 = require("./scheme-master-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const scheme_master_table_entity_1 = require("./entities/scheme-master-table.entity");
const scheme_master_sub_table_module_1 = require("../scheme-master-sub-table/scheme-master-sub-table.module");
let SchemeMasterTableModule = exports.SchemeMasterTableModule = class SchemeMasterTableModule {
};
exports.SchemeMasterTableModule = SchemeMasterTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([scheme_master_table_entity_1.SchemeMasterTable]), (0, common_1.forwardRef)(() => scheme_master_sub_table_module_1.SchemeMasterSubTableModule)],
        providers: [scheme_master_table_resolver_1.SchemeMasterTableResolver, scheme_master_table_service_1.SchemeMasterTableService],
        exports: [scheme_master_table_service_1.SchemeMasterTableService]
    })
], SchemeMasterTableModule);
