"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SessionmasterTable = void 0;
const activity_achievements_table_entity_1 = require("../../activity-achievements-table/entities/activity-achievements-table.entity");
const activity_planning_table_entity_1 = require("../../activity-planning-table/entities/activity-planning-table.entity");
const intervention_production_sub_table_entity_1 = require("../../intervention-production-sub-table/entities/intervention-production-sub-table.entity");
const intervention_table_entity_1 = require("../../intervention-table/entities/intervention-table.entity");
const mk_entitlements_table_entity_1 = require("../../mk-entitlements-table/entities/mk-entitlements-table.entity");
const mk_income_activity_table_entity_1 = require("../../mk-income-activity-table/entities/mk-income-activity-table.entity");
const survey_answers_table_entity_1 = require("../../survey-answers-table/entities/survey-answers-table.entity");
const task_achievements_table_entity_1 = require("../../task-achievements-table/entities/task-achievements-table.entity");
const task_planning_table_entity_1 = require("../../task-planning-table/entities/task-planning-table.entity");
const typeorm_1 = require("typeorm");
let SessionmasterTable = exports.SessionmasterTable = class SessionmasterTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], SessionmasterTable.prototype, "sessionId", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], SessionmasterTable.prototype, "sessionName", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => mk_income_activity_table_entity_1.MkIncomeActivityTable, et => et.SessionmasterTable),
    __metadata("design:type", Array)
], SessionmasterTable.prototype, "MkIncomeActivityTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => activity_planning_table_entity_1.ActivityPlanningTable, et => et.SessionmasterTable),
    __metadata("design:type", Array)
], SessionmasterTable.prototype, "ActivityPlanningTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => task_planning_table_entity_1.TaskPlanningTable, et => et.SessionmasterTable),
    __metadata("design:type", Array)
], SessionmasterTable.prototype, "TaskPlanningTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => activity_achievements_table_entity_1.ActivityAchievementsTable, et => et.SessionmasterTable),
    __metadata("design:type", Array)
], SessionmasterTable.prototype, "ActivityAchievementsTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => task_achievements_table_entity_1.TaskAchievementsTable, et => et.SessionmasterTable),
    __metadata("design:type", Array)
], SessionmasterTable.prototype, "TaskAchievementsTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => mk_entitlements_table_entity_1.MkEntitlementsTable, et => et.SessionmasterTable),
    __metadata("design:type", Array)
], SessionmasterTable.prototype, "MkEntitlementsTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => intervention_production_sub_table_entity_1.InterventionProductionSubTable, et => et.SessionmasterTable),
    __metadata("design:type", Array)
], SessionmasterTable.prototype, "InterventionProductionSubTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => survey_answers_table_entity_1.SurveyAnswersTable, et => et.SessionmasterTable),
    __metadata("design:type", Array)
], SessionmasterTable.prototype, "SurveyAnswersTable", void 0);
__decorate([
    (0, typeorm_1.Column)({ default: 0 }),
    __metadata("design:type", Number)
], SessionmasterTable.prototype, "isActive", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => intervention_table_entity_1.InterventionTable, et => et.SessionmasterTable),
    __metadata("design:type", Array)
], SessionmasterTable.prototype, "InterventionTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], SessionmasterTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], SessionmasterTable.prototype, "updatedAt", void 0);
exports.SessionmasterTable = SessionmasterTable = __decorate([
    (0, typeorm_1.Entity)()
], SessionmasterTable);
