"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShgTable = void 0;
const mk_table_entity_1 = require("../../mk-table/entities/mk-table.entity");
const survey_answers_table_entity_1 = require("../../survey-answers-table/entities/survey-answers-table.entity");
const user_collection_entity_1 = require("../../user-collection/entities/user-collection.entity");
const village_table_entity_1 = require("../../village-table/entities/village-table.entity");
const vo_table_entity_1 = require("../../vo-table/entities/vo-table.entity");
const typeorm_1 = require("typeorm");
let ShgTable = exports.ShgTable = class ShgTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], ShgTable.prototype, "shgId", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], ShgTable.prototype, "shgName", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 100, nullable: true }),
    __metadata("design:type", String)
], ShgTable.prototype, "dateOfFormation", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], ShgTable.prototype, "nrlmRegistration", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], ShgTable.prototype, "bankAccountNo", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], ShgTable.prototype, "bankName", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], ShgTable.prototype, "bankBranch", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], ShgTable.prototype, "bankIfsc", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => village_table_entity_1.VillageTable, dt => dt.ShgTable),
    (0, typeorm_1.JoinColumn)({ name: "villageId" }),
    __metadata("design:type", village_table_entity_1.VillageTable)
], ShgTable.prototype, "VillageTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => vo_table_entity_1.VoTable, dt => dt.ShgTable, { nullable: true }),
    (0, typeorm_1.JoinColumn)({ name: "voId" }),
    __metadata("design:type", vo_table_entity_1.VoTable)
], ShgTable.prototype, "VoTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => mk_table_entity_1.MkTable, et => et.ShgTable, { nullable: true }),
    __metadata("design:type", Array)
], ShgTable.prototype, "MkTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => user_collection_entity_1.UserTable, dt => dt.ShgTable),
    (0, typeorm_1.JoinColumn)({ name: "userId" }),
    __metadata("design:type", user_collection_entity_1.UserTable)
], ShgTable.prototype, "UserTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => survey_answers_table_entity_1.SurveyAnswersTable, et => et.ShgTable),
    __metadata("design:type", Array)
], ShgTable.prototype, "SurveyAnswersTable", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50, nullable: true }),
    __metadata("design:type", String)
], ShgTable.prototype, "noOfMembers", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], ShgTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], ShgTable.prototype, "updatedAt", void 0);
exports.ShgTable = ShgTable = __decorate([
    (0, typeorm_1.Entity)()
], ShgTable);
