"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShgTableModule = void 0;
const common_1 = require("@nestjs/common");
const shg_table_service_1 = require("./shg-table.service");
const shg_table_resolver_1 = require("./shg-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const shg_table_entity_1 = require("./entities/shg-table.entity");
const village_table_module_1 = require("../village-table/village-table.module");
const vo_table_module_1 = require("../vo-table/vo-table.module");
const user_collection_module_1 = require("../user-collection/user-collection.module");
let ShgTableModule = exports.ShgTableModule = class ShgTableModule {
};
exports.ShgTableModule = ShgTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([shg_table_entity_1.ShgTable]), village_table_module_1.VillageTableModule, vo_table_module_1.VoTableModule, user_collection_module_1.UserCollectionModule],
        providers: [shg_table_resolver_1.ShgTableResolver, shg_table_service_1.ShgTableService],
        exports: [shg_table_service_1.ShgTableService]
    })
], ShgTableModule);
