"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.StateTable = void 0;
const access_table_entity_1 = require("../../access-table/entities/access-table.entity");
const district_table_entity_1 = require("../../district-table/entities/district-table.entity");
const producer_groups_table_entity_1 = require("../../producer-groups-table/entities/producer-groups-table.entity");
const typeorm_1 = require("typeorm");
let StateTable = exports.StateTable = class StateTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], StateTable.prototype, "stateId", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], StateTable.prototype, "stateName", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => district_table_entity_1.DistrictTable, et => et.StateTable),
    __metadata("design:type", Array)
], StateTable.prototype, "DistrictTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => producer_groups_table_entity_1.ProducerGroupsTable, et => et.StateTable),
    __metadata("design:type", Array)
], StateTable.prototype, "ProducerGroupsTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => access_table_entity_1.AccessTable, et => et.StateTable),
    __metadata("design:type", Array)
], StateTable.prototype, "AccessTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], StateTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], StateTable.prototype, "updatedAt", void 0);
exports.StateTable = StateTable = __decorate([
    (0, typeorm_1.Entity)()
], StateTable);
