import { ObjectID } from 'typeorm';
import * as mongoose from 'mongoose';
import { Document } from 'mongoose';
import { ProductCollection } from 'src/product-collection/entities/product-collection.entity';
export declare type StockDocument = StockCollection & Document;
export declare class StockCollection {
    _id: ObjectID;
    Product: ProductCollection;
    size: string;
    basePrice: string;
    mrp: string;
    barcode: string;
    mfgDate: string;
    batchNo: string;
    expiryDate: string;
    qty: number;
    entryDate: string;
}
export declare const StockCollectionSchema: mongoose.Schema<mongoose.Document<StockCollection, any, any>, mongoose.Model<mongoose.Document<StockCollection, any, any>, any, any, any>, any, any>;
