import { BreedTable } from 'src/breed-table/entities/breed-table.entity';
import { DiseaseTable } from 'src/disease-table/entities/disease-table.entity';
import { HousingTable } from 'src/housing-table/entities/housing-table.entity';
import { UserTable } from 'src/user-collection/entities/user-collection.entity';
export declare enum StockEntryType {
    BIRTH = "BIRTH",
    PURCHASE = "PURCHASE",
    OPENING = "OPENING",
    DECEASE = "DECEASE"
}
export declare class StockEntryTable {
    stockEntryId: number;
    HousingTable: HousingTable;
    dateOfEntry: string;
    entryType: StockEntryType;
    BreedTable: BreedTable;
    ageGroup: string;
    qtyMale: number;
    qtyFemale: number;
    qtyTotal: number;
    avgWeight: number;
    remarks: string;
    DiseaseTable: DiseaseTable;
    UserTable: UserTable;
    createdAt: Date;
    updatedAt: Date;
}
