import { BreedTableType } from 'src/breed-table/types/breed-table.type';
import { DiseaseTableType } from 'src/disease-table/types/disease-table.type';
import { StockEntryType } from 'src/enum/new-enum';
import { HousingTableType } from 'src/housing-table/types/housing-table.type';
import { UserCollectionType } from 'src/user-collection/type/user-collection.type';
export declare class StockEntryTableType {
    stockEntryId: number;
    HousingTable: HousingTableType;
    entryType: StockEntryType;
    BreedTable: BreedTableType;
    DiseaseTable?: DiseaseTableType;
    ageGroup: string;
    dateOfEntry: string;
    qtyMale: number;
    qtyFemale: number;
    qtyTotal: number;
    avgWeight: number;
    remarks?: string;
    UserTable: UserCollectionType;
    createdAt?: Date;
}
