import { ObjectID } from 'typeorm';
import * as mongoose from 'mongoose';
import { Document } from 'mongoose';
import { CurrentStockCollection } from 'src/current-stock-collection/entities/current-stock-collection.entity';
export declare type StockRegisterDocument = StockRegisterCollection & Document;
export declare class StockRegisterCollection {
    _id: ObjectID;
    CurrentStock: CurrentStockCollection;
    entryDate: string;
    qty: number;
    narration: string;
    accountType: string;
    entryType: string;
    receiptNo: string;
    createdBy: string;
}
export declare const StockRegisterCollectionSchema: mongoose.Schema<mongoose.Document<StockRegisterCollection, any, any>, mongoose.Model<mongoose.Document<StockRegisterCollection, any, any>, any, any, any>, any, any>;
