"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SurveyAnswersTable = void 0;
const sessionmaster_table_entity_1 = require("../../sessionmaster-table/entities/sessionmaster-table.entity");
const shg_table_entity_1 = require("../../shg-table/entities/shg-table.entity");
const survey_interpretation_table_entity_1 = require("../../survey-interpretation-table/entities/survey-interpretation-table.entity");
const survey_master_table_entity_1 = require("../../survey-master-table/entities/survey-master-table.entity");
const user_collection_entity_1 = require("../../user-collection/entities/user-collection.entity");
const vo_table_entity_1 = require("../../vo-table/entities/vo-table.entity");
const typeorm_1 = require("typeorm");
let SurveyAnswersTable = exports.SurveyAnswersTable = class SurveyAnswersTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], SurveyAnswersTable.prototype, "answerId", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, length: 50 }),
    __metadata("design:type", String)
], SurveyAnswersTable.prototype, "entryDate", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, length: 20 }),
    __metadata("design:type", String)
], SurveyAnswersTable.prototype, "year", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], SurveyAnswersTable.prototype, "type", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], SurveyAnswersTable.prototype, "score", void 0);
__decorate([
    (0, typeorm_1.Column)("simple-json", { nullable: true }),
    __metadata("design:type", Array)
], SurveyAnswersTable.prototype, "answers", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => sessionmaster_table_entity_1.SessionmasterTable, dt => dt.SurveyAnswersTable),
    (0, typeorm_1.JoinColumn)({ name: "sessionId" }),
    __metadata("design:type", sessionmaster_table_entity_1.SessionmasterTable)
], SurveyAnswersTable.prototype, "SessionmasterTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => survey_master_table_entity_1.SurveyMasterTable, dt => dt.SurveyAnswersTable),
    (0, typeorm_1.JoinColumn)({ name: "surveyMasterId" }),
    __metadata("design:type", survey_master_table_entity_1.SurveyMasterTable)
], SurveyAnswersTable.prototype, "SurveyMasterTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => shg_table_entity_1.ShgTable, dt => dt.SurveyAnswersTable, { nullable: true }),
    (0, typeorm_1.JoinColumn)({ name: "shgId" }),
    __metadata("design:type", shg_table_entity_1.ShgTable)
], SurveyAnswersTable.prototype, "ShgTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => vo_table_entity_1.VoTable, dt => dt.SurveyAnswersTable, { nullable: true }),
    (0, typeorm_1.JoinColumn)({ name: "voId" }),
    __metadata("design:type", vo_table_entity_1.VoTable)
], SurveyAnswersTable.prototype, "VoTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => survey_interpretation_table_entity_1.SurveyInterpretationTable, dt => dt.SurveyAnswersTable, { nullable: true }),
    (0, typeorm_1.JoinColumn)({ name: "interpretationId" }),
    __metadata("design:type", survey_interpretation_table_entity_1.SurveyInterpretationTable)
], SurveyAnswersTable.prototype, "SurveyInterpretationTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => user_collection_entity_1.UserTable, dt => dt.SurveyAnswersTable),
    (0, typeorm_1.JoinColumn)({ name: "userId" }),
    __metadata("design:type", user_collection_entity_1.UserTable)
], SurveyAnswersTable.prototype, "UserTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], SurveyAnswersTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], SurveyAnswersTable.prototype, "updatedAt", void 0);
exports.SurveyAnswersTable = SurveyAnswersTable = __decorate([
    (0, typeorm_1.Entity)()
], SurveyAnswersTable);
