"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SurveyAnswersTableModule = void 0;
const common_1 = require("@nestjs/common");
const survey_answers_table_service_1 = require("./survey-answers-table.service");
const survey_answers_table_resolver_1 = require("./survey-answers-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const survey_answers_table_entity_1 = require("./entities/survey-answers-table.entity");
const sessionmaster_table_module_1 = require("../sessionmaster-table/sessionmaster-table.module");
const shg_table_module_1 = require("../shg-table/shg-table.module");
const vo_table_module_1 = require("../vo-table/vo-table.module");
const survey_interpretation_table_module_1 = require("../survey-interpretation-table/survey-interpretation-table.module");
const survey_questions_table_module_1 = require("../survey-questions-table/survey-questions-table.module");
const survey_master_table_module_1 = require("../survey-master-table/survey-master-table.module");
const user_collection_module_1 = require("../user-collection/user-collection.module");
let SurveyAnswersTableModule = exports.SurveyAnswersTableModule = class SurveyAnswersTableModule {
};
exports.SurveyAnswersTableModule = SurveyAnswersTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([survey_answers_table_entity_1.SurveyAnswersTable]), sessionmaster_table_module_1.SessionmasterTableModule, shg_table_module_1.ShgTableModule, vo_table_module_1.VoTableModule, survey_interpretation_table_module_1.SurveyInterpretationTableModule, survey_master_table_module_1.SurveyMasterTableModule, survey_questions_table_module_1.SurveyQuestionsTableModule, user_collection_module_1.UserCollectionModule],
        providers: [survey_answers_table_resolver_1.SurveyAnswersTableResolver, survey_answers_table_service_1.SurveyAnswersTableService],
        exports: [survey_answers_table_service_1.SurveyAnswersTableService]
    })
], SurveyAnswersTableModule);
