import { SurveyAnswersTableService } from './survey-answers-table.service';
import { SurveyAnswersTable } from './entities/survey-answers-table.entity';
import { CreateSurveyAnswersTableInput } from './dto/create-survey-answers-table.input';
export declare class SurveyAnswersTableResolver {
    private readonly surveyAnswersTableService;
    constructor(surveyAnswersTableService: SurveyAnswersTableService);
    createSurveyAnswersTable(createSurveyAnswersTableInput: CreateSurveyAnswersTableInput, user: any): Promise<{
        status: boolean;
        status_text: string;
        data: SurveyAnswersTable;
    }>;
    findOneAnswerById(answerId: number): Promise<SurveyAnswersTable>;
    getListOfAnswersByUser(limit: number, page: number, type: string, search: string, user: any): Promise<{
        data: any;
        total: any;
    }>;
    recalculateScoreForShgAndVo(answerId: number): Promise<false | SurveyAnswersTable>;
}
