"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SurveyQuestionsTableType = exports.SurveyQuestionOptionType = void 0;
const graphql_1 = require("@nestjs/graphql");
const survey_master_table_type_1 = require("../../survey-master-table/types/survey-master-table.type");
let SurveyQuestionOptionType = exports.SurveyQuestionOptionType = class SurveyQuestionOptionType {
};
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], SurveyQuestionOptionType.prototype, "optionLabel", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], SurveyQuestionOptionType.prototype, "optionText", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], SurveyQuestionOptionType.prototype, "optionValue", void 0);
exports.SurveyQuestionOptionType = SurveyQuestionOptionType = __decorate([
    (0, graphql_1.ObjectType)('SurveyQuestionOptionType')
], SurveyQuestionOptionType);
let SurveyQuestionsTableType = exports.SurveyQuestionsTableType = class SurveyQuestionsTableType {
};
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], SurveyQuestionsTableType.prototype, "surveyQuestionId", void 0);
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], SurveyQuestionsTableType.prototype, "surveyQuestionLabel", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], SurveyQuestionsTableType.prototype, "surveyQuestionEn", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], SurveyQuestionsTableType.prototype, "surveyQuestionAs", void 0);
__decorate([
    (0, graphql_1.Field)(() => [String], { nullable: true }),
    __metadata("design:type", Array)
], SurveyQuestionsTableType.prototype, "surveySelectable", void 0);
__decorate([
    (0, graphql_1.Field)(() => [SurveyQuestionOptionType]),
    __metadata("design:type", Array)
], SurveyQuestionsTableType.prototype, "options", void 0);
__decorate([
    (0, graphql_1.Field)(() => survey_master_table_type_1.SurveyMasterTableType, { nullable: true }),
    __metadata("design:type", survey_master_table_type_1.SurveyMasterTableType)
], SurveyQuestionsTableType.prototype, "SurveyMasterTable", void 0);
exports.SurveyQuestionsTableType = SurveyQuestionsTableType = __decorate([
    (0, graphql_1.ObjectType)('SurveyQuestionsTableType')
], SurveyQuestionsTableType);
