"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TaskAchievementsTableModule = void 0;
const common_1 = require("@nestjs/common");
const task_achievements_table_service_1 = require("./task-achievements-table.service");
const task_achievements_table_resolver_1 = require("./task-achievements-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const task_achievements_table_entity_1 = require("./entities/task-achievements-table.entity");
const task_table_module_1 = require("../task-table/task-table.module");
const activity_table_module_1 = require("../activity-table/activity-table.module");
const sessionmaster_table_module_1 = require("../sessionmaster-table/sessionmaster-table.module");
const user_collection_module_1 = require("../user-collection/user-collection.module");
let TaskAchievementsTableModule = exports.TaskAchievementsTableModule = class TaskAchievementsTableModule {
};
exports.TaskAchievementsTableModule = TaskAchievementsTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([task_achievements_table_entity_1.TaskAchievementsTable]), (0, common_1.forwardRef)(() => task_table_module_1.TaskTableModule), (0, common_1.forwardRef)(() => activity_table_module_1.ActivityTableModule), (0, common_1.forwardRef)(() => sessionmaster_table_module_1.SessionmasterTableModule), (0, common_1.forwardRef)(() => user_collection_module_1.UserCollectionModule)],
        providers: [task_achievements_table_resolver_1.TaskAchievementsTableResolver, task_achievements_table_service_1.TaskAchievementsTableService],
        exports: [task_achievements_table_service_1.TaskAchievementsTableService]
    })
], TaskAchievementsTableModule);
