"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActivityPlanningTableType = void 0;
const graphql_1 = require("@nestjs/graphql");
const activity_table_type_1 = require("../../activity-table/types/activity-table.type");
const sessionmaster_table_type_1 = require("../../sessionmaster-table/types/sessionmaster-table.type");
const theme_table_type_1 = require("../../theme-table/types/theme-table.type");
const user_collection_type_1 = require("../../user-collection/type/user-collection.type");
let ActivityPlanningTableType = exports.ActivityPlanningTableType = class ActivityPlanningTableType {
};
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], ActivityPlanningTableType.prototype, "activityPlanningId", void 0);
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], ActivityPlanningTableType.prototype, "nosToBePerformed", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], ActivityPlanningTableType.prototype, "activityType", void 0);
__decorate([
    (0, graphql_1.Field)(() => theme_table_type_1.ThemeTableType),
    __metadata("design:type", theme_table_type_1.ThemeTableType)
], ActivityPlanningTableType.prototype, "ThemeTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => activity_table_type_1.ActivityTableType),
    __metadata("design:type", activity_table_type_1.ActivityTableType)
], ActivityPlanningTableType.prototype, "ActivityTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => sessionmaster_table_type_1.SessionMasterTableType),
    __metadata("design:type", sessionmaster_table_type_1.SessionMasterTableType)
], ActivityPlanningTableType.prototype, "SessionmasterTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => user_collection_type_1.UserCollectionType),
    __metadata("design:type", user_collection_type_1.UserCollectionType)
], ActivityPlanningTableType.prototype, "UserTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], ActivityPlanningTableType.prototype, "isVerified", void 0);
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], ActivityPlanningTableType.prototype, "isActive", void 0);
exports.ActivityPlanningTableType = ActivityPlanningTableType = __decorate([
    (0, graphql_1.ObjectType)("ActivityPlanningTableType")
], ActivityPlanningTableType);
