"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TaskPlanningTableType = void 0;
const graphql_1 = require("@nestjs/graphql");
const activity_table_type_1 = require("../../activity-table/types/activity-table.type");
const sessionmaster_table_type_1 = require("../../sessionmaster-table/types/sessionmaster-table.type");
const task_table_type_1 = require("../../task-table/types/task-table.type");
const user_collection_type_1 = require("../../user-collection/type/user-collection.type");
let TaskPlanningTableType = exports.TaskPlanningTableType = class TaskPlanningTableType {
};
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], TaskPlanningTableType.prototype, "taskPlanningId", void 0);
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], TaskPlanningTableType.prototype, "nosToBePerformed", void 0);
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int, { nullable: true }),
    __metadata("design:type", Number)
], TaskPlanningTableType.prototype, "nosPerformed", void 0);
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], TaskPlanningTableType.prototype, "halfNo", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], TaskPlanningTableType.prototype, "taskType", void 0);
__decorate([
    (0, graphql_1.Field)(() => Boolean, { nullable: true }),
    __metadata("design:type", Boolean)
], TaskPlanningTableType.prototype, "isSubmitted", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], TaskPlanningTableType.prototype, "month", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], TaskPlanningTableType.prototype, "verifiedOn", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], TaskPlanningTableType.prototype, "verifiedBy", void 0);
__decorate([
    (0, graphql_1.Field)(() => task_table_type_1.TaskTableType),
    __metadata("design:type", task_table_type_1.TaskTableType)
], TaskPlanningTableType.prototype, "TaskTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => activity_table_type_1.ActivityTableType),
    __metadata("design:type", activity_table_type_1.ActivityTableType)
], TaskPlanningTableType.prototype, "ActivityTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => sessionmaster_table_type_1.SessionMasterTableType),
    __metadata("design:type", sessionmaster_table_type_1.SessionMasterTableType)
], TaskPlanningTableType.prototype, "SessionmasterTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => user_collection_type_1.UserCollectionType),
    __metadata("design:type", user_collection_type_1.UserCollectionType)
], TaskPlanningTableType.prototype, "UserTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], TaskPlanningTableType.prototype, "isVerified", void 0);
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], TaskPlanningTableType.prototype, "isActive", void 0);
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], TaskPlanningTableType.prototype, "isEditable", void 0);
exports.TaskPlanningTableType = TaskPlanningTableType = __decorate([
    (0, graphql_1.ObjectType)("TaskPlanningTableType")
], TaskPlanningTableType);
