"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TrainingTableModule = void 0;
const common_1 = require("@nestjs/common");
const training_table_service_1 = require("./training-table.service");
const training_table_resolver_1 = require("./training-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const training_table_entity_1 = require("./entities/training-table.entity");
const pop_table_module_1 = require("../pop-table/pop-table.module");
const income_source_table_module_1 = require("../income-source-table/income-source-table.module");
const livelihood_source_table_module_1 = require("../livelihood-source-table/livelihood-source-table.module");
let TrainingTableModule = exports.TrainingTableModule = class TrainingTableModule {
};
exports.TrainingTableModule = TrainingTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([training_table_entity_1.TrainingTable]), (0, common_1.forwardRef)(() => pop_table_module_1.PopTableModule), (0, common_1.forwardRef)(() => income_source_table_module_1.IncomeSourceTableModule), (0, common_1.forwardRef)(() => livelihood_source_table_module_1.LivelihoodSourceTableModule)],
        providers: [training_table_resolver_1.TrainingTableResolver, training_table_service_1.TrainingTableService],
        exports: [training_table_service_1.TrainingTableService]
    })
], TrainingTableModule);
