/// <reference types="mongoose" />
import { UnitCollectionService } from './unit-collection.service';
import { UnitCollection } from './entities/unit-collection.entity';
import { CreateUnitCollectionInput } from './dto/create-unit-collection.input';
import { UpdateUnitCollectionInput } from './dto/update-unit-collection.input';
export declare class UnitCollectionResolver {
    private readonly unitCollectionService;
    constructor(unitCollectionService: UnitCollectionService);
    createUnitCollection(user: any, createUnitCollectionInput: CreateUnitCollectionInput): Promise<{
        status: boolean;
        status_text: string;
        data: UnitCollection & import("mongoose").Document<any, any, any> & {
            _id: any;
        };
    }>;
    findAllUnit(): Promise<(UnitCollection & import("mongoose").Document<any, any, any> & {
        _id: any;
    })[]>;
    updateUnitCollection(updateUnitCollectionInput: UpdateUnitCollectionInput): Promise<any>;
    removeUnitCollection(id: string): Promise<{
        status: boolean;
        status_text: string;
        data: any;
    }>;
}
