import { AccessTable } from "src/access-table/entities/access-table.entity";
import { AssessmentAnswerTable } from "src/assessment-answer-table/entities/assessment-answer-table.entity";
import { CourseProgressionTable } from "src/course-progression-table/entities/course-progression-table.entity";
import { CourseTable } from "src/course-table/entities/course-table.entity";
import { DesignationTable } from "src/designation-table/entities/designation-table.entity";
import { DiscussionTable } from "src/discussion-table/entities/discussion-table.entity";
import { OrganisationTable } from "src/organisation-table/entities/organisation-table.entity";
import { SubscriptionTable } from "src/subscription-table/entities/subscription-table.entity";
export declare class UserTable {
    id: number;
    username: string;
    password: string;
    designation: string;
    name: string;
    email: string;
    phone: string;
    currentClass: string;
    classRollNo: string;
    semester: string;
    role: string;
    isActive: boolean;
    AccessTable: AccessTable[];
    SubscriptionTable: SubscriptionTable[];
    integratorId: number;
    DesignationTable: DesignationTable;
    CourseTable: CourseTable[];
    OrganisationTable: OrganisationTable;
    AssessmentAnswerTable: AssessmentAnswerTable[];
    CourseProgressionTable: CourseProgressionTable[];
    DiscussionTable: DiscussionTable[];
    createdAt: Date;
    updatedAt: Date;
}
