"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserCollectionModule = void 0;
const common_1 = require("@nestjs/common");
const user_collection_service_1 = require("./user-collection.service");
const user_collection_resolver_1 = require("./user-collection.resolver");
const user_collection_entity_1 = require("./entities/user-collection.entity");
const typeorm_1 = require("@nestjs/typeorm");
const otp_table_module_1 = require("../otp-table/otp-table.module");
const access_table_module_1 = require("../access-table/access-table.module");
const designation_table_module_1 = require("../designation-table/designation-table.module");
const organisation_table_module_1 = require("../organisation-table/organisation-table.module");
let UserCollectionModule = exports.UserCollectionModule = class UserCollectionModule {
};
exports.UserCollectionModule = UserCollectionModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([user_collection_entity_1.UserTable]), (0, common_1.forwardRef)(() => otp_table_module_1.OtpTableModule), (0, common_1.forwardRef)(() => access_table_module_1.AccessTableModule), (0, common_1.forwardRef)(() => designation_table_module_1.DesignationTableModule), (0, common_1.forwardRef)(() => organisation_table_module_1.OrganisationTableModule)],
        providers: [user_collection_resolver_1.UserCollectionResolver, user_collection_service_1.UserCollectionService],
        exports: [user_collection_service_1.UserCollectionService]
    })
], UserCollectionModule);
