"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.VillageTable = void 0;
const grampanchayat_table_entity_1 = require("../../grampanchayat-table/entities/grampanchayat-table.entity");
const mk_table_entity_1 = require("../../mk-table/entities/mk-table.entity");
const shg_table_entity_1 = require("../../shg-table/entities/shg-table.entity");
const typeorm_1 = require("typeorm");
let VillageTable = exports.VillageTable = class VillageTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], VillageTable.prototype, "villageId", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], VillageTable.prototype, "villageName", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => grampanchayat_table_entity_1.GrampanchayatTable, dt => dt.VillageTable),
    (0, typeorm_1.JoinColumn)({ name: "gpId" }),
    __metadata("design:type", grampanchayat_table_entity_1.GrampanchayatTable)
], VillageTable.prototype, "GrampanchayatTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => shg_table_entity_1.ShgTable, et => et.VillageTable),
    __metadata("design:type", Array)
], VillageTable.prototype, "ShgTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => mk_table_entity_1.MkTable, et => et.VillageTable),
    __metadata("design:type", Array)
], VillageTable.prototype, "MkTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], VillageTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], VillageTable.prototype, "updatedAt", void 0);
exports.VillageTable = VillageTable = __decorate([
    (0, typeorm_1.Entity)()
], VillageTable);
