"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.VoTableModule = void 0;
const common_1 = require("@nestjs/common");
const vo_table_service_1 = require("./vo-table.service");
const vo_table_resolver_1 = require("./vo-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const vo_table_entity_1 = require("./entities/vo-table.entity");
const grampanchayat_table_module_1 = require("../grampanchayat-table/grampanchayat-table.module");
let VoTableModule = exports.VoTableModule = class VoTableModule {
};
exports.VoTableModule = VoTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([vo_table_entity_1.VoTable]), grampanchayat_table_module_1.GrampanchayatTableModule],
        providers: [vo_table_resolver_1.VoTableResolver, vo_table_service_1.VoTableService],
        exports: [vo_table_service_1.VoTableService]
    })
], VoTableModule);
