"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WishlistCollectionModule = void 0;
const common_1 = require("@nestjs/common");
const wishlist_collection_service_1 = require("./wishlist-collection.service");
const wishlist_collection_resolver_1 = require("./wishlist-collection.resolver");
const product_collection_module_1 = require("../product-collection/product-collection.module");
const mongoose_1 = require("@nestjs/mongoose");
const wishlist_collection_entity_1 = require("./entities/wishlist-collection.entity");
let WishlistCollectionModule = class WishlistCollectionModule {
};
WishlistCollectionModule = __decorate([
    (0, common_1.Module)({
        imports: [mongoose_1.MongooseModule.forFeature([{ name: wishlist_collection_entity_1.WishlistCollection.name, schema: wishlist_collection_entity_1.WishlistCollectionSchema }]), (0, common_1.forwardRef)(() => product_collection_module_1.ProductCollectionModule)],
        providers: [wishlist_collection_resolver_1.WishlistCollectionResolver, wishlist_collection_service_1.WishlistCollectionService],
        exports: [wishlist_collection_service_1.WishlistCollectionService]
    })
], WishlistCollectionModule);
exports.WishlistCollectionModule = WishlistCollectionModule;
