import { InputType, Int, Field } from '@nestjs/graphql';

@InputType()
export class CreateAccessTableInput {
  @Field(() => Int)
  userId: number;

  @Field(() => Int, {nullable: true})
  stateId?: number;

  @Field(() => Int, {nullable: true})
  districtId?: number;

  @Field(() => Int, {nullable: true})
  blockId?: number;

}
