import { Field, ObjectType } from '@nestjs/graphql';
import { AssessmentAnswersTableType } from './assessment-answer-table.type';


@ObjectType("AssessmentAnswersTableReturnType")
export class AssessmentAnswersTableReturnType {

  @Field(() => AssessmentAnswersTableType, {nullable: true})
  data?: AssessmentAnswersTableType;

  @Field(() => Boolean)
  status: boolean;

  @Field(() => String, {nullable: true})
  status_text: string;

}
