import { InputType, Field } from '@nestjs/graphql';

@InputType()
export class CreateAssessmentMasterTableInput {
  @Field(() => String)
  assessmentName: string;

  @Field(() => Number)
  courseId: number;

  @Field(() => Number)
  week: number;

  @Field(() => String)
  type: string;

  @Field(() => Number)
  duration: number;

  @Field(() => String, {nullable: true})
  totalScore: string;

  @Field(() => String, {nullable: true})
  passingScore: string;

  @Field(() => Boolean, { defaultValue: true })
  isActive: boolean;
}
