import { Field, ObjectType } from '@nestjs/graphql';
import { AssessmentMasterTableType } from './assessment-master-table.type';


@ObjectType("AssessmentMasterTableReturnType")
export class AssessmentMasterTableReturnType {

  @Field(() => AssessmentMasterTableType, {nullable: true})
  data?: AssessmentMasterTableType;

  @Field(() => Boolean)
  status: boolean;

  @Field(() => String, {nullable: true})
  status_text: string;

}
