import { Field, Int, ObjectType } from '@nestjs/graphql';
import { AssessmentQuestionsTableType } from './assessment-questions-table.type';
// import { SurveyQuestionsTableType } from './survey-questions-table.type';


@ObjectType("AssessmentQuestionsTableReturnAppType")
export class AssessmentQuestionsTableReturnAppType {

  @Field(() => [AssessmentQuestionsTableType], {nullable: true})
  data?: AssessmentQuestionsTableType[];

  @Field(() => Int, {nullable: true})
  length: number;

  @Field(() => Int, {nullable: true})
  assessmentId: number;

  @Field(() => Int, {nullable: true})
  duration: number;

}
