import { Field, ObjectType } from '@nestjs/graphql';
import { AssessmentQuestionsTableType } from './assessment-questions-table.type';


@ObjectType("AssessmentQuestionsTableReturnType")
export class AssessmentQuestionsTableReturnType {

  @Field(() => AssessmentQuestionsTableType, {nullable: true})
  data?: AssessmentQuestionsTableType;

  @Field(() => Boolean)
  status: boolean;

  @Field(() => String, {nullable: true})
  status_text: string;

}
