
import { Field, ObjectType } from '@nestjs/graphql';
import { CourseSessionTableType } from './course-session-table.type';



@ObjectType("CourseSessionTableReturnType")
export class CourseSessionTableReturnType {

  @Field(() => CourseSessionTableType, {nullable: true})
  data?: CourseSessionTableType;

  @Field(() => Boolean)
  status: boolean;

  @Field(() => String, {nullable: true})
  status_text: string;

  
}
