
import { Field, ObjectType } from '@nestjs/graphql';
import { CourseUnitTableType } from './course-unit-table.type';


@ObjectType("CourseUnitTableReturnType")
export class CourseUnitTableReturnType {

  @Field(() => CourseUnitTableType, {nullable: true})
  data?: CourseUnitTableType;

  @Field(() => Boolean)
  status: boolean;

  @Field(() => String, {nullable: true})
  status_text: string;
  
}
