import { Module } from '@nestjs/common';
import { DesignationTableService } from './designation-table.service';
import { DesignationTableResolver } from './designation-table.resolver';
import { TypeOrmModule } from '@nestjs/typeorm';
import { DesignationTable } from './entities/designation-table.entity';

@Module({
  imports: [TypeOrmModule.forFeature([DesignationTable])],
  providers: [DesignationTableResolver, DesignationTableService],
  exports: [DesignationTableService]
})
export class DesignationTableModule {}
