import { Entity, PrimaryGeneratedColumn, Column, PrimaryColumn, ManyToOne } from "typeorm";

@Entity()
export class FileTable{
    @PrimaryGeneratedColumn("uuid")
    fileId: string;

    @Column()
    code: string;

    @Column()
    fileName: string;

    @Column({ length: 50})
    mimeType: string;

    @Column({ length: 50})
    fileType: string;

    @Column()
    path: string;

}