import { Module } from '@nestjs/common';
import { MailService } from './mail.service';
import { MailerModule } from '@nestjs-modules/mailer';
import { MailController } from './mail.controller';
import { HandlebarsAdapter } from '@nestjs-modules/mailer/dist/adapters/handlebars.adapter';

@Module({
  imports: [MailerModule.forRoot({
    transport: {
      host: "smtp.gmail.com",
     port: 465,
     secure: true,
     auth: {
       user: 'notifications@sesta.org',
       pass: 'qetfinzngrwskntx',
       
     },
     
   },
   defaults: {
     from: '"No Reply" <notifications@sesta.org>',
   },
    template: {
      dir: __dirname + '/templates',
      adapter: new HandlebarsAdapter(),
      options: {
        strict: true,
      },
    },
  })],
  controllers: [MailController],
  providers: [MailService],
  exports: [MailService]
})
export class MailModule { }
