import { Module } from '@nestjs/common';
import { OrganisationTableService } from './organisation-table.service';
import { OrganisationTableResolver } from './organisation-table.resolver';
import { TypeOrmModule } from '@nestjs/typeorm';
import { OrganisationTable } from './entities/organisation-table.entity';

@Module({
  imports: [TypeOrmModule.forFeature([OrganisationTable])],
  providers: [OrganisationTableResolver, OrganisationTableService],
  exports: [OrganisationTableService]
})
export class OrganisationTableModule {}
