import { Global, Module } from '@nestjs/common';
import { RedisPubSub } from 'graphql-redis-subscriptions';
import { PUB_SUB } from './helper/GlobalConstants';

 
@Global()
@Module({
  providers: [
    {
      provide: PUB_SUB,
      useFactory: () => new RedisPubSub({
        connection: { //gitignoreline
          // host: "192.168.29.155", //gitignoreline
          // port: 6379 //gitignoreline
        } //gitignoreline
        // connection: { //gitignoreliness
        //   host: "192.168.29.155", //gitignoreline
        //   port: 6379 //gitignoreline
        // } //gitignoreline
      })
    }
  ],
  exports: [PUB_SUB],
})
export class PubSubModule {}