import { createUnionType, Field, ObjectType } from "@nestjs/graphql";


@ObjectType('ImportDataTypePg')
export class ImportDataTypePg {


    @Field(() => String)
    stateName: string;

    @Field(() => String)
    districtName: string;

    @Field(() => String)
    blockName: string;

    @Field(() => String)
    pgName: string;


    @Field(() => String, { nullable: true })
    dateOfFormation?: string;

    @Field(() => String, { nullable: true })
    nrlmRegistration?: string;

    @Field(() => String, { nullable: true })
    bankAccountNo?: string;

    @Field(() => String, { nullable: true })
    bankName?: string;

    @Field(() => String, { nullable: true })
    bankBranch?: string;

    @Field(() => String, { nullable: true })
    bankIfsc?: string;




}

