import { createUnionType, Field, ObjectType } from "@nestjs/graphql";


@ObjectType('ImportDataType')
export class ImportDataType {


    @Field(() => String)
    stateName: string;

    @Field(() => String)
    districtName: string;

    @Field(() => String)
    blockName: string;

    @Field(() => String)
    gpName: string;

    @Field(() => String)
    villageName: string;

    @Field(() => String, { nullable: true })
    voName: string;

    @Field(() => String)
    shgName: string;


    @Field(() => String, { nullable: true })
    dateOfFormation?: string;

    @Field(() => String, { nullable: true })
    nrlmRegistration?: string;

    @Field(() => String, { nullable: true })
    bankAccountNo?: string;

    @Field(() => String, { nullable: true })
    bankName?: string;

    @Field(() => String, { nullable: true })
    bankBranch?: string;

    @Field(() => String, { nullable: true })
    bankIfsc?: string;



}

