import { InputType, Int, Field, ObjectType } from '@nestjs/graphql';

@InputType()
export class NewUserAddInput {

  @Field(() => String)
  name: string;

  @Field(() => String)
  username: string;

  @Field(() => String)
  email: string;


  @Field(() => String)
  designation: string;

  @Field(() => Int)
  departmentId: number;

  @Field(() => Int, {nullable: true})
  organisationId?: number;


  @Field(() => Int, {nullable: true})
  designationId?: number;


  @Field(() => String)
  password: string;


  @Field(() => String)
  phone: string;



  @Field(() => String)
  role: string;




}
