import { InputType, Int, Field } from '@nestjs/graphql';


@InputType()
export class CreateUserFromSignupInput {

  @Field(() => String, { description: 'Name of the User' })
  name: string;

  @Field(() => String, { description: 'Email of the user' })
  email: string;

  @Field(() => String, { description: 'Phone No' })
  phone: string;

  @Field(() => String, { description: 'Type of the user (ADMIN, CLIENT, USER etc)' })
  role: string;

  @Field(() => String, { description: 'Password for login' })
  password: string;


}
