import { InputType, Int, Field, ObjectType } from '@nestjs/graphql';
import { UserCollectionType } from './user-collection.type';

@ObjectType("UserPaginationType")
export class UserPaginationType {

  @Field(() => [UserCollectionType], {nullable: true})
  data: UserCollectionType[];

  @Field(() => Int)
  total: number;

  @Field(() => Boolean)
  isActive?: boolean;

  @Field(() => String)
  username?: string;

  @Field(() => String)
  name: string;
  
}
