import { InputType, Int, Field, ObjectType } from '@nestjs/graphql';
import { UserCollectionType } from './user-collection.type';



@ObjectType("UserIntegratorCheckType")
export class UserIntegratorCheckType {

  @Field(() => Boolean)
  status: boolean;

  @Field(() => [UserCollectionType], {nullable: true})
  data: UserCollectionType[];
  
}
