"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccessTableModule = void 0;
const common_1 = require("@nestjs/common");
const access_table_service_1 = require("./access-table.service");
const access_table_resolver_1 = require("./access-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const access_table_entity_1 = require("./entities/access-table.entity");
const user_collection_module_1 = require("../user-collection/user-collection.module");
let AccessTableModule = exports.AccessTableModule = class AccessTableModule {
};
exports.AccessTableModule = AccessTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([access_table_entity_1.AccessTable]), (0, common_1.forwardRef)(() => user_collection_module_1.UserCollectionModule),],
        providers: [access_table_resolver_1.AccessTableResolver, access_table_service_1.AccessTableService],
        exports: [access_table_service_1.AccessTableService]
    })
], AccessTableModule);
