"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActivityTable = void 0;
const activity_achievements_table_entity_1 = require("../../activity-achievements-table/entities/activity-achievements-table.entity");
const activity_planning_table_entity_1 = require("../../activity-planning-table/entities/activity-planning-table.entity");
const task_achievements_table_entity_1 = require("../../task-achievements-table/entities/task-achievements-table.entity");
const task_planning_table_entity_1 = require("../../task-planning-table/entities/task-planning-table.entity");
const task_table_entity_1 = require("../../task-table/entities/task-table.entity");
const theme_table_entity_1 = require("../../theme-table/entities/theme-table.entity");
const typeorm_1 = require("typeorm");
let ActivityTable = exports.ActivityTable = class ActivityTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], ActivityTable.prototype, "activityId", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], ActivityTable.prototype, "activityName", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => theme_table_entity_1.ThemeTable, dt => dt.ActivityTable),
    (0, typeorm_1.JoinColumn)({ name: "themeId" }),
    __metadata("design:type", theme_table_entity_1.ThemeTable)
], ActivityTable.prototype, "ThemeTable", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], ActivityTable.prototype, "unitOfMeasurement", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => activity_planning_table_entity_1.ActivityPlanningTable, et => et.ActivityTable),
    __metadata("design:type", Array)
], ActivityTable.prototype, "ActivityPlanningTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => activity_achievements_table_entity_1.ActivityAchievementsTable, et => et.ActivityTable),
    __metadata("design:type", Array)
], ActivityTable.prototype, "ActivityAchievementsTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => task_planning_table_entity_1.TaskPlanningTable, et => et.ActivityTable),
    __metadata("design:type", Array)
], ActivityTable.prototype, "TaskPlanningTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => task_achievements_table_entity_1.TaskAchievementsTable, et => et.ActivityTable),
    __metadata("design:type", Array)
], ActivityTable.prototype, "TaskAchievementsTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => task_table_entity_1.TaskTable, et => et.ActivityTable),
    __metadata("design:type", Array)
], ActivityTable.prototype, "TaskTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], ActivityTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], ActivityTable.prototype, "updatedAt", void 0);
exports.ActivityTable = ActivityTable = __decorate([
    (0, typeorm_1.Entity)()
], ActivityTable);
