"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdvertisementTableModule = void 0;
const common_1 = require("@nestjs/common");
const advertisement_table_service_1 = require("./advertisement-table.service");
const advertisement_table_resolver_1 = require("./advertisement-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const advertisement_table_entity_1 = require("./entities/advertisement-table.entity");
const user_collection_module_1 = require("../user-collection/user-collection.module");
const farmers_table_module_1 = require("../farmers-table/farmers-table.module");
const advertisement_type_table_module_1 = require("../advertisement-type-table/advertisement-type-table.module");
let AdvertisementTableModule = class AdvertisementTableModule {
};
AdvertisementTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([advertisement_table_entity_1.AdvertisementTable]), user_collection_module_1.UserCollectionModule, farmers_table_module_1.FarmersTableModule, (0, common_1.forwardRef)(() => advertisement_type_table_module_1.AdvertisementTypeTableModule)],
        providers: [advertisement_table_resolver_1.AdvertisementTableResolver, advertisement_table_service_1.AdvertisementTableService],
        exports: [advertisement_table_service_1.AdvertisementTableService]
    })
], AdvertisementTableModule);
exports.AdvertisementTableModule = AdvertisementTableModule;
