"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdvertisementTable = void 0;
const advertisement_type_table_entity_1 = require("../../advertisement-type-table/entities/advertisement-type-table.entity");
const farmers_table_entity_1 = require("../../farmers-table/entities/farmers-table.entity");
const user_collection_entity_1 = require("../../user-collection/entities/user-collection.entity");
const typeorm_1 = require("typeorm");
let AdvertisementTable = class AdvertisementTable {
};
__decorate([
    (0, typeorm_1.ManyToOne)(type => farmers_table_entity_1.FarmersTable, et => et.AdvertisementTable),
    (0, typeorm_1.JoinColumn)({ name: "farmerId" }),
    __metadata("design:type", farmers_table_entity_1.FarmersTable)
], AdvertisementTable.prototype, "FarmersTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => user_collection_entity_1.UserTable, et => et.AdvertisementTable, { nullable: true }),
    (0, typeorm_1.JoinColumn)({ name: "userId" }),
    __metadata("design:type", user_collection_entity_1.UserTable)
], AdvertisementTable.prototype, "UserTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => advertisement_type_table_entity_1.AdvertisementTypeTable, et => et.AdvertisementTable),
    (0, typeorm_1.JoinColumn)({ name: "advertisementTypeId" }),
    __metadata("design:type", advertisement_type_table_entity_1.AdvertisementTypeTable)
], AdvertisementTable.prototype, "AdvertisementTypeTable", void 0);
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], AdvertisementTable.prototype, "advertisementId", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "text" }),
    __metadata("design:type", String)
], AdvertisementTable.prototype, "title", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "text" }),
    __metadata("design:type", String)
], AdvertisementTable.prototype, "description", void 0);
__decorate([
    (0, typeorm_1.Column)({ default: 0 }),
    __metadata("design:type", Boolean)
], AdvertisementTable.prototype, "status", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], AdvertisementTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], AdvertisementTable.prototype, "updatedAt", void 0);
AdvertisementTable = __decorate([
    (0, typeorm_1.Entity)()
], AdvertisementTable);
exports.AdvertisementTable = AdvertisementTable;
