"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdvertisementTableType = void 0;
const graphql_1 = require("@nestjs/graphql");
const advertisement_type_table_type_1 = require("../../advertisement-type-table/types/advertisement-type-table.type");
const farmers_table_type_1 = require("../../farmers-table/types/farmers-table.type");
const user_collection_type_1 = require("../../user-collection/type/user-collection.type");
let AdvertisementTableType = class AdvertisementTableType {
};
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], AdvertisementTableType.prototype, "advertisementId", void 0);
__decorate([
    (0, graphql_1.Field)(() => farmers_table_type_1.FarmersTableType),
    __metadata("design:type", farmers_table_type_1.FarmersTableType)
], AdvertisementTableType.prototype, "FarmersTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => user_collection_type_1.UserCollectionType),
    __metadata("design:type", user_collection_type_1.UserCollectionType)
], AdvertisementTableType.prototype, "UserTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => advertisement_type_table_type_1.AdvertisementTypeTableType, { nullable: true }),
    __metadata("design:type", advertisement_type_table_type_1.AdvertisementTypeTableType)
], AdvertisementTableType.prototype, "AdvertisementTypeTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], AdvertisementTableType.prototype, "title", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], AdvertisementTableType.prototype, "description", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], AdvertisementTableType.prototype, "status", void 0);
__decorate([
    (0, graphql_1.Field)(() => Date, { nullable: true }),
    __metadata("design:type", Date)
], AdvertisementTableType.prototype, "createdAt", void 0);
AdvertisementTableType = __decorate([
    (0, graphql_1.ObjectType)("AdvertisementTableType")
], AdvertisementTableType);
exports.AdvertisementTableType = AdvertisementTableType;
