import { CreateDeceaseFromDiseae } from './dto/create-disease-decease.input';
import { AnimalDiseaseSubTable } from './entities/animal-disease-sub-table.entity';
import { AnimalDiseaseSubTableService } from './animal-disease-sub-table.service';
import { CreateAnimalDiseaseSubTableInput } from './dto/create-animal-disease-sub-table.input';
import { UpdateAnimalDiseaseSubTableInput } from './dto/update-animal-disease-sub-table.input';
export declare class AnimalDiseaseSubTableResolver {
    private readonly animalDiseaseSubTableService;
    constructor(animalDiseaseSubTableService: AnimalDiseaseSubTableService);
    createAnimalDiseaseSubTable(createAnimalDiseaseSubTableInput: CreateAnimalDiseaseSubTableInput, user: any): Promise<{
        status: boolean;
        status_text: string;
        data: any;
    }>;
    findAllAnimalDiseaseSubTable(): Promise<AnimalDiseaseSubTable[]>;
    findOneAnimalDiseaseSubTable(animalDiseaseSubId: number): Promise<AnimalDiseaseSubTable>;
    updateAnimalDiseaseSubTable(updateAnimalDiseaseSubTableInput: UpdateAnimalDiseaseSubTableInput, user: any): Promise<{
        status: boolean;
        status_text: string;
        data: AnimalDiseaseSubTable;
    }>;
    removeAnimalDiseaseSubTable(animalDiseaseSubId: number): Promise<{
        status: boolean;
        status_text: string;
        data: any;
    }>;
    animalDeceaseEntry(createDeceaseFromDiseae: CreateDeceaseFromDiseae, user: any): Promise<{
        status: boolean;
        status_text: string;
        data: any;
    }>;
    updateDiseaseNameOfAnimalDisease(animalDiseaseSubId: number, diseaseId: number, user: any): Promise<{
        status: boolean;
        status_text: string;
        data: any;
    }>;
    getDiseaseDetailsOfOneAnimal(animalId: number): Promise<AnimalDiseaseSubTable[]>;
    fetchDiseasesByDistrictId(districtId: number, startingDate: string, endingDate: string): Promise<any>;
}
