import { AnimalDiseaseTable } from './entities/animal-disease-table.entity';
import { AnimalDiseaseTableService } from './animal-disease-table.service';
import { CreateAnimalDiseaseTableInput } from './dto/create-animal-disease-table.input';
export declare class AnimalDiseaseTableResolver {
    private readonly animalDiseaseTableService;
    constructor(animalDiseaseTableService: AnimalDiseaseTableService);
    createAnimalDiseaseTable(createAnimalDiseaseTableInput: CreateAnimalDiseaseTableInput, user: any): Promise<{
        status: boolean;
        status_text: string;
        data: any;
    }>;
    findAllAnimalDisease(): Promise<AnimalDiseaseTable[]>;
    findOneAnimalDisease(animalDiseaseId: number): Promise<AnimalDiseaseTable>;
    findDiseaseByFarmerId(farmerId: number): Promise<AnimalDiseaseTable[]>;
    findDiseaseByHousingId(housingId: number): Promise<import("../animal-disease-sub-table/entities/animal-disease-sub-table.entity").AnimalDiseaseSubTable[]>;
}
