"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AnimalDiseaseTable = void 0;
const animal_disease_sub_table_entity_1 = require("../../animal-disease-sub-table/entities/animal-disease-sub-table.entity");
const typeorm_1 = require("typeorm");
class CreateDisease {
}
__decorate([
    (0, typeorm_1.Column)({ type: Number, nullable: true }),
    __metadata("design:type", Number)
], CreateDisease.prototype, "animalId", void 0);
let AnimalDiseaseTable = class AnimalDiseaseTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], AnimalDiseaseTable.prototype, "animalDiseaseId", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50 }),
    __metadata("design:type", String)
], AnimalDiseaseTable.prototype, "dateOfOccurence", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'simple-json', nullable: false }),
    __metadata("design:type", CreateDisease)
], AnimalDiseaseTable.prototype, "animalData", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50, nullable: true }),
    __metadata("design:type", String)
], AnimalDiseaseTable.prototype, "measure", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "text", nullable: true }),
    __metadata("design:type", String)
], AnimalDiseaseTable.prototype, "symptoms", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => animal_disease_sub_table_entity_1.AnimalDiseaseSubTable, dt => dt.AnimalDiseaseTable),
    __metadata("design:type", Array)
], AnimalDiseaseTable.prototype, "AnimalDiseaseSubTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], AnimalDiseaseTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], AnimalDiseaseTable.prototype, "updatedAt", void 0);
AnimalDiseaseTable = __decorate([
    (0, typeorm_1.Entity)()
], AnimalDiseaseTable);
exports.AnimalDiseaseTable = AnimalDiseaseTable;
