"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AnimalHealthCoverageModule = void 0;
const common_1 = require("@nestjs/common");
const animal_health_coverage_service_1 = require("./animal-health-coverage.service");
const animal_health_coverage_resolver_1 = require("./animal-health-coverage.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const animal_health_coverage_entity_1 = require("./entities/animal-health-coverage.entity");
const animal_entry_table_module_1 = require("../animal-table/animal-entry-table.module");
const housing_table_module_1 = require("../housing-table/housing-table.module");
const health_coverage_table_module_1 = require("../health-coverage-table/health-coverage-table.module");
const data_entry_table_module_1 = require("../data-entry-table/data-entry-table.module");
let AnimalHealthCoverageModule = class AnimalHealthCoverageModule {
};
AnimalHealthCoverageModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([animal_health_coverage_entity_1.AnimalHealthCoverage]), (0, common_1.forwardRef)(() => animal_entry_table_module_1.AnimalEntryTableModule), (0, common_1.forwardRef)(() => housing_table_module_1.HousingTableModule), (0, common_1.forwardRef)(() => health_coverage_table_module_1.HealthCoverageTableModule), data_entry_table_module_1.DataEntryTableModule],
        providers: [animal_health_coverage_resolver_1.AnimalHealthCoverageResolver, animal_health_coverage_service_1.AnimalHealthCoverageService],
        exports: [animal_health_coverage_service_1.AnimalHealthCoverageService]
    })
], AnimalHealthCoverageModule);
exports.AnimalHealthCoverageModule = AnimalHealthCoverageModule;
