"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AnimalHealthCoverageTableType = void 0;
const graphql_1 = require("@nestjs/graphql");
const animal_entry_table_type_1 = require("../../animal-table/types/animal-entry-table.type");
const health_coverage_table_type_1 = require("../../health-coverage-table/types/health-coverage-table.type");
const new_enum_1 = require("../../enum/new-enum");
let AnimalHealthCoverageTableType = class AnimalHealthCoverageTableType {
};
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], AnimalHealthCoverageTableType.prototype, "healthCoverageId", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], AnimalHealthCoverageTableType.prototype, "dateOfCoverage", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], AnimalHealthCoverageTableType.prototype, "details", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], AnimalHealthCoverageTableType.prototype, "nextDate", void 0);
__decorate([
    (0, graphql_1.Field)(() => animal_entry_table_type_1.AnimalEntryTableType),
    __metadata("design:type", animal_entry_table_type_1.AnimalEntryTableType)
], AnimalHealthCoverageTableType.prototype, "AnimalTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => health_coverage_table_type_1.HealthCoverageTableType),
    __metadata("design:type", health_coverage_table_type_1.HealthCoverageTableType)
], AnimalHealthCoverageTableType.prototype, "HealthCoverageTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => Date, { nullable: true }),
    __metadata("design:type", Date)
], AnimalHealthCoverageTableType.prototype, "createdAt", void 0);
__decorate([
    (0, graphql_1.Field)(() => new_enum_1.YesNo),
    __metadata("design:type", String)
], AnimalHealthCoverageTableType.prototype, "isNextRequired", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], AnimalHealthCoverageTableType.prototype, "nextStatus", void 0);
AnimalHealthCoverageTableType = __decorate([
    (0, graphql_1.ObjectType)("AnimalHealthCoverageTableType")
], AnimalHealthCoverageTableType);
exports.AnimalHealthCoverageTableType = AnimalHealthCoverageTableType;
