import { AnimalDiseaseSubTable } from 'src/animal-disease-sub-table/entities/animal-disease-sub-table.entity';
import { AnimalHealthCoverage } from 'src/animal-health-coverage/entities/animal-health-coverage.entity';
import { AnimalVaccinationTable } from 'src/animal-vaccination/entities/animal-vaccination-table.entity';
import { BreedTable } from 'src/breed-table/entities/breed-table.entity';
import { BreedingSingleTable } from 'src/breeding-single-table/entities/breeding-single-table.entity';
import { ConsumptionSubTable } from 'src/consumption-sub-table/entities/consumption-sub-table.entity';
import { CurrentStockTable } from 'src/current-stock/entities/current-stock-table.entity';
import { HousingTable } from 'src/housing-table/entities/housing-table.entity';
import { ParentTable } from 'src/parent-table/entities/parent-table.entity';
import { PigInsuranceTable } from 'src/pig-insurance-table/entities/pig-insurance-table.entity';
import { SaleEntrySubTable } from 'src/sale-entry-sub-table/entities/sale-entry-sub-table.entity';
import { SaleReadyTable } from 'src/sale-ready-table/entities/sale-ready-table.entity';
import { UserTable } from 'src/user-collection/entities/user-collection.entity';
export declare class AnimalEntryTable {
    animalId: number;
    HousingTable: HousingTable;
    BreedTable: BreedTable;
    CurrentStockTable: CurrentStockTable;
    dateOfEntry: string;
    dateOfAgeUpdate: string;
    age: string;
    gender: string;
    earTag: string;
    isActive: number;
    isBoar: number;
    isSow: number;
    isCastrated: number;
    weight: number;
    UserTable: UserTable;
    SaleEntrySubTable: SaleEntrySubTable[];
    ConsumptionSubTable: ConsumptionSubTable[];
    AnimalVaccinationTable: AnimalVaccinationTable[];
    AnimalDiseaseSubTable: AnimalDiseaseSubTable[];
    BreedingSowTable: BreedingSingleTable[];
    BreedingBoarTable: BreedingSingleTable[];
    AnimalTable: ParentTable[];
    BoarTable: ParentTable[];
    SowTable: ParentTable[];
    PigInsuranceTable: PigInsuranceTable[];
    AnimalHealthCoverage: AnimalHealthCoverage[];
    SaleReadyTable: SaleReadyTable[];
    createdAt: Date;
    updatedAt: Date;
}
