"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssessmentAnswerTableModule = void 0;
const common_1 = require("@nestjs/common");
const assessment_answer_table_service_1 = require("./assessment-answer-table.service");
const assessment_answer_table_resolver_1 = require("./assessment-answer-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const assessment_answer_table_entity_1 = require("./entities/assessment-answer-table.entity");
const assessment_master_table_module_1 = require("../assessment-master-table/assessment-master-table.module");
const assessment_questions_table_module_1 = require("../assessment-questions-table/assessment-questions-table.module");
const user_collection_module_1 = require("../user-collection/user-collection.module");
const course_progression_table_module_1 = require("../course-progression-table/course-progression-table.module");
let AssessmentAnswerTableModule = exports.AssessmentAnswerTableModule = class AssessmentAnswerTableModule {
};
exports.AssessmentAnswerTableModule = AssessmentAnswerTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([assessment_answer_table_entity_1.AssessmentAnswerTable]), assessment_master_table_module_1.AssessmentMasterTableModule, assessment_questions_table_module_1.AssessmentQuestionsTableModule, user_collection_module_1.UserCollectionModule, (0, common_1.forwardRef)(() => course_progression_table_module_1.CourseProgressionTableModule)],
        providers: [assessment_answer_table_resolver_1.AssessmentAnswerTableResolver, assessment_answer_table_service_1.AssessmentAnswerTableService],
        exports: [assessment_answer_table_service_1.AssessmentAnswerTableService]
    })
], AssessmentAnswerTableModule);
