import { AssessmentAnswerTableService } from './assessment-answer-table.service';
import { AssessmentAnswerTable } from './entities/assessment-answer-table.entity';
import { CreateAssessmentAnswerTableInput } from './dto/create-assessment-answer-table.input';
export declare class AssessmentAnswerTableResolver {
    private readonly assessmentAnswerTableService;
    constructor(assessmentAnswerTableService: AssessmentAnswerTableService);
    createAssessmentAnswerTable(createAssessmentAnswerTableInput: CreateAssessmentAnswerTableInput, user: any): Promise<{
        status: boolean;
        status_text: string;
        data: AssessmentAnswerTable;
    }>;
    findAllAssessmentAnswers(): Promise<AssessmentAnswerTable[]>;
    findOneAnswerById(answerId: number): Promise<AssessmentAnswerTable>;
    getListOfAnswersByUser(limit: number, page: number, type: string, search: string, user: any): Promise<{
        data: any;
        total: any;
    }>;
    recalculateScoreForShgAndVo(answerId: number): Promise<false | AssessmentAnswerTable>;
    findOneAssessmentAnswer(answerId: number): Promise<AssessmentAnswerTable>;
}
