"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssessmentInterpretationTableModule = void 0;
const common_1 = require("@nestjs/common");
const assessment_interpretation_table_service_1 = require("./assessment-interpretation-table.service");
const assessment_interpretation_table_resolver_1 = require("./assessment-interpretation-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const assessment_interpretation_table_entity_1 = require("./entities/assessment-interpretation-table.entity");
const assessment_master_table_module_1 = require("../assessment-master-table/assessment-master-table.module");
let AssessmentInterpretationTableModule = exports.AssessmentInterpretationTableModule = class AssessmentInterpretationTableModule {
};
exports.AssessmentInterpretationTableModule = AssessmentInterpretationTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([assessment_interpretation_table_entity_1.AssessmentInterpretationTable]), assessment_master_table_module_1.AssessmentMasterTableModule],
        providers: [assessment_interpretation_table_resolver_1.AssessmentInterpretationTableResolver, assessment_interpretation_table_service_1.AssessmentInterpretationTableService],
        exports: [assessment_interpretation_table_service_1.AssessmentInterpretationTableService]
    })
], AssessmentInterpretationTableModule);
