"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssessmentMasterTableModule = void 0;
const common_1 = require("@nestjs/common");
const assessment_master_table_service_1 = require("./assessment-master-table.service");
const assessment_master_table_resolver_1 = require("./assessment-master-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const assessment_master_table_entity_1 = require("./entities/assessment-master-table.entity");
const course_progression_table_module_1 = require("../course-progression-table/course-progression-table.module");
const course_table_module_1 = require("../course-table/course-table.module");
const assessment_answer_table_module_1 = require("../assessment-answer-table/assessment-answer-table.module");
let AssessmentMasterTableModule = exports.AssessmentMasterTableModule = class AssessmentMasterTableModule {
};
exports.AssessmentMasterTableModule = AssessmentMasterTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([assessment_master_table_entity_1.AssessmentMasterTable]), (0, common_1.forwardRef)(() => course_table_module_1.CourseTableModule), (0, common_1.forwardRef)(() => course_progression_table_module_1.CourseProgressionTableModule), (0, common_1.forwardRef)(() => assessment_answer_table_module_1.AssessmentAnswerTableModule)],
        providers: [assessment_master_table_resolver_1.AssessmentMasterTableResolver, assessment_master_table_service_1.AssessmentMasterTableService],
        exports: [assessment_master_table_service_1.AssessmentMasterTableService]
    })
], AssessmentMasterTableModule);
