"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssessmentMasterTable = void 0;
const assessment_answer_table_entity_1 = require("../../assessment-answer-table/entities/assessment-answer-table.entity");
const assessment_questions_table_entity_1 = require("../../assessment-questions-table/entities/assessment-questions-table.entity");
const course_table_entity_1 = require("../../course-table/entities/course-table.entity");
const typeorm_1 = require("typeorm");
let AssessmentMasterTable = exports.AssessmentMasterTable = class AssessmentMasterTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], AssessmentMasterTable.prototype, "assessmentId", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], AssessmentMasterTable.prototype, "assessmentName", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50 }),
    __metadata("design:type", String)
], AssessmentMasterTable.prototype, "type", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50, nullable: true }),
    __metadata("design:type", String)
], AssessmentMasterTable.prototype, "totalScore", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50, nullable: true }),
    __metadata("design:type", String)
], AssessmentMasterTable.prototype, "passingScore", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", Number)
], AssessmentMasterTable.prototype, "duration", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", Number)
], AssessmentMasterTable.prototype, "week", void 0);
__decorate([
    (0, typeorm_1.Column)({ default: true }),
    __metadata("design:type", Boolean)
], AssessmentMasterTable.prototype, "isActive", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => assessment_answer_table_entity_1.AssessmentAnswerTable, et => et.AssessmentMasterTable),
    __metadata("design:type", Array)
], AssessmentMasterTable.prototype, "AssessmentAnswerTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => assessment_questions_table_entity_1.AssessmentQuestionsTable, et => et.AssessmentMasterTable),
    __metadata("design:type", Array)
], AssessmentMasterTable.prototype, "AssessmentQuestionsTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => course_table_entity_1.CourseTable, dt => dt.AssessmentMasterTable),
    (0, typeorm_1.JoinColumn)({ name: "courseId" }),
    __metadata("design:type", course_table_entity_1.CourseTable)
], AssessmentMasterTable.prototype, "CourseTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], AssessmentMasterTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], AssessmentMasterTable.prototype, "updatedAt", void 0);
exports.AssessmentMasterTable = AssessmentMasterTable = __decorate([
    (0, typeorm_1.Entity)()
], AssessmentMasterTable);
