import { AuthenticationCollectionService } from './authentication-collection.service';
export declare class AuthenticationCollectionController {
    private readonly authenticationCollectionService;
    constructor(authenticationCollectionService: AuthenticationCollectionService);
    checkAuthentication(authString: string): Promise<{
        url: string;
        statusCode: number;
    }>;
    checkForgotData(authString: string): Promise<{
        status: boolean;
        status_text: string;
        username?: undefined;
    } | {
        status: boolean;
        status_text: string;
        username: string;
    }>;
}
