"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuthenticationCollectionModule = void 0;
const common_1 = require("@nestjs/common");
const authentication_collection_service_1 = require("./authentication-collection.service");
const authentication_collection_controller_1 = require("./authentication-collection.controller");
const mongoose_1 = require("@nestjs/mongoose");
const authentication_collection_entity_1 = require("./entities/authentication-collection.entity");
const client_collection_module_1 = require("../client-collection/client-collection.module");
const crypto = __importStar(require("crypto"));
const GlobalConstants_1 = require("../helper/GlobalConstants");
let AuthenticationCollectionModule = class AuthenticationCollectionModule {
};
AuthenticationCollectionModule = __decorate([
    (0, common_1.Module)({
        imports: [mongoose_1.MongooseModule.forFeature([{ name: authentication_collection_entity_1.AuthenticationCollection.name, schema: authentication_collection_entity_1.AuthenticationCollectionSchema }]), (0, common_1.forwardRef)(() => client_collection_module_1.ClientCollectionModule)],
        controllers: [authentication_collection_controller_1.AuthenticationCollectionController],
        providers: [authentication_collection_service_1.AuthenticationCollectionService,
            {
                provide: GlobalConstants_1.CRYPTO,
                useValue: crypto
            }
        ],
        exports: [authentication_collection_service_1.AuthenticationCollectionService]
    })
], AuthenticationCollectionModule);
exports.AuthenticationCollectionModule = AuthenticationCollectionModule;
