"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BankLoanTable = exports.YesNo = void 0;
const farmers_table_entity_1 = require("../../farmers-table/entities/farmers-table.entity");
const user_collection_entity_1 = require("../../user-collection/entities/user-collection.entity");
const typeorm_1 = require("typeorm");
var YesNo;
(function (YesNo) {
    YesNo["YES"] = "YES";
    YesNo["NO"] = "NO";
})(YesNo = exports.YesNo || (exports.YesNo = {}));
let BankLoanTable = class BankLoanTable {
};
__decorate([
    (0, typeorm_1.ManyToOne)(type => farmers_table_entity_1.FarmersTable, et => et.BankLoanTable),
    (0, typeorm_1.JoinColumn)({ name: "farmerId" }),
    __metadata("design:type", farmers_table_entity_1.FarmersTable)
], BankLoanTable.prototype, "FarmersTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => user_collection_entity_1.UserTable, et => et.BankLoanTable, { nullable: true }),
    (0, typeorm_1.JoinColumn)({ name: "userId" }),
    __metadata("design:type", user_collection_entity_1.UserTable)
], BankLoanTable.prototype, "UserTable", void 0);
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], BankLoanTable.prototype, "bankLoanId", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'enum',
        enum: YesNo,
        nullable: true
    }),
    __metadata("design:type", String)
], BankLoanTable.prototype, "hasLoan", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", String)
], BankLoanTable.prototype, "nameOfBank", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", String)
], BankLoanTable.prototype, "loanAmount", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", String)
], BankLoanTable.prototype, "repaymentAmount", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'enum',
        enum: YesNo,
        nullable: true
    }),
    __metadata("design:type", String)
], BankLoanTable.prototype, "furtherRequirement", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", String)
], BankLoanTable.prototype, "requirementAmount", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'enum',
        enum: YesNo,
        nullable: true
    }),
    __metadata("design:type", String)
], BankLoanTable.prototype, "difficultyToAccess", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", String)
], BankLoanTable.prototype, "difficulty", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], BankLoanTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], BankLoanTable.prototype, "updatedAt", void 0);
BankLoanTable = __decorate([
    (0, typeorm_1.Entity)()
], BankLoanTable);
exports.BankLoanTable = BankLoanTable;
