"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BankLoanTableType = void 0;
const graphql_1 = require("@nestjs/graphql");
const new_enum_1 = require("../../enum/new-enum");
const farmers_table_type_1 = require("../../farmers-table/types/farmers-table.type");
const user_collection_type_1 = require("../../user-collection/type/user-collection.type");
let BankLoanTableType = class BankLoanTableType {
    ;
};
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], BankLoanTableType.prototype, "bankLoanId", void 0);
__decorate([
    (0, graphql_1.Field)(() => farmers_table_type_1.FarmersTableType),
    __metadata("design:type", farmers_table_type_1.FarmersTableType)
], BankLoanTableType.prototype, "FarmersTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => new_enum_1.YesNo),
    __metadata("design:type", String)
], BankLoanTableType.prototype, "hasLoan", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], BankLoanTableType.prototype, "nameOfBank", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], BankLoanTableType.prototype, "loanAmount", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], BankLoanTableType.prototype, "repaymentAmount", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], BankLoanTableType.prototype, "renewalDate", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], BankLoanTableType.prototype, "requirementAmount", void 0);
__decorate([
    (0, graphql_1.Field)(() => new_enum_1.YesNo),
    __metadata("design:type", String)
], BankLoanTableType.prototype, "furtherRequirement", void 0);
__decorate([
    (0, graphql_1.Field)(() => new_enum_1.YesNo),
    __metadata("design:type", String)
], BankLoanTableType.prototype, "difficultyToAccess", void 0);
__decorate([
    (0, graphql_1.Field)(() => user_collection_type_1.UserCollectionType),
    __metadata("design:type", user_collection_type_1.UserCollectionType)
], BankLoanTableType.prototype, "UserTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], BankLoanTableType.prototype, "difficulty", void 0);
__decorate([
    (0, graphql_1.Field)(() => Date, { nullable: true }),
    __metadata("design:type", Date)
], BankLoanTableType.prototype, "createdAt", void 0);
BankLoanTableType = __decorate([
    (0, graphql_1.ObjectType)("BankLoanTableType")
], BankLoanTableType);
exports.BankLoanTableType = BankLoanTableType;
