"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BrandCollectionModule = void 0;
const common_1 = require("@nestjs/common");
const brand_collection_service_1 = require("./brand-collection.service");
const brand_collection_resolver_1 = require("./brand-collection.resolver");
const brand_collection_entity_1 = require("./entities/brand-collection.entity");
const mongoose_1 = require("@nestjs/mongoose");
let BrandCollectionModule = class BrandCollectionModule {
};
BrandCollectionModule = __decorate([
    (0, common_1.Module)({
        imports: [mongoose_1.MongooseModule.forFeature([{ name: brand_collection_entity_1.BrandCollection.name, schema: brand_collection_entity_1.BrandCollectionSchema }])],
        providers: [brand_collection_resolver_1.BrandCollectionResolver, brand_collection_service_1.BrandCollectionService],
        exports: [brand_collection_service_1.BrandCollectionService]
    })
], BrandCollectionModule);
exports.BrandCollectionModule = BrandCollectionModule;
