"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BrandCollectionSchema = exports.BrandCollection = exports.BrandPhoto = void 0;
const typeorm_1 = require("typeorm");
const mongoose_1 = require("@nestjs/mongoose");
class BrandPhoto {
}
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", String)
], BrandPhoto.prototype, "fileName", void 0);
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", String)
], BrandPhoto.prototype, "fileType", void 0);
__decorate([
    (0, mongoose_1.Prop)({ nullable: true }),
    __metadata("design:type", String)
], BrandPhoto.prototype, "url", void 0);
exports.BrandPhoto = BrandPhoto;
let BrandCollection = class BrandCollection {
};
__decorate([
    (0, typeorm_1.ObjectIdColumn)(),
    __metadata("design:type", typeorm_1.ObjectID)
], BrandCollection.prototype, "_id", void 0);
__decorate([
    (0, mongoose_1.Prop)({ isRequired: true }),
    __metadata("design:type", String)
], BrandCollection.prototype, "brandName", void 0);
__decorate([
    (0, mongoose_1.Prop)({ isRequired: true }),
    __metadata("design:type", String)
], BrandCollection.prototype, "brandCode", void 0);
__decorate([
    (0, mongoose_1.Prop)({ nullable: true }),
    __metadata("design:type", BrandPhoto)
], BrandCollection.prototype, "brandLogo", void 0);
BrandCollection = __decorate([
    (0, mongoose_1.Schema)()
], BrandCollection);
exports.BrandCollection = BrandCollection;
exports.BrandCollectionSchema = mongoose_1.SchemaFactory.createForClass(BrandCollection);
