"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BreedTableModule = void 0;
const common_1 = require("@nestjs/common");
const typeorm_1 = require("@nestjs/typeorm");
const breed_table_resolver_1 = require("./breed-table.resolver");
const breed_table_service_1 = require("./breed-table.service");
const breed_table_entity_1 = require("./entities/breed-table.entity");
let BreedTableModule = class BreedTableModule {
};
BreedTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([breed_table_entity_1.BreedTable])],
        providers: [breed_table_resolver_1.BreedTableResolver, breed_table_service_1.BreedTableService],
        exports: [breed_table_service_1.BreedTableService]
    })
], BreedTableModule);
exports.BreedTableModule = BreedTableModule;
