"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BreedTable = void 0;
const animal_entry_table_entity_1 = require("../../animal-table/entities/animal-entry-table.entity");
const current_stock_table_entity_1 = require("../../current-stock/entities/current-stock-table.entity");
const ledger_entry_table_entity_1 = require("../../ledger-table/entities/ledger-entry-table.entity");
const stock_balance_table_entity_1 = require("../../stock-balance/entities/stock-balance-table.entity");
const stock_entry_table_entity_1 = require("../../stock-entry/entities/stock-entry-table.entity");
const typeorm_1 = require("typeorm");
let BreedTable = class BreedTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], BreedTable.prototype, "breedId", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], BreedTable.prototype, "breedName", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], BreedTable.prototype, "breedType", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => stock_entry_table_entity_1.StockEntryTable, et => et.BreedTable),
    __metadata("design:type", Array)
], BreedTable.prototype, "StockEntryTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => current_stock_table_entity_1.CurrentStockTable, et => et.BreedTable),
    __metadata("design:type", Array)
], BreedTable.prototype, "CurrentStockTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => stock_balance_table_entity_1.StockBalanceTable, et => et.BreedTable),
    __metadata("design:type", Array)
], BreedTable.prototype, "StockBalanceTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => ledger_entry_table_entity_1.LedgerEntryTable, et => et.BreedTable),
    __metadata("design:type", Array)
], BreedTable.prototype, "LedgerTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => animal_entry_table_entity_1.AnimalEntryTable, et => et.BreedTable),
    __metadata("design:type", Array)
], BreedTable.prototype, "AnimalTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], BreedTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], BreedTable.prototype, "updatedAt", void 0);
BreedTable = __decorate([
    (0, typeorm_1.Entity)()
], BreedTable);
exports.BreedTable = BreedTable;
