"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BreedingSingleTableModule = void 0;
const common_1 = require("@nestjs/common");
const breeding_single_table_service_1 = require("./breeding-single-table.service");
const breeding_single_table_resolver_1 = require("./breeding-single-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const breeding_single_table_entity_1 = require("./entities/breeding-single-table.entity");
const user_collection_module_1 = require("../user-collection/user-collection.module");
const farmers_table_module_1 = require("../farmers-table/farmers-table.module");
const housing_table_module_1 = require("../housing-table/housing-table.module");
const animal_entry_table_module_1 = require("../animal-table/animal-entry-table.module");
const parent_table_module_1 = require("../parent-table/parent-table.module");
const sub_division_table_module_1 = require("../sub-division-table/sub-division-table.module");
const data_entry_table_module_1 = require("../data-entry-table/data-entry-table.module");
let BreedingSingleTableModule = class BreedingSingleTableModule {
};
BreedingSingleTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([breeding_single_table_entity_1.BreedingSingleTable]), (0, common_1.forwardRef)(() => user_collection_module_1.UserCollectionModule),
            (0, common_1.forwardRef)(() => farmers_table_module_1.FarmersTableModule), (0, common_1.forwardRef)(() => housing_table_module_1.HousingTableModule), (0, common_1.forwardRef)(() => animal_entry_table_module_1.AnimalEntryTableModule), (0, common_1.forwardRef)(() => parent_table_module_1.ParentTableModule), sub_division_table_module_1.SubDivisionTableModule, data_entry_table_module_1.DataEntryTableModule, user_collection_module_1.UserCollectionModule],
        providers: [breeding_single_table_resolver_1.BreedingSingleTableResolver, breeding_single_table_service_1.BreedingSingleTableService],
        exports: [breeding_single_table_service_1.BreedingSingleTableService]
    })
], BreedingSingleTableModule);
exports.BreedingSingleTableModule = BreedingSingleTableModule;
