"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BreedingSingleTableType = void 0;
const graphql_1 = require("@nestjs/graphql");
const animal_entry_table_type_1 = require("../../animal-table/types/animal-entry-table.type");
const housing_table_type_1 = require("../../housing-table/types/housing-table.type");
const user_collection_type_1 = require("../../user-collection/type/user-collection.type");
let BreedingSingleTableType = class BreedingSingleTableType {
};
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], BreedingSingleTableType.prototype, "breedingSingleId", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], BreedingSingleTableType.prototype, "dateOfInsemination", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], BreedingSingleTableType.prototype, "typeOfInsemination", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], BreedingSingleTableType.prototype, "sourceOfSemen", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], BreedingSingleTableType.prototype, "ageOfBoarAtBegining", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], BreedingSingleTableType.prototype, "ageOfSowAtBegining", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], BreedingSingleTableType.prototype, "weightOfBoarAtBegining", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], BreedingSingleTableType.prototype, "weightOfSowAtBegining", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], BreedingSingleTableType.prototype, "ageOfSowAtFarrowing", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], BreedingSingleTableType.prototype, "dateOfFarrowing", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], BreedingSingleTableType.prototype, "litterSize", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], BreedingSingleTableType.prototype, "totalNoOfPiglets", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], BreedingSingleTableType.prototype, "totalMale", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], BreedingSingleTableType.prototype, "weightOfEach", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], BreedingSingleTableType.prototype, "totalFemale", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], BreedingSingleTableType.prototype, "status", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], BreedingSingleTableType.prototype, "remarks", void 0);
__decorate([
    (0, graphql_1.Field)(() => housing_table_type_1.HousingTableType, { nullable: true }),
    __metadata("design:type", housing_table_type_1.HousingTableType)
], BreedingSingleTableType.prototype, "HousingTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => animal_entry_table_type_1.AnimalEntryTableType, { nullable: true }),
    __metadata("design:type", animal_entry_table_type_1.AnimalEntryTableType)
], BreedingSingleTableType.prototype, "BoarTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => animal_entry_table_type_1.AnimalEntryTableType),
    __metadata("design:type", animal_entry_table_type_1.AnimalEntryTableType)
], BreedingSingleTableType.prototype, "SowTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => user_collection_type_1.UserCollectionType, { nullable: true }),
    __metadata("design:type", user_collection_type_1.UserCollectionType)
], BreedingSingleTableType.prototype, "UserTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => Date, { nullable: true }),
    __metadata("design:type", Date)
], BreedingSingleTableType.prototype, "createdAt", void 0);
BreedingSingleTableType = __decorate([
    (0, graphql_1.ObjectType)("BreedingSingleTableType")
], BreedingSingleTableType);
exports.BreedingSingleTableType = BreedingSingleTableType;
