import { CadreTableService } from './cadre-table.service';
import { CreateCadreTableInput } from './dto/create-cadre-table.input';
import { UpdateCadreTableInput } from './dto/update-cadre-table.input';
export declare class CadreTableResolver {
    private readonly cadreTableService;
    constructor(cadreTableService: CadreTableService);
    createCadreTable(createCadreTableInput: CreateCadreTableInput): string;
    findAll(): string;
    findOne(id: number): string;
    updateCadreTable(updateCadreTableInput: UpdateCadreTableInput): string;
    removeCadreTable(id: number): string;
}
