"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CartCollectionSchema = exports.CartCollection = void 0;
const typeorm_1 = require("typeorm");
const mongoose = __importStar(require("mongoose"));
const mongoose_1 = require("@nestjs/mongoose");
const product_collection_entity_1 = require("../../product-collection/entities/product-collection.entity");
let CartCollection = class CartCollection {
};
__decorate([
    (0, typeorm_1.ObjectIdColumn)(),
    __metadata("design:type", typeorm_1.ObjectID)
], CartCollection.prototype, "_id", void 0);
__decorate([
    (0, mongoose_1.Prop)({ type: mongoose.Schema.Types.ObjectId, ref: product_collection_entity_1.ProductCollection.name }),
    __metadata("design:type", product_collection_entity_1.ProductCollection)
], CartCollection.prototype, "Product", void 0);
__decorate([
    (0, mongoose_1.Prop)({ isRequired: true }),
    __metadata("design:type", String)
], CartCollection.prototype, "size", void 0);
__decorate([
    (0, mongoose_1.Prop)({ isRequired: true }),
    __metadata("design:type", Number)
], CartCollection.prototype, "qty", void 0);
__decorate([
    (0, mongoose_1.Prop)({ isRequired: true }),
    __metadata("design:type", String)
], CartCollection.prototype, "price", void 0);
__decorate([
    (0, mongoose_1.Prop)({ isRequired: true }),
    __metadata("design:type", String)
], CartCollection.prototype, "amount", void 0);
__decorate([
    (0, mongoose_1.Prop)(),
    __metadata("design:type", Boolean)
], CartCollection.prototype, "isAssociatedWithPack", void 0);
__decorate([
    (0, mongoose_1.Prop)({ isRequired: true }),
    __metadata("design:type", String)
], CartCollection.prototype, "createdBy", void 0);
CartCollection = __decorate([
    (0, mongoose_1.Schema)()
], CartCollection);
exports.CartCollection = CartCollection;
exports.CartCollectionSchema = mongoose_1.SchemaFactory.createForClass(CartCollection);
