"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PackCollectionType = exports.PackData = void 0;
const graphql_1 = require("@nestjs/graphql");
const product_collection_type_1 = require("../../product-collection/types/product-collection.type");
let PackData = class PackData {
};
__decorate([
    (0, graphql_1.Field)(() => product_collection_type_1.ProductCollectionType),
    __metadata("design:type", product_collection_type_1.ProductCollectionType)
], PackData.prototype, "Product", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], PackData.prototype, "size", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], PackData.prototype, "qty", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], PackData.prototype, "price", void 0);
PackData = __decorate([
    (0, graphql_1.ObjectType)("PackData")
], PackData);
exports.PackData = PackData;
let PackCollectionType = class PackCollectionType {
};
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], PackCollectionType.prototype, "id", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: false }),
    __metadata("design:type", String)
], PackCollectionType.prototype, "packName", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: false }),
    __metadata("design:type", String)
], PackCollectionType.prototype, "createdBy", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: false }),
    __metadata("design:type", Number)
], PackCollectionType.prototype, "maxLimit", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], PackCollectionType.prototype, "countNone", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], PackCollectionType.prototype, "total", void 0);
__decorate([
    (0, graphql_1.Field)(() => Boolean, { nullable: true }),
    __metadata("design:type", Boolean)
], PackCollectionType.prototype, "isDefault", void 0);
__decorate([
    (0, graphql_1.Field)(() => [PackData], { nullable: true }),
    __metadata("design:type", Array)
], PackCollectionType.prototype, "packData", void 0);
PackCollectionType = __decorate([
    (0, graphql_1.ObjectType)("PackCollectionType")
], PackCollectionType);
exports.PackCollectionType = PackCollectionType;
