"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChallengesFacedModule = void 0;
const common_1 = require("@nestjs/common");
const challenges_faced_service_1 = require("./challenges-faced.service");
const challenges_faced_resolver_1 = require("./challenges-faced.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const challenges_faced_entity_1 = require("./entities/challenges-faced.entity");
const farmers_table_module_1 = require("../farmers-table/farmers-table.module");
const difficulties_table_module_1 = require("../difficulties-table/difficulties-table.module");
let ChallengesFacedModule = class ChallengesFacedModule {
};
ChallengesFacedModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([challenges_faced_entity_1.ChallengesFaced]), (0, common_1.forwardRef)(() => farmers_table_module_1.FarmersTableModule), (0, common_1.forwardRef)(() => difficulties_table_module_1.DifficultiesTableModule)],
        providers: [challenges_faced_resolver_1.ChallengesFacedResolver, challenges_faced_service_1.ChallengesFacedService],
        exports: [challenges_faced_service_1.ChallengesFacedService]
    })
], ChallengesFacedModule);
exports.ChallengesFacedModule = ChallengesFacedModule;
