"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChallengesFaced = void 0;
const difficulties_table_entity_1 = require("../../difficulties-table/entities/difficulties-table.entity");
const farmers_table_entity_1 = require("../../farmers-table/entities/farmers-table.entity");
const typeorm_1 = require("typeorm");
let ChallengesFaced = class ChallengesFaced {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], ChallengesFaced.prototype, "challengeFacedId", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => farmers_table_entity_1.FarmersTable, et => et.HousingTable),
    (0, typeorm_1.JoinColumn)({ name: "farmerId" }),
    __metadata("design:type", farmers_table_entity_1.FarmersTable)
], ChallengesFaced.prototype, "FarmersTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => difficulties_table_entity_1.DifficultiesTable, et => et.ChallengesFaced),
    (0, typeorm_1.JoinColumn)({ name: "difficultyId" }),
    __metadata("design:type", difficulties_table_entity_1.DifficultiesTable)
], ChallengesFaced.prototype, "DifficultiesTable", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "text" }),
    __metadata("design:type", String)
], ChallengesFaced.prototype, "remarks", void 0);
__decorate([
    (0, typeorm_1.Column)({ default: 0 }),
    __metadata("design:type", Boolean)
], ChallengesFaced.prototype, "status", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 200, nullable: true }),
    __metadata("design:type", String)
], ChallengesFaced.prototype, "dateOfResolution", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], ChallengesFaced.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], ChallengesFaced.prototype, "updatedAt", void 0);
ChallengesFaced = __decorate([
    (0, typeorm_1.Entity)()
], ChallengesFaced);
exports.ChallengesFaced = ChallengesFaced;
