"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChallengesFacedType = void 0;
const graphql_1 = require("@nestjs/graphql");
const difficulties_table_type_1 = require("../../difficulties-table/types/difficulties-table.type");
const farmers_table_type_1 = require("../../farmers-table/types/farmers-table.type");
let ChallengesFacedType = class ChallengesFacedType {
};
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], ChallengesFacedType.prototype, "challengeFacedId", void 0);
__decorate([
    (0, graphql_1.Field)(() => farmers_table_type_1.FarmersTableType),
    __metadata("design:type", farmers_table_type_1.FarmersTableType)
], ChallengesFacedType.prototype, "FarmersTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => difficulties_table_type_1.DifficultiesTableType, { nullable: true }),
    __metadata("design:type", difficulties_table_type_1.DifficultiesTableType)
], ChallengesFacedType.prototype, "DifficultiesTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], ChallengesFacedType.prototype, "remarks", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], ChallengesFacedType.prototype, "dateOfResolution", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], ChallengesFacedType.prototype, "status", void 0);
__decorate([
    (0, graphql_1.Field)(() => Date, { nullable: true }),
    __metadata("design:type", Date)
], ChallengesFacedType.prototype, "createdAt", void 0);
ChallengesFacedType = __decorate([
    (0, graphql_1.ObjectType)("ChallengesFacedType")
], ChallengesFacedType);
exports.ChallengesFacedType = ChallengesFacedType;
