"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClientCollectionSchema = exports.ClientCollection = exports.BillingAddress = void 0;
const mongoose_1 = require("@nestjs/mongoose");
const typeorm_1 = require("typeorm");
const mongoose = __importStar(require("mongoose"));
const client_category_collection_entity_1 = require("../../client-category-collection/entities/client-category-collection.entity");
class BillingAddress {
}
__decorate([
    (0, mongoose_1.Prop)({ nullable: true }),
    __metadata("design:type", String)
], BillingAddress.prototype, "contactPerson", void 0);
__decorate([
    (0, mongoose_1.Prop)({ nullable: true }),
    __metadata("design:type", String)
], BillingAddress.prototype, "addressLine1", void 0);
__decorate([
    (0, mongoose_1.Prop)({ nullable: true }),
    __metadata("design:type", String)
], BillingAddress.prototype, "addressLine2", void 0);
__decorate([
    (0, mongoose_1.Prop)({ nullable: true }),
    __metadata("design:type", String)
], BillingAddress.prototype, "city", void 0);
__decorate([
    (0, mongoose_1.Prop)({ nullable: true }),
    __metadata("design:type", String)
], BillingAddress.prototype, "district", void 0);
__decorate([
    (0, mongoose_1.Prop)({ nullable: true }),
    __metadata("design:type", String)
], BillingAddress.prototype, "postOffice", void 0);
__decorate([
    (0, mongoose_1.Prop)({ nullable: true }),
    __metadata("design:type", String)
], BillingAddress.prototype, "pin", void 0);
__decorate([
    (0, mongoose_1.Prop)({ nullable: true }),
    __metadata("design:type", String)
], BillingAddress.prototype, "state", void 0);
__decorate([
    (0, mongoose_1.Prop)({ nullable: true }),
    __metadata("design:type", String)
], BillingAddress.prototype, "gstin", void 0);
__decorate([
    (0, mongoose_1.Prop)({ nullable: true }),
    __metadata("design:type", String)
], BillingAddress.prototype, "email", void 0);
__decorate([
    (0, mongoose_1.Prop)({ nullable: true }),
    __metadata("design:type", String)
], BillingAddress.prototype, "phone", void 0);
__decorate([
    (0, mongoose_1.Prop)({ nullable: true }),
    __metadata("design:type", String)
], BillingAddress.prototype, "dlNumber", void 0);
exports.BillingAddress = BillingAddress;
let ClientCollection = class ClientCollection {
};
__decorate([
    (0, typeorm_1.ObjectIdColumn)(),
    __metadata("design:type", typeorm_1.ObjectID)
], ClientCollection.prototype, "_id", void 0);
__decorate([
    (0, mongoose_1.Prop)({ index: true }),
    __metadata("design:type", String)
], ClientCollection.prototype, "organizationName", void 0);
__decorate([
    (0, mongoose_1.Prop)({ nullable: true, index: true }),
    __metadata("design:type", String)
], ClientCollection.prototype, "contactPerson", void 0);
__decorate([
    (0, mongoose_1.Prop)({ nullable: true }),
    __metadata("design:type", String)
], ClientCollection.prototype, "email", void 0);
__decorate([
    (0, mongoose_1.Prop)({ nullable: true }),
    __metadata("design:type", String)
], ClientCollection.prototype, "phone", void 0);
__decorate([
    (0, mongoose_1.Prop)({ nullable: true }),
    __metadata("design:type", String)
], ClientCollection.prototype, "dlNumber", void 0);
__decorate([
    (0, mongoose_1.Prop)({ nullable: true }),
    __metadata("design:type", String)
], ClientCollection.prototype, "discountPercentage", void 0);
__decorate([
    (0, mongoose_1.Prop)({ nullable: true }),
    __metadata("design:type", String)
], ClientCollection.prototype, "markupPercentage", void 0);
__decorate([
    (0, mongoose_1.Prop)({ nullable: true }),
    __metadata("design:type", Array)
], ClientCollection.prototype, "BillingAddress", void 0);
__decorate([
    (0, mongoose_1.Prop)({ default: false }),
    __metadata("design:type", Boolean)
], ClientCollection.prototype, "isEmailVerified", void 0);
__decorate([
    (0, mongoose_1.Prop)({ type: mongoose.Schema.Types.ObjectId, ref: client_category_collection_entity_1.ClientCategoryCollection.name }),
    __metadata("design:type", client_category_collection_entity_1.ClientCategoryCollection)
], ClientCollection.prototype, "ClientCategory", void 0);
ClientCollection = __decorate([
    (0, mongoose_1.Schema)({
        autoIndex: true,
        timestamps: true
    })
], ClientCollection);
exports.ClientCollection = ClientCollection;
const ClientCollectionSchema = mongoose_1.SchemaFactory.createForClass(ClientCollection);
exports.ClientCollectionSchema = ClientCollectionSchema;
ClientCollectionSchema.index({ organizationName: 1, contactPerson: 1 }, { unique: true });
