import { ClientCategoryCollectionType } from 'src/client-category-collection/types/client-category-collection.type';
export declare class BillingAddress {
    contactPerson: string;
    addressLine1: string;
    addressLine2: string;
    city: string;
    district: string;
    postOffice: string;
    pin: string;
    state: string;
    gstin: string;
    email: string;
    phone: string;
    dlNumber: string;
}
export declare class ClientCollectionType {
    id?: string;
    organizationName: string;
    contactPerson: string;
    dlNumber: string;
    discountPercentage: string;
    markupPercentage: string;
    BillingAddress?: BillingAddress[];
    email: string;
    phone: string;
    isEmailVerified: boolean;
    ClientCategory: ClientCategoryCollectionType;
}
