"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClientCollectionType = exports.BillingAddress = void 0;
const graphql_1 = require("@nestjs/graphql");
const client_category_collection_type_1 = require("../../client-category-collection/types/client-category-collection.type");
let BillingAddress = class BillingAddress {
};
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], BillingAddress.prototype, "contactPerson", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], BillingAddress.prototype, "addressLine1", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], BillingAddress.prototype, "addressLine2", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], BillingAddress.prototype, "city", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], BillingAddress.prototype, "district", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], BillingAddress.prototype, "postOffice", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], BillingAddress.prototype, "pin", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], BillingAddress.prototype, "state", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], BillingAddress.prototype, "gstin", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], BillingAddress.prototype, "email", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], BillingAddress.prototype, "phone", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], BillingAddress.prototype, "dlNumber", void 0);
BillingAddress = __decorate([
    (0, graphql_1.ObjectType)("BillingAddress")
], BillingAddress);
exports.BillingAddress = BillingAddress;
let ClientCollectionType = class ClientCollectionType {
};
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], ClientCollectionType.prototype, "id", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], ClientCollectionType.prototype, "organizationName", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], ClientCollectionType.prototype, "contactPerson", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], ClientCollectionType.prototype, "dlNumber", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], ClientCollectionType.prototype, "discountPercentage", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], ClientCollectionType.prototype, "markupPercentage", void 0);
__decorate([
    (0, graphql_1.Field)(() => [BillingAddress]),
    __metadata("design:type", Array)
], ClientCollectionType.prototype, "BillingAddress", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], ClientCollectionType.prototype, "email", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], ClientCollectionType.prototype, "phone", void 0);
__decorate([
    (0, graphql_1.Field)(() => Boolean),
    __metadata("design:type", Boolean)
], ClientCollectionType.prototype, "isEmailVerified", void 0);
__decorate([
    (0, graphql_1.Field)(() => client_category_collection_type_1.ClientCategoryCollectionType),
    __metadata("design:type", client_category_collection_type_1.ClientCategoryCollectionType)
], ClientCollectionType.prototype, "ClientCategory", void 0);
ClientCollectionType = __decorate([
    (0, graphql_1.ObjectType)("ClientCollectionType")
], ClientCollectionType);
exports.ClientCollectionType = ClientCollectionType;
