"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClientSocketCollectionModule = void 0;
const common_1 = require("@nestjs/common");
const client_socket_collection_service_1 = require("./client-socket-collection.service");
const client_socket_collection_entity_1 = require("./entities/client-socket-collection.entity");
const app_module_1 = require("../app.module");
const user_collection_module_1 = require("../user-collection/user-collection.module");
const mongoose_1 = require("@nestjs/mongoose");
let ClientSocketCollectionModule = class ClientSocketCollectionModule {
};
ClientSocketCollectionModule = __decorate([
    (0, common_1.Module)({
        imports: [mongoose_1.MongooseModule.forFeature([{ name: client_socket_collection_entity_1.ClientSocketCollection.name, schema: client_socket_collection_entity_1.ClientSocketSchema }]), user_collection_module_1.UserCollectionModule, (0, common_1.forwardRef)(() => app_module_1.AppModule)],
        providers: [client_socket_collection_service_1.ClientSocketCollectionService],
        exports: [client_socket_collection_service_1.ClientSocketCollectionService]
    })
], ClientSocketCollectionModule);
exports.ClientSocketCollectionModule = ClientSocketCollectionModule;
