"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CollectionTypeTableModule = void 0;
const common_1 = require("@nestjs/common");
const collection_type_table_service_1 = require("./collection-type-table.service");
const collection_type_table_resolver_1 = require("./collection-type-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const collection_type_table_entity_1 = require("./entities/collection-type-table.entity");
let CollectionTypeTableModule = class CollectionTypeTableModule {
};
CollectionTypeTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([collection_type_table_entity_1.CollectionTypeTable])],
        providers: [collection_type_table_resolver_1.CollectionTypeTableResolver, collection_type_table_service_1.CollectionTypeTableService],
        exports: [collection_type_table_service_1.CollectionTypeTableService]
    })
], CollectionTypeTableModule);
exports.CollectionTypeTableModule = CollectionTypeTableModule;
