"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CollectionTypeTableResolver = void 0;
const graphql_1 = require("@nestjs/graphql");
const collection_type_table_service_1 = require("./collection-type-table.service");
const collection_type_table_entity_1 = require("./entities/collection-type-table.entity");
const collection_type_table_type_1 = require("./types/collection-type-table.type");
let CollectionTypeTableResolver = class CollectionTypeTableResolver {
    constructor(collectionTypeTableService) {
        this.collectionTypeTableService = collectionTypeTableService;
    }
    async findAllCollectionType() {
        console.log("🚀 ~ file: collection-type-table.resolver.ts ~ line 23 ~ CollectionTypeTableResolver ~ findAllCollectionType ~ findAllCollectionType", 'hey');
        return await this.collectionTypeTableService.findAll();
    }
};
__decorate([
    (0, graphql_1.Query)(() => [collection_type_table_type_1.CollectionTypeTableType]),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], CollectionTypeTableResolver.prototype, "findAllCollectionType", null);
CollectionTypeTableResolver = __decorate([
    (0, graphql_1.Resolver)(() => collection_type_table_entity_1.CollectionTypeTable),
    __metadata("design:paramtypes", [collection_type_table_service_1.CollectionTypeTableService])
], CollectionTypeTableResolver);
exports.CollectionTypeTableResolver = CollectionTypeTableResolver;
