import { RedisPubSub } from 'graphql-redis-subscriptions';
import { ConsumptionSubTable } from './entities/consumption-sub-table.entity';
import { ConsumptionSubTableService } from './consumption-sub-table.service';
export declare class ConsumptionSubTableResolver {
    private readonly consumptionSubTableService;
    private pubSub;
    constructor(consumptionSubTableService: ConsumptionSubTableService, pubSub: RedisPubSub);
    getFeedingDetailsOfOneAnimal(animalId: number): Promise<ConsumptionSubTable[]>;
    countFeedingDetailsClusterWise(districtId: number, startingDate: string, endingDate: string): Promise<any[]>;
    getFeedingDetailsDistrictWise(): Promise<any>;
}
