"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConsumptionSubTableType = void 0;
const graphql_1 = require("@nestjs/graphql");
const animal_entry_table_type_1 = require("../../animal-table/types/animal-entry-table.type");
const consumption_table_type_1 = require("../../consumption-table/types/consumption-table.type");
const ration_table_table_type_1 = require("../../ration-table/types/ration-table-table.type");
let ConsumptionSubTableType = class ConsumptionSubTableType {
};
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], ConsumptionSubTableType.prototype, "consumptionSubId", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], ConsumptionSubTableType.prototype, "rationPerHead", void 0);
__decorate([
    (0, graphql_1.Field)(() => animal_entry_table_type_1.AnimalEntryTableType),
    __metadata("design:type", animal_entry_table_type_1.AnimalEntryTableType)
], ConsumptionSubTableType.prototype, "AnimalTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => ration_table_table_type_1.RationTableType),
    __metadata("design:type", ration_table_table_type_1.RationTableType)
], ConsumptionSubTableType.prototype, "RationTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => consumption_table_type_1.ConsumptionTableType, { nullable: true }),
    __metadata("design:type", consumption_table_type_1.ConsumptionTableType)
], ConsumptionSubTableType.prototype, "ConsumptionTable", void 0);
ConsumptionSubTableType = __decorate([
    (0, graphql_1.ObjectType)("ConsumptionSubTableType")
], ConsumptionSubTableType);
exports.ConsumptionSubTableType = ConsumptionSubTableType;
