"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConsumptionSubTotalTableService = void 0;
const common_1 = require("@nestjs/common");
const typeorm_1 = require("@nestjs/typeorm");
const consumption_table_service_1 = require("../consumption-table/consumption-table.service");
const ration_table_service_1 = require("../ration-table/ration-table.service");
const typeorm_2 = require("typeorm");
const consumption_sub_total_table_entity_1 = require("./entities/consumption-sub-total-table.entity");
let ConsumptionSubTotalTableService = class ConsumptionSubTotalTableService {
    constructor(consumptionSubTotalTableRepository, consumptionTableService, rationTableService) {
        this.consumptionSubTotalTableRepository = consumptionSubTotalTableRepository;
        this.consumptionTableService = consumptionTableService;
        this.rationTableService = rationTableService;
    }
    async create(consumptionId, rationSubData) {
        if (Array.isArray(rationSubData) && rationSubData.length > 0) {
            for (const el1 of rationSubData) {
                let dd = new consumption_sub_total_table_entity_1.ConsumptionSubTotalTable();
                dd.ConsumptionTable = await this.consumptionTableService.findOne(consumptionId);
                dd.RationTable = await this.rationTableService.findOne(el1.rationId);
                dd.rationTotal = el1.rationPerHead;
                await this.consumptionSubTotalTableRepository.save(dd);
            }
            return {
                status: true,
                status_text: "Successfully Created",
                data: null
            };
        }
        else
            return {
                status: false,
                status_text: "Invalid Data",
                data: null
            };
    }
};
ConsumptionSubTotalTableService = __decorate([
    (0, common_1.Injectable)(),
    __param(0, (0, typeorm_1.InjectRepository)(consumption_sub_total_table_entity_1.ConsumptionSubTotalTable)),
    __param(1, (0, common_1.Inject)((0, common_1.forwardRef)(() => consumption_table_service_1.ConsumptionTableService))),
    __param(2, (0, common_1.Inject)((0, common_1.forwardRef)(() => ration_table_service_1.RationTableService))),
    __metadata("design:paramtypes", [typeorm_2.Repository,
        consumption_table_service_1.ConsumptionTableService,
        ration_table_service_1.RationTableService])
], ConsumptionSubTotalTableService);
exports.ConsumptionSubTotalTableService = ConsumptionSubTotalTableService;
