"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConsumptionTable = void 0;
const consumption_sub_table_entity_1 = require("../../consumption-sub-table/entities/consumption-sub-table.entity");
const consumption_sub_total_table_entity_1 = require("../../consumption-sub-total-table/entities/consumption-sub-total-table.entity");
const housing_table_entity_1 = require("../../housing-table/entities/housing-table.entity");
const typeorm_1 = require("typeorm");
let ConsumptionTable = class ConsumptionTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], ConsumptionTable.prototype, "consumptionId", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50 }),
    __metadata("design:type", String)
], ConsumptionTable.prototype, "dateOfEntry", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'text', nullable: true }),
    __metadata("design:type", String)
], ConsumptionTable.prototype, "remarks", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'text', nullable: true }),
    __metadata("design:type", String)
], ConsumptionTable.prototype, "frequency", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => housing_table_entity_1.HousingTable, dt => dt.ConsumptionTable, { nullable: true }),
    (0, typeorm_1.JoinColumn)({ name: "housingId" }),
    __metadata("design:type", housing_table_entity_1.HousingTable)
], ConsumptionTable.prototype, "HousingTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => consumption_sub_table_entity_1.ConsumptionSubTable, dt => dt.ConsumptionTable, { nullable: true, onDelete: "CASCADE" }),
    __metadata("design:type", Array)
], ConsumptionTable.prototype, "ConsumptionSubTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => consumption_sub_total_table_entity_1.ConsumptionSubTotalTable, dt => dt.ConsumptionTable, { nullable: true, onDelete: "CASCADE" }),
    __metadata("design:type", Array)
], ConsumptionTable.prototype, "ConsumptionSubTotalTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], ConsumptionTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], ConsumptionTable.prototype, "updatedAt", void 0);
ConsumptionTable = __decorate([
    (0, typeorm_1.Entity)()
], ConsumptionTable);
exports.ConsumptionTable = ConsumptionTable;
