import { CourseProgressionTableService } from './course-progression-table.service';
import { CourseProgressionTable } from './entities/course-progression-table.entity';
export declare class CourseProgressionTableResolver {
    private readonly courseProgressionTableService;
    constructor(courseProgressionTableService: CourseProgressionTableService);
    updateCourseProgression(courseUnitId: number, type: string, user: any): Promise<{
        status: boolean;
        status_text: string;
    }>;
    findAllCourseProgression(courseId: number): Promise<CourseProgressionTable[]>;
    toggleStatusOfTable(courseProgressionId: number, type: string, currentValue: number): Promise<{
        status: boolean;
        status_text: string;
    }>;
}
