"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CourseSessionTableType = void 0;
const graphql_1 = require("@nestjs/graphql");
const course_table_type_1 = require("../../course-table/types/course-table.type");
let CourseSessionTableType = exports.CourseSessionTableType = class CourseSessionTableType {
};
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], CourseSessionTableType.prototype, "courseSessionId", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], CourseSessionTableType.prototype, "sessionName", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], CourseSessionTableType.prototype, "capacity", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], CourseSessionTableType.prototype, "isEnrollmentOpen", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CourseSessionTableType.prototype, "sessionStartingDate", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CourseSessionTableType.prototype, "sessionEndingDate", void 0);
__decorate([
    (0, graphql_1.Field)(() => course_table_type_1.CourseTableType, { nullable: true }),
    __metadata("design:type", course_table_type_1.CourseTableType)
], CourseSessionTableType.prototype, "CourseTable", void 0);
exports.CourseSessionTableType = CourseSessionTableType = __decorate([
    (0, graphql_1.ObjectType)("CourseSessionTableType")
], CourseSessionTableType);
