"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CurrentStockCollectionModule = void 0;
const common_1 = require("@nestjs/common");
const current_stock_collection_service_1 = require("./current-stock-collection.service");
const current_stock_collection_resolver_1 = require("./current-stock-collection.resolver");
const mongoose_1 = require("@nestjs/mongoose");
const current_stock_collection_entity_1 = require("./entities/current-stock-collection.entity");
const product_collection_module_1 = require("../product-collection/product-collection.module");
const user_collection_module_1 = require("../user-collection/user-collection.module");
const client_collection_module_1 = require("../client-collection/client-collection.module");
let CurrentStockCollectionModule = class CurrentStockCollectionModule {
};
CurrentStockCollectionModule = __decorate([
    (0, common_1.Module)({
        imports: [mongoose_1.MongooseModule.forFeature([{ name: current_stock_collection_entity_1.CurrentStockCollection.name, schema: current_stock_collection_entity_1.CurrentStockCollectionSchema }]), (0, common_1.forwardRef)(() => product_collection_module_1.ProductCollectionModule), (0, common_1.forwardRef)(() => user_collection_module_1.UserCollectionModule), (0, common_1.forwardRef)(() => client_collection_module_1.ClientCollectionModule)],
        providers: [current_stock_collection_resolver_1.CurrentStockCollectionResolver, current_stock_collection_service_1.CurrentStockCollectionService],
        exports: [current_stock_collection_service_1.CurrentStockCollectionService]
    })
], CurrentStockCollectionModule);
exports.CurrentStockCollectionModule = CurrentStockCollectionModule;
