import { ObjectID } from 'typeorm';
import * as mongoose from 'mongoose';
import { Document } from 'mongoose';
import { ProductCollection } from 'src/product-collection/entities/product-collection.entity';
export declare type CurrentStockDocument = CurrentStockCollection & Document;
export declare class CurrentStockCollection {
    _id: ObjectID;
    Product: ProductCollection;
    itemCodeIndex: number;
    size: string;
    basePrice: string;
    mrp: string;
    itemCode: string;
    barcode: string;
    mfgDate: string;
    batchNo: string;
    expiryDate: string;
    qty: number;
}
export declare const CurrentStockCollectionSchema: mongoose.Schema<mongoose.Document<CurrentStockCollection, any, any>, mongoose.Model<mongoose.Document<CurrentStockCollection, any, any>, any, any, any>, any, any>;
