"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CurrentStockTableModule = void 0;
const common_1 = require("@nestjs/common");
const typeorm_1 = require("@nestjs/typeorm");
const housing_table_module_1 = require("../housing-table/housing-table.module");
const breed_table_module_1 = require("../breed-table/breed-table.module");
const current_stock_table_entity_1 = require("./entities/current-stock-table.entity");
const user_collection_module_1 = require("../user-collection/user-collection.module");
const current_stock_table_resolver_1 = require("./current-stock-table.resolver");
const current_stock_table_service_1 = require("./current-stock-table.service");
const district_table_module_1 = require("../district-table/district-table.module");
const access_table_module_1 = require("../access-table/access-table.module");
const sub_division_table_module_1 = require("../sub-division-table/sub-division-table.module");
let CurrentStockTableModule = class CurrentStockTableModule {
};
CurrentStockTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([current_stock_table_entity_1.CurrentStockTable]), (0, common_1.forwardRef)(() => user_collection_module_1.UserCollectionModule), (0, common_1.forwardRef)(() => housing_table_module_1.HousingTableModule), (0, common_1.forwardRef)(() => breed_table_module_1.BreedTableModule), (0, common_1.forwardRef)(() => access_table_module_1.AccessTableModule), (0, common_1.forwardRef)(() => sub_division_table_module_1.SubDivisionTableModule), district_table_module_1.DistrictTableModule],
        providers: [current_stock_table_resolver_1.CurrentStockTableResolver, current_stock_table_service_1.CurrentStockTableService],
        exports: [current_stock_table_service_1.CurrentStockTableService]
    })
], CurrentStockTableModule);
exports.CurrentStockTableModule = CurrentStockTableModule;
