"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CurrentStockTable = void 0;
const animal_entry_table_entity_1 = require("../../animal-table/entities/animal-entry-table.entity");
const breed_table_entity_1 = require("../../breed-table/entities/breed-table.entity");
const housing_table_entity_1 = require("../../housing-table/entities/housing-table.entity");
const typeorm_1 = require("typeorm");
let CurrentStockTable = class CurrentStockTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], CurrentStockTable.prototype, "stockId", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => housing_table_entity_1.HousingTable, et => et.CurrentStockTable),
    (0, typeorm_1.JoinColumn)({ name: "housingId" }),
    __metadata("design:type", housing_table_entity_1.HousingTable)
], CurrentStockTable.prototype, "HousingTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => breed_table_entity_1.BreedTable, et => et.CurrentStockTable),
    (0, typeorm_1.JoinColumn)({ name: "breedId" }),
    __metadata("design:type", breed_table_entity_1.BreedTable)
], CurrentStockTable.prototype, "BreedTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => animal_entry_table_entity_1.AnimalEntryTable, et => et.CurrentStockTable),
    __metadata("design:type", Array)
], CurrentStockTable.prototype, "AnimalTable", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", String)
], CurrentStockTable.prototype, "ageGroup", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", Number)
], CurrentStockTable.prototype, "qtyMale", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", Number)
], CurrentStockTable.prototype, "qtyFemale", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", Number)
], CurrentStockTable.prototype, "qtyTotal", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "decimal", precision: 10, scale: 3, default: 0.000 }),
    __metadata("design:type", Number)
], CurrentStockTable.prototype, "totalWeight", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: String, nullable: true }),
    __metadata("design:type", String)
], CurrentStockTable.prototype, "dateOfAgeUpdate", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], CurrentStockTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], CurrentStockTable.prototype, "updatedAt", void 0);
CurrentStockTable = __decorate([
    (0, typeorm_1.Entity)()
], CurrentStockTable);
exports.CurrentStockTable = CurrentStockTable;
