"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CurrentStockTableType = void 0;
const graphql_1 = require("@nestjs/graphql");
const animal_entry_table_type_1 = require("../../animal-table/types/animal-entry-table.type");
const breed_table_type_1 = require("../../breed-table/types/breed-table.type");
const housing_table_type_1 = require("../../housing-table/types/housing-table.type");
let CurrentStockTableType = class CurrentStockTableType {
};
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], CurrentStockTableType.prototype, "stockId", void 0);
__decorate([
    (0, graphql_1.Field)(() => housing_table_type_1.HousingTableType),
    __metadata("design:type", housing_table_type_1.HousingTableType)
], CurrentStockTableType.prototype, "HousingTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => breed_table_type_1.BreedTableType),
    __metadata("design:type", breed_table_type_1.BreedTableType)
], CurrentStockTableType.prototype, "BreedTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => [animal_entry_table_type_1.AnimalEntryTableType]),
    __metadata("design:type", animal_entry_table_type_1.AnimalEntryTableType)
], CurrentStockTableType.prototype, "AnimalTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], CurrentStockTableType.prototype, "ageGroup", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], CurrentStockTableType.prototype, "qtyMale", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], CurrentStockTableType.prototype, "qtyFemale", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], CurrentStockTableType.prototype, "qtyTotal", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], CurrentStockTableType.prototype, "totalWeight", void 0);
__decorate([
    (0, graphql_1.Field)(() => Date, { nullable: true }),
    __metadata("design:type", Date)
], CurrentStockTableType.prototype, "createdAt", void 0);
CurrentStockTableType = __decorate([
    (0, graphql_1.ObjectType)("CurrentStockTableType")
], CurrentStockTableType);
exports.CurrentStockTableType = CurrentStockTableType;
