"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataEntryTableModule = void 0;
const common_1 = require("@nestjs/common");
const data_entry_table_service_1 = require("./data-entry-table.service");
const data_entry_table_controller_1 = require("./data-entry-table.controller");
const typeorm_1 = require("@nestjs/typeorm");
const data_entry_table_entity_1 = require("./entities/data-entry-table.entity");
const user_collection_module_1 = require("../user-collection/user-collection.module");
let DataEntryTableModule = exports.DataEntryTableModule = class DataEntryTableModule {
};
exports.DataEntryTableModule = DataEntryTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([data_entry_table_entity_1.DataEntryTable]), (0, common_1.forwardRef)(() => user_collection_module_1.UserCollectionModule)],
        controllers: [data_entry_table_controller_1.DataEntryTableController],
        providers: [data_entry_table_service_1.DataEntryTableService],
        exports: [data_entry_table_service_1.DataEntryTableService]
    })
], DataEntryTableModule);
