"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DiscussionTableModule = void 0;
const common_1 = require("@nestjs/common");
const discussion_table_service_1 = require("./discussion-table.service");
const discussion_table_resolver_1 = require("./discussion-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const discussion_table_entity_1 = require("./entities/discussion-table.entity");
const course_table_module_1 = require("../course-table/course-table.module");
const user_collection_module_1 = require("../user-collection/user-collection.module");
let DiscussionTableModule = exports.DiscussionTableModule = class DiscussionTableModule {
};
exports.DiscussionTableModule = DiscussionTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([discussion_table_entity_1.DiscussionTable]), (0, common_1.forwardRef)(() => course_table_module_1.CourseTableModule), (0, common_1.forwardRef)(() => user_collection_module_1.UserCollectionModule)],
        providers: [discussion_table_resolver_1.DiscussionTableResolver, discussion_table_service_1.DiscussionTableService],
        exports: [discussion_table_service_1.DiscussionTableService]
    })
], DiscussionTableModule);
