import { DiscussionTableService } from './discussion-table.service';
import { DiscussionTable } from './entities/discussion-table.entity';
import { CreateDiscussionTableInput } from './dto/create-discussion-table.input';
export declare class DiscussionTableResolver {
    private readonly discussionTableService;
    constructor(discussionTableService: DiscussionTableService);
    createDiscussionTable(createDiscussionTableInput: CreateDiscussionTableInput, user: any): Promise<{
        status: boolean;
        status_text: string;
        data: DiscussionTable;
    }>;
    findAllByCourseId(courseId: number): Promise<any[]>;
    findAllByCourseIdWeb(courseId: number): Promise<any[]>;
}
