"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DiseaseControlTableModule = void 0;
const common_1 = require("@nestjs/common");
const typeorm_1 = require("@nestjs/typeorm");
const animal_vaccination_table_module_1 = require("../animal-vaccination/animal-vaccination-table.module");
const disease_control_table_resolver_1 = require("./disease-control-table.resolver");
const disease_control_table_service_1 = require("./disease-control-table.service");
const disese_control_table_entity_1 = require("./entities/disese-control-table.entity");
let DiseaseControlTableModule = class DiseaseControlTableModule {
};
DiseaseControlTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([disese_control_table_entity_1.DiseaseControlTable]), (0, common_1.forwardRef)(() => animal_vaccination_table_module_1.AnimalVaccinationTableModule)],
        providers: [disease_control_table_resolver_1.DiseaseControlTableResolver, disease_control_table_service_1.DiseaseControlTableService],
        exports: [disease_control_table_service_1.DiseaseControlTableService]
    })
], DiseaseControlTableModule);
exports.DiseaseControlTableModule = DiseaseControlTableModule;
