import { DiseaseObservationTableService } from './disease-observation-table.service';
import { DiseaseObservationTable } from './entities/disease-observation-table.entity';
import { CreateDiseaseObservationTableInput } from './dto/create-disease-observation-table.input';
import { UpdateDiseaseObservationTableInput } from './dto/update-disease-observation-table.input';
export declare class DiseaseObservationTableResolver {
    private readonly diseaseObservationTableService;
    constructor(diseaseObservationTableService: DiseaseObservationTableService);
    createDiseaseObservationTable(createDiseaseObservationTableInput: CreateDiseaseObservationTableInput, user: any): Promise<{
        status: boolean;
        status_text: string;
    }>;
    findAllDiseaseObservation(animalDiseaseSubId: number): Promise<DiseaseObservationTable[]>;
    updateDiseaseObservationTable(updateDiseaseObservationTableInput: UpdateDiseaseObservationTableInput): Promise<{
        status: boolean;
        status_text: string;
    }>;
    removeDiseaseObservationTable(diseaseObservationId: number): Promise<{
        status: boolean;
        status_text: string;
    }>;
}
