"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DiseaseTable = void 0;
const animal_disease_sub_table_entity_1 = require("../../animal-disease-sub-table/entities/animal-disease-sub-table.entity");
const stock_entry_table_entity_1 = require("../../stock-entry/entities/stock-entry-table.entity");
const typeorm_1 = require("typeorm");
let DiseaseTable = class DiseaseTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], DiseaseTable.prototype, "diseaseTableId", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], DiseaseTable.prototype, "diseaseTableName", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], DiseaseTable.prototype, "diseaseCode", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => stock_entry_table_entity_1.StockEntryTable, et => et.DiseaseTable),
    __metadata("design:type", Array)
], DiseaseTable.prototype, "StockEntryTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => animal_disease_sub_table_entity_1.AnimalDiseaseSubTable, et => et.DiseaseTable),
    __metadata("design:type", Array)
], DiseaseTable.prototype, "AnimalDiseaseSubTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], DiseaseTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], DiseaseTable.prototype, "updatedAt", void 0);
DiseaseTable = __decorate([
    (0, typeorm_1.Entity)()
], DiseaseTable);
exports.DiseaseTable = DiseaseTable;
