"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DistrictTable = void 0;
const access_table_entity_1 = require("../../access-table/entities/access-table.entity");
const block_table_entity_1 = require("../../block-table/entities/block-table.entity");
const producer_groups_table_entity_1 = require("../../producer-groups-table/entities/producer-groups-table.entity");
const state_table_entity_1 = require("../../state-table/entities/state-table.entity");
const typeorm_1 = require("typeorm");
let DistrictTable = exports.DistrictTable = class DistrictTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], DistrictTable.prototype, "districtId", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], DistrictTable.prototype, "districtName", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => state_table_entity_1.StateTable, dt => dt.DistrictTable),
    (0, typeorm_1.JoinColumn)({ name: "stateId" }),
    __metadata("design:type", state_table_entity_1.StateTable)
], DistrictTable.prototype, "StateTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => block_table_entity_1.BlockTable, et => et.DistrictTable),
    __metadata("design:type", Array)
], DistrictTable.prototype, "BlockTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => producer_groups_table_entity_1.ProducerGroupsTable, et => et.DistrictTable),
    __metadata("design:type", Array)
], DistrictTable.prototype, "ProducerGroupsTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => access_table_entity_1.AccessTable, et => et.DistrictTable),
    __metadata("design:type", Array)
], DistrictTable.prototype, "AccessTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], DistrictTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], DistrictTable.prototype, "updatedAt", void 0);
exports.DistrictTable = DistrictTable = __decorate([
    (0, typeorm_1.Entity)()
], DistrictTable);
