"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FblpSubLsTable = void 0;
const fblp_sub_table_entity_1 = require("../../fblp-sub-table/entities/fblp-sub-table.entity");
const livelihood_source_table_entity_1 = require("../../livelihood-source-table/entities/livelihood-source-table.entity");
const typeorm_1 = require("typeorm");
let FblpSubLsTable = exports.FblpSubLsTable = class FblpSubLsTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], FblpSubLsTable.prototype, "fblpSubLsId", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => fblp_sub_table_entity_1.FblpSubTable, dt => dt.FblpSubLsTable, { onDelete: "CASCADE" }),
    (0, typeorm_1.JoinColumn)({ name: "fblpId" }),
    __metadata("design:type", fblp_sub_table_entity_1.FblpSubTable)
], FblpSubLsTable.prototype, "FblpSubTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => livelihood_source_table_entity_1.LivelihoodSourceTable, dt => dt.FblpSubLsTable),
    (0, typeorm_1.JoinColumn)({ name: "lsId" }),
    __metadata("design:type", livelihood_source_table_entity_1.LivelihoodSourceTable)
], FblpSubLsTable.prototype, "LivelihoodSourceTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], FblpSubLsTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], FblpSubLsTable.prototype, "updatedAt", void 0);
exports.FblpSubLsTable = FblpSubLsTable = __decorate([
    (0, typeorm_1.Entity)()
], FblpSubLsTable);
