"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FblpSubTableModule = void 0;
const common_1 = require("@nestjs/common");
const fblp_sub_table_service_1 = require("./fblp-sub-table.service");
const fblp_sub_table_resolver_1 = require("./fblp-sub-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const fblp_sub_table_entity_1 = require("./entities/fblp-sub-table.entity");
const fblp_table_module_1 = require("../fblp-table/fblp-table.module");
const income_source_table_module_1 = require("../income-source-table/income-source-table.module");
const livelihood_source_table_module_1 = require("../livelihood-source-table/livelihood-source-table.module");
let FblpSubTableModule = exports.FblpSubTableModule = class FblpSubTableModule {
};
exports.FblpSubTableModule = FblpSubTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([fblp_sub_table_entity_1.FblpSubTable]), (0, common_1.forwardRef)(() => fblp_table_module_1.FblpTableModule), (0, common_1.forwardRef)(() => income_source_table_module_1.IncomeSourceTableModule), (0, common_1.forwardRef)(() => livelihood_source_table_module_1.LivelihoodSourceTableModule)],
        providers: [fblp_sub_table_resolver_1.FblpSubTableResolver, fblp_sub_table_service_1.FblpSubTableService],
        exports: [fblp_sub_table_service_1.FblpSubTableService]
    })
], FblpSubTableModule);
