"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FblpSubTableType = void 0;
const graphql_1 = require("@nestjs/graphql");
const fblp_table_type_1 = require("../../fblp-table/types/fblp-table.type");
const income_source_table_type_1 = require("../../income-source-table/types/income-source-table.type");
const livelihood_source_table_type_1 = require("../../livelihood-source-table/types/livelihood-source-table.type");
let FblpSubTableType = exports.FblpSubTableType = class FblpSubTableType {
};
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], FblpSubTableType.prototype, "fblpSubId", void 0);
__decorate([
    (0, graphql_1.Field)(() => fblp_table_type_1.FblpTableType),
    __metadata("design:type", fblp_table_type_1.FblpTableType)
], FblpSubTableType.prototype, "FblpTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], FblpSubTableType.prototype, "description", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], FblpSubTableType.prototype, "estimatedExpenditure", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], FblpSubTableType.prototype, "ownInvestment", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], FblpSubTableType.prototype, "projectContribution", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], FblpSubTableType.prototype, "loanRequired", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], FblpSubTableType.prototype, "farmEquipmentAvailable", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], FblpSubTableType.prototype, "insuranceSupportNeeded", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], FblpSubTableType.prototype, "shedSupportNeeded", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], FblpSubTableType.prototype, "pondConstructionNeeded", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], FblpSubTableType.prototype, "breedingUnitNeeded", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], FblpSubTableType.prototype, "pondRenevationNeeded", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], FblpSubTableType.prototype, "areaOfLand", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], FblpSubTableType.prototype, "areaOfLandUnit", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], FblpSubTableType.prototype, "conversionToBigha", void 0);
__decorate([
    (0, graphql_1.Field)(() => income_source_table_type_1.IncomeSourceTableType, { nullable: true }),
    __metadata("design:type", income_source_table_type_1.IncomeSourceTableType)
], FblpSubTableType.prototype, "IncomeSourceTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => livelihood_source_table_type_1.LivelihoodSourceTableType, { nullable: true }),
    __metadata("design:type", livelihood_source_table_type_1.LivelihoodSourceTableType)
], FblpSubTableType.prototype, "LivelihoodSourceTable", void 0);
exports.FblpSubTableType = FblpSubTableType = __decorate([
    (0, graphql_1.ObjectType)("FblpSubTableType")
], FblpSubTableType);
