"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FblpTable = void 0;
const fblp_sub_table_entity_1 = require("../../fblp-sub-table/entities/fblp-sub-table.entity");
const mk_table_entity_1 = require("../../mk-table/entities/mk-table.entity");
const sessionmaster_table_entity_1 = require("../../sessionmaster-table/entities/sessionmaster-table.entity");
const user_collection_entity_1 = require("../../user-collection/entities/user-collection.entity");
const typeorm_1 = require("typeorm");
let FblpTable = exports.FblpTable = class FblpTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], FblpTable.prototype, "fblpId", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => mk_table_entity_1.MkTable, dt => dt.FblpTable),
    (0, typeorm_1.JoinColumn)({ name: "mkId" }),
    __metadata("design:type", mk_table_entity_1.MkTable)
], FblpTable.prototype, "MkTable", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", Number)
], FblpTable.prototype, "year", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50, nullable: true }),
    __metadata("design:type", String)
], FblpTable.prototype, "entryDate", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50, nullable: true }),
    __metadata("design:type", String)
], FblpTable.prototype, "editableTill", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50, nullable: true }),
    __metadata("design:type", String)
], FblpTable.prototype, "performAfter", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => sessionmaster_table_entity_1.SessionmasterTable, dt => dt.InterventionTable, { nullable: true }),
    (0, typeorm_1.JoinColumn)({ name: "sessionId" }),
    __metadata("design:type", sessionmaster_table_entity_1.SessionmasterTable)
], FblpTable.prototype, "SessionmasterTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => fblp_sub_table_entity_1.FblpSubTable, et => et.FblpTable),
    __metadata("design:type", Array)
], FblpTable.prototype, "FblpSubTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => user_collection_entity_1.UserTable, dt => dt.FblpTable),
    (0, typeorm_1.JoinColumn)({ name: "userId" }),
    __metadata("design:type", user_collection_entity_1.UserTable)
], FblpTable.prototype, "UserTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], FblpTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], FblpTable.prototype, "updatedAt", void 0);
exports.FblpTable = FblpTable = __decorate([
    (0, typeorm_1.Entity)()
], FblpTable);
