"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FblpTableModule = void 0;
const common_1 = require("@nestjs/common");
const fblp_table_service_1 = require("./fblp-table.service");
const fblp_table_resolver_1 = require("./fblp-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const fblp_table_entity_1 = require("./entities/fblp-table.entity");
const user_collection_module_1 = require("../user-collection/user-collection.module");
const mk_table_module_1 = require("../mk-table/mk-table.module");
const fblp_sub_table_module_1 = require("../fblp-sub-table/fblp-sub-table.module");
const mk_entitlements_table_module_1 = require("../mk-entitlements-table/mk-entitlements-table.module");
const fblp_table_controller_1 = require("./fblp-table.controller");
const livelihood_source_table_module_1 = require("../livelihood-source-table/livelihood-source-table.module");
const sessionmaster_table_module_1 = require("../sessionmaster-table/sessionmaster-table.module");
let FblpTableModule = exports.FblpTableModule = class FblpTableModule {
};
exports.FblpTableModule = FblpTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([fblp_table_entity_1.FblpTable]), user_collection_module_1.UserCollectionModule, (0, common_1.forwardRef)(() => mk_table_module_1.MkTableModule), (0, common_1.forwardRef)(() => fblp_sub_table_module_1.FblpSubTableModule), (0, common_1.forwardRef)(() => mk_entitlements_table_module_1.MkEntitlementsTableModule), (0, common_1.forwardRef)(() => livelihood_source_table_module_1.LivelihoodSourceTableModule), (0, common_1.forwardRef)(() => sessionmaster_table_module_1.SessionmasterTableModule)],
        providers: [fblp_table_resolver_1.FblpTableResolver, fblp_table_service_1.FblpTableService],
        controllers: [fblp_table_controller_1.FblpTableController],
        exports: [fblp_table_service_1.FblpTableService]
    })
], FblpTableModule);
