import { FileTableService } from './file-table.service';
export declare class FileTableController {
    private readonly fileTableService;
    constructor(fileTableService: FileTableService);
    uploadFileNew(file: any, body: any): Promise<string>;
    uploadFile(file: any, params: any): Promise<import("./file-table.entity").FileTable>;
    deleteFile(params: any): Promise<{
        status: boolean;
        status_text: string;
    }>;
    getUploadedFile(params: any): Promise<false | import("./file-table.entity").FileTable>;
    deleteFileWithFileName(body: any): Promise<{
        status: boolean;
        status_text: string;
    }>;
    deleteFileWithId(body: any): Promise<{
        status: boolean;
        status_text: string;
    }>;
    deleteFileWithoutId(params: any): Promise<{
        status: boolean;
        status_text: string;
    }>;
}
