"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileTableModule = void 0;
const common_1 = require("@nestjs/common");
const file_table_service_1 = require("./file-table.service");
const file_table_controller_1 = require("./file-table.controller");
const typeorm_1 = require("@nestjs/typeorm");
const file_table_entity_1 = require("./file-table.entity");
const course_table_module_1 = require("../course-table/course-table.module");
let FileTableModule = exports.FileTableModule = class FileTableModule {
};
exports.FileTableModule = FileTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([file_table_entity_1.FileTable]), (0, common_1.forwardRef)(() => course_table_module_1.CourseTableModule)],
        providers: [file_table_service_1.FileTableService],
        controllers: [file_table_controller_1.FileTableController],
        exports: [file_table_service_1.FileTableService]
    })
], FileTableModule);
