"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GrampanchayatTable = void 0;
const block_table_entity_1 = require("../../block-table/entities/block-table.entity");
const village_table_entity_1 = require("../../village-table/entities/village-table.entity");
const vo_table_entity_1 = require("../../vo-table/entities/vo-table.entity");
const typeorm_1 = require("typeorm");
let GrampanchayatTable = exports.GrampanchayatTable = class GrampanchayatTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], GrampanchayatTable.prototype, "gpId", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], GrampanchayatTable.prototype, "gpName", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => block_table_entity_1.BlockTable, dt => dt.GrampanchayatTable),
    (0, typeorm_1.JoinColumn)({ name: "blockId" }),
    __metadata("design:type", block_table_entity_1.BlockTable)
], GrampanchayatTable.prototype, "BlockTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => village_table_entity_1.VillageTable, et => et.GrampanchayatTable),
    __metadata("design:type", Array)
], GrampanchayatTable.prototype, "VillageTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => vo_table_entity_1.VoTable, et => et.GrampanchayatTable),
    __metadata("design:type", Array)
], GrampanchayatTable.prototype, "VoTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], GrampanchayatTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], GrampanchayatTable.prototype, "updatedAt", void 0);
exports.GrampanchayatTable = GrampanchayatTable = __decorate([
    (0, typeorm_1.Entity)()
], GrampanchayatTable);
