"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sortByCountDescending = exports.calculateMedian = exports.calculateMean = exports.getBandName = exports.determineFarmerBand = exports.convertToBigha = void 0;
function convertToBigha(value, unit) {
    let convertion_to_bigha = 0;
    if (unit == "KANI") {
        convertion_to_bigha = value * 1.2;
    }
    if (unit == "BIGHA") {
        convertion_to_bigha = value * 1;
    }
    if (unit == "BIGHA(MEGHALAYA)") {
        convertion_to_bigha = value * 1;
    }
    return convertion_to_bigha.toFixed(2);
}
exports.convertToBigha = convertToBigha;
function determineFarmerBand(totalAreaFarmer) {
    if (totalAreaFarmer == 0) {
        return 1;
    }
    else if (totalAreaFarmer <= 1.61) {
        return 2;
    }
    else if (totalAreaFarmer <= 4.03) {
        return 3;
    }
    else {
        return 4;
    }
}
exports.determineFarmerBand = determineFarmerBand;
function getBandName(id) {
    if (id == 1) {
        return "Landless Farmer";
    }
    else if (id == 2) {
        return "";
    }
    else if (id == 3) {
        return "Marginal Farmer";
    }
    else if (id == 4) {
        return "Small Farmer";
    }
    else {
        return "Unallocated";
    }
}
exports.getBandName = getBandName;
function calculateMean(arr) {
    let total = 0;
    for (let i = 0; i < arr.length; i++) {
        total += arr[i];
    }
    return total / arr.length;
}
exports.calculateMean = calculateMean;
;
function calculateMedian(arr) {
    const mid = Math.floor(arr.length / 2), nums = [...arr].sort((a, b) => a - b);
    return arr.length % 2 !== 0 ? nums[mid] : (nums[mid - 1] + nums[mid]) / 2;
}
exports.calculateMedian = calculateMedian;
;
function sortByCountDescending(jsonArray) {
    return jsonArray.sort((a, b) => a.count - b.count);
}
exports.sortByCountDescending = sortByCountDescending;
