"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateHousingTableInput = void 0;
const graphql_1 = require("@nestjs/graphql");
const new_enum_1 = require("../../enum/new-enum");
let CreateHousingTableInput = class CreateHousingTableInput {
};
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], CreateHousingTableInput.prototype, "farmerId", void 0);
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int, { nullable: true }),
    __metadata("design:type", Number)
], CreateHousingTableInput.prototype, "housingId", void 0);
__decorate([
    (0, graphql_1.Field)(() => new_enum_1.YesNo),
    __metadata("design:type", String)
], CreateHousingTableInput.prototype, "isAvailable", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], CreateHousingTableInput.prototype, "typesOfHouse", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], CreateHousingTableInput.prototype, "typeOfFarm", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], CreateHousingTableInput.prototype, "farmingArea", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], CreateHousingTableInput.prototype, "floor", void 0);
__decorate([
    (0, graphql_1.Field)(() => new_enum_1.YesNo),
    __metadata("design:type", String)
], CreateHousingTableInput.prototype, "hasSufficientFloor", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], CreateHousingTableInput.prototype, "floorSpace", void 0);
__decorate([
    (0, graphql_1.Field)(() => new_enum_1.YesNo),
    __metadata("design:type", String)
], CreateHousingTableInput.prototype, "hasBoundaryWall", void 0);
__decorate([
    (0, graphql_1.Field)(() => new_enum_1.YesNo),
    __metadata("design:type", String)
], CreateHousingTableInput.prototype, "hasDrainageFacility", void 0);
__decorate([
    (0, graphql_1.Field)(() => new_enum_1.YesNo),
    __metadata("design:type", String)
], CreateHousingTableInput.prototype, "hasManurePit", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], CreateHousingTableInput.prototype, "manurePitDetails", void 0);
__decorate([
    (0, graphql_1.Field)(() => new_enum_1.YesNo),
    __metadata("design:type", String)
], CreateHousingTableInput.prototype, "hasCleaningFacility", void 0);
__decorate([
    (0, graphql_1.Field)(() => new_enum_1.YesNo),
    __metadata("design:type", String)
], CreateHousingTableInput.prototype, "hasWaterSource", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], CreateHousingTableInput.prototype, "waterSourceDetails", void 0);
__decorate([
    (0, graphql_1.Field)(() => new_enum_1.YesNo),
    __metadata("design:type", String)
], CreateHousingTableInput.prototype, "hasUsedDisinfectants", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], CreateHousingTableInput.prototype, "disinfectantDetails", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], CreateHousingTableInput.prototype, "frequencyOfCleaning", void 0);
CreateHousingTableInput = __decorate([
    (0, graphql_1.InputType)()
], CreateHousingTableInput);
exports.CreateHousingTableInput = CreateHousingTableInput;
