import { YesNo } from 'src/enum/new-enum';
import { FarmersTableType } from 'src/farmers-table/types/farmers-table.type';
import { UserCollectionType } from 'src/user-collection/type/user-collection.type';
export declare class HousingTableType {
    housingId: number;
    FarmersTable: FarmersTableType;
    isAvailable: YesNo;
    typesOfHouse?: string;
    typeOfFarm?: string;
    farmingArea?: string;
    floor?: string;
    hasSufficientFloor?: YesNo;
    floorSpace?: string;
    hasBoundaryWall: YesNo;
    hasDrainageFacility: YesNo;
    hasManurePit: YesNo;
    manurePitDetails?: string;
    hasCleaningFacility: YesNo;
    hasWaterSource: YesNo;
    waterSourceDetails?: string;
    hasUsedDisinfectants: YesNo;
    disinfectantDetails?: string;
    frequencyOfCleaning?: string;
    dateOfEntry: string;
    UserTable: UserCollectionType;
    createdAt?: Date;
}
