"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HousingTableType = void 0;
const graphql_1 = require("@nestjs/graphql");
const new_enum_1 = require("../../enum/new-enum");
const farmers_table_type_1 = require("../../farmers-table/types/farmers-table.type");
const user_collection_type_1 = require("../../user-collection/type/user-collection.type");
let HousingTableType = class HousingTableType {
};
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], HousingTableType.prototype, "housingId", void 0);
__decorate([
    (0, graphql_1.Field)(() => farmers_table_type_1.FarmersTableType),
    __metadata("design:type", farmers_table_type_1.FarmersTableType)
], HousingTableType.prototype, "FarmersTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => new_enum_1.YesNo),
    __metadata("design:type", String)
], HousingTableType.prototype, "isAvailable", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], HousingTableType.prototype, "typesOfHouse", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], HousingTableType.prototype, "typeOfFarm", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], HousingTableType.prototype, "farmingArea", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], HousingTableType.prototype, "floor", void 0);
__decorate([
    (0, graphql_1.Field)(() => new_enum_1.YesNo, { nullable: true }),
    __metadata("design:type", String)
], HousingTableType.prototype, "hasSufficientFloor", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], HousingTableType.prototype, "floorSpace", void 0);
__decorate([
    (0, graphql_1.Field)(() => new_enum_1.YesNo),
    __metadata("design:type", String)
], HousingTableType.prototype, "hasBoundaryWall", void 0);
__decorate([
    (0, graphql_1.Field)(() => new_enum_1.YesNo),
    __metadata("design:type", String)
], HousingTableType.prototype, "hasDrainageFacility", void 0);
__decorate([
    (0, graphql_1.Field)(() => new_enum_1.YesNo),
    __metadata("design:type", String)
], HousingTableType.prototype, "hasManurePit", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], HousingTableType.prototype, "manurePitDetails", void 0);
__decorate([
    (0, graphql_1.Field)(() => new_enum_1.YesNo),
    __metadata("design:type", String)
], HousingTableType.prototype, "hasCleaningFacility", void 0);
__decorate([
    (0, graphql_1.Field)(() => new_enum_1.YesNo),
    __metadata("design:type", String)
], HousingTableType.prototype, "hasWaterSource", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], HousingTableType.prototype, "waterSourceDetails", void 0);
__decorate([
    (0, graphql_1.Field)(() => new_enum_1.YesNo),
    __metadata("design:type", String)
], HousingTableType.prototype, "hasUsedDisinfectants", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], HousingTableType.prototype, "disinfectantDetails", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], HousingTableType.prototype, "frequencyOfCleaning", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], HousingTableType.prototype, "dateOfEntry", void 0);
__decorate([
    (0, graphql_1.Field)(() => user_collection_type_1.UserCollectionType),
    __metadata("design:type", user_collection_type_1.UserCollectionType)
], HousingTableType.prototype, "UserTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => Date, { nullable: true }),
    __metadata("design:type", Date)
], HousingTableType.prototype, "createdAt", void 0);
HousingTableType = __decorate([
    (0, graphql_1.ObjectType)("HousingTableType")
], HousingTableType);
exports.HousingTableType = HousingTableType;
