"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HousingTypeTableModule = void 0;
const common_1 = require("@nestjs/common");
const housing_type_table_service_1 = require("./housing-type-table.service");
const housing_type_table_resolver_1 = require("./housing-type-table.resolver");
const housing_type_table_entity_1 = require("./entities/housing-type-table.entity");
const typeorm_1 = require("@nestjs/typeorm");
let HousingTypeTableModule = class HousingTypeTableModule {
};
HousingTypeTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([housing_type_table_entity_1.HousingTypeTable])],
        providers: [housing_type_table_resolver_1.HousingTypeTableResolver, housing_type_table_service_1.HousingTypeTableService],
        exports: [housing_type_table_service_1.HousingTypeTableService]
    })
], HousingTypeTableModule);
exports.HousingTypeTableModule = HousingTypeTableModule;
