"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IncomeSourceTable = void 0;
const fblp_sub_table_entity_1 = require("../../fblp-sub-table/entities/fblp-sub-table.entity");
const intervention_adoption_table_entity_1 = require("../../intervention-adoption-table/entities/intervention-adoption-table.entity");
const typeorm_1 = require("typeorm");
let IncomeSourceTable = exports.IncomeSourceTable = class IncomeSourceTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], IncomeSourceTable.prototype, "incomeSourceId", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], IncomeSourceTable.prototype, "incomeSourceCode", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], IncomeSourceTable.prototype, "incomeSourceName", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50, default: "NO" }),
    __metadata("design:type", String)
], IncomeSourceTable.prototype, "needInIntervention", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => fblp_sub_table_entity_1.FblpSubTable, et => et.IncomeSourceTable),
    __metadata("design:type", Array)
], IncomeSourceTable.prototype, "FblpSubTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => intervention_adoption_table_entity_1.InterventionAdoptionTable, et => et.IncomeSourceTable),
    __metadata("design:type", Array)
], IncomeSourceTable.prototype, "InterventionAdoptionTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], IncomeSourceTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], IncomeSourceTable.prototype, "updatedAt", void 0);
exports.IncomeSourceTable = IncomeSourceTable = __decorate([
    (0, typeorm_1.Entity)()
], IncomeSourceTable);
