"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IncomeSourceTableModule = void 0;
const common_1 = require("@nestjs/common");
const income_source_table_service_1 = require("./income-source-table.service");
const income_source_table_resolver_1 = require("./income-source-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const income_source_table_entity_1 = require("./entities/income-source-table.entity");
const livelihood_source_table_module_1 = require("../livelihood-source-table/livelihood-source-table.module");
let IncomeSourceTableModule = exports.IncomeSourceTableModule = class IncomeSourceTableModule {
};
exports.IncomeSourceTableModule = IncomeSourceTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([income_source_table_entity_1.IncomeSourceTable]), (0, common_1.forwardRef)(() => livelihood_source_table_module_1.LivelihoodSourceTableModule)],
        providers: [income_source_table_resolver_1.IncomeSourceTableResolver, income_source_table_service_1.IncomeSourceTableService],
        exports: [income_source_table_service_1.IncomeSourceTableService]
    })
], IncomeSourceTableModule);
