import { InterventionAdoptionFeedTable } from './entities/intervention-adoption-feed-table.entity';
import { Repository } from 'typeorm';
import { LsFeedMasterTableService } from 'src/ls-feed-master-table/ls-feed-master-table.service';
import { InterventionAdoptionTable } from 'src/intervention-adoption-table/entities/intervention-adoption-table.entity';
export declare class InterventionAdoptionFeedTableService {
    private readonly interventionAdoptionFeedTableRepository;
    private readonly lsFeedMasterTableService;
    constructor(interventionAdoptionFeedTableRepository: Repository<InterventionAdoptionFeedTable>, lsFeedMasterTableService: LsFeedMasterTableService);
    createBulk(ids: number[], InterventionAdoptionTable: InterventionAdoptionTable): Promise<any>;
    create(id: number, InterventionAdoptionTable: InterventionAdoptionTable): Promise<{
        status: boolean;
        status_text: string;
        data: InterventionAdoptionFeedTable;
    }>;
    checkIfExists(id: number, interventionAdoptionId: number): Promise<boolean>;
    getBySurveyId(interventionAdoptionId: number): Promise<InterventionAdoptionFeedTable[]>;
    removeById(interventionAdoptionId: number): Promise<{
        status: boolean;
        status_text: string;
        data: any;
    }>;
}
