import { InterventionAdoptionIrrigationTable } from './entities/intervention-adoption-irrigation-table.entity';
import { Repository } from 'typeorm';
import { InterventionAdoptionTable } from 'src/intervention-adoption-table/entities/intervention-adoption-table.entity';
import { SourceOfIrrigationTableService } from 'src/source-of-irrigation-table/source-of-irrigation-table.service';
export declare class InterventionAdoptionIrrigationTableService {
    private readonly interventionAdoptionIrrigationTableRepository;
    private readonly sourceOfIrrigationTableService;
    constructor(interventionAdoptionIrrigationTableRepository: Repository<InterventionAdoptionIrrigationTable>, sourceOfIrrigationTableService: SourceOfIrrigationTableService);
    createBulk(ids: number[], InterventionAdoptionTable: InterventionAdoptionTable): Promise<any>;
    create(id: number, InterventionAdoptionTable: InterventionAdoptionTable): Promise<{
        status: boolean;
        status_text: string;
        data: InterventionAdoptionIrrigationTable;
    }>;
    checkIfExists(id: number, interventionAdoptionId: number): Promise<boolean>;
    getBySurveyId(interventionAdoptionId: number): Promise<InterventionAdoptionIrrigationTable[]>;
    removeById(interventionAdoptionId: number): Promise<{
        status: boolean;
        status_text: string;
        data: any;
    }>;
}
