import { InterventionAdoptionPopTable } from './entities/intervention-adoption-pop-table.entity';
import { Repository } from 'typeorm';
import { PopTableService } from 'src/pop-table/pop-table.service';
import { InterventionAdoptionTable } from 'src/intervention-adoption-table/entities/intervention-adoption-table.entity';
export declare class InterventionAdoptionPopTableService {
    private readonly interventionAdoptionPopTableRepository;
    private readonly popTableService;
    constructor(interventionAdoptionPopTableRepository: Repository<InterventionAdoptionPopTable>, popTableService: PopTableService);
    createBulk(ids: number[], InterventionAdoptionTable: InterventionAdoptionTable): Promise<any>;
    create(id: number, InterventionAdoptionTable: InterventionAdoptionTable): Promise<{
        status: boolean;
        status_text: string;
        data: InterventionAdoptionPopTable;
    }>;
    checkIfExists(id: number, interventionAdoptionId: number): Promise<boolean>;
    getBySurveyId(interventionAdoptionId: number): Promise<InterventionAdoptionPopTable[]>;
    removeById(interventionAdoptionId: number): Promise<{
        status: boolean;
        status_text: string;
        data: any;
    }>;
}
