import { IncomeSourceTable } from 'src/income-source-table/entities/income-source-table.entity';
import { InterventionAdoptionFeedTable } from 'src/intervention-adoption-feed-table/entities/intervention-adoption-feed-table.entity';
import { InterventionAdoptionIpdmTable } from 'src/intervention-adoption-ipdm-table/entities/intervention-adoption-ipdm-table.entity';
import { InterventionAdoptionIrrigationTable } from 'src/intervention-adoption-irrigation-table/entities/intervention-adoption-irrigation-table.entity';
import { InterventionAdoptionOrganicTable } from 'src/intervention-adoption-organic-table/entities/intervention-adoption-organic-table.entity';
import { InterventionAdoptionPopTable } from 'src/intervention-adoption-pop-table/entities/intervention-adoption-pop-table.entity';
import { InterventionAdoptionSubTypeTable } from 'src/intervention-adoption-sub-type-table/entities/intervention-adoption-sub-type-table.entity';
import { InterventionAdoptionTypeTable } from 'src/intervention-adoption-type-table/entities/intervention-adoption-type-table.entity';
import { InterventionAdoptionVaccinationTable } from 'src/intervention-adoption-vaccination-table/entities/intervention-adoption-vaccination-table.entity';
import { InterventionTable } from 'src/intervention-table/entities/intervention-table.entity';
import { LivelihoodSourceTable } from 'src/livelihood-source-table/entities/livelihood-source-table.entity';
import { UserTable } from 'src/user-collection/entities/user-collection.entity';
export declare class InterventionAdoptionTable {
    interventionAdoptionId: number;
    InterventionTable: InterventionTable;
    season: string;
    IncomeSourceTable: IncomeSourceTable;
    LivelihoodSourceTable: LivelihoodSourceTable;
    year: number;
    entryDate: string;
    areaOfLand: string;
    areaOfLandUnit: string;
    conversionToBigha: string;
    herdSize: string;
    irrigationReceived: string;
    flockSize: string;
    shedConstructed: string;
    sourceOfLeverage: string;
    sourceOfLeverages: string[];
    sourceOfLeverageData: SourceOfLeverageData[];
    schemeAvailed: string;
    amountLeveraged: string;
    vaccinationDone: string;
    pondSize: string;
    fingerlings: string;
    newPondConstructed: string;
    breedingUnitConstructed: string;
    noOfVerminBed: string;
    UserTable: UserTable;
    InterventionAdoptionTypeTable: InterventionAdoptionTypeTable[];
    InterventionAdoptionIpdmTable: InterventionAdoptionIpdmTable[];
    InterventionAdoptionOrganicTable: InterventionAdoptionOrganicTable[];
    InterventionAdoptionPopTable: InterventionAdoptionPopTable[];
    InterventionAdoptionSubTypeTable: InterventionAdoptionSubTypeTable[];
    InterventionAdoptionIrrigationTable: InterventionAdoptionIrrigationTable[];
    InterventionAdoptionFeedTable: InterventionAdoptionFeedTable[];
    InterventionAdoptionVaccinationTable: InterventionAdoptionVaccinationTable[];
    createdAt: Date;
    updatedAt: Date;
}
export interface SourceOfLeverageData {
    schemeType: string;
    amountLeveraged: string;
}
