import { InterventionAdoptionTableService } from './intervention-adoption-table.service';
import { InterventionAdoptionTable } from './entities/intervention-adoption-table.entity';
import { CreateInterventionAdoptionTableInputMain } from './dto/create-intervention-adoption-table.input';
export declare class InterventionAdoptionTableResolver {
    private readonly interventionAdoptionTableService;
    constructor(interventionAdoptionTableService: InterventionAdoptionTableService);
    createInterventionAdoptionTable(createInterventionAdoptionTableInputMain: CreateInterventionAdoptionTableInputMain, user: any): Promise<{
        status: boolean;
        status_text: string;
    }>;
    findOneAdoptionByInterventionId(interventionId: number): Promise<InterventionAdoptionTable[]>;
    findOneAdoptionByInterventionIdLsId(interventionId: number, lsId: number): Promise<InterventionAdoptionTable[]>;
    updateInterventionAdoptionTable(createInterventionAdoptionTableInputMain: CreateInterventionAdoptionTableInputMain, user: any): Promise<{
        status: boolean;
        status_text: string;
    }>;
}
