"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InterventionAdoptionTableType = exports.SourceOfLeverageDataType = void 0;
const graphql_1 = require("@nestjs/graphql");
const income_source_table_type_1 = require("../../income-source-table/types/income-source-table.type");
const intervention_adoption_feed_table_type_1 = require("../../intervention-adoption-feed-table/types/intervention-adoption-feed-table.type");
const intervention_adoption_ipdm_table_type_1 = require("../../intervention-adoption-ipdm-table/types/intervention-adoption-ipdm-table.type");
const intervention_adoption_irrigation_table_type_1 = require("../../intervention-adoption-irrigation-table/types/intervention-adoption-irrigation-table.type");
const intervention_adoption_organic_table_type_1 = require("../../intervention-adoption-organic-table/types/intervention-adoption-organic-table.type");
const intervention_adoption_pop_table_type_1 = require("../../intervention-adoption-pop-table/types/intervention-adoption-pop-table.type");
const intervention_adoption_sub_table_type_1 = require("../../intervention-adoption-sub-type-table/types/intervention-adoption-sub-table.type");
const intervention_adoption_type_table_type_1 = require("../../intervention-adoption-type-table/types/intervention-adoption-type-table.type");
const intervention_adoption_vaccination_table_type_1 = require("../../intervention-adoption-vaccination-table/types/intervention-adoption-vaccination-table.type");
const livelihood_source_table_type_1 = require("../../livelihood-source-table/types/livelihood-source-table.type");
const user_collection_type_1 = require("../../user-collection/type/user-collection.type");
let SourceOfLeverageDataType = exports.SourceOfLeverageDataType = class SourceOfLeverageDataType {
};
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], SourceOfLeverageDataType.prototype, "schemeType", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], SourceOfLeverageDataType.prototype, "amountLeveraged", void 0);
exports.SourceOfLeverageDataType = SourceOfLeverageDataType = __decorate([
    (0, graphql_1.ObjectType)("SourceOfLeverageDataType")
], SourceOfLeverageDataType);
let InterventionAdoptionTableType = exports.InterventionAdoptionTableType = class InterventionAdoptionTableType {
};
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], InterventionAdoptionTableType.prototype, "season", void 0);
__decorate([
    (0, graphql_1.Field)(() => income_source_table_type_1.IncomeSourceTableType, { nullable: true }),
    __metadata("design:type", income_source_table_type_1.IncomeSourceTableType)
], InterventionAdoptionTableType.prototype, "IncomeSourceTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => livelihood_source_table_type_1.LivelihoodSourceTableType, { nullable: true }),
    __metadata("design:type", livelihood_source_table_type_1.LivelihoodSourceTableType)
], InterventionAdoptionTableType.prototype, "LivelihoodSourceTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => user_collection_type_1.UserCollectionType, { nullable: true }),
    __metadata("design:type", user_collection_type_1.UserCollectionType)
], InterventionAdoptionTableType.prototype, "UserCollection", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], InterventionAdoptionTableType.prototype, "areaOfLand", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], InterventionAdoptionTableType.prototype, "areaOfLandUnit", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], InterventionAdoptionTableType.prototype, "herdSize", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], InterventionAdoptionTableType.prototype, "irrigationReceived", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], InterventionAdoptionTableType.prototype, "flockSize", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], InterventionAdoptionTableType.prototype, "shedConstructed", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], InterventionAdoptionTableType.prototype, "amountLeveraged", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], InterventionAdoptionTableType.prototype, "vaccinationDone", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], InterventionAdoptionTableType.prototype, "pondSize", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], InterventionAdoptionTableType.prototype, "newPondConstructed", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], InterventionAdoptionTableType.prototype, "breedingUnitConstructed", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], InterventionAdoptionTableType.prototype, "sourceOfLeverage", void 0);
__decorate([
    (0, graphql_1.Field)(() => [String], { nullable: true }),
    __metadata("design:type", Array)
], InterventionAdoptionTableType.prototype, "sourceOfLeverages", void 0);
__decorate([
    (0, graphql_1.Field)(() => [SourceOfLeverageDataType], { nullable: true }),
    __metadata("design:type", Array)
], InterventionAdoptionTableType.prototype, "sourceOfLeverageData", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], InterventionAdoptionTableType.prototype, "schemeAvailed", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], InterventionAdoptionTableType.prototype, "noOfVerminBed", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], InterventionAdoptionTableType.prototype, "fingerlings", void 0);
__decorate([
    (0, graphql_1.Field)(() => [intervention_adoption_type_table_type_1.InterventionAdoptionTypeTableType], { nullable: true }),
    __metadata("design:type", Array)
], InterventionAdoptionTableType.prototype, "InterventionAdoptionTypeTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => [intervention_adoption_sub_table_type_1.InterventionAdoptionSubTypeTableType], { nullable: true }),
    __metadata("design:type", Array)
], InterventionAdoptionTableType.prototype, "InterventionAdoptionSubTypeTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => [intervention_adoption_ipdm_table_type_1.InterventionAdoptionIpdmTableType], { nullable: true }),
    __metadata("design:type", Array)
], InterventionAdoptionTableType.prototype, "InterventionAdoptionIpdmTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => [intervention_adoption_organic_table_type_1.InterventionAdoptionOrganicTableType], { nullable: true }),
    __metadata("design:type", Array)
], InterventionAdoptionTableType.prototype, "InterventionAdoptionOrganicTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => [intervention_adoption_pop_table_type_1.InterventionAdoptionPopTableType], { nullable: true }),
    __metadata("design:type", Array)
], InterventionAdoptionTableType.prototype, "InterventionAdoptionPopTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => [intervention_adoption_irrigation_table_type_1.InterventionAdoptionIrrigationTableType], { nullable: true }),
    __metadata("design:type", Array)
], InterventionAdoptionTableType.prototype, "InterventionAdoptionIrrigationTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => [intervention_adoption_feed_table_type_1.InterventionAdoptionFeedTableType], { nullable: true }),
    __metadata("design:type", Array)
], InterventionAdoptionTableType.prototype, "InterventionAdoptionFeedTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => [intervention_adoption_vaccination_table_type_1.InterventionAdoptionVaccinationTableType], { nullable: true }),
    __metadata("design:type", Array)
], InterventionAdoptionTableType.prototype, "InterventionAdoptionVaccinationTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => Date, { nullable: true }),
    __metadata("design:type", Date)
], InterventionAdoptionTableType.prototype, "updatedAt", void 0);
exports.InterventionAdoptionTableType = InterventionAdoptionTableType = __decorate([
    (0, graphql_1.ObjectType)("InterventionAdoptionTableType")
], InterventionAdoptionTableType);
