import { InterventionAdoptionTypeTable } from './entities/intervention-adoption-type-table.entity';
import { Repository } from 'typeorm';
import { InterventionAdoptionTable } from 'src/intervention-adoption-table/entities/intervention-adoption-table.entity';
import { LsTypeTableService } from 'src/ls-type-table/ls-type-table.service';
export declare class InterventionAdoptionTypeTableService {
    private readonly interventionAdoptionTypeTableRepository;
    private readonly lsTypeTableService;
    constructor(interventionAdoptionTypeTableRepository: Repository<InterventionAdoptionTypeTable>, lsTypeTableService: LsTypeTableService);
    createBulk(ids: number[], InterventionAdoptionTable: InterventionAdoptionTable): Promise<any>;
    create(id: number, InterventionAdoptionTable: InterventionAdoptionTable): Promise<{
        status: boolean;
        status_text: string;
        data: InterventionAdoptionTypeTable;
    }>;
    checkIfExists(id: number, interventionAdoptionId: number): Promise<boolean>;
    getBySurveyId(interventionAdoptionId: number): Promise<InterventionAdoptionTypeTable[]>;
    removeById(interventionAdoptionId: number): Promise<{
        status: boolean;
        status_text: string;
        data: any;
    }>;
}
