"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InterventionAdoptionVaccinationTableModule = void 0;
const common_1 = require("@nestjs/common");
const intervention_adoption_vaccination_table_service_1 = require("./intervention-adoption-vaccination-table.service");
const intervention_adoption_vaccination_table_resolver_1 = require("./intervention-adoption-vaccination-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const intervention_adoption_vaccination_table_entity_1 = require("./entities/intervention-adoption-vaccination-table.entity");
const vaccination_master_table_module_1 = require("../vaccination-master-table/vaccination-master-table.module");
let InterventionAdoptionVaccinationTableModule = exports.InterventionAdoptionVaccinationTableModule = class InterventionAdoptionVaccinationTableModule {
};
exports.InterventionAdoptionVaccinationTableModule = InterventionAdoptionVaccinationTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([intervention_adoption_vaccination_table_entity_1.InterventionAdoptionVaccinationTable]), (0, common_1.forwardRef)(() => vaccination_master_table_module_1.VaccinationMasterTableModule)],
        providers: [intervention_adoption_vaccination_table_resolver_1.InterventionAdoptionVaccinationTableResolver, intervention_adoption_vaccination_table_service_1.InterventionAdoptionVaccinationTableService],
        exports: [intervention_adoption_vaccination_table_service_1.InterventionAdoptionVaccinationTableService]
    })
], InterventionAdoptionVaccinationTableModule);
