import { InterventionAdoptionVaccinationTable } from './entities/intervention-adoption-vaccination-table.entity';
import { Repository } from 'typeorm';
import { VaccinationMasterTableService } from 'src/vaccination-master-table/vaccination-master-table.service';
import { InterventionAdoptionTable } from 'src/intervention-adoption-table/entities/intervention-adoption-table.entity';
export declare class InterventionAdoptionVaccinationTableService {
    private readonly interventionAdoptionVaccinationTable;
    private readonly vaccinationMasterTableService;
    constructor(interventionAdoptionVaccinationTable: Repository<InterventionAdoptionVaccinationTable>, vaccinationMasterTableService: VaccinationMasterTableService);
    createBulk(ids: number[], InterventionAdoptionTable: InterventionAdoptionTable): Promise<any>;
    create(id: number, InterventionAdoptionTable: InterventionAdoptionTable): Promise<{
        status: boolean;
        status_text: string;
        data: InterventionAdoptionVaccinationTable;
    }>;
    checkIfExists(id: number, interventionAdoptionId: number): Promise<boolean>;
    getBySurveyId(interventionAdoptionId: number): Promise<InterventionAdoptionVaccinationTable[]>;
    removeById(interventionAdoptionId: number): Promise<{
        status: boolean;
        status_text: string;
        data: any;
    }>;
}
