"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InterventionProductionSubTable = void 0;
const intervention_production_table_entity_1 = require("../../intervention-production-table/entities/intervention-production-table.entity");
const livelihood_source_table_entity_1 = require("../../livelihood-source-table/entities/livelihood-source-table.entity");
const sessionmaster_table_entity_1 = require("../../sessionmaster-table/entities/sessionmaster-table.entity");
const typeorm_1 = require("typeorm");
let InterventionProductionSubTable = exports.InterventionProductionSubTable = class InterventionProductionSubTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], InterventionProductionSubTable.prototype, "interventionProductionSubId", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => intervention_production_table_entity_1.InterventionProductionTable, dt => dt.InterventionProductionSubTable),
    (0, typeorm_1.JoinColumn)({ name: "interventionProductionId" }),
    __metadata("design:type", intervention_production_table_entity_1.InterventionProductionTable)
], InterventionProductionSubTable.prototype, "InterventionProductionTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => livelihood_source_table_entity_1.LivelihoodSourceTable, dt => dt.InterventionProductionSubTable),
    (0, typeorm_1.JoinColumn)({ name: "lsId" }),
    __metadata("design:type", livelihood_source_table_entity_1.LivelihoodSourceTable)
], InterventionProductionSubTable.prototype, "LivelihoodSourceTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => sessionmaster_table_entity_1.SessionmasterTable, dt => dt.InterventionProductionSubTable),
    (0, typeorm_1.JoinColumn)({ name: "sessionId" }),
    __metadata("design:type", sessionmaster_table_entity_1.SessionmasterTable)
], InterventionProductionSubTable.prototype, "SessionmasterTable", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", Number)
], InterventionProductionSubTable.prototype, "year", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, length: 100 }),
    __metadata("design:type", String)
], InterventionProductionSubTable.prototype, "season", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, length: 100 }),
    __metadata("design:type", String)
], InterventionProductionSubTable.prototype, "productionInKg", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, length: 100 }),
    __metadata("design:type", String)
], InterventionProductionSubTable.prototype, "costOfProduction", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, length: 100 }),
    __metadata("design:type", String)
], InterventionProductionSubTable.prototype, "income", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, length: 100 }),
    __metadata("design:type", String)
], InterventionProductionSubTable.prototype, "noOfSold", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, length: 100 }),
    __metadata("design:type", String)
], InterventionProductionSubTable.prototype, "noOfSaleable", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, length: 100 }),
    __metadata("design:type", String)
], InterventionProductionSubTable.prototype, "expenseOnReared", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, length: 100 }),
    __metadata("design:type", String)
], InterventionProductionSubTable.prototype, "mortalityPercentage", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], InterventionProductionSubTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], InterventionProductionSubTable.prototype, "updatedAt", void 0);
exports.InterventionProductionSubTable = InterventionProductionSubTable = __decorate([
    (0, typeorm_1.Entity)()
], InterventionProductionSubTable);
