"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InterventionProductionSubTableModule = void 0;
const common_1 = require("@nestjs/common");
const intervention_production_sub_table_service_1 = require("./intervention-production-sub-table.service");
const intervention_production_sub_table_resolver_1 = require("./intervention-production-sub-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const intervention_production_sub_table_entity_1 = require("./entities/intervention-production-sub-table.entity");
const livelihood_source_table_module_1 = require("../livelihood-source-table/livelihood-source-table.module");
const sessionmaster_table_module_1 = require("../sessionmaster-table/sessionmaster-table.module");
let InterventionProductionSubTableModule = exports.InterventionProductionSubTableModule = class InterventionProductionSubTableModule {
};
exports.InterventionProductionSubTableModule = InterventionProductionSubTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([intervention_production_sub_table_entity_1.InterventionProductionSubTable]), (0, common_1.forwardRef)(() => livelihood_source_table_module_1.LivelihoodSourceTableModule), (0, common_1.forwardRef)(() => sessionmaster_table_module_1.SessionmasterTableModule)],
        providers: [intervention_production_sub_table_resolver_1.InterventionProductionSubTableResolver, intervention_production_sub_table_service_1.InterventionProductionSubTableService],
        exports: [intervention_production_sub_table_service_1.InterventionProductionSubTableService]
    })
], InterventionProductionSubTableModule);
