"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InterventionProductionSubTableType = void 0;
const graphql_1 = require("@nestjs/graphql");
const intervention_production_table_type_1 = require("../../intervention-production-table/types/intervention-production-table.type");
const livelihood_source_table_type_1 = require("../../livelihood-source-table/types/livelihood-source-table.type");
let InterventionProductionSubTableType = exports.InterventionProductionSubTableType = class InterventionProductionSubTableType {
};
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], InterventionProductionSubTableType.prototype, "interventionProductionSubId", void 0);
__decorate([
    (0, graphql_1.Field)(() => intervention_production_table_type_1.InterventionProductionTableType, { nullable: true }),
    __metadata("design:type", intervention_production_table_type_1.InterventionProductionTableType)
], InterventionProductionSubTableType.prototype, "InterventionProductionTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => livelihood_source_table_type_1.LivelihoodSourceTableType, { nullable: true }),
    __metadata("design:type", livelihood_source_table_type_1.LivelihoodSourceTableType)
], InterventionProductionSubTableType.prototype, "LivelihoodSourceTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], InterventionProductionSubTableType.prototype, "year", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], InterventionProductionSubTableType.prototype, "productionInKg", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], InterventionProductionSubTableType.prototype, "costOfProduction", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], InterventionProductionSubTableType.prototype, "income", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], InterventionProductionSubTableType.prototype, "noOfSold", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], InterventionProductionSubTableType.prototype, "noOfSaleable", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], InterventionProductionSubTableType.prototype, "expenseOnReared", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], InterventionProductionSubTableType.prototype, "mortalityPercentage", void 0);
__decorate([
    (0, graphql_1.Field)(() => Date, { nullable: true }),
    __metadata("design:type", Date)
], InterventionProductionSubTableType.prototype, "createdAt", void 0);
exports.InterventionProductionSubTableType = InterventionProductionSubTableType = __decorate([
    (0, graphql_1.ObjectType)("InterventionProductionSubTableType")
], InterventionProductionSubTableType);
