"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InterventionProductionTableType = void 0;
const graphql_1 = require("@nestjs/graphql");
const intervention_production_sub_table_type_1 = require("../../intervention-production-sub-table/types/intervention-production-sub-table.type");
const intervention_table_type_1 = require("../../intervention-table/types/intervention-table-type");
const user_collection_type_1 = require("../../user-collection/type/user-collection.type");
let InterventionProductionTableType = exports.InterventionProductionTableType = class InterventionProductionTableType {
};
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], InterventionProductionTableType.prototype, "interventionProductionId", void 0);
__decorate([
    (0, graphql_1.Field)(() => intervention_table_type_1.InterventionTableType, { nullable: true }),
    __metadata("design:type", intervention_table_type_1.InterventionTableType)
], InterventionProductionTableType.prototype, "InterventionTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], InterventionProductionTableType.prototype, "entryDate", void 0);
__decorate([
    (0, graphql_1.Field)(() => user_collection_type_1.UserCollectionType, { nullable: true }),
    __metadata("design:type", user_collection_type_1.UserCollectionType)
], InterventionProductionTableType.prototype, "UserTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => Date, { nullable: true }),
    __metadata("design:type", Date)
], InterventionProductionTableType.prototype, "createdAt", void 0);
__decorate([
    (0, graphql_1.Field)(() => [intervention_production_sub_table_type_1.InterventionProductionSubTableType], { nullable: true }),
    __metadata("design:type", Array)
], InterventionProductionTableType.prototype, "InterventionProductionSubTable", void 0);
exports.InterventionProductionTableType = InterventionProductionTableType = __decorate([
    (0, graphql_1.ObjectType)("InterventionProductionTableType")
], InterventionProductionTableType);
