export declare class InvoiceDataInput {
    barcode: string;
    productName: string;
    size: string;
    currentStock: number;
    rate: number;
    qty: number;
    taxRate: number;
    subTotal: number;
    taxAmount: number;
    total: number;
}
export declare class CreateInvoiceCollectionInput {
    clientId: string;
    entryDate: string;
    billTotal: number;
    grandTotal: number;
    grandTax: number;
    amountPaid: number;
    paymentMode: string;
    chequeNo?: string;
    paymentTerms?: string;
    deliveryDate: string;
    invoiceData?: InvoiceDataInput[];
}
