"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateInvoiceCollectionInput = exports.InvoiceDataInput = void 0;
const graphql_1 = require("@nestjs/graphql");
let InvoiceDataInput = class InvoiceDataInput {
};
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], InvoiceDataInput.prototype, "barcode", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], InvoiceDataInput.prototype, "productName", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], InvoiceDataInput.prototype, "size", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], InvoiceDataInput.prototype, "currentStock", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], InvoiceDataInput.prototype, "rate", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], InvoiceDataInput.prototype, "qty", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], InvoiceDataInput.prototype, "taxRate", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], InvoiceDataInput.prototype, "subTotal", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], InvoiceDataInput.prototype, "taxAmount", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], InvoiceDataInput.prototype, "total", void 0);
InvoiceDataInput = __decorate([
    (0, graphql_1.InputType)()
], InvoiceDataInput);
exports.InvoiceDataInput = InvoiceDataInput;
let CreateInvoiceCollectionInput = class CreateInvoiceCollectionInput {
};
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], CreateInvoiceCollectionInput.prototype, "clientId", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], CreateInvoiceCollectionInput.prototype, "entryDate", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], CreateInvoiceCollectionInput.prototype, "billTotal", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], CreateInvoiceCollectionInput.prototype, "grandTotal", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], CreateInvoiceCollectionInput.prototype, "grandTax", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], CreateInvoiceCollectionInput.prototype, "amountPaid", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CreateInvoiceCollectionInput.prototype, "paymentMode", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CreateInvoiceCollectionInput.prototype, "chequeNo", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CreateInvoiceCollectionInput.prototype, "paymentTerms", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], CreateInvoiceCollectionInput.prototype, "deliveryDate", void 0);
__decorate([
    (0, graphql_1.Field)(() => [InvoiceDataInput]),
    __metadata("design:type", Array)
], CreateInvoiceCollectionInput.prototype, "invoiceData", void 0);
CreateInvoiceCollectionInput = __decorate([
    (0, graphql_1.InputType)()
], CreateInvoiceCollectionInput);
exports.CreateInvoiceCollectionInput = CreateInvoiceCollectionInput;
