"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InvoiceCollectionType = exports.InvoiceData = void 0;
const graphql_1 = require("@nestjs/graphql");
const client_collection_type_1 = require("../../client-collection/types/client-collection.type");
const current_stock_collection_type_1 = require("../../current-stock-collection/types/current-stock-collection.type");
let InvoiceData = class InvoiceData {
};
__decorate([
    (0, graphql_1.Field)(() => current_stock_collection_type_1.CurrentStockCollectionType, { nullable: true }),
    __metadata("design:type", current_stock_collection_type_1.CurrentStockCollectionType)
], InvoiceData.prototype, "CurrentStockData", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], InvoiceData.prototype, "barcode", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], InvoiceData.prototype, "productName", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], InvoiceData.prototype, "size", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], InvoiceData.prototype, "currentStock", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], InvoiceData.prototype, "rate", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], InvoiceData.prototype, "qty", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], InvoiceData.prototype, "subTotal", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], InvoiceData.prototype, "taxRate", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], InvoiceData.prototype, "taxAmount", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], InvoiceData.prototype, "total", void 0);
InvoiceData = __decorate([
    (0, graphql_1.ObjectType)("InvoiceData")
], InvoiceData);
exports.InvoiceData = InvoiceData;
let InvoiceCollectionType = class InvoiceCollectionType {
};
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], InvoiceCollectionType.prototype, "id", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], InvoiceCollectionType.prototype, "clientId", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], InvoiceCollectionType.prototype, "invoiceNo", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], InvoiceCollectionType.prototype, "entryDate", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], InvoiceCollectionType.prototype, "grandTotal", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], InvoiceCollectionType.prototype, "billTotal", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], InvoiceCollectionType.prototype, "grandTax", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], InvoiceCollectionType.prototype, "amountPaid", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], InvoiceCollectionType.prototype, "paymentMode", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], InvoiceCollectionType.prototype, "chequeNo", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], InvoiceCollectionType.prototype, "paymentTerms", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], InvoiceCollectionType.prototype, "deliveryDate", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], InvoiceCollectionType.prototype, "createdBy", void 0);
__decorate([
    (0, graphql_1.Field)(() => Date, { nullable: true }),
    __metadata("design:type", Date)
], InvoiceCollectionType.prototype, "createdAt", void 0);
__decorate([
    (0, graphql_1.Field)(() => [InvoiceData], { nullable: true }),
    __metadata("design:type", Array)
], InvoiceCollectionType.prototype, "invoiceData", void 0);
__decorate([
    (0, graphql_1.Field)(() => client_collection_type_1.ClientCollectionType),
    __metadata("design:type", client_collection_type_1.ClientCollectionType)
], InvoiceCollectionType.prototype, "Client", void 0);
InvoiceCollectionType = __decorate([
    (0, graphql_1.ObjectType)("InvoiceCollectionType")
], InvoiceCollectionType);
exports.InvoiceCollectionType = InvoiceCollectionType;
