import { LedgerEntryTableService } from './ledger-entry-table.service';
import { CreateLedgerTableInput } from './dto/create-ledger-table.input';
import { LedgerEntryTable } from './entities/ledger-entry-table.entity';
export declare class LedgerEntryTableResolver {
    private readonly ledgerEntryTableService;
    constructor(ledgerEntryTableService: LedgerEntryTableService);
    createLedgerEntryTable(createLedgerTableInput: CreateLedgerTableInput, user: any): Promise<{
        status: boolean;
        status_text: string;
        data: LedgerEntryTable;
    }>;
    findAllLedger(): Promise<LedgerEntryTable[]>;
    findLedgerByHousingId(housingId: number): Promise<LedgerEntryTable[]>;
    findLedgerByLedgerId(ledgerId: number): Promise<LedgerEntryTable>;
}
