import { FblpSubTable } from 'src/fblp-sub-table/entities/fblp-sub-table.entity';
import { InterventionAdoptionTable } from 'src/intervention-adoption-table/entities/intervention-adoption-table.entity';
import { InterventionProductionSubTable } from 'src/intervention-production-sub-table/entities/intervention-production-sub-table.entity';
import { LsFeedMasterTable } from 'src/ls-feed-master-table/entities/ls-feed-master-table.entity';
import { LsTypeTable } from 'src/ls-type-table/entities/ls-type-table.entity';
export declare class LivelihoodSourceTable {
    lsId: number;
    lsName: string;
    lsCode: string;
    incomeActivityCode: string;
    requiredDetails: string;
    hasType: string;
    hasIpdm: string;
    needFeed: string;
    season: string;
    needInIntervention: string;
    group: number;
    LsTypeTable: LsTypeTable[];
    LsFeedMasterTable: LsFeedMasterTable[];
    FblpSubTable: FblpSubTable[];
    InterventionAdoptionTable: InterventionAdoptionTable[];
    InterventionProductionSubTable: InterventionProductionSubTable[];
    createdAt: Date;
    updatedAt: Date;
}
