"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LsFeedMasterTable = void 0;
const intervention_adoption_feed_table_entity_1 = require("../../intervention-adoption-feed-table/entities/intervention-adoption-feed-table.entity");
const livelihood_source_table_entity_1 = require("../../livelihood-source-table/entities/livelihood-source-table.entity");
const typeorm_1 = require("typeorm");
let LsFeedMasterTable = exports.LsFeedMasterTable = class LsFeedMasterTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], LsFeedMasterTable.prototype, "lsFeedMasterId", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], LsFeedMasterTable.prototype, "feedName", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => livelihood_source_table_entity_1.LivelihoodSourceTable, dt => dt.LsFeedMasterTable),
    (0, typeorm_1.JoinColumn)({ name: "lsId" }),
    __metadata("design:type", livelihood_source_table_entity_1.LivelihoodSourceTable)
], LsFeedMasterTable.prototype, "LivelihoodSourceTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => intervention_adoption_feed_table_entity_1.InterventionAdoptionFeedTable, et => et.LsFeedMasterTable),
    __metadata("design:type", Array)
], LsFeedMasterTable.prototype, "InterventionAdoptionFeedTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], LsFeedMasterTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], LsFeedMasterTable.prototype, "updatedAt", void 0);
exports.LsFeedMasterTable = LsFeedMasterTable = __decorate([
    (0, typeorm_1.Entity)()
], LsFeedMasterTable);
