"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LsTypeTableModule = void 0;
const common_1 = require("@nestjs/common");
const ls_type_table_service_1 = require("./ls-type-table.service");
const ls_type_table_resolver_1 = require("./ls-type-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const ls_type_table_entity_1 = require("./entities/ls-type-table.entity");
const livelihood_source_table_module_1 = require("../livelihood-source-table/livelihood-source-table.module");
let LsTypeTableModule = exports.LsTypeTableModule = class LsTypeTableModule {
};
exports.LsTypeTableModule = LsTypeTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([ls_type_table_entity_1.LsTypeTable]), (0, common_1.forwardRef)(() => livelihood_source_table_module_1.LivelihoodSourceTableModule)],
        providers: [ls_type_table_resolver_1.LsTypeTableResolver, ls_type_table_service_1.LsTypeTableService],
        exports: [ls_type_table_service_1.LsTypeTableService]
    })
], LsTypeTableModule);
