"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ManufacturerCollectionModule = void 0;
const common_1 = require("@nestjs/common");
const manufacturer_collection_service_1 = require("./manufacturer-collection.service");
const manufacturer_collection_resolver_1 = require("./manufacturer-collection.resolver");
const mongoose_1 = require("@nestjs/mongoose");
const manufacturer_collection_entity_1 = require("./entities/manufacturer-collection.entity");
let ManufacturerCollectionModule = class ManufacturerCollectionModule {
};
ManufacturerCollectionModule = __decorate([
    (0, common_1.Module)({
        imports: [mongoose_1.MongooseModule.forFeature([{ name: manufacturer_collection_entity_1.ManufacturerCollection.name, schema: manufacturer_collection_entity_1.ManufacturerCollectionSchema }])],
        providers: [manufacturer_collection_resolver_1.ManufacturerCollectionResolver, manufacturer_collection_service_1.ManufacturerCollectionService],
        exports: [manufacturer_collection_service_1.ManufacturerCollectionService]
    })
], ManufacturerCollectionModule);
exports.ManufacturerCollectionModule = ManufacturerCollectionModule;
