"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MkAssesmentTable = void 0;
const mk_table_entity_1 = require("../../mk-table/entities/mk-table.entity");
const user_collection_entity_1 = require("../../user-collection/entities/user-collection.entity");
const typeorm_1 = require("typeorm");
let MkAssesmentTable = exports.MkAssesmentTable = class MkAssesmentTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], MkAssesmentTable.prototype, "mkAssesmentId", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, length: 50 }),
    __metadata("design:type", String)
], MkAssesmentTable.prototype, "entryDate", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, length: 20 }),
    __metadata("design:type", String)
], MkAssesmentTable.prototype, "year", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], MkAssesmentTable.prototype, "savingsFromIncome", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], MkAssesmentTable.prototype, "whoUsesIncome", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], MkAssesmentTable.prototype, "howMuchIncomeUse", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], MkAssesmentTable.prototype, "doYouDecideWhereToSpendMoney", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], MkAssesmentTable.prototype, "incomeSpentCloth", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], MkAssesmentTable.prototype, "incomeSpentCosmetic", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], MkAssesmentTable.prototype, "incomeSpentJewellery", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], MkAssesmentTable.prototype, "incomeSpentTravelling", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], MkAssesmentTable.prototype, "incomeSpentOther", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], MkAssesmentTable.prototype, "doAllExpensesRequireDecision", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], MkAssesmentTable.prototype, "percentageOfDecision", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], MkAssesmentTable.prototype, "stackholderForConvergence", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], MkAssesmentTable.prototype, "confidentToApproachStakeholder", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], MkAssesmentTable.prototype, "gramSabhaAttends", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], MkAssesmentTable.prototype, "govtInstitutionToVisit", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], MkAssesmentTable.prototype, "haveDesignationInVillage", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], MkAssesmentTable.prototype, "areYouASuggestion", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], MkAssesmentTable.prototype, "whoDecideHouseholdWork", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], MkAssesmentTable.prototype, "areYouMajorDecisionMaker", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], MkAssesmentTable.prototype, "ableToInfluenceFamily", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], MkAssesmentTable.prototype, "participationInDecisionMaking", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], MkAssesmentTable.prototype, "increaseInKnowledge", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => mk_table_entity_1.MkTable, dt => dt.MkAssesmentTable),
    (0, typeorm_1.JoinColumn)({ name: "mkId" }),
    __metadata("design:type", mk_table_entity_1.MkTable)
], MkAssesmentTable.prototype, "MkTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => user_collection_entity_1.UserTable, dt => dt.MkAssesmentTable),
    (0, typeorm_1.JoinColumn)({ name: "userId" }),
    __metadata("design:type", user_collection_entity_1.UserTable)
], MkAssesmentTable.prototype, "UserTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], MkAssesmentTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], MkAssesmentTable.prototype, "updatedAt", void 0);
exports.MkAssesmentTable = MkAssesmentTable = __decorate([
    (0, typeorm_1.Entity)()
], MkAssesmentTable);
