"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MkAssesmentType = void 0;
const graphql_1 = require("@nestjs/graphql");
const mk_table_type_1 = require("../../mk-table/types/mk-table.type");
const user_collection_type_1 = require("../../user-collection/type/user-collection.type");
let MkAssesmentType = exports.MkAssesmentType = class MkAssesmentType {
};
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], MkAssesmentType.prototype, "mkAssesmentId", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkAssesmentType.prototype, "entryDate", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkAssesmentType.prototype, "year", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkAssesmentType.prototype, "savingsFromIncome", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkAssesmentType.prototype, "whoUsesIncome", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkAssesmentType.prototype, "howMuchIncomeUse", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkAssesmentType.prototype, "doYouDecideWhereToSpendMoney", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkAssesmentType.prototype, "incomeSpentCloth", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkAssesmentType.prototype, "incomeSpentCosmetic", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkAssesmentType.prototype, "incomeSpentJewellery", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkAssesmentType.prototype, "incomeSpentTravelling", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkAssesmentType.prototype, "incomeSpentOther", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkAssesmentType.prototype, "doAllExpensesRequireDecision", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkAssesmentType.prototype, "percentageOfDecision", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkAssesmentType.prototype, "stackholderForConvergence", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkAssesmentType.prototype, "confidentToApproachStakeholder", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkAssesmentType.prototype, "gramSabhaAttends", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkAssesmentType.prototype, "govtInstitutionToVisit", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkAssesmentType.prototype, "haveDesignationInVillage", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkAssesmentType.prototype, "areYouASuggestion", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkAssesmentType.prototype, "whoDecideHouseholdWork", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkAssesmentType.prototype, "areYouMajorDecisionMaker", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkAssesmentType.prototype, "ableToInfluenceFamily", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkAssesmentType.prototype, "participationInDecisionMaking", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkAssesmentType.prototype, "increaseInKnowledge", void 0);
__decorate([
    (0, graphql_1.Field)(() => mk_table_type_1.MkTableType),
    __metadata("design:type", mk_table_type_1.MkTableType)
], MkAssesmentType.prototype, "MkTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => user_collection_type_1.UserCollectionType),
    __metadata("design:type", user_collection_type_1.UserCollectionType)
], MkAssesmentType.prototype, "UserTable", void 0);
exports.MkAssesmentType = MkAssesmentType = __decorate([
    (0, graphql_1.ObjectType)("MkAssesmentType")
], MkAssesmentType);
