"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MkEntitlementsTableModule = void 0;
const common_1 = require("@nestjs/common");
const mk_entitlements_table_service_1 = require("./mk-entitlements-table.service");
const mk_entitlements_table_resolver_1 = require("./mk-entitlements-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const mk_entitlements_table_entity_1 = require("./entities/mk-entitlements-table.entity");
const mk_table_module_1 = require("../mk-table/mk-table.module");
const scheme_master_sub_table_module_1 = require("../scheme-master-sub-table/scheme-master-sub-table.module");
const user_collection_module_1 = require("../user-collection/user-collection.module");
let MkEntitlementsTableModule = exports.MkEntitlementsTableModule = class MkEntitlementsTableModule {
};
exports.MkEntitlementsTableModule = MkEntitlementsTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([mk_entitlements_table_entity_1.MkEntitlementsTable]), (0, common_1.forwardRef)(() => mk_table_module_1.MkTableModule), (0, common_1.forwardRef)(() => scheme_master_sub_table_module_1.SchemeMasterSubTableModule), (0, common_1.forwardRef)(() => user_collection_module_1.UserCollectionModule)],
        providers: [mk_entitlements_table_resolver_1.MkEntitlementsTableResolver, mk_entitlements_table_service_1.MkEntitlementsTableService],
        exports: [mk_entitlements_table_service_1.MkEntitlementsTableService]
    })
], MkEntitlementsTableModule);
