"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MkEntitlementsTableType = void 0;
const graphql_1 = require("@nestjs/graphql");
const mk_table_type_1 = require("../../mk-table/types/mk-table.type");
const scheme_master_sub_table_type_1 = require("../../scheme-master-sub-table/types/scheme-master-sub-table.type");
const sessionmaster_table_type_1 = require("../../sessionmaster-table/types/sessionmaster-table.type");
const user_collection_type_1 = require("../../user-collection/type/user-collection.type");
let MkEntitlementsTableType = exports.MkEntitlementsTableType = class MkEntitlementsTableType {
};
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], MkEntitlementsTableType.prototype, "mkEntitlementId", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkEntitlementsTableType.prototype, "entryDate", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkEntitlementsTableType.prototype, "status", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkEntitlementsTableType.prototype, "type", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkEntitlementsTableType.prototype, "date", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkEntitlementsTableType.prototype, "amountSanctioned", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkEntitlementsTableType.prototype, "dateOfSanction", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkEntitlementsTableType.prototype, "amountLeveraged", void 0);
__decorate([
    (0, graphql_1.Field)(() => user_collection_type_1.UserCollectionType, { nullable: true }),
    __metadata("design:type", user_collection_type_1.UserCollectionType)
], MkEntitlementsTableType.prototype, "UserCollection", void 0);
__decorate([
    (0, graphql_1.Field)(() => scheme_master_sub_table_type_1.SchemeMasterSubTableType, { nullable: true }),
    __metadata("design:type", scheme_master_sub_table_type_1.SchemeMasterSubTableType)
], MkEntitlementsTableType.prototype, "SchemeMasterSubTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => sessionmaster_table_type_1.SessionMasterTableType, { nullable: true }),
    __metadata("design:type", sessionmaster_table_type_1.SessionMasterTableType)
], MkEntitlementsTableType.prototype, "SessionMasterTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => mk_table_type_1.MkTableType, { nullable: true }),
    __metadata("design:type", mk_table_type_1.MkTableType)
], MkEntitlementsTableType.prototype, "MkTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => Date, { nullable: true }),
    __metadata("design:type", Date)
], MkEntitlementsTableType.prototype, "updatedAt", void 0);
exports.MkEntitlementsTableType = MkEntitlementsTableType = __decorate([
    (0, graphql_1.ObjectType)("MkEntitlementsTableType")
], MkEntitlementsTableType);
