import { MkIncomeActivityTableService } from './mk-income-activity-table.service';
import { MkIncomeActivityTable } from './entities/mk-income-activity-table.entity';
import { RedisPubSub } from 'graphql-redis-subscriptions';
export declare const NEW_INCOMEACTIVITY_ADD = "NEW_INCOMEACTIVITY_ADD";
export declare class MkIncomeActivityTableResolver {
    private readonly mkIncomeActivityTableService;
    private pubSub;
    constructor(mkIncomeActivityTableService: MkIncomeActivityTableService, pubSub: RedisPubSub);
    findAllMkIncomeActivity(user: any): Promise<MkIncomeActivityTable[]>;
    findOneMkIncomeActivity(mkIncomeActivityId: number): Promise<MkIncomeActivityTable>;
    getAllMkIncomeActivity(user: any, mkId: number): Promise<MkIncomeActivityTable[]>;
    removeMkIncomeActivityTable(mkIncomeActivityId: number): Promise<{
        status: boolean;
        status_text: string;
        data: any;
    }>;
}
