"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MkIrrigationTableModule = void 0;
const common_1 = require("@nestjs/common");
const mk_irrigation_table_service_1 = require("./mk-irrigation-table.service");
const mk_irrigation_table_resolver_1 = require("./mk-irrigation-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const mk_irrigation_table_entity_1 = require("./entities/mk-irrigation-table.entity");
const mk_table_module_1 = require("../mk-table/mk-table.module");
let MkIrrigationTableModule = exports.MkIrrigationTableModule = class MkIrrigationTableModule {
};
exports.MkIrrigationTableModule = MkIrrigationTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([mk_irrigation_table_entity_1.MkIrrigationTable]), (0, common_1.forwardRef)(() => mk_table_module_1.MkTableModule)],
        providers: [mk_irrigation_table_resolver_1.MkIrrigationTableResolver, mk_irrigation_table_service_1.MkIrrigationTableService],
        exports: [mk_irrigation_table_service_1.MkIrrigationTableService]
    })
], MkIrrigationTableModule);
