import { MkIrrigationTableService } from './mk-irrigation-table.service';
import { MkIrrigationTable } from './entities/mk-irrigation-table.entity';
import { RedisPubSub } from 'graphql-redis-subscriptions';
export declare const NEW_MKIRRIGATION_ADD = "NEW_MKIRRIGATION_ADD";
export declare class MkIrrigationTableResolver {
    private readonly mkIrrigationTableService;
    private pubSub;
    constructor(mkIrrigationTableService: MkIrrigationTableService, pubSub: RedisPubSub);
    findAllMkIrrigation(user: any): Promise<MkIrrigationTable[]>;
    getAllMkIrrigation(user: any, mkId: number): Promise<MkIrrigationTable[]>;
    findOneMkIrrigation(mkIrrigationId: number): Promise<MkIrrigationTable>;
    removeMkIrrigationTable(mkIrrigationId: number): Promise<{
        status: boolean;
        status_text: string;
        data: any;
    }>;
    mkIrrigationSubscription(): AsyncIterator<unknown, any, undefined>;
}
