import { MkTableService } from "./mk-table.service";
export declare class MkTableController {
    private readonly mkTableService;
    constructor(mkTableService: MkTableService);
    getDashboardCounts(req: any): Promise<{
        data: any;
        total: any;
        page: number;
    }>;
    getTotalMkReport(req: any): Promise<{
        aplBplData: any;
        vulData: any;
        toolsData: any;
        irrigationData: any;
        primarySource: any;
        secondarySource: any;
        incomeActivities: import("../income-source-table/entities/income-source-table.entity").IncomeSourceTable[];
        lsData: import("../livelihood-source-table/entities/livelihood-source-table.entity").LivelihoodSourceTable[];
        bands: any;
        wealthRanking: any;
        schemeList: import("../scheme-master-sub-table/entities/scheme-master-sub-table.entity").SchemeMasterSubTable[];
    }>;
    getMkAvgIncome(req: any): Promise<any>;
    getMkLevelIncome(req: any): Promise<any[]>;
    mkListDownload(body: any, res: any): Promise<void>;
}
