"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MkTableType = void 0;
const graphql_1 = require("@nestjs/graphql");
const shg_table_type_1 = require("../../shg-table/types/shg-table.type");
const village_table_type_1 = require("../../village-table/types/village-table.type");
const vulnerability_category_table_type_1 = require("../../vulnerability-category-table/types/vulnerability-category-table.type");
const user_collection_type_1 = require("../../user-collection/type/user-collection.type");
const producer_groups_table_type_1 = require("../../producer-groups-table/types/producer-groups-table.type");
const mktypeoftools_table_type_1 = require("../../mk-type-of-tools-table/types/mktypeoftools-table.type");
const mkirrigation_table_type_1 = require("../../mk-irrigation-table/types/mkirrigation-table.type");
const mktypeofland_table_type_1 = require("../../mk-type-of-land-table/types/mktypeofland-table.type");
const mkIncomeActivity_table_type_1 = require("../../mk-income-activity-table/types/mkIncomeActivity-table.type");
const intervention_table_type_1 = require("../../intervention-table/types/intervention-table-type");
let MkTableType = exports.MkTableType = class MkTableType {
};
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], MkTableType.prototype, "mkId", void 0);
__decorate([
    (0, graphql_1.Field)(() => village_table_type_1.VillageTableType),
    __metadata("design:type", village_table_type_1.VillageTableType)
], MkTableType.prototype, "VillageTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], MkTableType.prototype, "mkName", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], MkTableType.prototype, "mkAge", void 0);
__decorate([
    (0, graphql_1.Field)(() => vulnerability_category_table_type_1.VulnerabilityCategoryTableType),
    __metadata("design:type", vulnerability_category_table_type_1.VulnerabilityCategoryTableType)
], MkTableType.prototype, "VulnerabilityCategoryTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkTableType.prototype, "guardianType", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkTableType.prototype, "fatherName", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkTableType.prototype, "husbandName", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkTableType.prototype, "contactNumber", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkTableType.prototype, "socialCategory", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkTableType.prototype, "religion", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkTableType.prototype, "education", void 0);
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int, { nullable: true }),
    __metadata("design:type", Number)
], MkTableType.prototype, "familyMemberMale", void 0);
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int, { nullable: true }),
    __metadata("design:type", Number)
], MkTableType.prototype, "familyMemberFemale", void 0);
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int, { nullable: true }),
    __metadata("design:type", Number)
], MkTableType.prototype, "familyMemberChildren", void 0);
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int, { nullable: true }),
    __metadata("design:type", Number)
], MkTableType.prototype, "totalFamilyMember", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkTableType.prototype, "isMemberOfPg", void 0);
__decorate([
    (0, graphql_1.Field)(() => producer_groups_table_type_1.ProducerGroupsTableType, { nullable: true }),
    __metadata("design:type", producer_groups_table_type_1.ProducerGroupsTableType)
], MkTableType.prototype, "ProducerGroupTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], MkTableType.prototype, "farmerBand", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkTableType.prototype, "identityCardType", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkTableType.prototype, "identityCardId", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkTableType.prototype, "hasJobCard", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkTableType.prototype, "jobCardId", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkTableType.prototype, "isBpl", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkTableType.prototype, "hasHealthInsurance", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkTableType.prototype, "primarySourceOfIncome", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkTableType.prototype, "secondarySourceOfIncome", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], MkTableType.prototype, "totalLandSize", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkTableType.prototype, "hasOtherIncome", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkTableType.prototype, "otherIncomeSourceName", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkTableType.prototype, "totalIncome", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkTableType.prototype, "entryDate", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkTableType.prototype, "entryTime", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkTableType.prototype, "editableTill", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkTableType.prototype, "wealthRanking", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], MkTableType.prototype, "typeOfIntervention", void 0);
__decorate([
    (0, graphql_1.Field)(() => shg_table_type_1.ShgTableType, { nullable: true }),
    __metadata("design:type", shg_table_type_1.ShgTableType)
], MkTableType.prototype, "ShgTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => user_collection_type_1.UserCollectionType),
    __metadata("design:type", user_collection_type_1.UserCollectionType)
], MkTableType.prototype, "UserTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => [mktypeoftools_table_type_1.MkTypeOfToolsTableType], { nullable: true }),
    __metadata("design:type", Array)
], MkTableType.prototype, "MkTypeOfToolsTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => [mkirrigation_table_type_1.MkIrrigationTableType], { nullable: true }),
    __metadata("design:type", Array)
], MkTableType.prototype, "MkIrrigationTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => [mktypeofland_table_type_1.MkTypeOfLandTableType], { nullable: true }),
    __metadata("design:type", Array)
], MkTableType.prototype, "MkTypeOfLandTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => [mkIncomeActivity_table_type_1.MkIncomeActivityTableType], { nullable: true }),
    __metadata("design:type", Array)
], MkTableType.prototype, "MkIncomeActivityTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => [intervention_table_type_1.InterventionTableType], { nullable: true }),
    __metadata("design:type", Array)
], MkTableType.prototype, "InterventionTable", void 0);
exports.MkTableType = MkTableType = __decorate([
    (0, graphql_1.ObjectType)("MkTableType")
], MkTableType);
