import { MkTypeOfToolsTableService } from './mk-type-of-tools-table.service';
import { MkTypeOfToolsTable } from './entities/mk-type-of-tools-table.entity';
import { RedisPubSub } from 'graphql-redis-subscriptions';
export declare const NEW_TYPEOFTOOLS_ADD = "NEW_TYPEOFTOOLS_ADD";
export declare class MkTypeOfToolsTableResolver {
    private readonly mkTypeOfToolsTableService;
    private pubSub;
    constructor(mkTypeOfToolsTableService: MkTypeOfToolsTableService, pubSub: RedisPubSub);
    findAllMkTypeOfTools(user: any): Promise<MkTypeOfToolsTable[]>;
    getAllMkTypeOfTools(user: any, mkId: number): Promise<MkTypeOfToolsTable[]>;
    findOneMkTypeOfTools(mkTypeOfToolsId: number): Promise<MkTypeOfToolsTable>;
    removeMkTypeOfToolsTable(mkTypeOfToolsId: number): Promise<{
        status: boolean;
        status_text: string;
        data: any;
    }>;
    mkTypeOfToolsSubscription(): AsyncIterator<unknown, any, undefined>;
}
