"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NeutrientRequirementTableModule = void 0;
const common_1 = require("@nestjs/common");
const neutrient_requirement_table_service_1 = require("./neutrient-requirement-table.service");
const neutrient_requirement_table_resolver_1 = require("./neutrient-requirement-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const neutrient_requirement_table_entity_1 = require("./entities/neutrient-requirement-table.entity");
const ingredient_table_module_1 = require("../ingredient-table/ingredient-table.module");
const ration_table_module_1 = require("../ration-table/ration-table.module");
let NeutrientRequirementTableModule = class NeutrientRequirementTableModule {
};
NeutrientRequirementTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([neutrient_requirement_table_entity_1.NeutrientRequirementTable]), (0, common_1.forwardRef)(() => ingredient_table_module_1.IngredientTableModule), (0, common_1.forwardRef)(() => ration_table_module_1.RationTableModule)],
        providers: [neutrient_requirement_table_resolver_1.NeutrientRequirementTableResolver, neutrient_requirement_table_service_1.NeutrientRequirementTableService],
        exports: [neutrient_requirement_table_service_1.NeutrientRequirementTableService]
    })
], NeutrientRequirementTableModule);
exports.NeutrientRequirementTableModule = NeutrientRequirementTableModule;
