"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotificationTableModule = void 0;
const common_1 = require("@nestjs/common");
const notification_table_service_1 = require("./notification-table.service");
const notification_table_resolver_1 = require("./notification-table.resolver");
const notification_table_entity_1 = require("./entities/notification-table.entity");
const typeorm_1 = require("@nestjs/typeorm");
let NotificationTableModule = exports.NotificationTableModule = class NotificationTableModule {
};
exports.NotificationTableModule = NotificationTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([notification_table_entity_1.NotificationTable])],
        providers: [notification_table_resolver_1.NotificationTableResolver, notification_table_service_1.NotificationTableService],
        exports: [notification_table_service_1.NotificationTableService]
    })
], NotificationTableModule);
