"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrganisationTableModule = void 0;
const common_1 = require("@nestjs/common");
const organisation_table_service_1 = require("./organisation-table.service");
const organisation_table_resolver_1 = require("./organisation-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const organisation_table_entity_1 = require("./entities/organisation-table.entity");
let OrganisationTableModule = exports.OrganisationTableModule = class OrganisationTableModule {
};
exports.OrganisationTableModule = OrganisationTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([organisation_table_entity_1.OrganisationTable])],
        providers: [organisation_table_resolver_1.OrganisationTableResolver, organisation_table_service_1.OrganisationTableService],
        exports: [organisation_table_service_1.OrganisationTableService]
    })
], OrganisationTableModule);
