"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PackCollectionModule = void 0;
const common_1 = require("@nestjs/common");
const pack_collection_service_1 = require("./pack-collection.service");
const pack_collection_resolver_1 = require("./pack-collection.resolver");
const mongoose_1 = require("@nestjs/mongoose");
const pack_collection_entity_1 = require("./entities/pack-collection.entity");
const product_collection_module_1 = require("../product-collection/product-collection.module");
const current_stock_collection_module_1 = require("../current-stock-collection/current-stock-collection.module");
let PackCollectionModule = class PackCollectionModule {
};
PackCollectionModule = __decorate([
    (0, common_1.Module)({
        imports: [mongoose_1.MongooseModule.forFeature([{ name: pack_collection_entity_1.PackCollection.name, schema: pack_collection_entity_1.PackCollectionSchema }]), product_collection_module_1.ProductCollectionModule, (0, common_1.forwardRef)(() => current_stock_collection_module_1.CurrentStockCollectionModule)],
        providers: [pack_collection_resolver_1.PackCollectionResolver, pack_collection_service_1.PackCollectionService],
        exports: [pack_collection_service_1.PackCollectionService]
    })
], PackCollectionModule);
exports.PackCollectionModule = PackCollectionModule;
