"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProductCollectionType = exports.ProductLogo = void 0;
const graphql_1 = require("@nestjs/graphql");
const brand_collection_type_1 = require("../../brand-collection/types/brand-collection.type");
const product_category_collection_type_1 = require("../../product-category-collection/types/product-category-collection.type");
const product_sub_category_collection_type_1 = require("../../product-sub-category-collection/types/product-sub-category-collection.type");
const unit_collection_type_1 = require("../../unit-collection/types/unit-collection.type");
let ProductLogo = class ProductLogo {
};
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], ProductLogo.prototype, "fileName", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], ProductLogo.prototype, "fileType", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], ProductLogo.prototype, "url", void 0);
ProductLogo = __decorate([
    (0, graphql_1.ObjectType)("ProductLogo")
], ProductLogo);
exports.ProductLogo = ProductLogo;
let ProductCollectionType = class ProductCollectionType {
};
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], ProductCollectionType.prototype, "id", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: false }),
    __metadata("design:type", String)
], ProductCollectionType.prototype, "productName", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: false }),
    __metadata("design:type", String)
], ProductCollectionType.prototype, "productCode", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], ProductCollectionType.prototype, "productCategoryId", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], ProductCollectionType.prototype, "productSubCategoryId", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], ProductCollectionType.prototype, "brandId", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], ProductCollectionType.prototype, "taxRate", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], ProductCollectionType.prototype, "pricingMethod", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], ProductCollectionType.prototype, "unitId", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], ProductCollectionType.prototype, "hsn", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], ProductCollectionType.prototype, "countryOfOrigin", void 0);
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int, { nullable: true }),
    __metadata("design:type", Boolean)
], ProductCollectionType.prototype, "isFeatured", void 0);
__decorate([
    (0, graphql_1.Field)(() => ProductLogo, { nullable: true }),
    __metadata("design:type", ProductLogo)
], ProductCollectionType.prototype, "productLogo", void 0);
__decorate([
    (0, graphql_1.Field)(() => product_category_collection_type_1.ProductCategoryCollectionType),
    __metadata("design:type", product_category_collection_type_1.ProductCategoryCollectionType)
], ProductCollectionType.prototype, "ProductCategory", void 0);
__decorate([
    (0, graphql_1.Field)(() => product_sub_category_collection_type_1.ProductSubCategoryCollectionType),
    __metadata("design:type", product_sub_category_collection_type_1.ProductSubCategoryCollectionType)
], ProductCollectionType.prototype, "ProductSubCategory", void 0);
__decorate([
    (0, graphql_1.Field)(() => brand_collection_type_1.BrandCollectionType),
    __metadata("design:type", brand_collection_type_1.BrandCollectionType)
], ProductCollectionType.prototype, "Brand", void 0);
__decorate([
    (0, graphql_1.Field)(() => unit_collection_type_1.UnitCollectionType),
    __metadata("design:type", unit_collection_type_1.UnitCollectionType)
], ProductCollectionType.prototype, "Unit", void 0);
ProductCollectionType = __decorate([
    (0, graphql_1.ObjectType)("ProductCollectionType")
], ProductCollectionType);
exports.ProductCollectionType = ProductCollectionType;
