"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PigInsuranceTableModule = void 0;
const common_1 = require("@nestjs/common");
const pig_insurance_table_service_1 = require("./pig-insurance-table.service");
const pig_insurance_table_resolver_1 = require("./pig-insurance-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const user_collection_module_1 = require("../user-collection/user-collection.module");
const farmers_table_module_1 = require("../farmers-table/farmers-table.module");
const pig_insurance_table_entity_1 = require("./entities/pig-insurance-table.entity");
const animal_entry_table_module_1 = require("../animal-table/animal-entry-table.module");
const housing_table_module_1 = require("../housing-table/housing-table.module");
const sub_division_table_module_1 = require("../sub-division-table/sub-division-table.module");
const current_stock_table_module_1 = require("../current-stock/current-stock-table.module");
const data_entry_table_module_1 = require("../data-entry-table/data-entry-table.module");
let PigInsuranceTableModule = class PigInsuranceTableModule {
};
PigInsuranceTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([pig_insurance_table_entity_1.PigInsuranceTable]), user_collection_module_1.UserCollectionModule, farmers_table_module_1.FarmersTableModule, (0, common_1.forwardRef)(() => housing_table_module_1.HousingTableModule), (0, common_1.forwardRef)(() => animal_entry_table_module_1.AnimalEntryTableModule), (0, common_1.forwardRef)(() => housing_table_module_1.HousingTableModule), sub_division_table_module_1.SubDivisionTableModule, current_stock_table_module_1.CurrentStockTableModule, data_entry_table_module_1.DataEntryTableModule],
        providers: [pig_insurance_table_resolver_1.PigInsuranceTableResolver, pig_insurance_table_service_1.PigInsuranceTableService],
        exports: [pig_insurance_table_service_1.PigInsuranceTableService]
    })
], PigInsuranceTableModule);
exports.PigInsuranceTableModule = PigInsuranceTableModule;
