"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProducerGroupsTable = void 0;
const block_table_entity_1 = require("../../block-table/entities/block-table.entity");
const district_table_entity_1 = require("../../district-table/entities/district-table.entity");
const mk_table_entity_1 = require("../../mk-table/entities/mk-table.entity");
const state_table_entity_1 = require("../../state-table/entities/state-table.entity");
const typeorm_1 = require("typeorm");
let ProducerGroupsTable = exports.ProducerGroupsTable = class ProducerGroupsTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], ProducerGroupsTable.prototype, "pgId", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], ProducerGroupsTable.prototype, "pgName", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 100, nullable: true }),
    __metadata("design:type", String)
], ProducerGroupsTable.prototype, "dateOfFormation", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], ProducerGroupsTable.prototype, "nrlmRegistration", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], ProducerGroupsTable.prototype, "bankAccountNo", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], ProducerGroupsTable.prototype, "bankName", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], ProducerGroupsTable.prototype, "bankIfsc", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], ProducerGroupsTable.prototype, "bankBranch", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => state_table_entity_1.StateTable, dt => dt.ProducerGroupsTable),
    (0, typeorm_1.JoinColumn)({ name: "stateId" }),
    __metadata("design:type", state_table_entity_1.StateTable)
], ProducerGroupsTable.prototype, "StateTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => district_table_entity_1.DistrictTable, dt => dt.ProducerGroupsTable),
    (0, typeorm_1.JoinColumn)({ name: "districtId" }),
    __metadata("design:type", district_table_entity_1.DistrictTable)
], ProducerGroupsTable.prototype, "DistrictTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => block_table_entity_1.BlockTable, dt => dt.ProducerGroupsTable),
    (0, typeorm_1.JoinColumn)({ name: "blockId" }),
    __metadata("design:type", block_table_entity_1.BlockTable)
], ProducerGroupsTable.prototype, "BlockTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => mk_table_entity_1.MkTable, pt => pt.ProducerGroupTable),
    __metadata("design:type", Array)
], ProducerGroupsTable.prototype, "MkTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], ProducerGroupsTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], ProducerGroupsTable.prototype, "updatedAt", void 0);
exports.ProducerGroupsTable = ProducerGroupsTable = __decorate([
    (0, typeorm_1.Entity)()
], ProducerGroupsTable);
