"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProducerGroupsTableType = void 0;
const graphql_1 = require("@nestjs/graphql");
const block_table_type_1 = require("../../block-table/types/block-table.type");
const district_table_type_1 = require("../../district-table/types/district-table.type");
const state_table_type_1 = require("../../state-table/types/state-table.type");
let ProducerGroupsTableType = exports.ProducerGroupsTableType = class ProducerGroupsTableType {
};
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], ProducerGroupsTableType.prototype, "pgId", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], ProducerGroupsTableType.prototype, "pgName", void 0);
__decorate([
    (0, graphql_1.Field)(() => state_table_type_1.StateTableType, { nullable: true }),
    __metadata("design:type", state_table_type_1.StateTableType)
], ProducerGroupsTableType.prototype, "StateTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => district_table_type_1.DistrictTableType, { nullable: true }),
    __metadata("design:type", district_table_type_1.DistrictTableType)
], ProducerGroupsTableType.prototype, "DistrictTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => block_table_type_1.BlockTableType),
    __metadata("design:type", block_table_type_1.BlockTableType)
], ProducerGroupsTableType.prototype, "BlockTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], ProducerGroupsTableType.prototype, "dateOfFormation", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], ProducerGroupsTableType.prototype, "nrlmRegistration", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], ProducerGroupsTableType.prototype, "bankAccountNo", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], ProducerGroupsTableType.prototype, "bankName", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], ProducerGroupsTableType.prototype, "bankBranch", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], ProducerGroupsTableType.prototype, "bankIfsc", void 0);
exports.ProducerGroupsTableType = ProducerGroupsTableType = __decorate([
    (0, graphql_1.ObjectType)("ProducerGroupsTableType")
], ProducerGroupsTableType);
