"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProductSizeCollectionModule = void 0;
const common_1 = require("@nestjs/common");
const product_size_collection_service_1 = require("./product-size-collection.service");
const product_size_collection_resolver_1 = require("./product-size-collection.resolver");
const product_size_collection_entity_1 = require("./entities/product-size-collection.entity");
const mongoose_1 = require("@nestjs/mongoose");
let ProductSizeCollectionModule = class ProductSizeCollectionModule {
};
ProductSizeCollectionModule = __decorate([
    (0, common_1.Module)({
        imports: [mongoose_1.MongooseModule.forFeature([{ name: product_size_collection_entity_1.ProductSizeCollection.name, schema: product_size_collection_entity_1.ProductSizeSchema }])],
        providers: [product_size_collection_resolver_1.ProductSizeCollectionResolver, product_size_collection_service_1.ProductSizeCollectionService],
        exports: [product_size_collection_service_1.ProductSizeCollectionService]
    })
], ProductSizeCollectionModule);
exports.ProductSizeCollectionModule = ProductSizeCollectionModule;
