import { CreateProductSizeCollectionInput } from './input/create-product-size-collection.input';
import { UpdateProductSizeCollectionInput } from './input/update-product-size-collection.input';
import { ProductSizeCollection, ProductSizeDocument } from './entities/product-size-collection.entity';
import { Model } from 'mongoose';
export declare class ProductSizeCollectionService {
    private productSizeRepository;
    constructor(productSizeRepository: Model<ProductSizeDocument>);
    create(createProductSizeCollectionInput: CreateProductSizeCollectionInput): Promise<{
        status: boolean;
        status_text: string;
        data: ProductSizeCollection & import("mongoose").Document<any, any, any> & {
            _id: any;
        };
    }>;
    checkIfExists(productSize: string): Promise<boolean>;
    findAll(): Promise<(ProductSizeCollection & import("mongoose").Document<any, any, any> & {
        _id: any;
    })[]>;
    findOneById(id: string): Promise<ProductSizeCollection & import("mongoose").Document<any, any, any> & {
        _id: any;
    }>;
    remove(id: string): Promise<{
        status: boolean;
        status_text: string;
        data: any[];
    }>;
    update(id: string, updateProductSizeCollectionInput: UpdateProductSizeCollectionInput): Promise<any>;
}
