"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RationSubTable = void 0;
const ingredient_table_entity_1 = require("../../ingredient-table/entities/ingredient-table.entity");
const ration_table_entity_1 = require("../../ration-table/entities/ration-table.entity");
const typeorm_1 = require("typeorm");
let RationSubTable = class RationSubTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], RationSubTable.prototype, "rationSubId", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], RationSubTable.prototype, "value", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => ingredient_table_entity_1.IngredientTable, dt => dt.RationSubTable, { nullable: true }),
    (0, typeorm_1.JoinColumn)({ name: "ingredientId" }),
    __metadata("design:type", ingredient_table_entity_1.IngredientTable)
], RationSubTable.prototype, "IngredientTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => ration_table_entity_1.RationTable, dt => dt.RationSubTable, { nullable: true }),
    (0, typeorm_1.JoinColumn)({ name: "rationId" }),
    __metadata("design:type", ration_table_entity_1.RationTable)
], RationSubTable.prototype, "RationTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], RationSubTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], RationSubTable.prototype, "updatedAt", void 0);
RationSubTable = __decorate([
    (0, typeorm_1.Entity)()
], RationSubTable);
exports.RationSubTable = RationSubTable;
