"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RationTable = void 0;
const brand_table_entity_1 = require("../../brand-table/entities/brand-table.entity");
const consumption_sub_table_entity_1 = require("../../consumption-sub-table/entities/consumption-sub-table.entity");
const consumption_sub_total_table_entity_1 = require("../../consumption-sub-total-table/entities/consumption-sub-total-table.entity");
const farmers_table_entity_1 = require("../../farmers-table/entities/farmers-table.entity");
const ration_sub_table_entity_1 = require("../../ration-sub-table/entity/ration-sub-table.entity");
const typeorm_1 = require("typeorm");
let RationTable = class RationTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], RationTable.prototype, "rationId", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], RationTable.prototype, "rationName", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, default: null }),
    __metadata("design:type", String)
], RationTable.prototype, "commonName", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => brand_table_entity_1.BrandTable, dt => dt.RationTable, { nullable: true }),
    (0, typeorm_1.JoinColumn)({ name: "brandId" }),
    __metadata("design:type", brand_table_entity_1.BrandTable)
], RationTable.prototype, "BrandTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => farmers_table_entity_1.FarmersTable, et => et.RationTable),
    __metadata("design:type", Array)
], RationTable.prototype, "FarmersTable", void 0);
__decorate([
    (0, typeorm_1.OneToOne)(type => consumption_sub_table_entity_1.ConsumptionSubTable, et => et.RationTable, { nullable: true }),
    __metadata("design:type", Array)
], RationTable.prototype, "ConsumptionSubTable", void 0);
__decorate([
    (0, typeorm_1.OneToOne)(type => consumption_sub_total_table_entity_1.ConsumptionSubTotalTable, et => et.RationTable, { nullable: true }),
    __metadata("design:type", Array)
], RationTable.prototype, "ConsumptionSubTotalTable", void 0);
__decorate([
    (0, typeorm_1.OneToOne)(type => ration_sub_table_entity_1.RationSubTable, et => et.RationTable, { nullable: true }),
    __metadata("design:type", Array)
], RationTable.prototype, "RationSubTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], RationTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], RationTable.prototype, "updatedAt", void 0);
RationTable = __decorate([
    (0, typeorm_1.Entity)()
], RationTable);
exports.RationTable = RationTable;
