"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RationTableModule = void 0;
const common_1 = require("@nestjs/common");
const typeorm_1 = require("@nestjs/typeorm");
const brand_table_module_1 = require("../brand-table/brand-table.module");
const consumption_sub_table_module_1 = require("../consumption-sub-table/consumption-sub-table.module");
const ration_sub_table_module_1 = require("../ration-sub-table/ration-sub-table.module");
const ration_table_entity_1 = require("./entities/ration-table.entity");
const ration_table_resolver_1 = require("./ration-table.resolver");
const ration_table_service_1 = require("./ration-table.service");
let RationTableModule = class RationTableModule {
};
RationTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([ration_table_entity_1.RationTable]), (0, common_1.forwardRef)(() => brand_table_module_1.BrandTableModule), (0, common_1.forwardRef)(() => consumption_sub_table_module_1.ConsumptionSubTableModule), (0, common_1.forwardRef)(() => ration_sub_table_module_1.RationSubTableModule)],
        providers: [ration_table_resolver_1.RationTableResolver, ration_table_service_1.RationTableService],
        exports: [ration_table_service_1.RationTableService]
    })
], RationTableModule);
exports.RationTableModule = RationTableModule;
