import { SaleEntrySubTable } from './entities/sale-entry-sub-table.entity';
import { CreateSaleEntrySubTableInput } from './dto/create-sale-entry-sub-table.input';
import { SaleEntrySubTableService } from './sale-entry-sub-table.service';
export declare class SaleEntrySubTableResolver {
    private readonly saleEntrySubTableService;
    constructor(saleEntrySubTableService: SaleEntrySubTableService);
    createSaleEntrySubTable(createSaleEntrySubTableInput: CreateSaleEntrySubTableInput, user: any): Promise<{
        status: boolean;
        status_text: string;
        data: SaleEntrySubTable;
    }>;
    findAllSaleEntrySub(): Promise<SaleEntrySubTable[]>;
    findSaleEntrySubByAnimalId(animalId: number): Promise<SaleEntrySubTable[]>;
    findSaleEntrySubById(saleEntryId: number): Promise<SaleEntrySubTable>;
    findSaleMarketing(startDate: string, endDate: string, farmerId?: number): Promise<{
        status: boolean;
        data: string[];
    }>;
    getSaleDetailsOfOneAnimal(animalId: number): Promise<SaleEntrySubTable[]>;
    getSaleReportDistrictWise(districtId: number, startingDate: string, endingDate: string): Promise<any>;
    getSaleReportSumarryDistrictWise(): Promise<any>;
    getSalesVolumeDistrictMonthWise(districtId: number, year: string): Promise<any>;
}
