"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SaleEntrySubTableType = void 0;
const graphql_1 = require("@nestjs/graphql");
const animal_entry_table_type_1 = require("../../animal-table/types/animal-entry-table.type");
const sale_entry_table_type_1 = require("../../sale-entry/types/sale-entry-table.type");
let SaleEntrySubTableType = class SaleEntrySubTableType {
};
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], SaleEntrySubTableType.prototype, "saleEntrySubId", void 0);
__decorate([
    (0, graphql_1.Field)(() => animal_entry_table_type_1.AnimalEntryTableType),
    __metadata("design:type", animal_entry_table_type_1.AnimalEntryTableType)
], SaleEntrySubTableType.prototype, "AnimalTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => sale_entry_table_type_1.SaleEntryTableType),
    __metadata("design:type", sale_entry_table_type_1.SaleEntryTableType)
], SaleEntrySubTableType.prototype, "SaleEntryTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], SaleEntrySubTableType.prototype, "weight", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], SaleEntrySubTableType.prototype, "ratePerKg", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], SaleEntrySubTableType.prototype, "amount", void 0);
__decorate([
    (0, graphql_1.Field)(() => Date, { nullable: true }),
    __metadata("design:type", Date)
], SaleEntrySubTableType.prototype, "createdAt", void 0);
SaleEntrySubTableType = __decorate([
    (0, graphql_1.ObjectType)("SaleEntrySubTableType")
], SaleEntrySubTableType);
exports.SaleEntrySubTableType = SaleEntrySubTableType;
