import { SaleEntryTable } from './entities/sale-entry-table.entity';
import { SaleEntryTableService } from './sale-entry-table.service';
import { CreateSaleEntryTableInput } from './dto/create-sale-entry-table.input';
export declare class SaleEntryTableResolver {
    private readonly saleEntryTableService;
    constructor(saleEntryTableService: SaleEntryTableService);
    createSaleEntryTable(createSaleEntryTableInput: CreateSaleEntryTableInput, user: any): Promise<{
        status: boolean;
        status_text: string;
        data: SaleEntryTable;
    }>;
    findAllSaleEntry(): Promise<SaleEntryTable[]>;
    findSaleEntryById(saleEntryId: number): Promise<SaleEntryTable>;
    findSaleEntryByFarmerId(farmerId: number): Promise<SaleEntryTable[]>;
    findSaleEntryByHousingId(housingId: number): Promise<import("../sale-entry-sub-table/entities/sale-entry-sub-table.entity").SaleEntrySubTable[]>;
}
