"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SaleReadyTableModule = void 0;
const common_1 = require("@nestjs/common");
const sale_ready_table_service_1 = require("./sale-ready-table.service");
const sale_ready_table_resolver_1 = require("./sale-ready-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const sale_ready_table_entity_1 = require("./entities/sale-ready-table.entity");
const user_collection_module_1 = require("../user-collection/user-collection.module");
const farmers_table_module_1 = require("../farmers-table/farmers-table.module");
const housing_table_module_1 = require("../housing-table/housing-table.module");
const animal_entry_table_module_1 = require("../animal-table/animal-entry-table.module");
let SaleReadyTableModule = class SaleReadyTableModule {
};
SaleReadyTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([sale_ready_table_entity_1.SaleReadyTable]), (0, common_1.forwardRef)(() => user_collection_module_1.UserCollectionModule), (0, common_1.forwardRef)(() => farmers_table_module_1.FarmersTableModule), (0, common_1.forwardRef)(() => housing_table_module_1.HousingTableModule), (0, common_1.forwardRef)(() => animal_entry_table_module_1.AnimalEntryTableModule)],
        providers: [sale_ready_table_resolver_1.SaleReadyTableResolver, sale_ready_table_service_1.SaleReadyTableService],
        exports: [sale_ready_table_service_1.SaleReadyTableService]
    })
], SaleReadyTableModule);
exports.SaleReadyTableModule = SaleReadyTableModule;
