import { SaleReadyTableService } from './sale-ready-table.service';
import { SaleReadyTable } from './entities/sale-ready-table.entity';
import { CreateSaleReadyTableInput } from './dto/create-sale-ready-table.input';
export declare class SaleReadyTableResolver {
    private readonly saleReadyTableService;
    constructor(saleReadyTableService: SaleReadyTableService);
    createSaleReadyTable(createSaleReadyTableInput: CreateSaleReadyTableInput, user: any): Promise<{
        status: boolean;
        status_text: string;
        data: SaleReadyTable;
    }>;
    findAllSaleReady(): Promise<SaleReadyTable[]>;
    findOneSaleReady(saleReadyId: number): Promise<SaleReadyTable>;
    findSaleReadyByFarmerId(farmerId: number): Promise<SaleReadyTable[]>;
    findSaleReadyByHousingId(housingId: number): Promise<SaleReadyTable[]>;
    removeSaleReadyTable(saleReadyId: number): Promise<{
        status: boolean;
        status_text: string;
        data: any;
    }>;
}
