"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SocialCategoryTableModule = void 0;
const common_1 = require("@nestjs/common");
const social_category_table_service_1 = require("./social-category-table.service");
const social_category_table_resolver_1 = require("./social-category-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const social_category_table_entity_1 = require("./entities/social-category-table.entity");
let SocialCategoryTableModule = exports.SocialCategoryTableModule = class SocialCategoryTableModule {
};
exports.SocialCategoryTableModule = SocialCategoryTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([social_category_table_entity_1.SocialCategoryTable])],
        providers: [social_category_table_resolver_1.SocialCategoryTableResolver, social_category_table_service_1.SocialCategoryTableService],
        exports: [social_category_table_service_1.SocialCategoryTableService]
    })
], SocialCategoryTableModule);
