"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SpecialityCollectionModule = void 0;
const common_1 = require("@nestjs/common");
const speciality_collection_service_1 = require("./speciality-collection.service");
const speciality_collection_resolver_1 = require("./speciality-collection.resolver");
const mongoose_1 = require("@nestjs/mongoose");
const speciality_collection_entity_1 = require("./entities/speciality-collection.entity");
let SpecialityCollectionModule = class SpecialityCollectionModule {
};
SpecialityCollectionModule = __decorate([
    (0, common_1.Module)({
        imports: [mongoose_1.MongooseModule.forFeature([{ name: speciality_collection_entity_1.SpecialityCollection.name, schema: speciality_collection_entity_1.SpecialitySchema }])],
        providers: [speciality_collection_resolver_1.SpecialityCollectionResolver, speciality_collection_service_1.SpecialityCollectionService],
        exports: [speciality_collection_service_1.SpecialityCollectionService]
    })
], SpecialityCollectionModule);
exports.SpecialityCollectionModule = SpecialityCollectionModule;
