"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.StateTableModule = void 0;
const common_1 = require("@nestjs/common");
const state_table_service_1 = require("./state-table.service");
const state_table_resolver_1 = require("./state-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const state_table_entity_1 = require("./entities/state-table.entity");
let StateTableModule = exports.StateTableModule = class StateTableModule {
};
exports.StateTableModule = StateTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([state_table_entity_1.StateTable])],
        providers: [state_table_resolver_1.StateTableResolver, state_table_service_1.StateTableService],
        exports: [state_table_service_1.StateTableService]
    })
], StateTableModule);
