"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.StockBalanceTable = void 0;
const breed_table_entity_1 = require("../../breed-table/entities/breed-table.entity");
const housing_table_entity_1 = require("../../housing-table/entities/housing-table.entity");
const typeorm_1 = require("typeorm");
let StockBalanceTable = class StockBalanceTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], StockBalanceTable.prototype, "stockId", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => housing_table_entity_1.HousingTable, et => et.StockBalanceTable),
    (0, typeorm_1.JoinColumn)({ name: "housingId" }),
    __metadata("design:type", housing_table_entity_1.HousingTable)
], StockBalanceTable.prototype, "HousingTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => breed_table_entity_1.BreedTable, et => et.StockBalanceTable),
    (0, typeorm_1.JoinColumn)({ name: "breedId" }),
    __metadata("design:type", breed_table_entity_1.BreedTable)
], StockBalanceTable.prototype, "BreedTable", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", String)
], StockBalanceTable.prototype, "ageGroup", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: false }),
    __metadata("design:type", String)
], StockBalanceTable.prototype, "dateOfEntry", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", Number)
], StockBalanceTable.prototype, "opMale", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", Number)
], StockBalanceTable.prototype, "crMale", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", Number)
], StockBalanceTable.prototype, "opFemale", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", Number)
], StockBalanceTable.prototype, "crFemale", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", Number)
], StockBalanceTable.prototype, "opTotal", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", Number)
], StockBalanceTable.prototype, "crTotal", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "decimal", precision: 10, scale: 3, default: 0.000 }),
    __metadata("design:type", Number)
], StockBalanceTable.prototype, "opWeight", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: "decimal", precision: 10, scale: 3, default: 0.000 }),
    __metadata("design:type", Number)
], StockBalanceTable.prototype, "crWeight", void 0);
StockBalanceTable = __decorate([
    (0, typeorm_1.Entity)()
], StockBalanceTable);
exports.StockBalanceTable = StockBalanceTable;
