"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.StockBalanceTableModule = void 0;
const common_1 = require("@nestjs/common");
const typeorm_1 = require("@nestjs/typeorm");
const farmers_table_module_1 = require("../farmers-table/farmers-table.module");
const housing_table_module_1 = require("../housing-table/housing-table.module");
const breed_table_module_1 = require("../breed-table/breed-table.module");
const user_collection_module_1 = require("../user-collection/user-collection.module");
const stock_balance_table_entity_1 = require("./entities/stock-balance-table.entity");
const stock_balance_table_resolver_1 = require("./stock-balance-table-resolver");
const stock_balance_table_service_1 = require("./stock-balance-table.service");
let StockBalanceTableModule = class StockBalanceTableModule {
};
StockBalanceTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([stock_balance_table_entity_1.StockBalanceTable]), user_collection_module_1.UserCollectionModule, (0, common_1.forwardRef)(() => farmers_table_module_1.FarmersTableModule), (0, common_1.forwardRef)(() => housing_table_module_1.HousingTableModule), (0, common_1.forwardRef)(() => breed_table_module_1.BreedTableModule)],
        providers: [stock_balance_table_resolver_1.StockBalanceTableResolver, stock_balance_table_service_1.StockBalanceTableService],
        exports: [stock_balance_table_service_1.StockBalanceTableService]
    })
], StockBalanceTableModule);
exports.StockBalanceTableModule = StockBalanceTableModule;
