import { StockBalanceTable } from './entities/stock-balance-table.entity';
import { StockBalanceTableService } from './stock-balance-table.service';
import { CreateStockBalanceTableInput } from './dto/create-stock-balance-table-input';
export declare class StockBalanceTableResolver {
    private readonly stockBalanceTableService;
    constructor(stockBalanceTableService: StockBalanceTableService);
    createStockBalanceTable(createStockBalanceTableInput: CreateStockBalanceTableInput, user: any): Promise<{
        status: boolean;
    }>;
    findAllStockBalance(): Promise<StockBalanceTable[]>;
    findAllStockBalanceByHousingWithDate(housingId: number, startingDate: string, endingDate: string): Promise<StockBalanceTable[]>;
}
