"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.StockEntryTableModule = void 0;
const common_1 = require("@nestjs/common");
const typeorm_1 = require("@nestjs/typeorm");
const user_collection_module_1 = require("../user-collection/user-collection.module");
const farmers_table_module_1 = require("../farmers-table/farmers-table.module");
const stock_entry_table_entity_1 = require("./entities/stock-entry-table.entity");
const housing_table_module_1 = require("../housing-table/housing-table.module");
const stock_entry_table_resolver_1 = require("./stock-entry-table.resolver");
const stock_entry_table_service_1 = require("./stock-entry-table.service");
const breed_table_module_1 = require("../breed-table/breed-table.module");
const current_stock_table_module_1 = require("../current-stock/current-stock-table.module");
const stock_balance_table_module_1 = require("../stock-balance/stock-balance-table-module");
const ledger_entry_table_module_1 = require("../ledger-table/ledger-entry-table.module");
const animal_entry_table_module_1 = require("../animal-table/animal-entry-table.module");
const disease_table_module_1 = require("../disease-table/disease-table.module");
const data_entry_table_module_1 = require("../data-entry-table/data-entry-table.module");
let StockEntryTableModule = class StockEntryTableModule {
};
StockEntryTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([stock_entry_table_entity_1.StockEntryTable]), (0, common_1.forwardRef)(() => user_collection_module_1.UserCollectionModule), (0, common_1.forwardRef)(() => farmers_table_module_1.FarmersTableModule), (0, common_1.forwardRef)(() => housing_table_module_1.HousingTableModule), (0, common_1.forwardRef)(() => breed_table_module_1.BreedTableModule), (0, common_1.forwardRef)(() => current_stock_table_module_1.CurrentStockTableModule), (0, common_1.forwardRef)(() => stock_balance_table_module_1.StockBalanceTableModule), (0, common_1.forwardRef)(() => ledger_entry_table_module_1.LedgerEntryTableModule), (0, common_1.forwardRef)(() => animal_entry_table_module_1.AnimalEntryTableModule), (0, common_1.forwardRef)(() => disease_table_module_1.DiseaseTableModule), data_entry_table_module_1.DataEntryTableModule],
        providers: [stock_entry_table_resolver_1.StockEntryTableResolver, stock_entry_table_service_1.StockEntryTableService],
        exports: [stock_entry_table_service_1.StockEntryTableService]
    })
], StockEntryTableModule);
exports.StockEntryTableModule = StockEntryTableModule;
