"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.StockRegisterCollectionModule = void 0;
const common_1 = require("@nestjs/common");
const mongoose_1 = require("@nestjs/mongoose");
const user_collection_module_1 = require("../user-collection/user-collection.module");
const stock_register_collection_entity_1 = require("./entities/stock-register-collection.entity");
const stock_register_collection_service_1 = require("./stock-register-collection.service");
const current_stock_collection_module_1 = require("../current-stock-collection/current-stock-collection.module");
const stock_registercollection_resolver_1 = require("./stock-registercollection.resolver");
let StockRegisterCollectionModule = class StockRegisterCollectionModule {
};
StockRegisterCollectionModule = __decorate([
    (0, common_1.Module)({
        imports: [mongoose_1.MongooseModule.forFeature([{ name: stock_register_collection_entity_1.StockRegisterCollection.name, schema: stock_register_collection_entity_1.StockRegisterCollectionSchema }]), (0, common_1.forwardRef)(() => current_stock_collection_module_1.CurrentStockCollectionModule), (0, common_1.forwardRef)(() => user_collection_module_1.UserCollectionModule)],
        providers: [stock_registercollection_resolver_1.StockRegisterCollectionResolver, stock_register_collection_service_1.StockRegisterCollectionService],
        exports: [stock_register_collection_service_1.StockRegisterCollectionService]
    })
], StockRegisterCollectionModule);
exports.StockRegisterCollectionModule = StockRegisterCollectionModule;
