"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SubDivisionTableModule = void 0;
const common_1 = require("@nestjs/common");
const sub_division_table_service_1 = require("./sub-division-table.service");
const sub_division_table_resolver_1 = require("./sub-division-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const sub_division_table_entity_1 = require("./entities/sub-division-table.entity");
const district_table_module_1 = require("../district-table/district-table.module");
let SubDivisionTableModule = exports.SubDivisionTableModule = class SubDivisionTableModule {
};
exports.SubDivisionTableModule = SubDivisionTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([sub_division_table_entity_1.SubDivisionTable]), (0, common_1.forwardRef)(() => district_table_module_1.DistrictTableModule)],
        providers: [sub_division_table_resolver_1.SubDivisionTableResolver, sub_division_table_service_1.SubDivisionTableService],
        exports: [sub_division_table_service_1.SubDivisionTableService]
    })
], SubDivisionTableModule);
