"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SubscriptionTable = void 0;
const course_session_table_entity_1 = require("../../course-session-table/entities/course-session-table.entity");
const course_table_entity_1 = require("../../course-table/entities/course-table.entity");
const user_collection_entity_1 = require("../../user-collection/entities/user-collection.entity");
const typeorm_1 = require("typeorm");
let SubscriptionTable = exports.SubscriptionTable = class SubscriptionTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], SubscriptionTable.prototype, "subscriptionId", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => course_table_entity_1.CourseTable, pt => pt.SubscriptionTable),
    (0, typeorm_1.JoinColumn)({ name: 'courseId' }),
    __metadata("design:type", course_table_entity_1.CourseTable)
], SubscriptionTable.prototype, "CourseTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => course_session_table_entity_1.CourseSessionTable, pt => pt.SubscriptionTable),
    (0, typeorm_1.JoinColumn)({ name: 'courseSessionId' }),
    __metadata("design:type", course_session_table_entity_1.CourseSessionTable)
], SubscriptionTable.prototype, "CourseSessionTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => user_collection_entity_1.UserTable, pt => pt.SubscriptionTable),
    (0, typeorm_1.JoinColumn)({ name: 'userId' }),
    __metadata("design:type", user_collection_entity_1.UserTable)
], SubscriptionTable.prototype, "UserTable", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 100, nullable: true }),
    __metadata("design:type", String)
], SubscriptionTable.prototype, "entryDate", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 100, nullable: true }),
    __metadata("design:type", String)
], SubscriptionTable.prototype, "startDate", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 100, nullable: true }),
    __metadata("design:type", String)
], SubscriptionTable.prototype, "endDate", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, default: 0 }),
    __metadata("design:type", String)
], SubscriptionTable.prototype, "status", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true, default: 0 }),
    __metadata("design:type", Number)
], SubscriptionTable.prototype, "isComplete", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], SubscriptionTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], SubscriptionTable.prototype, "updatedAt", void 0);
exports.SubscriptionTable = SubscriptionTable = __decorate([
    (0, typeorm_1.Entity)()
], SubscriptionTable);
