"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SubscriptionTableType = void 0;
const graphql_1 = require("@nestjs/graphql");
const course_session_table_type_1 = require("../../course-session-table/types/course-session-table.type");
const course_table_type_1 = require("../../course-table/types/course-table.type");
const user_collection_type_1 = require("../../user-collection/type/user-collection.type");
let SubscriptionTableType = exports.SubscriptionTableType = class SubscriptionTableType {
};
__decorate([
    (0, graphql_1.Field)(() => Number),
    __metadata("design:type", Number)
], SubscriptionTableType.prototype, "subscriptionId", void 0);
__decorate([
    (0, graphql_1.Field)(() => course_table_type_1.CourseTableType),
    __metadata("design:type", course_table_type_1.CourseTableType)
], SubscriptionTableType.prototype, "CourseTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => course_session_table_type_1.CourseSessionTableType),
    __metadata("design:type", course_session_table_type_1.CourseSessionTableType)
], SubscriptionTableType.prototype, "CourseSessionTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => user_collection_type_1.UserCollectionType),
    __metadata("design:type", user_collection_type_1.UserCollectionType)
], SubscriptionTableType.prototype, "UserTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], SubscriptionTableType.prototype, "entryDate", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], SubscriptionTableType.prototype, "startDate", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], SubscriptionTableType.prototype, "endDate", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], SubscriptionTableType.prototype, "status", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], SubscriptionTableType.prototype, "isComplete", void 0);
exports.SubscriptionTableType = SubscriptionTableType = __decorate([
    (0, graphql_1.ObjectType)("SubscriptionTableType")
], SubscriptionTableType);
