"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SurveyAnswersTableType = exports.SurveyAnswersDto = void 0;
const graphql_1 = require("@nestjs/graphql");
const sessionmaster_table_type_1 = require("../../sessionmaster-table/types/sessionmaster-table.type");
const shg_table_type_1 = require("../../shg-table/types/shg-table.type");
const survey_interpretation_table_type_1 = require("../../survey-interpretation-table/types/survey-interpretation-table.type");
const survey_master_table_type_1 = require("../../survey-master-table/types/survey-master-table.type");
const user_collection_type_1 = require("../../user-collection/type/user-collection.type");
const vo_table_type_1 = require("../../vo-table/types/vo-table.type");
let SurveyAnswersDto = exports.SurveyAnswersDto = class SurveyAnswersDto {
};
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], SurveyAnswersDto.prototype, "surveyQuestionId", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], SurveyAnswersDto.prototype, "value", void 0);
exports.SurveyAnswersDto = SurveyAnswersDto = __decorate([
    (0, graphql_1.ObjectType)("SurveyAnswersDto")
], SurveyAnswersDto);
let SurveyAnswersTableType = exports.SurveyAnswersTableType = class SurveyAnswersTableType {
};
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], SurveyAnswersTableType.prototype, "answerId", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], SurveyAnswersTableType.prototype, "type", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], SurveyAnswersTableType.prototype, "entryDate", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], SurveyAnswersTableType.prototype, "year", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], SurveyAnswersTableType.prototype, "score", void 0);
__decorate([
    (0, graphql_1.Field)(() => [SurveyAnswersDto]),
    __metadata("design:type", Array)
], SurveyAnswersTableType.prototype, "answers", void 0);
__decorate([
    (0, graphql_1.Field)(() => sessionmaster_table_type_1.SessionMasterTableType),
    __metadata("design:type", sessionmaster_table_type_1.SessionMasterTableType)
], SurveyAnswersTableType.prototype, "SessionmasterTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => survey_master_table_type_1.SurveyMasterTableType, { nullable: true }),
    __metadata("design:type", survey_master_table_type_1.SurveyMasterTableType)
], SurveyAnswersTableType.prototype, "SurveyMasterTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => shg_table_type_1.ShgTableType, { nullable: true }),
    __metadata("design:type", shg_table_type_1.ShgTableType)
], SurveyAnswersTableType.prototype, "ShgTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => vo_table_type_1.VoTableType, { nullable: true }),
    __metadata("design:type", vo_table_type_1.VoTableType)
], SurveyAnswersTableType.prototype, "VoTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => survey_interpretation_table_type_1.SurveyInterpretationTableType, { nullable: true }),
    __metadata("design:type", survey_interpretation_table_type_1.SurveyInterpretationTableType)
], SurveyAnswersTableType.prototype, "SurveyInterpretationTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => user_collection_type_1.UserCollectionType, { nullable: true }),
    __metadata("design:type", user_collection_type_1.UserCollectionType)
], SurveyAnswersTableType.prototype, "UserTable", void 0);
exports.SurveyAnswersTableType = SurveyAnswersTableType = __decorate([
    (0, graphql_1.ObjectType)("SurveyAnswersTableType")
], SurveyAnswersTableType);
