"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SurveyInterpretationTable = void 0;
const survey_answers_table_entity_1 = require("../../survey-answers-table/entities/survey-answers-table.entity");
const survey_master_table_entity_1 = require("../../survey-master-table/entities/survey-master-table.entity");
const typeorm_1 = require("typeorm");
let SurveyInterpretationTable = exports.SurveyInterpretationTable = class SurveyInterpretationTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], SurveyInterpretationTable.prototype, "interpretationId", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50 }),
    __metadata("design:type", String)
], SurveyInterpretationTable.prototype, "type", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => survey_master_table_entity_1.SurveyMasterTable, dt => dt.SurveyInterpretationTable),
    (0, typeorm_1.JoinColumn)({ name: "surveyMasterId" }),
    __metadata("design:type", survey_master_table_entity_1.SurveyMasterTable)
], SurveyInterpretationTable.prototype, "SurveyMasterTable", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 100 }),
    __metadata("design:type", String)
], SurveyInterpretationTable.prototype, "minScore", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 100 }),
    __metadata("design:type", String)
], SurveyInterpretationTable.prototype, "maxScore", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], SurveyInterpretationTable.prototype, "classification", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], SurveyInterpretationTable.prototype, "interpretation", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => survey_answers_table_entity_1.SurveyAnswersTable, et => et.SurveyInterpretationTable),
    __metadata("design:type", Array)
], SurveyInterpretationTable.prototype, "SurveyAnswersTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], SurveyInterpretationTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], SurveyInterpretationTable.prototype, "updatedAt", void 0);
exports.SurveyInterpretationTable = SurveyInterpretationTable = __decorate([
    (0, typeorm_1.Entity)()
], SurveyInterpretationTable);
