"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SurveyInterpretationTableModule = void 0;
const common_1 = require("@nestjs/common");
const survey_interpretation_table_service_1 = require("./survey-interpretation-table.service");
const survey_interpretation_table_resolver_1 = require("./survey-interpretation-table.resolver");
const survey_interpretation_table_entity_1 = require("./entities/survey-interpretation-table.entity");
const typeorm_1 = require("@nestjs/typeorm");
const survey_master_table_module_1 = require("../survey-master-table/survey-master-table.module");
let SurveyInterpretationTableModule = exports.SurveyInterpretationTableModule = class SurveyInterpretationTableModule {
};
exports.SurveyInterpretationTableModule = SurveyInterpretationTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([survey_interpretation_table_entity_1.SurveyInterpretationTable]), survey_master_table_module_1.SurveyMasterTableModule],
        providers: [survey_interpretation_table_resolver_1.SurveyInterpretationTableResolver, survey_interpretation_table_service_1.SurveyInterpretationTableService],
        exports: [survey_interpretation_table_service_1.SurveyInterpretationTableService]
    })
], SurveyInterpretationTableModule);
