"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SurveyMasterTable = void 0;
const survey_answers_table_entity_1 = require("../../survey-answers-table/entities/survey-answers-table.entity");
const survey_interpretation_table_entity_1 = require("../../survey-interpretation-table/entities/survey-interpretation-table.entity");
const survey_questions_table_entity_1 = require("../../survey-questions-table/entities/survey-questions-table.entity");
const typeorm_1 = require("typeorm");
let SurveyMasterTable = exports.SurveyMasterTable = class SurveyMasterTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], SurveyMasterTable.prototype, "surveyId", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], SurveyMasterTable.prototype, "surveyName", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 50 }),
    __metadata("design:type", String)
], SurveyMasterTable.prototype, "type", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], SurveyMasterTable.prototype, "maxScore", void 0);
__decorate([
    (0, typeorm_1.Column)({ default: true }),
    __metadata("design:type", Boolean)
], SurveyMasterTable.prototype, "isActive", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => survey_answers_table_entity_1.SurveyAnswersTable, et => et.SurveyMasterTable),
    __metadata("design:type", Array)
], SurveyMasterTable.prototype, "SurveyAnswersTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => survey_interpretation_table_entity_1.SurveyInterpretationTable, et => et.SurveyMasterTable),
    __metadata("design:type", Array)
], SurveyMasterTable.prototype, "SurveyInterpretationTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => survey_questions_table_entity_1.SurveyQuestionsTable, et => et.SurveyMasterTable),
    __metadata("design:type", Array)
], SurveyMasterTable.prototype, "SurveyQuestionsTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], SurveyMasterTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], SurveyMasterTable.prototype, "updatedAt", void 0);
exports.SurveyMasterTable = SurveyMasterTable = __decorate([
    (0, typeorm_1.Entity)()
], SurveyMasterTable);
