"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SurveyMasterTableModule = void 0;
const common_1 = require("@nestjs/common");
const survey_master_table_service_1 = require("./survey-master-table.service");
const survey_master_table_resolver_1 = require("./survey-master-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const survey_master_table_entity_1 = require("./entities/survey-master-table.entity");
let SurveyMasterTableModule = exports.SurveyMasterTableModule = class SurveyMasterTableModule {
};
exports.SurveyMasterTableModule = SurveyMasterTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([survey_master_table_entity_1.SurveyMasterTable])],
        providers: [survey_master_table_resolver_1.SurveyMasterTableResolver, survey_master_table_service_1.SurveyMasterTableService],
        exports: [survey_master_table_service_1.SurveyMasterTableService]
    })
], SurveyMasterTableModule);
