"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SurveyQuestionsTable = void 0;
const survey_master_table_entity_1 = require("../../survey-master-table/entities/survey-master-table.entity");
const typeorm_1 = require("typeorm");
let SurveyQuestionsTable = exports.SurveyQuestionsTable = class SurveyQuestionsTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], SurveyQuestionsTable.prototype, "surveyQuestionId", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", Number)
], SurveyQuestionsTable.prototype, "surveyQuestionLabel", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], SurveyQuestionsTable.prototype, "surveyQuestionEn", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], SurveyQuestionsTable.prototype, "surveyQuestionAs", void 0);
__decorate([
    (0, typeorm_1.Column)("simple-array", { nullable: true }),
    __metadata("design:type", Array)
], SurveyQuestionsTable.prototype, "surveySelectable", void 0);
__decorate([
    (0, typeorm_1.Column)("simple-json", { nullable: true }),
    __metadata("design:type", Array)
], SurveyQuestionsTable.prototype, "options", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => survey_master_table_entity_1.SurveyMasterTable, dt => dt.SurveyQuestionsTable),
    (0, typeorm_1.JoinColumn)({ name: "surveyMasterId" }),
    __metadata("design:type", survey_master_table_entity_1.SurveyMasterTable)
], SurveyQuestionsTable.prototype, "SurveyMasterTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], SurveyQuestionsTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], SurveyQuestionsTable.prototype, "updatedAt", void 0);
exports.SurveyQuestionsTable = SurveyQuestionsTable = __decorate([
    (0, typeorm_1.Entity)()
], SurveyQuestionsTable);
