"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SurveyQuestionsTableModule = void 0;
const common_1 = require("@nestjs/common");
const survey_questions_table_service_1 = require("./survey-questions-table.service");
const survey_questions_table_resolver_1 = require("./survey-questions-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const survey_questions_table_entity_1 = require("./entities/survey-questions-table.entity");
const survey_master_table_module_1 = require("../survey-master-table/survey-master-table.module");
let SurveyQuestionsTableModule = exports.SurveyQuestionsTableModule = class SurveyQuestionsTableModule {
};
exports.SurveyQuestionsTableModule = SurveyQuestionsTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([survey_questions_table_entity_1.SurveyQuestionsTable]), survey_master_table_module_1.SurveyMasterTableModule],
        providers: [survey_questions_table_resolver_1.SurveyQuestionsTableResolver, survey_questions_table_service_1.SurveyQuestionsTableService],
        exports: [survey_questions_table_service_1.SurveyQuestionsTableService]
    })
], SurveyQuestionsTableModule);
