"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TaskPlanningTable = void 0;
const activity_table_entity_1 = require("../../activity-table/entities/activity-table.entity");
const sessionmaster_table_entity_1 = require("../../sessionmaster-table/entities/sessionmaster-table.entity");
const task_table_entity_1 = require("../../task-table/entities/task-table.entity");
const user_collection_entity_1 = require("../../user-collection/entities/user-collection.entity");
const typeorm_1 = require("typeorm");
let TaskPlanningTable = exports.TaskPlanningTable = class TaskPlanningTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], TaskPlanningTable.prototype, "taskPlanningId", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => activity_table_entity_1.ActivityTable, dt => dt.TaskPlanningTable),
    (0, typeorm_1.JoinColumn)({ name: "activityId" }),
    __metadata("design:type", activity_table_entity_1.ActivityTable)
], TaskPlanningTable.prototype, "ActivityTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => task_table_entity_1.TaskTable, dt => dt.TaskPlanningTable),
    (0, typeorm_1.JoinColumn)({ name: "taskId" }),
    __metadata("design:type", task_table_entity_1.TaskTable)
], TaskPlanningTable.prototype, "TaskTable", void 0);
__decorate([
    (0, typeorm_1.Column)({ default: 1 }),
    __metadata("design:type", Number)
], TaskPlanningTable.prototype, "nosToBePerformed", void 0);
__decorate([
    (0, typeorm_1.Column)({ default: 0, nullable: true }),
    __metadata("design:type", Number)
], TaskPlanningTable.prototype, "halfNo", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 100, nullable: true }),
    __metadata("design:type", String)
], TaskPlanningTable.prototype, "month", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], TaskPlanningTable.prototype, "taskType", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => sessionmaster_table_entity_1.SessionmasterTable, dt => dt.TaskPlanningTable),
    (0, typeorm_1.JoinColumn)({ name: "sessionMasterId" }),
    __metadata("design:type", sessionmaster_table_entity_1.SessionmasterTable)
], TaskPlanningTable.prototype, "SessionmasterTable", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => user_collection_entity_1.UserTable, dt => dt.TaskPlanningTable),
    (0, typeorm_1.JoinColumn)({ name: "userId" }),
    __metadata("design:type", user_collection_entity_1.UserTable)
], TaskPlanningTable.prototype, "UserTable", void 0);
__decorate([
    (0, typeorm_1.Column)({ default: 0 }),
    __metadata("design:type", Number)
], TaskPlanningTable.prototype, "isVerified", void 0);
__decorate([
    (0, typeorm_1.Column)({ default: 1 }),
    __metadata("design:type", Number)
], TaskPlanningTable.prototype, "isEditable", void 0);
__decorate([
    (0, typeorm_1.Column)({ default: 1 }),
    __metadata("design:type", Number)
], TaskPlanningTable.prototype, "isActive", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 200, nullable: true }),
    __metadata("design:type", String)
], TaskPlanningTable.prototype, "verifiedOn", void 0);
__decorate([
    (0, typeorm_1.Column)({ nullable: true }),
    __metadata("design:type", Number)
], TaskPlanningTable.prototype, "verifiedBy", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], TaskPlanningTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], TaskPlanningTable.prototype, "updatedAt", void 0);
exports.TaskPlanningTable = TaskPlanningTable = __decorate([
    (0, typeorm_1.Entity)()
], TaskPlanningTable);
