"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TaskTable = void 0;
const activity_table_entity_1 = require("../../activity-table/entities/activity-table.entity");
const task_achievements_table_entity_1 = require("../../task-achievements-table/entities/task-achievements-table.entity");
const task_planning_table_entity_1 = require("../../task-planning-table/entities/task-planning-table.entity");
const typeorm_1 = require("typeorm");
let TaskTable = exports.TaskTable = class TaskTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], TaskTable.prototype, "taskId", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], TaskTable.prototype, "taskName", void 0);
__decorate([
    (0, typeorm_1.Column)(),
    __metadata("design:type", String)
], TaskTable.prototype, "unitOfMeasurement", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 100, nullable: true }),
    __metadata("design:type", String)
], TaskTable.prototype, "lsCode", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 100, nullable: true }),
    __metadata("design:type", String)
], TaskTable.prototype, "taskSubType", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => activity_table_entity_1.ActivityTable, dt => dt.TaskTable),
    (0, typeorm_1.JoinColumn)({ name: "activityId" }),
    __metadata("design:type", activity_table_entity_1.ActivityTable)
], TaskTable.prototype, "ActivityTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => task_planning_table_entity_1.TaskPlanningTable, et => et.TaskTable),
    __metadata("design:type", Array)
], TaskTable.prototype, "TaskPlanningTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => task_achievements_table_entity_1.TaskAchievementsTable, et => et.TaskTable),
    __metadata("design:type", Array)
], TaskTable.prototype, "TaskAchievementsTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], TaskTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], TaskTable.prototype, "updatedAt", void 0);
exports.TaskTable = TaskTable = __decorate([
    (0, typeorm_1.Entity)()
], TaskTable);
