"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TaskTableModule = void 0;
const common_1 = require("@nestjs/common");
const task_table_service_1 = require("./task-table.service");
const task_table_resolver_1 = require("./task-table.resolver");
const typeorm_1 = require("@nestjs/typeorm");
const task_table_entity_1 = require("./entities/task-table.entity");
const activity_table_module_1 = require("../activity-table/activity-table.module");
let TaskTableModule = exports.TaskTableModule = class TaskTableModule {
};
exports.TaskTableModule = TaskTableModule = __decorate([
    (0, common_1.Module)({
        imports: [typeorm_1.TypeOrmModule.forFeature([task_table_entity_1.TaskTable]), activity_table_module_1.ActivityTableModule],
        providers: [task_table_resolver_1.TaskTableResolver, task_table_service_1.TaskTableService],
        exports: [task_table_service_1.TaskTableService]
    })
], TaskTableModule);
