"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ThemeTable = void 0;
const activity_achievements_table_entity_1 = require("../../activity-achievements-table/entities/activity-achievements-table.entity");
const activity_planning_table_entity_1 = require("../../activity-planning-table/entities/activity-planning-table.entity");
const activity_table_entity_1 = require("../../activity-table/entities/activity-table.entity");
const typeorm_1 = require("typeorm");
let ThemeTable = exports.ThemeTable = class ThemeTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], ThemeTable.prototype, "themeId", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], ThemeTable.prototype, "themeName", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => activity_table_entity_1.ActivityTable, et => et.ThemeTable),
    __metadata("design:type", Array)
], ThemeTable.prototype, "ActivityTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => activity_planning_table_entity_1.ActivityPlanningTable, et => et.ThemeTable),
    __metadata("design:type", Array)
], ThemeTable.prototype, "ActivityPlanningTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => activity_achievements_table_entity_1.ActivityAchievementsTable, et => et.ThemeTable),
    __metadata("design:type", Array)
], ThemeTable.prototype, "ActivityAchievementsTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], ThemeTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], ThemeTable.prototype, "updatedAt", void 0);
exports.ThemeTable = ThemeTable = __decorate([
    (0, typeorm_1.Entity)()
], ThemeTable);
