"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LoginSuccessType = exports.UserData = void 0;
const graphql_1 = require("@nestjs/graphql");
const access_table_type_1 = require("../access-table/types/access-table.type");
let UserData = exports.UserData = class UserData {
};
__decorate([
    (0, graphql_1.Field)(),
    __metadata("design:type", String)
], UserData.prototype, "username", void 0);
__decorate([
    (0, graphql_1.Field)(),
    __metadata("design:type", String)
], UserData.prototype, "id", void 0);
__decorate([
    (0, graphql_1.Field)(type => String),
    __metadata("design:type", String)
], UserData.prototype, "role", void 0);
__decorate([
    (0, graphql_1.Field)(),
    __metadata("design:type", String)
], UserData.prototype, "name", void 0);
__decorate([
    (0, graphql_1.Field)({ nullable: true }),
    __metadata("design:type", String)
], UserData.prototype, "designation", void 0);
__decorate([
    (0, graphql_1.Field)(type => access_table_type_1.AccessTableType, { nullable: true }),
    __metadata("design:type", access_table_type_1.AccessTableType)
], UserData.prototype, "access", void 0);
exports.UserData = UserData = __decorate([
    (0, graphql_1.ObjectType)('UserData')
], UserData);
let LoginSuccessType = exports.LoginSuccessType = class LoginSuccessType {
};
__decorate([
    (0, graphql_1.Field)(),
    __metadata("design:type", Boolean)
], LoginSuccessType.prototype, "status", void 0);
__decorate([
    (0, graphql_1.Field)(),
    __metadata("design:type", String)
], LoginSuccessType.prototype, "token", void 0);
__decorate([
    (0, graphql_1.Field)(type => UserData),
    __metadata("design:type", UserData)
], LoginSuccessType.prototype, "user", void 0);
exports.LoginSuccessType = LoginSuccessType = __decorate([
    (0, graphql_1.ObjectType)('LoginSuccess')
], LoginSuccessType);
