"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnitCollectionModule = void 0;
const common_1 = require("@nestjs/common");
const unit_collection_service_1 = require("./unit-collection.service");
const unit_collection_resolver_1 = require("./unit-collection.resolver");
const unit_collection_entity_1 = require("./entities/unit-collection.entity");
const mongoose_1 = require("@nestjs/mongoose");
let UnitCollectionModule = class UnitCollectionModule {
};
UnitCollectionModule = __decorate([
    (0, common_1.Module)({
        imports: [mongoose_1.MongooseModule.forFeature([{ name: unit_collection_entity_1.UnitCollection.name, schema: unit_collection_entity_1.UnitCollectionSchema }])],
        providers: [unit_collection_resolver_1.UnitCollectionResolver, unit_collection_service_1.UnitCollectionService],
        exports: [unit_collection_service_1.UnitCollectionService]
    })
], UnitCollectionModule);
exports.UnitCollectionModule = UnitCollectionModule;
