"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserCollectionType = void 0;
const graphql_1 = require("@nestjs/graphql");
const access_table_type_1 = require("../../access-table/types/access-table.type");
const designation_table_type_1 = require("../../designation-table/types/designation-table.type");
const organisation_table_type_1 = require("../../organisation-table/types/organisation-table.type");
let UserCollectionType = exports.UserCollectionType = class UserCollectionType {
};
__decorate([
    (0, graphql_1.Field)(() => graphql_1.Int),
    __metadata("design:type", Number)
], UserCollectionType.prototype, "id", void 0);
__decorate([
    (0, graphql_1.Field)(() => String),
    __metadata("design:type", String)
], UserCollectionType.prototype, "name", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { nullable: true }),
    __metadata("design:type", String)
], UserCollectionType.prototype, "designation", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { description: 'Email of the user' }),
    __metadata("design:type", String)
], UserCollectionType.prototype, "email", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { description: 'Phone No' }),
    __metadata("design:type", String)
], UserCollectionType.prototype, "phone", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { description: 'Type of the user (ADMIN, CLIENT, USER etc)' }),
    __metadata("design:type", String)
], UserCollectionType.prototype, "role", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { description: 'Username to login' }),
    __metadata("design:type", String)
], UserCollectionType.prototype, "username", void 0);
__decorate([
    (0, graphql_1.Field)(() => String, { description: 'Password to login' }),
    __metadata("design:type", String)
], UserCollectionType.prototype, "password", void 0);
__decorate([
    (0, graphql_1.Field)(() => Boolean, { nullable: true }),
    __metadata("design:type", Boolean)
], UserCollectionType.prototype, "isActive", void 0);
__decorate([
    (0, graphql_1.Field)(() => Date),
    __metadata("design:type", Date)
], UserCollectionType.prototype, "createdAt", void 0);
__decorate([
    (0, graphql_1.Field)(() => Number, { nullable: true }),
    __metadata("design:type", Number)
], UserCollectionType.prototype, "integratorId", void 0);
__decorate([
    (0, graphql_1.Field)(() => [access_table_type_1.AccessTableType], { nullable: true }),
    __metadata("design:type", Array)
], UserCollectionType.prototype, "AccessTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => designation_table_type_1.DesignationTableType, { nullable: true }),
    __metadata("design:type", designation_table_type_1.DesignationTableType)
], UserCollectionType.prototype, "DesignationTable", void 0);
__decorate([
    (0, graphql_1.Field)(() => organisation_table_type_1.OrganisationTableType, { nullable: true }),
    __metadata("design:type", organisation_table_type_1.OrganisationTableType)
], UserCollectionType.prototype, "OrganisationTable", void 0);
exports.UserCollectionType = UserCollectionType = __decorate([
    (0, graphql_1.ObjectType)("UserCollectionType")
], UserCollectionType);
