"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.VoTable = void 0;
const grampanchayat_table_entity_1 = require("../../grampanchayat-table/entities/grampanchayat-table.entity");
const mk_table_entity_1 = require("../../mk-table/entities/mk-table.entity");
const shg_table_entity_1 = require("../../shg-table/entities/shg-table.entity");
const survey_answers_table_entity_1 = require("../../survey-answers-table/entities/survey-answers-table.entity");
const typeorm_1 = require("typeorm");
let VoTable = exports.VoTable = class VoTable {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    __metadata("design:type", Number)
], VoTable.prototype, "voId", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300 }),
    __metadata("design:type", String)
], VoTable.prototype, "voName", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(type => grampanchayat_table_entity_1.GrampanchayatTable, dt => dt.VoTable),
    (0, typeorm_1.JoinColumn)({ name: "gpId" }),
    __metadata("design:type", grampanchayat_table_entity_1.GrampanchayatTable)
], VoTable.prototype, "GrampanchayatTable", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 100, nullable: true }),
    __metadata("design:type", String)
], VoTable.prototype, "dateOfFormation", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], VoTable.prototype, "nrlmRegistration", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], VoTable.prototype, "bankAccountNo", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], VoTable.prototype, "bankName", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], VoTable.prototype, "bankBranch", void 0);
__decorate([
    (0, typeorm_1.Column)({ length: 300, nullable: true }),
    __metadata("design:type", String)
], VoTable.prototype, "bankIfsc", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => mk_table_entity_1.MkTable, et => et.VoTable),
    __metadata("design:type", Array)
], VoTable.prototype, "MkTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => shg_table_entity_1.ShgTable, et => et.VoTable),
    __metadata("design:type", Array)
], VoTable.prototype, "ShgTable", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(type => survey_answers_table_entity_1.SurveyAnswersTable, et => et.VoTable),
    __metadata("design:type", Array)
], VoTable.prototype, "SurveyAnswersTable", void 0);
__decorate([
    (0, typeorm_1.CreateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], VoTable.prototype, "createdAt", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({ type: "timestamp", default: () => "CURRENT_TIMESTAMP(6)", onUpdate: "CURRENT_TIMESTAMP(6)" }),
    __metadata("design:type", Date)
], VoTable.prototype, "updatedAt", void 0);
exports.VoTable = VoTable = __decorate([
    (0, typeorm_1.Entity)()
], VoTable);
