import { InputType, Int, Field, ObjectType } from '@nestjs/graphql';
import { AccessTableType } from './access-table.type';


@ObjectType("AccessTableReturnType")
export class AccessTableReturnType {

  @Field(() => AccessTableType, {nullable: true})
  data?: AccessTableType;

  @Field(() => Boolean)
  status: boolean;


  @Field(() => String, {nullable: true})
  status_text: string;

  
}
