import { InputType, Int, Field, ObjectType } from '@nestjs/graphql';

import { UserCollectionType } from 'src/user-collection/type/user-collection.type';

@ObjectType("AccessTableType")
export class AccessTableType {

  @Field(() => Int)
  accessId: number;

  @Field(() => UserCollectionType)
  UserTable: UserCollectionType;

  @Field(() => String)
  accessLevel: string;



}
