import { InputType, Int, Field } from '@nestjs/graphql';

@InputType()
export class AssessmentAnswersCreateDto {

  @Field(() => Int)
  assessmentQuestionId: number;

  @Field(() => String)
  value: string;
}

@InputType()
export class CreateAssessmentAnswerTableInput {

  @Field(() => Int)
  assessmentId: number;

  @Field(() => String)
  answers: string;
}
