import { Module } from '@nestjs/common';
import { AssessmentQuestionsTableService } from './assessment-questions-table.service';
import { AssessmentQuestionsTableResolver } from './assessment-questions-table.resolver';
import { TypeOrmModule } from '@nestjs/typeorm';
import { AssessmentQuestionsTable } from './entities/assessment-questions-table.entity';
import { AssessmentMasterTableModule } from 'src/assessment-master-table/assessment-master-table.module';

@Module({
  imports: [TypeOrmModule.forFeature([AssessmentQuestionsTable]), AssessmentMasterTableModule],
  providers: [AssessmentQuestionsTableResolver, AssessmentQuestionsTableService],
  exports: [AssessmentQuestionsTableService]
})
export class AssessmentQuestionsTableModule {}
