import { InputType, Field, Int } from '@nestjs/graphql';

@InputType()
export class CreateAssessmentQuestionOptionInput {
  @Field(() => String)
  optionLabel: string;

  @Field(() => String)
  optionText: string;



 
}

@InputType()
export class CreateAssessmentQuestionsTableInput {

  @Field(() => Int)
  assessmentQuestionLabel: number;
  
  @Field(() => String)
  assessmentQuestionEn: string;

  @Field(() => Number)
  assessmentId: number;

  @Field(() => Number)
  marks: number;

  @Field(() => String, {nullable: true})
  assessmentQuestionAs: string;

  @Field(() => String, {nullable: true})
  correctAnswer: string;

  @Field(() => [CreateAssessmentQuestionOptionInput])
  options: CreateAssessmentQuestionOptionInput[];
}
