import { InputType, Int, Field } from '@nestjs/graphql';

@InputType()
export class CreateCourseSessionTableInput {
  @Field(() => String)
  sessionName: string;

  @Field(() => Int)
  courseId: number;

  @Field(() => Int)
  capacity: number;

  @Field(() => String)
  sessionStartingDate: string;

  @Field(() => String)
  sessionEndingDate: string;
}
