import { InputType, Int, Field } from '@nestjs/graphql';

@InputType()
export class CreateCourseTableInput {
  @Field(() => String)
  courseName: string;

  @Field(() => String)
  courseCode: string;

  @Field(() => String)
  courseDescription: string;

  @Field(() => Int)
  courseDuration: number;


  @Field(() => Number, {nullable: true})
  userId: number;

  @Field(() => String)
  courseType: string;

  @Field(() => String)
  hasAssesment: string;

  @Field(() => String)
  isActive: string;
}
