
import { Field, ObjectType } from '@nestjs/graphql';
import { CourseTableType } from './course-table.type';


@ObjectType("CourseTableReturnType")
export class CourseTableReturnType {

  @Field(() => CourseTableType, {nullable: true})
  data?: CourseTableType;

  @Field(() => Boolean)
  status: boolean;

  @Field(() => String, {nullable: true})
  status_text: string;

  
}
