
import { InputType, Int, Field, ObjectType } from '@nestjs/graphql';
import { DesignationTableType } from './designation-table.type';



@ObjectType("DesignationTableReturnType")
export class DesignationTableReturnType {

  @Field(() => DesignationTableType, {nullable: true})
  data?: DesignationTableType;

  @Field(() => Boolean)
  status: boolean;

  @Field(() => String, {nullable: true})
  status_text: string;

  
}
