import { Entity, PrimaryGeneratedColumn, Column, PrimaryColumn, ManyToOne, JoinColumn } from "typeorm";


@Entity()
export class NotificationTable {
    @PrimaryGeneratedColumn()
    notificationId: number;

    @Column({ type: 'text' })
    title: string;

    @Column({ length: 30 })
    date: string;

    @Column({ type: 'text', nullable: true })
    description: string;

    @Column({ type: 'text', nullable: true})
    link: string;

    @Column({ default: 1 })
    status: number;





}