import { Module } from '@nestjs/common';
import { NotificationTableService } from './notification-table.service';
import { NotificationTableResolver } from './notification-table.resolver';
import { NotificationTable } from './entities/notification-table.entity';
import { TypeOrmModule } from '@nestjs/typeorm';

@Module({
  imports: [TypeOrmModule.forFeature([NotificationTable])],
  providers: [NotificationTableResolver, NotificationTableService],
  exports: [NotificationTableService]
})
export class NotificationTableModule {}
