import { Field, Int, ObjectType } from '@nestjs/graphql';
import { NotificationTableType } from './notification-table.type';

@ObjectType('NotificationTableReturnType')
export class NotificationTableReturnType {


  @Field(() => String)
  status_text: string;

  @Field(() => Boolean)
  status: boolean;


  @Field(() => NotificationTableType, {nullable: true})
  data?: NotificationTableType;

 
}
