import { Field, Int, ObjectType } from '@nestjs/graphql';

@ObjectType('NotificationTableType')
export class NotificationTableType {
  @Field(() => Int)
  notificationId: number;

  @Field(() => String)
  title: string;

  @Field(() => String)
  date: string;

  @Field(() => String, {nullable: true})
  description?: string;

  @Field(() => String, {nullable: true})
  link?: string;

  @Field(() => Int)
  status: number;
}
