import { InputType, Int, Field } from '@nestjs/graphql';

@InputType()
export class CreateOrganisationTableInput {
  @Field(() => String)
  organisationName: string;

  @Field(() => String)
  organisationCode: string;

  @Field(() => String)
  organisationAddress: string;

  @Field(() => Number)
  isOwn: number;
}
