
import { Field, ObjectType } from '@nestjs/graphql';
import { OrganisationTableType } from './organisation-table.type';



@ObjectType("OrganisationTableReturnType")
export class OrganisationTableReturnType {

  @Field(() => OrganisationTableType, {nullable: true})
  data?: OrganisationTableType;

  @Field(() => Boolean)
  status: boolean;

  @Field(() => String, {nullable: true})
  status_text: string;
  
}
