import { Field, ObjectType } from '@nestjs/graphql';

@ObjectType("OrganisationTableType")
export class OrganisationTableType {
  @Field(() => Number)
  organisationId: number;

  @Field(() => String)
  organisationName: string;

  @Field(() => String, {nullable: true})
  organisationCode: string;

  @Field(() => String, {nullable: true})
  organisationAddress: string;


  @Field(() => Number, {nullable: true})
  isOwn: number;


}