
import { Field, ObjectType } from '@nestjs/graphql';
import { SubscriptionTableType } from './subscription-table.type';

@ObjectType("SubscriptionTableReturnType")
export class SubscriptionTableReturnType {

  @Field(() => SubscriptionTableType, {nullable: true})
  data?: SubscriptionTableType;

  @Field(() => Boolean)
  status: boolean;

  @Field(() => String, {nullable: true})
  status_text: string;

  
}
