import { createUnionType, Field, Int, ObjectType } from "@nestjs/graphql";


@ObjectType('ImportDataTypeMk')
export class ImportDataTypeMk {


    @Field(() => Int)
    shgId: number;

    @Field(() => Int)
    villageId: number;

    @Field(() => String)
    mkName: string;

    @Field(() => String, {nullable: true})
    mkAge?: string;



    @Field(() => String, {nullable: true})
    guardianType?: string;


    @Field(() => String, {nullable: true})
    guardianName?: string;

    @Field(() => String, {nullable: true})
    contactNumber?: string;

    @Field(() => String, {nullable: true})
    socialCategory?: string;

    @Field(() => String, {nullable: true})
    religion?: string;

    @Field(() => String, {nullable: true})
    education?: string;

    @Field(() => Int, {nullable: true})
    familyMemberMale?: number;

    @Field(() => Int, {nullable: true})
    familyMemberFemale?: number;

    @Field(() => Int, {nullable: true})
    familyMemberChildren?: number;

    @Field(() => Int, {nullable: true})
    totalFamilyMember?: number;

    
    @Field(() => String, {nullable: true})
    vulnerabilityCategory?: string;

    @Field(() => String, {nullable: true})
    isBpl?: string;

    @Field(() => String, {nullable: true})
    interventionType?: string;

    @Field(() => String, {nullable: true})
    wealthRanking?: string;

}

