import { InputType, Int, Field } from '@nestjs/graphql';

@InputType()
export class NewRegistrationInput {

  @Field(() => String, { description: 'Name of the User' })
  name: string;

  @Field(() => String, { description: 'Email of the user' })
  email: string;

  @Field(() => String, { description: 'Phone No' })
  phone: string;

  @Field(() => String, { description: 'Password for login' })
  password: string;


  @Field(() => Int, {nullable: true})
  organisationId?: number;

  @Field(() => String, {nullable: true})
  currentClass?: string;

  @Field(() => String, {nullable: true})
  classRollNo?: string;

  @Field(() => String, {nullable: true})
  semester?: string;


}
