import { InputType, Int, Field, ObjectType } from '@nestjs/graphql';
import { UserCollectionType } from './user-collection.type';

@ObjectType("UserCollectionReturnType")
export class UserCollectionReturnType {

  @Field(() => UserCollectionType, {nullable: true})
  data?: UserCollectionType;

  @Field(() => Boolean)
  status: boolean;


  @Field(() => String, {nullable: true})
  status_text: string;

  
}
